Welcome

Welcome to Symbol Dynamics EXP 5.1

Please use the Contents, Index, and Search tabs to the left to find the information you are looking for.

For the latest news and information about EXP, please visit www.expswp.com.

All users should read the Release Notes.

Users of previous versions of EXP should read the sections Changes and Migrating Files to EXP 5.1.


Copyright Notices

EXP Copyright © 1986-2004 Symbol Dynamics LLC. All rights reserved.

EXP and Symbol Dynamics are registered trademarks of Symbol Dynamics LLC.

The Sentry Spelling-Checker Engine Copyright © 2000 Wintertree Software Inc.

English Dictionary Copyright © 1999 Wintertree Software Inc.

French Dictionary Copyright © 1999 Wintertree Software Inc.

German Dictionary Copyright © 1999 Wintertree Software Inc.

Italian Dictionary Copyright © 1999 Wintertree Software Inc.

Spanish Dictionary Copyright © 1999 Wintertree Software Inc.

Portions of this product were created using LEADTOOLS ©1991-2002, LEAD Technologies, Inc. ALL RIGHTS RESERVED.

Portions copyright (c) eHelp Corporation. All rights reserved.


About this Help System

  • This help system contains almost all the content of the EXP User’s Guide. The only sections that have been omitted are those that contain inline mathematics that cannot be represented in Windows Help. Those sections include parts of Chapter 3, Appendix B, and Appendix D.

  • This help system uses the Verdana typeface. This typeface is included with recent versions of Microsoft Windows. If your system does not provide the Verdana typeface, this help system will usually be displayed using the Arial typeface. The Arial typeface is less readable on the screen than the Verdana typeface.

  • Because Windows Help does not support the display of mathematics except as bitmap graphics, all displayed equations and tables in the EXP User’s Guide are included in this help system as bitmap graphics.


General Information

  • If you installed EXP on a Windows 2000/XP system and you installed EXP on a disk that uses the NTFS file system and you expect EXP to be used by other users who do not have administrator privileges, you should set the file and folder permissions for EXP's <home> directory to allow Write and Modify operations by those other users. These permissions should also be set for all files and folders under EXP's <home> directory. Specifically, in order for a user to modify a style sheet, EXP must have write access to the Styles subdirectory.

  • Because EXP 5.1 uses a different WXP file format from earlier versions of EXP, documents saved with EXP 5.1 cannot be opened with earlier versions of EXP.

  • EXP 5.1 can be installed at the same time as earlier versions of EXP. Because of the compatibility issue described in the topic How EXP Converts Graphics in Pre-EXP 5.1 Documents, you may want to keep your earlier version of EXP installed so you can use it to print existing documents that contain EPS graphics until you have time to re-import the graphics using EXP 5.1.

  • The keyboard commands recognized by EXP are listed in Appendix A of the EXP User's Guide.

  • For the key sequences ALT+UP, ALT+DOWN, ALT+RIGHT, and ALT+LEFT, you must use the separate group of arrow keys and not the arrow keys on the numeric keypad.

  • A sample of mathematics typeset by EXP is provided in Appendix D of the EXP User's Guide.

  • If you are a user of EXP for DOS, the following two sections will be of interest to you: Switching to EXP for Windows, and Appendix C.


Using the Large Fonts Option

Virtually all display drivers that operate at a resolution of 1024x768 or higher provide an option for selecting between "small" and "large" fonts. These options control the logical screen resolution at which Windows operates. The small fonts option causes Windows to operate at 96x96 DPI. The large fonts option causes Windows to operate at 120x120 DPI. The small fonts option gives you more desktop space but everything is drawn smaller. The large fonts option gives you less desktop space but everything is drawn larger. If you want EXP's math to look its best on the screen, use the large fonts option. EXP's TrueType symbol fonts look better at 120 DPI than at 96 DPI.


Printing on High-Resolution Devices

EXP can print on high-resolution devices. If you have a high-resolution printer connected to your computer, simply install the printer's driver and instruct EXP to print to that printer. If you do not own a high-resolution (1270 DPI) printer, you can get your EXP documents printed by a typesetting service bureau. Because the service bureau probably won't have EXP, you must send them a print file generated on your computer. Follow these steps:

  1. Contact the service bureau and ask them exactly which imagesetter they have. See if Windows includes a driver for that printer. If so, use it. If not, ask the service bureau if they can provide you with a Windows printer driver for their imagesetter. Remember, you can use a printer driver even if the printer is not connected to your computer.

  2. Instruct EXP to print your document to a file. You must turn on the check box labeled "Print to File" in the Print dialog box. Also, make sure the printer driver for the imagesetter is the printer driver that EXP is currently using.

  3. Copy the printer output file from your hard disk to a portable disk (ZIP, CD-ROM, etc.). Because the output file may be very large, you may want to break the print job into several files by instructing EXP to print only a certain range of pages into each output file.

  4. Send the portable disk to the service bureau.

Be aware that when you switch to a different printer driver, line and page breaks in your document can change. You should perform your final page break check using Print Preview with the printer driver for the imagesetter.


File Names

EXP 5.1 fully supports long file names. A file or directory name can be up to 255 characters long and can contain any characters except the following:

\ / : * ? < > | "

Your implementation of LaTeX, however, may not support long file names, or may support long file names only if a file name does not contain certain characters such as { or }.

If your document contains graphics and your LaTeX implementation has restrictions on file names, you must take those restrictions into account when you instruct EXP to save the document as a LaTeX file. As described in the topic Conversion of Graphics, EXP creates file names for graphics files by appending a four digit number to the base file name of the LaTeX file. If your LaTeX implementation only supports eight character file names and the document contains graphics, you are restricted to using only a four character long name for the LaTeX file. For example, you could not name the LaTeX file MyReport.tex because then EXP would create graphics file names of MyReport0000, MyReport0001, etc. which could not be processed by your LaTeX implementation. In such a situation, it is recommended you name the LaTeX file "main.tex" and save it in an empty directory. The path to the directory must also not contain any long directory names.


Graphics

When preparing an EXP document for conversion to LaTeX, it is often best if all the graphics in the document were inserted from Encapsulated PostScript (EPS) files. You should also consider using the option "Use source graphics files (when possible)" in the dialog box "LaTeX Conversion Options: Graphics". Refer to the topic Conversion of Graphics. The file names of the EPS files must obey the file naming restrictions of your LaTeX implementation.


Document Templates and Style Sheets

EXP provides six pairs of document templates and style sheets for creating LaTeX documents. Of these six pairs, only the pair for the LaTeX article document class has been adjusted for maximum WYSIWYG in EXP.

If you create a document based on the document template "LaTeX article 12pt" (which uses the LTXART2 style sheet), the document's appearance in EXP will be quite close to the actual LaTeX printed output.

If you create a document based on one of the other five LaTeX-oriented document templates, everything will work correctly, but the document's appearance in EXP will not be as close to the actual LaTeX printed output as is possible. All the LaTeX-oriented style sheets currently use the same formatting as the LTXART2 style sheet.


Bug Fixes

  • Versions of EXP prior to EXP 5.1 Service Pack 2 contain numerical inaccuracies in the logic that displays tick marks and default tab stop positions on the ruler. In certain cases, tick marks or default tab stop positions are not displayed in exactly the correct locations. These inaccuracies have been corrected in EXP 5.1 Service Pack 2.


Graphics

  • EXP now supports GIF graphics files.

  • EXP now supports TIFF graphics files that use LZW compression.


Improved Functionality

  • EXP now enables you to change the zoom level using the mouse wheel. If you hold down the Control key while rotating the mouse wheel, you can increase or decrease the current document's zoom level.

  • EXP now supports the mouse wheel in Print Preview. By rotating the mouse wheel, you can move to the next or previous page.


Bug Fixes

  • Versions of EXP prior to 5.1.0.1 contain a bug in the logic that displays control codes (Show Codes), page numbers, automatic numbers, and footnote marks. This bug is fixed in EXP 5.1.0.1.

  • In the original release of EXP 5.1, there is a problem with the "Repair Installation" option for EXP in Control Panel's Add/Remove Programs dialog box. If the EXP51.exe file gets repaired, the user's authorization code is removed from the system. This problem is fixed in EXP 5.1.0.1.


LaTeX Conversion

  • The LaTeX converter in versions of EXP prior to 5.1.0.1 contains logic that forces paragraphs tagged as "Normal", "Heading", or "Declaration" to structure level 1 (the outermost structure level). As of version 5.1.0.1, that logic has been removed. EXP now respects the user's setting of structure level in all cases.


Bug Fixes

  • Versions of EXP prior to 5.1 contain a bug in the Insert Movie command. On some Windows systems, the first frame of the movie that is inserted into the document is all black. This bug has been fixed and the first frame is now processed correctly.


Fonts

  • EXP now provides 40 new symbols. To view the new symbols, open the document "New Symbols.wxp" located in EXP's <home> directory.

  • The quality of EXP's TrueType symbol fonts has been slightly improved.

  • The file and typeface names of EXP's TrueType symbol fonts have changed. The following table lists the new names:

File Name Typeface Name

EXPCYR.TTF EXP Cyrillic

EXPCYRB.TTF EXP Cyrillic Bold

EXPSYMA.TTF EXP Symbol A

EXPSYMAB.TTF EXP Symbol A Bold

EXPSYMB.TTF EXP Symbol B

EXPSYMBB.TTF EXP Symbol B Bold

EXPSYMC.TTF EXP Symbol C

EXPSYMCB.TTF EXP Symbol C Bold

EXPSYMX.ttf EXP Symbol X

EXPSYMXB.ttf EXP Symbol X Bold


General

  • EXP now has an improved help system that features easier navigation and an easier to read font. Documentation that was previously provided in a collection of WXP files has been integrated into the help system.

  • The WXP file format used to store EXP documents is now more robust. Upon opening a document, EXP is now able to detect common Internet file transfer problems instantly.

  • The file "Keyboard Macros.ekm" is now stored in the per-user Application Data directory. This enables each EXP user of a computer to have their own set of keyboard macros.

  • The General Options dialog box now provides the following new options:

  • Always create new document

This option controls whether EXP automatically creates a new document when you start EXP.

  • Maximize document windows

This option controls whether EXP maximizes the window of a document that is created/opened when no other documents are open.

  • The General Options dialog box no longer provides the option "Set Options When Importing Graphics". This option applied to the ImageStream software, which was removed from EXP. For further information, please read About the Removal of ImageStream.

  • The Document Options dialog box now provides an option to view the document at 144 DPI. This resolution corresponds to two pixels per point.

  • The maximum number of undo steps has been increased to 16384. The default number of undo steps is now 128.

  • The ANSI characters that were formerly called "masculine" and "feminine" are now called "ordmasculine" and "ordfeminine".


Graphics

  • EXP now stores all bitmap graphics in a document in a compressed form. This greatly reduces the size of EXP documents that contain bitmap graphics such as screen captures or photographic images. For further information, please read How EXP Imports Bitmap Graphics.

  • EXP now supports the Windows Enhanced Metafile (EMF) graphics format.

  • EXP now supports the Portable Network Graphics (PNG) graphics format.

  • EXP now contains new built-in software for importing Encapsulated PostScript (EPS) files. This new software results in more robust and more accurate handling of EPS graphics.

  • EXP now provides better support for EXIF JPEG graphics files produced by digital cameras.

  • EXP now supports a wider variety of Windows Bitmap (BMP) graphics.

  • The Change Link dialog box now provides a Browse button that makes it much easier to update a graphic's link. For information about graphics links, please read Using Linked Graphics.

  • The Change Link dialog box now supports changing a link to point to a graphics file of a different graphics type.

  • The maximum size of the graphics cache is now 256 MB. The default size of the graphics cache is now 4 MB. For information about the graphics cache, please read The Graphics Cache.

  • EXP now uses the Windows Media Player to play AVI movies.

  • EXP no longer supports the following vector/metafile graphics formats:

CGM

Corel CDR

DXF

HPGL

Lotus PIC

Macintosh PICT

Micrografx DRW

In previous versions of EXP, these graphics formats were supported through the use of the ImageStream software, which was removed from EXP. For further information, please read About the Removal of ImageStream.

The preferred mechanism for incorporating vector/metafile graphics in EXP documents is to use the Windows Enhanced Metafile (EMF) format. This usually involves simply copying the graphic to the clipboard using the graphics application and then pasting the graphic into an EXP document.


LaTeX

  • The LaTeX converter can now handle much larger paragraphs, tables, matrices, and equation lists.

  • The LaTeX converter now supports the LaTeX "graphicx" package.

  • The LaTeX converter now provides more sophisticated logic for exporting graphics from an EXP document to LaTeX. For further information, please read Conversion of Graphics.

  • The dialog box "LaTeX Conversion Options: Graphics" provides the following new options:

  • Generate \includegraphics macro for graphicx package

  • Use source graphics files (when possible)

  • Export JPEG as BMP

  • Export PNG as BMP

  • Export EMF as WMF

  • The dialog box "LaTeX Conversion Options: Graphics" no longer provides the following options:

  • Export All Graphics As Encapsulated PostScript

This option is no longer provided because it was implemented using the ImageStream software, which was removed from EXP. For further information, please read About the Removal of ImageStream.

  • Use Original Encapsulated PostScript Files

This option is superseded by the option "Use source graphics files (when possible)".

  • Configure EPS Export Filter

This option is no longer provided because it worked in concert with the option "Export All Graphics As Encapsulated PostScript", which was itself removed.


Operating System Feature Support

  • EXP now provides a sophisticated installation management system that utilizes Microsoft's Windows Installer. This software management system provides robust support for installation, installation repair, and uninstallation.

  • EXP now supports Windows XP visual styles/themes.

  • EXP now has improved support for the My Documents folder.


Spelling Checker

  • EXP now uses a different spelling checker engine from previous versions. The vendor of the previous spelling checker engine went out of business.

  • EXP now provides dictionaries for the following languages: English, French, German, Italian, Spanish.

  • The Spelling Checker Options dialog box provides the following new options:

  • Ignore words in UPPERCASE

  • Ignore Internet URLs and e-mail addresses

  • Ignore repeated words

  • The Spelling Checker Options dialog box no longer provides the option "Flag unusual hard-hyphen compound errors". This option was specific to the former spelling checker engine used by previous versions of EXP.

  • EXP now stores exclude dictionaries in the per-user My Documents directory. The filenames of exclude dictionaries have also changed from earlier versions. Please refer to the topic Excluding Words from the Main Dictionary.


About the Removal of ImageStream

EXP versions 3.0 through 5.0.2 included third-party graphics import software called ImageStream. The ImageStream software was used by EXP to import the following graphics formats:

  • Adobe Illustrator

  • CGM

  • Corel CDR

  • DXF

  • HPGL

  • Lotus PIC

  • Macintosh PICT

  • Micrografx DRW

  • PostScript

Brooks/Cole, the former owner of EXP, had a license with the ImageStream vendor for the inclusion of the ImageStream software with EXP. In the late 1990s, the ImageStream vendor discontinued development of the ImageStream product. Later, the defunct ImageStream software was sold to another company.

When Brooks/Cole transferred ownership of EXP in 2002, their license for the use of ImageStream in EXP was terminated. When Symbol Dynamics contacted the current ImageStream vendor about obtaining a license for continued use of ImageStream in EXP, the vendor quoted an absurdly high price, far higher than Brooks/Cole was paying for ImageStream when the ImageStream software was actively being developed and supported. Thus, the decision was made to remove usage of the ImageStream software from EXP.

An extensive search was conducted to try and find a high-quality, reasonably-priced alternative to ImageStream. Unfortunately, no such alternative was found. The alternatives were either of mediocre quality or of such a price that EXP's price would have had to be increased significantly.

EXP continues to support the Encapsulated PostScript graphics format through new high quality graphics import software that is built into EXP. Adobe Illustrator files are also supported, though as Encapsulated PostScript files. EXP does not interpret PostScript or Adobe Illustrator files as did the ImageStream software (with mixed success).


Bookmarks

  • The maximum length of a bookmark name has been increased from 19 characters to 51 characters.

  • The maximum number of bookmarks in a document has been increased from 1,024 to 16,384.


Bug Fixes

  • Versions of EXP prior to 5.0.2 contain a bug in the LaTeX converter's handling of the \psfig and \includegraphics macros. This bug is fixed in EXP 5.0.2.

  • In EXP 5.0, there is a bug related to color handling when importing some 24-bit bitmap graphics files. This bug is fixed in EXP 5.0.2.

  • Versions of EXP prior to 5.0.2 contain a bug in the handling of paragraph borders in certain situations. This bug is fixed in EXP 5.0.2.

  • In EXP 5.0, there is a bug in the Insert Movie command that causes EXP to crash on Windows NT4/2000/XP systems. This bug is fixed in EXP 5.0.2.


Fonts

  • EXP 5.0.2 includes updated EXP fonts that are compatible with Adobe Acrobat 4.0. Previously, these updated fonts were available as a separate download.

  • EXP 5.0.2 supports the euro symbol. The EXP name for the euro symbol is "euro". If you are using Windows 95 or Windows NT 4.0 and your system has not been updated for euro support, the euro symbol will not display correctly. For complete information about Microsoft Windows support for the euro symbol, please see www.microsoft.com/windows/euro.asp.


Graphics

  • EXP now supports the "BitFields" subformat of the Windows Bitmap (BMP) graphics format. Windows NT4/2000/XP use this subformat on 16-bit and 32-bit displays when copying the screen to the clipboard in response to the Print Screen key being pressed.

  • The maximum allowable resolution of a bitmap graphic has been increased from 832 DPI to 4,096 DPI.


Improved Functionality

  • EXP now updates the display in real-time as the thumb box on the vertical and horizontal scroll bars is moved.

  • EXP now enables you to right-click in a document to obtain a popup context menu.

  • The maximum line length has been increased from 4,096 bytes to 16,384 bytes. This means that it is now possible to create much larger tables, matrices, and multiline equations.

  • The layout and positioning of the controls in some dialog boxes has been improved.


Operating System Feature Support

  • On Windows 98/Me/2000/XP, EXP now supports resizable Open and Save As dialog boxes.

  • On Windows 2000/XP, EXP now supports the enhanced Open and Save As dialog boxes with the "Places" bar.

  • EXP now supports the mouse wheel.

  • EXP now supports 65 new types of paper. EXP supports virtually all the paper types supported by Windows 2000/XP.


Introduction

This section outlines the steps necessary to migrate files from an installation of an earlier version of EXP to an installation of EXP 5.1. Note that the notation <home> refers to the directory in which you installed EXP 5.1. If you used the default directory offered by the EXP 5.1 Setup program, the <home> directory will be:

C:\Program Files\Symbol Dynamics\EXP 5.1

After you have moved all your files from your previous version of EXP to EXP 5.1, you can uninstall the previous version. To uninstall the previous version, look in the User's Guide for the previous version for the section titled "Uninstalling EXP". Note that EXP 5.1 can coexist with earlier versions of EXP so it is not necessary to uninstall the previous version if you don't want to.


Migrating Files From EXP 5.0

In this section, the term <oldhome> refers to the directory in which EXP 5.0 was installed. If you used the default directory offered by the EXP 5.0 Setup program, the <oldhome> directory will be:

C:\Program Files\EXP 5.0

  • If you stored personal documents (.WXP files) in the directory "<oldhome>", move them to the My Documents directory.

  • If you stored user dictionaries (.UD files) in the directory "<oldhome>", move them to the My Documents directory.

  • If you defined any keyboard macros, you should copy the file "Keyboard Macros.ekm" from the directory "<oldhome>" to the EXP 5.1 Application Data directory. Please refer to the topic Directories for the exact location of the directory to which you should copy the file. Note that EXP does not create its Application Data directory until it has been started and exited at least once.

  • If you modified the Normal document template, copy the file Normal.wxp from the directory "<oldhome>\Document Templates" to the directory "<home>\Document Templates". It is okay to overwrite the Normal.wxp file already present in that directory. If you created any new document templates, you should move them from the directory "<oldhome>\Document Templates" to the directory "<home>\Document Templates".

  • If you modified the Normal style sheet, copy the file Normal.ess from the directory "<oldhome>\Styles" to the directory "<home>\Styles". It is okay to overwrite the Normal.ess file already present in that directory. If you created any new style sheets, you should move them from the directory "<oldhome>\Styles" to the directory "<home>\Styles".

  • If you created any new Insert files in the directory "<oldhome>\Insert", you should move them to the directory "<home>\Insert".

  • If you created any new EXP-LaTeX tag files in the directory "<oldhome>\LaTeX", you should move them to the directory "<home>\LaTeX".

  • If you created an exclude dictionary (SPEN.EXC) in the directory "<oldhome>\System", you should move it to the My Documents directory and rename it to "EXP Exclude Dictionary - English (USA).exc".


Migrating Files From EXP 4.0

In this section, the term <oldhome> refers to the directory in which EXP 4.0 was installed. If you used the default directory offered by the EXP 4.0 Setup program, the <oldhome> directory will be:

C:\EXP40

  • If you stored personal documents (.WXP files) in the directory "<oldhome>", move them to the My Documents directory.

  • If you modified the Normal document template, copy the file NORMAL.WXP from the directory "<oldhome>\DOCTEMPL" to the directory "<home>\Document Templates". It is okay to overwrite the Normal.wxp file already present in that directory. If you created any new document templates, you should move them from the directory "<oldhome>\DOCTEMPL" to the directory "<home>\Document Templates".

  • If you modified the Normal style sheet, copy the file NORMAL.ESS from the directory "<oldhome>\STYLES" to the directory "<home>\Styles". It is okay to overwrite the Normal.ess file already present in that directory. If you created any new style sheets, you should move them from the directory "<oldhome>\STYLES" to the directory "<home>\Styles".

  • If you created any new Insert files in the directory "<oldhome>\INSERT", you should move them to the directory "<home>\Insert".

  • If you created any new EXP-LaTeX tag files in the directory "<oldhome>\LATEX", you should move them to the directory "<home>\LaTeX".

  • If you created an exclude dictionary (SPEN.EXC) in the directory "<oldhome>\SYSTEM", you should move it to the My Documents directory and rename it to "EXP Exclude Dictionary - English (USA).exc".

  • It is recommended that you not use user dictionaries (.UD files) created by EXP 4.0 with EXP 5.1.


Migrating Files From EXP 3.0

In this section, the term <oldhome> refers to the directory in which EXP 3.0 was installed. If you used the default directory offered by the EXP 3.0 Install program, the <oldhome> directory will be:

C:\WINEXP

  • If you stored personal documents (.WXP files) in the directory "<oldhome>\WXP", move them to the My Documents directory.

  • If you created an exclude dictionary (SPEN.EXC) in the directory "<oldhome>", you should move it to the My Documents directory and rename it to "EXP Exclude Dictionary - English (USA).exc".

  • It is recommended that you not use user dictionaries (.UD files) created by EXP 3.0 with EXP 5.1.


Graphics Formats

EXP can import graphics that are stored in the following graphics formats:

Adobe Illustrator

Encapsulated PostScript

GIF

JPEG File Interchange Format

PCX

Portable Network Graphics

TIFF

Truevision Targa

Windows Bitmap

Windows Enhanced Metafile

Windows Metafile

These graphics formats fall into three categories:

Bitmap Graphics

The picture is represented as a two-dimensional array of colored dots.

GIF

JPEG File Interchange Format

PCX

Portable Network Graphics

TIFF

Truevision Targa

Windows Bitmap

Vector Graphics

The picture is represented geometrically as a series of line segments and curves.

Adobe Illustrator

Metafile Graphics

The picture is represented using one or both of the bitmap and vector techniques.

Encapsulated PostScript

Windows Enhanced Metafile

Windows Metafile


How EXP Imports Bitmap Graphics

When EXP imports a bitmap graphic into a document, EXP stores the graphic in either the JPEG or PNG format, depending on the original format of the graphic.

  • If the graphic is imported from a JPEG file, EXP inserts the JPEG file data into the document without modification.

  • If the graphic is imported from a PNG file, EXP inserts the PNG file data into the document without modification.

  • If the graphic is imported from any other bitmap graphics format, EXP converts the graphic to the PNG format and then inserts the PNG data into the document. The PNG format uses a lossless compression scheme.

  • If the graphic is pasted from the clipboard, EXP converts the graphic to the PNG format and then inserts the PNG data into the document. If the graphic is a photographic image, it is usually preferable to store the image in a JPEG file and then import the JPEG file into EXP. For photographic images, the JPEG format provides superior compression compared to the PNG format.


How EXP Imports Encapsulated PostScript Graphics

When EXP imports an Encapsulated PostScript (EPS) graphic into a document, EXP constructs a multi-format Windows Enhanced Metafile (EMF) that represents the graphic and then inserts the multi-format EMF into the document. A multi-format EMF contains two representations of a graphic: one in PostScript format, the other in regular EMF format. When Windows prints a multi-format EMF on a PostScript printer, Windows sends the embedded PostScript data to the printer. When Windows renders a multi-format EMF on a non-PostScript device, Windows renders the embedded EMF graphic.

The multi-format EMF that EXP constructs contains the original PostScript data from the EPS file along with an EMF version of the EPS file's preview image. EPS files can optionally contain a preview image in either the TIFF or the Windows Metafile format. EXP converts both types of preview image to the EMF format and then embeds the resulting preview EMF in the multi-format EMF. If an EPS file does not contain a preview image, EXP constructs a preview EMF that draws a gray rectangle with the filename of the EPS file centered in the middle.


How EXP Converts Graphics in Pre-EXP 5.1 Documents

When EXP opens a document that was created with a version of EXP prior to version 5.1, EXP converts the format of any graphics in the document.

Files created with EXP 3.0 through EXP 5.0.2

EXP versions 3.0 through 5.0.2 stored all graphics in either Windows Bitmap or Windows Metafile format. These graphics are converted as follows:

  • All Windows Bitmap graphics are converted to Portable Network Graphics (PNG) format. This usually results in a very significant reduction in the size of the graphic. Because the PNG format uses lossless compression, no other changes occur to the graphic.

  • All Windows Metafile graphics are converted to Windows Enhanced Metafile (EMF) format. This can cause a modest increase in the size of the graphic. The reason for the size increase is that the Windows Metafile format is 16-bit oriented whereas the EMF format is 32-bit oriented.

There is one negative side-effect of this conversion: if the Windows Metafile graphic was produced by importing an Encapsulated PostScript (EPS) file, the embedded PostScript data is lost during the conversion. This means that the EPS file's preview image will be printed on PostScript printers. EXP uses a standard operating system function in Windows to perform the Windows Metafile to EMF conversion and it seems Microsoft did not implement the logic necessary to handle special multi-format Windows Metafiles.

The solution to this problem is to re-import the EPS file using EXP 5.1. You can either reinsert the graphic, or, preferably, use EXP's Edit Links command. Here are the steps necessary to re-import a graphic using the Edit Links command:

  1. Click the graphic to select it.

  2. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box. If the graphic is linked, the graphic will be selected in the Edit Links dialog box. If the graphic is not linked, you cannot use the Edit Links command to re-import the graphic. In this case, you have no choice but to reinsert the graphic. This has the negative side-effect of causing any formatting applied to the graphic to be lost.

  3. Choose the Update button.

EXP will close the Edit Links dialog box and then re-import the graphic. If an error occurs, it might be because the EPS file is no longer located in the same directory (or stored with the same filename) as it was when it was first inserted into the document. In this case, use the Change Link button in the Edit Links dialog box to adjust the link's directory and filename as necessary.

For further details about linked graphics, see Using Linked Graphics.

Files created with EXP for DOS

EXP versions prior to version 2.0 did not support graphics. EXP versions 2.0 and 2.1 stored graphics in special graphics library files. When EXP 5.1 opens an EXP 2.x document, it reads the graphics from the graphics library and converts the graphics to Portable Network Graphics (PNG) format. This usually results in a significant reduction in the size of the graphics. Because the PNG format uses lossless compression, no other changes occur to the graphics.


Notes on Using Bitmap Graphics

  • If possible, it is usually preferable to create a graphic in the Windows Enhanced Metafile (EMF) format rather than a bitmap format. EMF graphics can describe an image more compactly and have the added benefit of yielding optimal output regardless of resolution. Bitmap graphics often consume larger amounts of storage and lose quality when scaled.

  • If you paste a bitmap graphic from the clipboard into an EXP document, EXP converts the graphic to the PNG format and then inserts the PNG data into the document. If the graphic is a photographic image, it is usually preferable to store the image in a JPEG file and then import the JPEG file into EXP. For photographic images, the JPEG format provides superior compression compared to the PNG format.

  • If you use another application to copy a bitmap graphic to the clipboard and then use EXP to paste the graphic into a document, be aware of the following issue. Some applications place on the clipboard a redundant Windows Enhanced Metafile representation of the graphic in addition to the Windows Bitmap representation. In such a situation, if you paste the graphic into EXP using the regular Paste command, EXP will retrieve the Windows Enhanced Metafile representation in preference over the Windows Bitmap representation. In most situations, that behavior is desirable. In this particular situation, however, it is not desirable. To get around this problem you must use EXP's Paste Special command to paste the data format called "Graphic (Device Independent Bitmap)".


Notes on Using Vector/Metafile Graphics

  • If you use a graphics application to copy a vector/metafile graphic to the clipboard and then use EXP to paste the graphic into a document, be aware of the following issue. Some graphics applications place text on the clipboard in addition to the Windows Enhanced Metafile representation of the graphic. The text is simply the text contained in the graphic. In such a situation, if you paste the graphic into EXP using the regular Paste command, EXP will retrieve the text in preference over the Windows Enhanced Metafile representation. In most situations, that behavior is desirable. In this particular situation, however, it is not desirable. To get around this problem you must use EXP's Paste Special command to paste the data format called "Graphic (Enhanced Metafile)".


Memory/Storage Considerations

When you create a graphic and insert it into an EXP document, memory and disk space are required in a number of ways:

  • Disk space is required to store the graphics file created by your graphics application.

  • Memory is needed to store the graphic in the EXP document. When you save the document to disk, additional disk space is required.

  • Memory is needed for the EXP graphics cache. The amount of memory EXP uses for its graphics cache is configurable. Refer to the topic The Graphics Cache for details. It is not a simple procedure to calculate the amount of memory a given graphic will require in the graphics cache. It depends on aspects of your Windows display driver.

You can discover how much memory a graphic is consuming in an EXP document by clicking on the graphic (or by positioning the cursor directly before the graphic) and then pressing ALT, R, G. EXP will display the Format Graphic dialog box. The Information section of the dialog box displays the number of bytes required to store the graphic in the document.


Adobe Illustrator

Filename Extension(s)

ai

Type

Vector

Summary

This is the native format of the Adobe Illustrator application.

Notes

  • EXP imports Adobe Illustrator files in exactly the same manner as it imports Encapsulated PostScript files.


Encapsulated PostScript

Filename Extension(s)

eps

Type

Metafile

Summary

This format is the standard by which PostScript graphics are incorporated into documents.

Notes

  • If an EPS file contains either a TIFF or a Windows Metafile preview image, EXP imports the file in such a way that the preview image is rendered on non-PostScript devices but the original PostScript data is sent to PostScript printers.

  • If an EPS file does not contain a preview image, EXP imports the file in such a way that a gray rectangle containing the filename is rendered on non-PostScript devices but the original PostScript data is sent to PostScript printers.

  • For further details, see How EXP Imports Encapsulated PostScript Graphics.


GIF

Filename Extension(s)

gif

Type

Bitmap

Summary

This format is one of the standard graphics formats used on the World Wide Web. The GIF format is widely supported. GIF files use a lossless compression scheme.

Notes

  • EXP imports a GIF file by first converting the graphic to the PNG format and then by inserting the PNG data into the document.

  • Because GIF files do not contain resolution information, EXP assigns the graphic a default resolution.


JPEG File Interchange Format

Filename Extension(s)

jpg, jpeg, jfif

Type

Bitmap

Summary

This format was developed by the Joint Photographic Experts Group for the storage of photographic images. JPEG files use a lossy compression scheme.

Notes

  • EXP imports a JPEG file by inserting the original JPEG file data into the document. EXP does not alter the compression of the JPEG image in any way.

  • If a JPEG file specifies a resolution for the image, EXP uses that resolution. Otherwise, EXP assigns the image a default resolution.

  • EXP also supports EXIF files containing JPEG compressed images. EXIF files are produced by digital cameras.


PCX

Filename Extension(s)

pcx

Type

Bitmap

Summary

This format is widely supported by Paintbrush-style programs. PCX files use a lossless compression scheme.

Notes

  • EXP imports a PCX file by first converting the graphic to the PNG format and then by inserting the PNG data into the document.

  • If a PCX file specifies a resolution for the image, EXP uses that resolution. Otherwise, EXP assigns the image a default resolution.


Portable Network Graphics

Filename Extension(s)

png

Type

Bitmap

Summary

This format is intended for widespread use as a mechanism for storing bitmap graphics using lossless compression.

Notes

  • EXP imports a PNG file by inserting the original PNG file data into the document.

  • If a PNG file specifies a resolution for the graphic, EXP uses that resolution. Otherwise, EXP assigns the graphic a default resolution.


TIFF

Filename Extension(s)

tif, tiff

Type

Bitmap

Summary

This format is widely supported on almost all computer platforms. TIFF is the most full-featured bitmap format. TIFF files can use either a lossless compression scheme or a lossy compression scheme.

Notes

  • EXP imports a TIFF file by first converting the graphic to the PNG format and then by inserting the PNG data into the document.

  • If a TIFF file specifies a resolution for the graphic, EXP uses that resolution. Otherwise, EXP assigns the graphic a default resolution.


Truevision Targa

Filename Extension(s)

tga

Type

Bitmap

Summary

This format was designed for use with image capture hardware. Targa files use a lossless compression scheme.

Notes

  • EXP imports a Targa file by first converting the graphic to the PNG format and then by inserting the PNG data into the document.

  • Because Targa files do not contain resolution information, EXP assigns the graphic a default resolution.


Windows Bitmap

Filename Extension(s)

bmp, dib

Type

Bitmap

Summary

This is the native bitmap format of Microsoft Windows. Windows Bitmap graphics are usually uncompressed but they may use a lossless compression scheme.

Notes

  • EXP imports a Windows Bitmap graphic by first converting the graphic to the PNG format and then by inserting the PNG data into the document.

  • If a Windows Bitmap graphic specifies a resolution, EXP uses that resolution. Otherwise, EXP assigns the graphic a default resolution.

  • EXP supports both compressed and uncompressed Windows Bitmap graphics.

  • Some programs create Windows Bitmap graphics that contain incorrect information. EXP rejects any Windows Bitmap graphic that does not conform to Microsoft's specification.


Windows Enhanced Metafile

Filename Extension(s)

emf

Type

Metafile

Summary

This is the native metafile format of Microsoft Windows.

Notes

  • EXP imports a Windows Enhanced Metafile graphic by inserting the EMF data into the document.

  • Some EMF files were produced by converting older WMF files to the newer EMF format. The vast majority of these converted EMF files contain the older WMF data in a hidden comment record. EXP detects this old WMF data and removes it. This explains why inserting an EMF graphic into EXP often reduces the size of the EMF data.

  • If a Windows Enhanced Metafile graphic contains text, the text's font(s) must be installed on the Windows system in order for the graphic to be displayed correctly. It is strongly recommended that you only use standard Windows TrueType fonts if portability of your graphics is important. When Windows renders an Enhanced Metafile graphic that uses a font that is not installed, Windows substitutes another font. Sometimes the substituted font will look satisfactory and other times it will not.


Windows Metafile

Filename Extension(s)

wmf

Type

Metafile

Summary

This is the native metafile format of the old 16-bit versions of Microsoft Windows.

Notes

  • EXP imports a Windows Metafile graphic by first converting the graphic to the Windows Enhanced Metafile (EMF) format and then by inserting the EMF data into the document.

  • EXP requires Windows Metafile files to be in the Placeable Metafile Format.


Welcome to EXP

EXP® for Windows is a complete, stand-alone scientific word processor for Microsoft Windows™. EXP provides all the features that are standard on most business-oriented word processors in addition to a full range of features that enable you to enter mathematical expressions quickly and easily. EXP displays a What-You-See-Is-What-You-Get (WYSIWYG) view of your text while you are editing it.

EXP lets you mix mathematical expressions freely with text and graphics. Although EXP emphasizes writing mathematics, there is nothing about EXP that limits it to mathematics. EXP is designed to handle the word-processing needs of any of the sciences. For example, EXP includes superscripting and subscripting commands for handling the special requirements of typesetting chemical and atomic formulas such as


EXP Features and Benefits

EXP provides a complete, integrated work environment for writing, editing, and printing scientific documents. The following list describes some of the features that make EXP easy to use and a capable scientific word processor:

• EXP implements much of the math-formatting logic of the TeX typesetting system. This means that the mathematics you create with EXP will look better than with any other WYSIWYG program.

• EXP allows you to save your documents in LaTeX form.

• EXP supports styles and style sheets. This allows you to format your documents quickly and consistently.

• EXP provides an automatic numbering and referencing system that allows you to number elements of your document and refer to those numbers elsewhere in your document. You assign each numbering sequence a unique name, such as "chapter" or "equation".

• EXP provides a high-level table editor and formatter that makes it easy to create complex tables containing text, mathematics, and graphics.

• EXP allows you to enter symbols quickly by name rather than having to search through miles of symbol palettes.

• EXP allows you to define keyboard macros to reduce repetitive typing.

• EXP includes a facility called a text library that allows you to store pieces of text or mathematics to which you refer frequently.

• EXP allows you to insert graphics from a wide range of sources. After you insert a graphic into your document, you can scale and crop it with the mouse.

• EXP uses the Multiple Document Interface standard of Windows to allow you to view and edit multiple documents at the same time. You can easily cut and paste material from one document to another. You can also open multiple windows to the same document. This enables you to refer to one part of a document while you are writing another. EXP automatically updates all the windows of the document each time you make a change in any one of the windows.

• EXP includes custom TrueType fonts that contain more than 500 symbols you can use in your documents. Because TrueType fonts are fully scalable, EXP allows you to typeset your mathematical text in as small as 4-point or as large as 612-point type and to print that text on any Windows-supported printer.

• EXP adheres closely to the Microsoft Windows User Interface Specification. This makes EXP easy to learn and to use.

• EXP is able to read all documents created with the earlier versions of EXP for Windows and EXP for DOS. This protects your investment in the time (and money) to create those documents.


Notation and Conventions

The notation used in this help system is described in the following topics:

The Keyboard

The Mouse

The Cursor

Text


The Keyboard

  • Key names are printed in uppercase. Note that the key names in this user's guide may not match the key names on your keyboard. For example, this user's guide refers to the DELETE key, but your keyboard may have Del.

  • When two or more keys must be pressed together, the key names are joined by plus signs. For example, the keystroke CTRL+O means "Press the CTRL key and then while holding down the CTRL key press the O key." The keystroke CTRL+ALT+D means "Press the CTRL key, then while holding down the CTRL key press the ALT key, then while holding down the CTRL and ALT keys press the D key."

  • When two or more keys must be pressed in succession, the key names are separated by commas. For example, the key sequence ALT, F, O means "Press and release the ALT key, then press and release the F key, then press and release the O key."

  • The four arrow keys are called UP, DOWN, LEFT, and RIGHT.

  • For the key sequences ALT+UP, ALT+DOWN, ALT+RIGHT, and ALT+LEFT, use the separate group of arrow keys, not the arrow keys on the numeric keypad.

  • The key called NUMPAD5 is the 5 key on the numeric keypad.

  • You can access a menu item using either the mouse or the keyboard. In this user's guide, the keys used to access a menu item are given in parentheses at the end of the instructions. For example, "From the File menu, choose Open (ALT, F, O)."


The Mouse

  • The term click means to press, and then release the mouse button.

  • The term double-click means to click the mouse button twice in rapid succession.

  • The term drag means to hold down the mouse button while moving the mouse pointer.


The Cursor

  • The term cursor is used to refer to the blinking vertical line that indicates where new text will be inserted. The Windows User's Guide refers to the cursor as the insertion point.

  • The cursor is said to be on the character that is directly to the right of the cursor.


Text

  • Text you must type is printed in a bold Courier typeface. For example

Type f(x)=x-1


The User Interface

EXP adheres closely to the Microsoft Windows User Interface Specification. This makes EXP easy to learn and to use. If you are not an experienced Windows user, read Chapter 1 of the Windows User's Guide to learn the basics of using any Windows program. Even if you have used Windows programs before, it is strongly recommended that you read this chapter.


Using Dialog Box Controls with Selections

An aspect of the Windows user interface that requires explanation for EXP is dialog box controls that affect document formatting. When you select text in a document, and then display a dialog box that affects formatting, the controls in the dialog box are configured based on whether the formatting changes within the selection. If a formatting attribute is consistent throughout the selection, the selection is said to be homogeneous with respect to that formatting attribute. If a formatting attribute changes within the selection, the selection is said to be nonhomogeneous with respect to the formatting attribute.

For a homogeneous formatting attribute in a selection, the dialog box control will display the current state of the formatting attribute. For a nonhomogeneous formatting attribute in a selection, the dialog box control will be set to the indeterminate state. The indeterminate state for all controls except check boxes is blank. The indeterminate state for check boxes is a checked gray square.

When you apply formatting with a dialog box, controls in the dialog box set to the indeterminate state will not alter formatting attributes in the selection. As an example, consider the following display of the Character Formatting dialog box:

From the appearance of the controls in this dialog box, you know the following:

• The typeface and the italic attribute are nonhomogeneous in the selection. The Typeface edit field is blank, and the Italic check box has a checked gray square.

• All other character formatting attributes are homogeneous in the selection.


The ANSI Character Set

The set of text characters used by Windows programs is called the ANSI character set. This character set is a superset of the ASCII character set used by virtually every computer in existence. The ASCII character set defines a standard set of 128 characters that are internally numbered from 0 to 127. The ANSI character set extends the ASCII character set with an additional 128 characters that are internally numbered 128 to 255. The additional characters include symbols such as †, §, ¶, and ¥, as well as foreign language characters such as é, Å, ç, and þ. These additional characters are referred to as the extended ANSI characters.

In EXP, all the extended ANSI characters are assigned names so they can be easily entered. ANSI characters can be entered via EXP's Symbol Box, which is discussed in the topic The Symbol Box.

To enter an extended ANSI character

  1. Press F4.

EXP will display the Symbol Box.

  2. In the edit field, type the EXP name of the ANSI character you want.

If you don't know the EXP name of the character, click on ANSI Characters in the Groups list, and then browse the Symbols list for the character you want.

  3. Press ENTER.


System Requirements

EXP has the following system requirements:

Operating System

  • Windows 98 (all editions)

  • Windows Me

  • Windows NT 4.0 with Service Pack 6 or later

  • Windows 2000 with Service Pack 3 or later

  • Windows XP (Home or Professional)

Processor

  • A Pentium or Pentium-compatible processor. EXP does not have any specific processor speed requirements beyond those of the operating system.

Memory

  • EXP does not have any specific memory requirements beyond those of the operating system.

Disk Space

  • 13 MB free disk space

Display

  • EXP does not have any specific display requirements beyond those of the operating system.


Installing EXP

If you are using Windows NT 4.0, Windows 2000, Windows XP, or a later version of Windows, you must have administrator privileges to install EXP.

Before you begin the installation process, make sure you have your Symbol Dynamics authorization code for EXP. The Setup program will prompt you to enter this code.

To install EXP

  1. Insert the EXP CD-ROM into your CD-ROM drive.

If your CD-ROM drive is configured for AutoPlay, EXP's Setup program will start automatically. If so, follow Setup's directions to complete the installation process.

If EXP's Setup program does not start automatically, perform the following steps.

  2. From the Windows Start menu, choose Run.

  3. In the Run box, type x:setup and press ENTER, where x is the letter of your CD-ROM drive.

  4. Follow Setup's directions to complete the installation process.


Directories

During installation, Setup asks you to choose the directory in which it should install EXP. This directory is referred to as EXP's <home> directory. Setup creates the following directory hierarchy under the <home> directory:

<home>

Contains document files (WXP files).

<home>\Document Templates

Contains document templates (WXP files).

<home>\Fonts

Contains the TrueType symbol fonts used by EXP.

<home>\Insert

Contains insert files (WXP files).

<home>\LaTeX

Contains various LaTeX-related files.

<home>\Styles

Contains style sheets (ESS files).

<home>\System

Contains all the technical files that comprise the EXP system.

In addition to EXP's <home> directory, there are two other directories that are used by EXP: the My Documents directory, and the Application Data directory.

The My Documents directory is a standard Windows location in which users can store their documents. If the Windows system is configured for multiple users, each user has a different My Documents directory.

The Application Data directory is a standard Windows location under which programs can store data files that are not managed or edited directly by the user. If the Windows system is configured for multiple users, each user has a different Application Data directory. EXP stores keyboard macros in a file called "Keyboard Macros.ekm" that is stored in the following subdirectory of the Application Data directory:

Symbol Dynamics\EXP\5.1

The locations of the My Documents and Application Data directories vary from one Windows system to the next. The following tables show the standard locations of these directories for different Windows systems:

Windows 98

My Documents | C:\My Documents
Application Data | C:\Windows\Application Data

Windows NT 4.0

My Documents | C:\WINNT\Profiles\userid\Personal
Application Data | C:\WINNT\Profiles\userid\Application Data

Windows 2000/XP

My Documents | C:\Documents and Settings\userid\My Documents
Application Data | C:\Documents and Settings\userid\Application Data


Getting Technical Support

For the latest information about technical support options available for EXP, please go to www.expswp.com/support.


Uninstalling EXP

There may be a time when you need to remove EXP from your system.

To uninstall EXP

  1. Make sure you are not running EXP.

  2. Start the Windows Control Panel.

  3. Double-click "Add or Remove Programs".

  4. In the list of installed applications, select EXP.

  5. Choose the Change button.

Your version of Windows may have this button labeled as Add/Remove.

  1. Follow Setup's directions to remove EXP.


Switching to EXP for Windows

This collection of topics is for EXP users who are familiar with EXP for DOS. If you do not fall into that category you will probably want to skip this section.

If you are familiar with the capabilities and user interface of EXP for DOS, you are going to find that EXP for Windows is a radically different program. EXP takes on a whole new look and feel in the Windows environment. EXP for Windows provides more sophisticated formatting and editing capabilities than EXP for DOS, yet the program is substantially easier to learn and to use.

EXP for Windows is not a Windows version of the DOS program. EXP for Windows represents a total redesign and reimplementation of the concept of EXP—a high-performance, WYSIWYG scientific word processor. A great effort has been made to make the new EXP more capable, easier to learn and to use, and more extensible than EXP for DOS.

The following topics describe some of the major differences between EXP for Windows and EXP for DOS.


File Formats

One of the first differences to be aware of is that EXP for Windows uses a completely different file format from EXP for DOS. EXP for Windows is, however, able to read and convert any document file created with EXP for DOS versions 1.0 through 2.1. When you open an EXP for DOS document in EXP for Windows, EXP for Windows will read the document and convert it in memory to the format used by EXP for Windows. The original file on your disk is not affected by this process. The topic Reading EXP for DOS Files describes the details of the conversion process. It is strongly recommended that you read this topic.

After you have opened an EXP for DOS document in EXP for Windows, you can save the document to disk in the new EXP for Windows format. You should save the document to a new file. Use the same root filename as the original file, but use the extension WXP. If you leave off the extension, EXP for Windows will automatically add it. If you attempt to save the EXP for Windows document over the original EXP for DOS file, EXP for Windows will display a warning message and allow you to cancel the command.

Although EXP for Windows is able to read EXP for DOS documents, it is not able to save an EXP for Windows document in EXP for DOS format. The only way to get material from EXP for Windows into EXP for DOS is to save the document with EXP for Windows as a text file, run the text file through the EXP File Import Utility (EXPFIU), and then load the filtered file into EXP for DOS.

EXP for DOS document files are the only EXP for DOS files that can be used with EXP for Windows. Other kinds of EXP for DOS files, such as font or keyboard files, cannot be used with EXP for Windows.


Document Structure

EXP for DOS does not impose much structure on a document. An EXP for DOS document is essentially one long string of control codes and format statements. Header, footer, and footnote definitions are mixed in with the body text.

EXP for Windows does impose a structure on its documents. An EXP for Windows document is composed of a series of one or more paragraphs and one or more sections. A section is composed of one or more sequential paragraphs. Initially, a document has only one section. You can create additional sections by inserting section breaks into the text. Header, footer, and footnote definitions are stored separately from the body text. This document structure is significant because it determines the scope of formatting changes that you make.

EXP for Windows defines three levels of formatting: character-level formatting, paragraph-level formatting, and section-level formatting. The formatting at each level is controlled by menu items under EXP's Format menu.

Character-level formatting can be applied to one or more characters. Character-level formatting is controlled by the Character menu item.

Paragraph-level formatting can be applied to one or more paragraphs. If you put the cursor inside a paragraph and change the formatting of that paragraph, all the text in the paragraph will be affected. Paragraph-level formatting is controlled by the following menu items:

Paragraph

Tabs

Borders

Section-level formatting can be applied to one or more sections. If you put the cursor inside a section and change the formatting of that section, all the paragraphs, headers, footers, and footnotes within that section will be affected. Section-level formatting is controlled by the following menu items:

Page Margins

Page Size/Orientation

Paper Source

Columns

Section

Headers/Footers

Footnotes

Page Numbers


Fonts

EXP for Windows is able to use any standard text or symbol font that can be installed via Control Panel. When you install EXP for Windows, the installation program installs five new TrueType fonts. These fonts contain all the math characters and other special symbols that EXP provides. EXP for Windows provides a larger set of symbols than EXP for DOS. Because the fonts that EXP for Windows uses are TrueType fonts, all the symbols can be scaled smoothly from 4 point to 612 point.


Boxes

EXP for Windows uses box structures to build formulas just as EXP for DOS does. The implementation of boxes in EXP for Windows is, however, different from, and considerably more sophisticated than, the implementation in EXP for DOS.

In EXP for DOS, there are box opening commands and box closing commands. You have to remember which commands can be used to open a box and which can be used to close a box. The situation is further complicated by the fact that not all opening and closing commands can be used together. Some combinations yield incorrect results.

EXP for Windows simplifies the situation by using box types rather than open and close commands. Each mathematical construct that requires the use of a box has a box type devoted to it. A box does still have an opening code and a closing code, but the codes can only be used together. For example, in EXP for DOS you might type

\sum1 rug i'8 eq'8 0'8 close roof infinity'8 close

With EXP for Windows you would enter

sum Llimit i = 0 /Llimit Ulimit infinity /Ulimit

The / notation is borrowed from SGML and means End Of. The Llimit and /Llimit codes define a lower-limit box type. The Ulimit and /Ulimit codes define an upper-limit box type.

With EXP for Windows you cannot manually enter an individual box code; you can only insert a complete box. The act of inserting a box inserts both the opening code and the closing code. EXP for Windows also prevents you from deleting an individual box code. You can only "unbox" a box. Unboxing a box means to delete both the opening code and the closing code but to leave the contents of the box unchanged.

To unbox a box, you position the cursor on either the open code or the close code for the box and press SHIFT+DELETE. This editing, combined with EXP for Windows multilevel undo command, makes it almost impossible to get into the messy situations that it was possible to get into with EXP for DOS.


Automatic Sizing of Math Expressions

EXP for Windows automatically sizes all elements of a formula according to rules defined by the TeX typesetting system. It is no longer necessary, or legal, to append point-size information to the end of a symbol name. EXP for Windows automatically sizes superscripts, subscripts, numerators, denominators, matrix entries, and all the other math constructs.

It is still possible to size a math expression manually if you really need to. You can insert one of the four TeX math style change codes to override the normal math style changes that occur within an expression. You can also select some or all of an expression and scale it by changing the font size of the text.


Inserting Math

The procedure to insert a formula using EXP for Windows is different from the procedure using EXP for DOS. EXP for Windows does not have a direct replacement for the F1 command line used in EXP for DOS. EXP for Windows uses a combination of methods to eliminate the need for typing long control-code strings.

For example, to insert the equivalent of this EXP for DOS expression:

F1 sum1 rug i'8 eq'8 0'8 close roof infinity'8 close ENTER

you would type the following using EXP for Windows:

CTRL+ALT+S i=0 ENTER SHIFT+4 ENTER INSERT

An explanation of this key sequence follows. The CTRL+ALT+S keystroke inserts a template for a summation, positions the cursor in the lower limit, and switches EXP into Math Input Mode. While EXP is in Math Input Mode, the characters you type enter math symbols rather than ordinary text characters. For example, in Math Input Mode the character sequence i=0 enters an italic i variable, a = relation, and a 0. Pressing ENTER while the cursor is in the lower limit moves the cursor to the upper limit. The SHIFT+4 keystroke ($) inserts the ¥ symbol. Pressing ENTER while the cursor is in the upper limit moves the cursor directly after the upper-limit box, which will be the beginning of the expression that is being summed. The final INSERT keystroke switches EXP back to Text Input Mode.

Every math subexpression and symbol cannot have a keystroke because there are not enough keys on the keyboard. With EXP for Windows, frequently used box types and math templates are assigned keystrokes and the others are accessed via popup menus and dialog boxes. If you press F5, EXP will display a popup menu of all the box types. When you choose an item from the menu, EXP inserts a box of that type and positions the cursor inside the box. You can then type the contents for the box and press ENTER to move the cursor outside the box. The F6 key displays a popup menu of all the delimiter-box types. The term delimiter-box replaces the term autoscale-symbol used in EXP for DOS.

Some symbols, such as ¥, are assigned keystrokes while EXP is in Math Input Mode. The keyboard mapping that occurs in Math Input Mode is described in the topic Math Input Mode. The generalized procedure for entering any symbol that EXP provides is to press F4 to display EXP's Symbol Box. You can type the name of the symbol you want in the edit field and press ENTER to insert that symbol. EXP for Windows uses different names for some of the symbols that existed in EXP for DOS. You can discover the name of a symbol by examining the scrollable lists in the Symbol Box. As with EXP for DOS, EXP for Windows accepts any unique prefix of a symbol's name.


Miscellaneous Math-System Differences

• In EXP for Windows, there is no altclose box code. EXP for Windows handles superscript/subscript combinations automatically.

• EXP for DOS has three superscript box commands: sp, asp, and afsp. EXP for Windows has only the Sp box type because EXP for Windows handles all superscript/subscript situations correctly without intervention on your part. The same is true for subscripts.

• With EXP for Windows it is not necessary to use hard spaces inside boxes. EXP for Windows automatically prevents normal spaces from stretching if they occur inside a box.

• EXP for Windows does not add space around a binary operation or a relation if the symbol occurs in Script-style or ScriptScript-style math. Thus, it is correct to type an = symbol in a lower limit as in

EXP for Windows will not pad the = symbol in this case.


Text Libraries

EXP for DOS uses the keyboard macro facility to enter frequently occurring math expressions. EXP for Windows uses a system called text libraries to store math expressions for easy reuse. The details of how to create and manage a text library are discussed in the topic Using Text Libraries. This discussion gives an overview of text libraries.

A text library is a special EXP for Windows document used to store material you refer to repeatedly. An entry in a text library consists of a name followed by the entry's contents. The contents of an entry can contain up to one paragraph of text, math, graphics, footnotes, and formatting. To insert the contents of a text library entry into a document, press F9, type the name of the entry, and then press ENTER. If you refer to a particular entry frequently, you can define a keyboard macro for the entry so you can insert it quickly. For information about keyboard macros, refer to the topic Keyboard Macros.

There is no limit to the number of entries you can place in a text library. Conceivably, you could have thousands. Because you can have multiple text libraries open at once, you can create different text libraries to contain different types of material. For example, you could have one text library for storing fragments of math and another text library for storing people's names. In each case, you assign each entry a textual name. Because all text libraries are actually EXP for Windows documents, you can do anything to them that you can do to a normal document.


Graphics

EXP for Windows manages graphics in a very different manner from EXP for DOS. EXP for Windows does not use graphics libraries at all. Instead, it stores all graphics in the document file itself. Although this does increase the size of a document that uses graphics, the document is far more convenient and easy to manage.

When you open an EXP for DOS document using EXP for Windows, EXP for Windows will import from EXP for DOS graphics libraries all the bitmap graphics used in the document. The topic Reading EXP for DOS Files discusses reading and converting EXP for DOS documents. You should also read the topic How EXP Converts Graphics in Pre-EXP 5.1 Documents.


General Word Processing

The general word-processing capabilities of EXP for Windows are far superior to those of EXP for DOS. Some of the areas in which EXP for Windows is superior are as follows:

• EXP for Windows allows precise control over line spacing. Line spacing may be changed on a paragraph-by-paragraph basis. Normally, EXP for Windows calculates line spacing automatically and adjusts the spacing between lines to accommodate formulas.

• EXP for Windows allows you to specify vertical space above or below a paragraph to separate it from surrounding paragraphs. This eliminates both the need to enter multiple carriage returns to separate paragraphs and the problems those carriage returns cause around a page break.

• EXP for Windows automatically eliminates widow and orphan lines.

• EXP for Windows allows you to change the number of columns anywhere on a page. It will automatically format balanced columns when switching from one column format to another.

• EXP for Windows provides better support for footnotes than EXP for DOS does. In addition to the many new features of the footnoting facility in EXP for Windows, footnotes can now be used with multicolumn formatting.

• EXP for Windows supports Roman numeral page numbers.

• EXP for Windows supports nine different measurement units.

• EXP for Windows has a powerful automatic numbering facility that allows you to define up to 256 named numbering sequences in your document. Textual names such as "chapter" and "equ" are used to refer to numbering sequences. Cross-referencing of the automatic numbers is possible in both the forward and the backward directions.

• EXP for Windows provides more types of special spaces:

nullspace Null Space: a zero-width, nonstretchable space that allows a line break to occur. EXP for DOS supports this type of space.

nbspace Nonbreaking Space: a normal-width, stretchable space that does not allow a line break to occur. This type of space is new for EXP for Windows. This space can be inserted by pressing CTRL+SHIFT+SPACE.

nsspace Nonstretching Space: a normal-width, nonstretchable space that does allow a line break to occur. This type of space was called hardspace in EXP for DOS.

hardspace Hard Space: a normal-width, nonstretchable space that does not allow a line break to occur. This type of space is new for EXP for Windows.

• The use of tabs in EXP for Windows is similar to the use of tabs in other Windows word processors. EXP for Windows supports left-, center-, right- and decimal-aligned tabs. The EXP for DOS style of tab has been renamed Hmove and is still available in EXP for Windows.

• EXP for Windows documents have far fewer control codes embedded in the text because the program does not use control codes to store text-formatting information. In EXP for Windows, codes embedded in the text are referred to as text codes and are generally used only to define content, not to specify formatting. This makes a document easier to edit.

• EXP for Windows provides standard Windows word-processing features such as a ruler and a formatting control panel. This makes it easier to change formatting than with EXP for DOS.


A Quick Tour of EXP

This chapter provides a quick tour of EXP and teaches you the basic skills you need to use EXP. You will learn how to do the following:

· Start EXP

· Recognize and use elements of EXP's environment

· Use EXP's help system

· Enter and edit text

· Enter and edit math at an introductory level

· Save your document

· Use Print Preview to view your document

· Print your document


Starting EXP

To start EXP

From the Windows Start menu, choose Programs, then choose EXP.


The EXP Screen

When EXP starts, the EXP window will appear as shown below:

The acronym MDI stands for Multiple Document Interface. An MDI window displays a document. To see an explanation of an area of the screen, position the mouse pointer in that area and click.


Getting Help

EXP provides extensive context-sensitive help. Help is available on menu items, dialog boxes, and other aspects of EXP. You can get help in the following ways:

To get help on a menu item

Pull down the appropriate menu, move the selection bar to the item you want help on, and press F1.

To get help on a dialog box

Press F1 from within the dialog box.

To display the help system's table of contents

From the Help menu, choose Help Topics (ALT, H, H).

–or–

Press F1.

To display the help system's index

  1. From the Help menu, choose Help Topics (ALT, H, H).

–or–

Press F1.

EXP will display the help system.

  2. Click the Index tab (ALT, I).

To search the help system for a particular word or number

  1. From the Help menu, choose Help Topics (ALT, H, H).

–or–

Press F1.

EXP will display the help system.

  3. Click the Search tab (ALT, S).


Entering Text

You enter text by typing the characters onto the screen. As you type, the characters are entered into the document at the cursor. The cursor appears on the screen as a blinking vertical line. You can move the cursor to a new position either by pointing with the mouse and clicking the left mouse button or by using various keys such as LEFT, RIGHT, UP, or DOWN.


Entering Special Characters

EXP allows you to enter special characters that do not correspond to standard typewriter keys. These special characters and the keystrokes to enter them are listed below:

To Enter Press

a left double quote (") CTRL+Q

a right double quote (") CTRL+QUOTE

an en dash (–) CTRL+ALT+HYPHEN

an em dash (—) CTRL+ALT+SHIFT+HYPHEN

a soft hyphen CTRL+HYPHEN

a nonbreaking hyphen CTRL+SHIFT+HYPHEN

a nonbreaking space CTRL+SHIFT+SPACE

A soft hyphen is a special hyphen that displays only if it appears at the end of a line. You can use soft hyphens to hyphenate words at specific points.


Cursor Movement

Keyboard

Press To

LEFT Move one character to the left

RIGHT Move one character to the right

CTRL+LEFT Move to the start of the previous word

CTRL+RIGHT Move to the start of the next word

CTRL+ALT+LEFT Move to the start of the previous sentence

CTRL+ALT+RIGHT Move to the start of the next sentence

HOME Move to the start of the line

END Move to the end of the line

UP Move up one line

DOWN Move down one line

CTRL+UP Move to the start of the previous paragraph

CTRL+DOWN Move to the start of the next paragraph

CTRL+PAGEUP Move to the start of the window

CTRL+PAGEDOWN Move to the end of the window

PAGEUP Move up one window

PAGEDOWN Move down one window

ALT+PAGEUP Move to the start of the previous page

ALT+PAGEDOWN Move to the start of the next page

CTRL+HOME Move to the start of the document

CTRL+END Move to the end of the document

Mouse

To move the cursor with the mouse, move the mouse pointer so the arrow is between two characters, and then click the left mouse button.

See Also

Cursor Movement between Boxes

Positioning the Cursor with the Mouse


Selecting Text

Keyboard

To select text using the keyboard, hold down the SHIFT key while you press the cursor movement keys. The selected text will be displayed in inverse video.

Mouse

There are several methods by which you can select text using the mouse:

Characters Move the mouse pointer directly before the first character you want to select. Press and hold down the left mouse button and drag the mouse pointer directly after the last character you want to select. Release the mouse button.

Words Move the mouse pointer anywhere over the first word you want to select. Double-click and hold down the left mouse button and drag the mouse pointer over the last word you want to select. Release the mouse button.

Sentences Move the mouse pointer anywhere over the first sentence you want to select. While holding down CTRL, press and hold down the left mouse button and drag the mouse pointer over the last sentence you want to select. Release the mouse button. You do not need to hold down CTRL after you press the mouse button.

Paragraphs Move the mouse pointer to the gray indicator strip to the left of the first paragraph you want to select. Double-click and hold down the left mouse button and drag the mouse pointer over the last paragraph you want to select. Release the mouse button. You do not need to keep the mouse pointer over the indicator strip after you have double-clicked the mouse button.

All Text Move the mouse pointer to the left gray indicator strip, hold down CTRL, and press the left mouse button. Release CTRL and the mouse button.

In each of the above cases, you can start your selection toward the end of the document and select text toward the start of the document.

If you hold down SHIFT when you click, the current selection is extended.

See Also

Cursor Movement

Making a Selection within a Formula


Deleting Text

The following keystrokes can be used to delete text:

DELETE Delete the character to the right of the cursor

BACKSPACE Delete the character to the left of the cursor

CTRL+DELETE Delete the word to the right of the cursor

CTRL+BACKSPACE Delete the word to the left of the cursor

CTRL+K Delete from the cursor to the end of the paragraph

CTRL+L Delete the paragraph the cursor is in

To delete a large block of text, select the text, and then press either DELETE or BACKSPACE.

See Also

Deleting Text Codes


Deleting Text Codes

EXP prevents you from accidentally deleting certain invisible text codes by not allowing those codes to be deleted with just the DELETE or BACKSPACE keys. If you press DELETE while the cursor is sitting on a protected text code, EXP emits a beep. The name of the text code is displayed in the leftmost field of the Status Bar. If you really do want to delete the text code, you must hold down SHIFT while pressing either DELETE or BACKSPACE. This procedure also applies to the CTRL+DELETE and CTRL+BACKSPACE keystrokes.

See Also

Unboxing a Box


The Undo Command

You can undo any deletion or modification you make to a document by pressing CTRL+Z. The menu selection for the Undo command is Edit, Undo. You can also click the [image] button on the Math Panel to invoke the Undo command.

By default, EXP can undo your last eight text modifications. This number is referred to as the number of undo steps. You can change the number of undo steps that EXP will keep track of via the General Options dialog box. From the Options menu, choose General (ALT, O, G). In the edit field labeled Number of undo steps, type the number of undo steps you want. The maximum number of undo steps EXP allows is 16384.

See Also

Using the Undo Command


The Status Bar

The Status Bar displays information about your document and about the current state of EXP. The following Status Bar displays information about the position of the cursor in a sample document:

The Status Bar is divided into six fields:

The Code Name Field

The Code Name field displays the name of the symbol or text code the cursor is on. In the sample Status Bar, the cursor is on a paragraph mark. When the cursor is on an ordinary text character, this field is blank.

The Page Number Field

The Page Number field displays the number of the page the cursor is on. This number is referred to as the User Page Number. User page numbers do not necessarily count sequentially starting at 1 because you can change the starting page number for each section in a document. This number may not be accurate if the document needs to be repaginated. Repagination is discussed in the topic Controlling Repagination.

The Section Number Field

The Section Number field displays the number of the section the cursor is in. Sections are discussed in the topic Formatting Text.

The Physical Page Number Field

The Physical Page Number field displays two numbers. The first number is the physical number of the page the cursor is on. The second number is the number of physical pages in the document. Both of these numbers count sequentially starting at 1. These numbers may not be accurate if the document needs to be repaginated. Repagination is discussed in the topic Controlling Repagination.

The Input Mode Field

The Input Mode field indicates whether EXP is in Text Input Mode or Math Input Mode. Text Input Mode is the default mode when you start EXP. Math Input Mode is used to enter math. You can switch between Text Input Mode and Math Input Mode by pressing INSERT or CTRL+M. When EXP is in Math Input Mode, the Status Bar displays a red background around the word Math. This makes it easy for you to tell which input mode is active. Math Input Mode is discussed in the topic Math Input Mode.

The Keyboard State Field

The Keyboard State field displays the current state of EXP's keyboard macro system. Keyboard macros are discussed in the topic Keyboard Macros.


The Format Panel

The Format Panel displays and allows you to change the style, typeface, font size, font attributes, and alignment of text. If no text is selected, the Format Panel displays the formatting of the text at the current cursor position. If text is selected, the Format Panel displays the formatting of the selected text. In the case of selected text, controls on the Format Panel may be blanked or grayed to indicate that the formatting changes within the selection. The Format Panel also allows you to set the default tab alignment for tabs inserted via the ruler and to display all the invisible codes embedded in your text. The following Format Panel displays the formatting of a new document:

If you rest the mouse pointer over one of the controls on the Format Panel, EXP will display a short description of the control. The description includes the keyboard shortcut for the control, if one exists. These descriptions are called Tool Tips. You can turn them off by changing an option in the General Options dialog box, which is discussed in the topic General Options.

The Style Control –

Use this control to apply a style. Click the control's down arrow to display the list of styles in the document's style sheet. The names of paragraph styles are displayed in bold and those of character styles are displayed in regular type.

When you choose a style from the list, the style is applied to the selected text. If no text is selected and you choose a paragraph style, the style is applied to the paragraph containing the cursor. If no text is selected and you choose a character style, the style will be applied to new text you enter at the current cursor position. You can also type a style name in the control's edit field and press ENTER to apply the style. To activate this control using the keyboard, press CTRL+Y. To exit this control without making a selection, press ESC.

By default, the Style Control lists all the styles in the document's style sheet. You can control which styles are listed by pressing the following keys while the cursor is in the Style Control:

CTRL+A List all paragraph and character styles. This is the default.

CTRL+C List only the character styles.

CTRL+I List only the paragraph and character styles currently in use in the document.

CTRL+P List only the paragraph styles.

The Typeface Control –

Use this control to choose a new typeface. Click the control's down arrow to display the list of available typefaces for your printer. EXP displays a small picture next to each typeface name to indicate what type of font that typeface is coming from. The pictures and the font types are as follows:

The typeface comes from a TrueType font and is available on the screen and the printer.

The typeface comes from a font built into the printer and is available only on the printer. EXP uses the closest matching font available on the screen.

The typeface comes from a scalable font source other than TrueType. Adobe Type Manager fonts fall into this category. The typeface is available on the screen and the printer.

The typeface comes from a bitmap font. The font is designed for the screen and will look poor when printed.

When you choose a new typeface from the list, selected text is reformatted in the new typeface. If no text is selected, text you enter at the current cursor position will be formatted in the new typeface. You can also type a typeface name in the control's edit field and press ENTER to change the typeface. To activate this control using the keyboard, press CTRL+T. To exit this control without making a selection, press ESC.

The Font Size Control –

Use this control to choose a new size for the current typeface. Click the control's down arrow to display the list of available sizes for the current typeface. When you choose a new size from the list, selected text is reformatted in the new size. If no text is selected, new text you enter at the current cursor position will be formatted in the new size. You can also type a number in the control's edit field and press ENTER to change the font size. To activate this control using the keyboard, press CTRL+H. To exit this control without making a selection, press ESC.

The Font Attribute Buttons –

Use these buttons to toggle bold, italic, and underlining. When you click one of these buttons, selected text is reformatted with the new font attribute. If no text is selected, text you enter at the current cursor position will be formatted with the new font attribute. The keyboard shortcuts for these buttons are CTRL+B, CTRL+I, and CTRL+U, respectively.

The Paragraph Alignment Buttons –

Use these buttons to set the paragraph alignment to left, center, right, or justify, respectively. When you click one of these buttons, selected paragraphs are reformatted with the new alignment. If no text is selected, the paragraph containing the cursor is reformatted with the new alignment. The keyboard shortcuts for these buttons are CTRL+SHIFT+L, CTRL+SHIFT+C, CTRL+SHIFT+R, and CTRL+SHIFT+J, respectively.

The Tab Alignment Buttons –

Use these buttons to specify the type of tab to define the next time you define a tab using the ruler. The buttons set left-, center-, right-, and decimal-aligned tabs, respectively. You define a tab using the ruler by moving the mouse pointer to the appropriate position below the ruler scale, holding down SHIFT, and clicking the left mouse button.

The Show Codes Button –

Use this button to toggle the display of invisible text codes. When the button is pushed in, text codes are displayed as [name], where name is the name of the text code. When the button is out, text codes are not displayed. The keyboard shortcut for this button is F12.


Basic Math Entry

EXP provides several methods to enter math. The basic methods discussed in this quick tour are

• Switch into Math Input Mode and type.

• Enter symbols by typing their names in the Symbol Box.

• Use keyboard shortcuts to insert math structures.

• Click buttons on the Math Panel.

Other methods discussed in the topic Entering and Formatting Math are

• Choose items from the Math menu.

• Create a text library and place formula fragments in the library. The fragments can then be inserted into your documents with a few keystrokes.

Refer to the following topics:

Math Input Mode

Inserting Superscripts and Subscripts

The Math Panel

The Symbol Box


Math Input Mode

When you start EXP, the program is in Text Input Mode. This means that the character keys you press result in ordinary text characters being inserted into your document. When you are about to enter math, press the INSERT key to switch EXP into Math Input Mode. The Input Mode field of the Status Bar displays the current input mode. When EXP is in Math Input Mode, the word Math is displayed in this field with a red background. The red background makes it easy for you to tell which input mode is active. In addition to when you press INSERT, EXP switches automatically into Math Input Mode when you use a command that normally requires Math Input Mode. You can also switch into Math Input Mode by pressing CTRL+M.

In Math Input Mode, EXP remaps the keyboard so that the character keys cause math symbols instead of text characters to be inserted. For example, in Text Input Mode the X key inserts the text character x, whereas in Math Input Mode the X key inserts the variable x.

The following table shows the keyboard mapping that takes place in Math Input Mode. Any character key not listed in the table is ignored when EXP is in Math Input Mode. If an unlisted key is pressed in Math Input Mode, EXP will emit a beep.

Math Input Mode makes it quick and easy to enter formulas such as

To enter this formula, you press INSERT, type f(x)=x-1, and then press INSERT again. The first INSERT switches EXP into Math Input Mode; the second one switches EXP back into Text Input Mode.


Inserting Superscripts and Subscripts

EXP provides numerous keystrokes for inserting superscripts and subscripts:

CTRL+1 Insert superscript 1

CTRL+2 Insert superscript 2

CTRL+3 Insert superscript 3

CTRL+4 Insert superscript 4

CTRL+6 Insert a generic superscript

CTRL+ALT+1 Insert subscript 1

CTRL+ALT+2 Insert subscript 2

CTRL+ALT+3 Insert subscript 3

CTRL+ALT+4 Insert subscript 4

CTRL+7 Insert a generic subscript

The keystrokes CTRL+6 and CTRL+7 allow you to enter a specific superscript or subscript. When you press one of these keystrokes, EXP inserts an empty superscript or subscript and positions the cursor inside it. You type the contents you want, and then press ENTER to exit the superscript or subscript.

In case you are wondering, the CTRL+6 keystroke is assigned to the superscript function because the ^ character appears above the 6 key. The CTRL+7 keystroke is assigned to the subscript function because it is next to the 6 key. It is also convenient to have the superscript and subscript keys near the center of the keyboard.


The Math Panel

The Math Panel allows you to enter certain frequently used math constructs and to perform certain common file and editing operations. The Math Panel is shown below:

If you rest the mouse pointer over one of the controls on the Math Panel, EXP will display a short description of the control. The description includes the keyboard shortcut for the control, if one exists. These descriptions are called Tool Tips. You can turn them off by changing an option in the General Options dialog box, which is discussed in the topic General Options.

The first eight buttons on the Math Panel perform file and editing functions. The other buttons perform math-related functions. It does not make any difference if EXP is in Math Input Mode or Text Input Mode when you click one of the buttons; the result will be the same. These are the functions performed by each button on the Math Panel:

New File –

Click this button to start a new document based on the Normal document template. The keyboard shortcut for this button is CTRL+N.

Open File –

Click this button to open an existing document. This button corresponds to the File, Open menu item. The keyboard shortcut for this button is CTRL+O.

Save File –

Click this button to save the current document. This button corresponds to the File, Save menu item. The keyboard shortcut for this button is CTRL+S.

Print File –

Click this button to print the current document. This button corresponds to the File, Print menu item. The keyboard shortcut for this button is CTRL+P.

Cut –

Click this button to cut the selected text to the clipboard. This button corresponds to the Edit, Cut menu item. The keyboard shortcut for this button is CTRL+X.

Copy –

Click this button to copy the selected text to the clipboard. This button corresponds to the Edit, Copy menu item. The keyboard shortcut for this button is CTRL+C.

Paste –

Click this button to paste the contents of the clipboard into the current document at the cursor position. This button corresponds to the Edit, Paste menu item. The keyboard shortcut for this button is CTRL+V.

Undo –

Click this button to undo the most recent modification you made to the document. This button corresponds to the Edit, Undo menu item. The keyboard shortcut for this button is CTRL+Z.

Insert Summation Template –

Click this button to insert the template for a summation. The cursor will be positioned in the lower limit. Type the lower limit, and then press ENTER to move the cursor into the upper limit. Type the upper limit, and then press ENTER to exit the template. The keyboard shortcut for this button is CTRL+ALT+S. Example:

Insert Product Template –

Click this button to insert the template for a product. The cursor will be positioned in the lower limit. Type the lower limit, and then press ENTER to move the cursor into the upper limit. Type the upper limit, and then press ENTER to exit the template. The keyboard shortcut for this button is CTRL+ALT+P. Example:

Insert Integral Template –

Click this button to insert the template for an integral. The cursor will be positioned in the lower limit. Type the lower limit, and then press ENTER to move the cursor into the upper limit. Type the upper limit, and then press ENTER to exit the template. The keyboard shortcut for this button is CTRL+ALT+I. Example:

Insert Sp Box –

Click this button to insert the box for a superscript. The cursor will be positioned in the superscript. Type the superscript, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+6. Example:

Insert Sb Box –

Click this button to insert the box for a subscript. The cursor will be positioned in the subscript. Type the subscript, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+7. Example:

Insert One Half –

Click this button to insert the fraction 1/2. The keyboard shortcut for this button is CTRL+ALT+H. Example:

Insert Frac Box –

Click this button to insert the box for a fraction. The cursor will be positioned in the numerator. Type the numerator, and then press ENTER to move the cursor into the denominator. Type the denominator, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+SLASH. Example:

Insert Choose Template –

Click this button to insert the template for a binomial coefficient. The cursor will be positioned in the upper field. Type the upper field, and then press ENTER to move the cursor into the lower field. Type the lower field, and then press ENTER twice to exit the template. The keyboard shortcut for this button is CTRL+ALT+C. Example:

Insert Limit Template –

Click this button to insert the template for a limit. The cursor will be positioned to the left of the arrow. Type the variable for the limit, and then press RIGHT to move the cursor to the right of the arrow. Type the limit for the variable, and then press ENTER to exit the template. Finally, type the expression whose limit is being taken. The keyboard shortcut for this button is CTRL+ALT+L. Example:

Insert Root Box –

Click this button to insert the box for a root. The cursor will be positioned in the index field. Type the index, and then press ENTER to move the cursor under the radical. (If you are entering a square root, press ENTER without typing anything.) Type the radicand, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+ALT+R. Example:

Insert Paren Box –

Click this button to insert the box for parentheses. The cursor will be positioned between the parentheses. Type an expression, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+9. This keystroke is assigned to this function because ( appears above the 9 key. Example:

Insert Displayed Equation Template –

Click this button to insert the template for a displayed equation. The cursor will be positioned for you to type the equation. Type the equation, and then press END to exit the template. The keyboard shortcut for this button is CTRL+ALT+D. Example:

Insert Rflush Box –

Click this button to insert a right-flush box. The cursor will be positioned inside the box. Type the contents for the box, and then press ENTER to exit the box. The keyboard shortcut for this button is CTRL+ALT+N.

An Rflush box is often used in conjunction with a displayed equation to typeset an equation number to the right of the equation. To accomplish this, you would perform these steps:

1. Click the [image] button.

–or–

Press CTRL+ALT+D.

2. Type the equation.

3. Press ENTER to exit the Equcenter box that centers the equation.

4. Click the [image] button.

–or–

Press CTRL+ALT+N.

5. Type the equation number.

6. Press END to exit the Displayed Equation template.

Example:


The Symbol Box

EXP provides more than 500 symbols. Although some of these symbols can be entered by switching into Math Input Mode and typing, most symbols must be entered through EXP's symbol input dialog box. This dialog box is referred to as the Symbol Box.

To display the Symbol Box, press F4. From EXP's menu, you can choose Math, Insert Symbol to display the Symbol Box.

EXP assigns every symbol a name. Furthermore, EXP classifies symbols into groups. The list box labeled Groups lists the names of all the symbol groups. The list box labeled Symbols lists the names of all the symbols contained in the group selected in the Groups list. You can browse through the lists to see the various symbols that are available. See Appendix B in the EXP User’s Guide for a list of all the symbols and tips on the proper use of the symbols.

Refer to the following topics:

Entering Symbols

The Formatting Behavior of Symbols

The Symbol Box Buttons

Notes Concerning the Symbol Box


Entering Symbols

After you press F4 to display the Symbol Box, you have a choice of several methods to insert a symbol into your document.

• Type the name of the symbol into the edit field and press ENTER. EXP will insert the symbol and hide the Symbol Box. You do not have to type the complete name; EXP will accept any prefix of the complete name as long as it is unique. For example, you can enter an alpha by typing alp. You can enter several symbols at once by typing their names in the edit field and separating them with spaces.

• Locate the symbol using the Groups and Symbols list boxes, select the symbol's entry in the Symbols list box, and then press ENTER. EXP will insert the symbol and hide the Symbol Box.

• Locate the symbol using the Groups and Symbols list boxes, select the symbol's entry in the Symbols list box, and then press SPACE. EXP will insert the symbol but will not hide the Symbol Box. Use this method if you want to insert several symbols in a row using the keyboard and you don't know the names of the symbols.

• Locate the symbol using the Groups and Symbols list boxes, and then double-click the symbol's entry in the Symbols list box. EXP will insert the symbol but will not hide the Symbol Box. Use this method if you want to insert several symbols in a row using the mouse and you don't know the names of the symbols.

See Also

The Symbol Box


The Formatting Behavior of Symbols

Once you have entered a symbol into your document, that symbol will exhibit the following behavior:

• The symbol will scale with the font size of the text. If you change the font size of a passage of text, any symbols contained in that passage will change size.

• The symbol will assume the bold attribute of the text. If you format a passage of text in bold, any symbols contained in that passage will become bold.

• The symbol may or may not assume the italic and underlining attributes of the text depending on the specific symbol. Most symbols cannot be made italic by formatting the text in italic. Most symbols can, however, be underlined by formatting the text with underlining. Examples of symbols that cannot be made italic are x, a, +, and å. Examples of symbols that cannot be underlined are å, Õ, and ò.

The ANSI Characters group is different from the other groups in that the symbols in this group are actually the extended characters contained in every standard TrueType text font for Microsoft Windows. When you insert a character from this group into your document, the character will assume all the formatting attributes of the text.


The Symbol Box Buttons

The Symbol Box contains four buttons:

Insert Choose this button to insert the symbols you entered in the edit field into the document without hiding the Symbol Box. From the keyboard you can choose this button with ALT+I.

Insert and Hide Choose this button first to insert the symbols you entered in the edit field into the document and then to hide the Symbol Box. From the keyboard you can normally choose this button with ENTER because this is the default button for the Symbol Box. You can also choose this button with ALT+A.

Hide Choose this button to hide the Symbol Box without inserting any symbols into the document. From the keyboard you can choose this button with ALT+H.

Less<< Choose this button to shrink the Symbol Box so that it does not display the Groups and Symbols list boxes. From the keyboard you can choose this button with ALT+L. In this form the Symbol Box takes up much less space. You can move the Symbol Box to a corner of the screen where it will be out of the way. Obviously, you will need to know the names of any symbols you want to insert because you will not have immediate access to the symbol lists. You can enlarge the Symbol Box to full size by choosing the More button. From the keyboard you can choose this button with ALT+M.

See Also

The Symbol Box


Notes Concerning the Symbol Box

• You can enter certain special characters and text codes with the Symbol Box by typing their names into the edit field. Examples of such characters and codes are the special spaces under the Insert menu and the math spaces and math styles under the Math menu. Box codes cannot be entered with the Symbol Box.

• The Symbol Box provides history recall for the edit field. Press UP to step back through symbol names you entered earlier.

• The Symbol Box is a modeless dialog box. This means that when the Symbol Box is active you can click a document window to edit the document and the Symbol Box will remain visible. When you click the Symbol Box or press F4, the Symbol Box will be reactivated.


Saving a Document

A document is not permanently stored until you explicitly save it to a disk. When you create a new document, the document does not have a filename associated with it. You associate a filename with a new document the first time you save it.

To save a document

  1. From the File menu, choose Save (ALT, F, S).

–or–

Press CTRL+S.

–or–

Click the [image] button on the Math Panel.

If you previously saved the document, and thus associated a filename with it, EXP will save the document immediately. If this is the first time you are saving the document, EXP will display the Save As dialog box.

  1. In the File name edit field, type a filename for the document.

The filename must be a legal Windows filename. If you do not type a filename extension, EXP automatically appends .WXP to the filename. This is the recommended extension for EXP for Windows document files.

  2. If you want to save the document in a directory other than the directory shown in the Save in control, use the control to change the directory.

  3. Choose the OK button.

See Also

Opening and Saving Documents


Using Print Preview

Before you print a document on paper, you may want to use Print Preview to view the appearance of your document. In Print Preview, EXP displays all margins, headers, footers, footnotes, and columns exactly as they will appear on the final printed page. You cannot perform any document editing while in Print Preview.

To enter Print Preview

From the File menu, choose Print Preview (ALT, F, V).

–or–

Press CTRL+SHIFT+P.

When you enter Print Preview, the Math Panel, the Format Panel, the Status Bar, and all the document windows are hidden. In their place EXP displays two side-by-side pages, beginning with the page the cursor is on. You can move through the document in the following ways:

To move forward one page

Press PAGEDOWN.

–or–

Click below the thumb position on the vertical scroll bar.

–or–

Click the down arrow on the vertical scroll bar.

To move backward one page

Press PAGEUP.

–or–

Click above the thumb position on the vertical scroll bar.

–or–

Click the up arrow on the vertical scroll bar.

To move to the first page

Press CTRL+HOME.

–or–

Drag the thumb position on the vertical scroll bar all the way to the top.

To move to the last page

Press CTRL+END.

–or–

Drag the thumb position on the vertical scroll bar all the way to the bottom.

To move to a relative position in the document

Drag the thumb position on the vertical scroll bar to a new position.

Moving through the document in Print Preview does not change the position of the cursor. When you exit Print Preview, the cursor will be in exactly the same place as it was when you entered Print Preview.

While in Print Preview, EXP displays a button bar directly underneath the menu bar. The function of each button is as follows:

Print Choose this button to print the document. The keyboard shortcut for this button is P. EXP will display the Print dialog box. If you instruct EXP to print the current page, it will print the page the cursor is on, which is not necessarily the page you are looking at in Print Preview. To print a specific page, type the number of that page in the Pages edit field.

One Page Choose this button to display one page at a time. The keyboard shortcut for this button is A. Because more space is available for a page when only one is being displayed, EXP is able to display the page larger, and thus it is more legible. This is particularly relevant to landscape pages. When EXP is displaying only one page, it changes the label on this button to Two Pages. If you choose the button in this state, EXP will return to a two-page display.

Cancel Choose this button to exit Print Preview. The keyboard shortcuts for this button are ESC and C.

To exit Print Preview

From the File menu, choose Print Preview (ALT, F, V).

–or–

Press CTRL+SHIFT+P.

–or–

Press ESC.

–or–

Click the Cancel button on the Print Preview button bar.

See Also

Printing


Printing a Document

After you have examined your document using Print Preview and determined that there are no obvious page layout problems, you are ready to print your document.

To print a document

  1. From the File menu, choose Print (ALT, F, P).

–or–

Press CTRL+P.

–or–

Click the [image] button on the Math Panel.

EXP will display the Print dialog box.

  1. To print only the current page, press ENTER. The current page is the page containing the cursor.

  2. To print the entire document, press UP to select the All button, and then press ENTER.

  3. To print a range of pages, press DOWN to move the cursor into the Pages edit field. If you want to print just one page, type the page's number. If you want to print a range of pages, type the starting page's number followed by a hyphen followed by the ending page's number. Press ENTER.

When EXP begins printing, it will display the Printing Status box. The Printing Status box displays the name of the printer, the name of the document being printed, and the number of the page currently being printed.

To cancel printing

Press ESC.

–or–

Choose the Cancel button.

See Also

Printing


Entering and Formatting Math

This chapter will teach you everything you will need to know to enter, edit, and format mathematics with EXP. It assumes you read Chapter and are familiar with the Math Panel and the Symbol Box.


Typographic and Formatting Conventions

Mathematics uses different typographic and formatting conventions from normal text. Text is typically typeset in a nonitalic font and characters are positioned close together. In contrast, a mathematical expression is typeset in an italic font and the spacing between symbols is less tight. To give an example of the differences between these two formatting conventions, consider the formula

which was entered using EXP's Math Input Mode. To see the difference between this representation, which uses correct mathematical conventions, and the representation you would obtain by entering the formula as normal text, consider

f(x)=x-c

where the formula was entered as normal text, or

f(x)=x-c

where the formula was entered as normal text but in italics. You can see the differences immediately. In addition to the obvious spacing differences, notice that when the formula was typed as text, the HYPHEN key entered a hyphen, but when the formula was typed in Math Input Mode, the HYPHEN key entered a minus sign.

The example above demonstrates another convention of mathematics typesetting: The spacing of a symbol depends upon the usage of that symbol. If a symbol is serving as a relation, such as the equals sign (=), extra space is added around the symbol to separate it visually from the left and right sides of the formula. If a symbol is serving as a binary operation, such as the minus sign (-), extra space is added around the symbol to separate it visually from the expression to its left and to its right. All the symbols in EXP have the correct spacing built in. Thus, you should not type spaces around symbols.

One spacing situation that you need to be aware of is the use of the plus (+) and minus (-) signs as unary operations. A unary operation operates on only one expression, not two. For example, in the formula

the minus sign is operating only on the x. In this case, the minus sign does not have additional space added around it as it does when it serves as a binary operation.

When you are in Math Input Mode and press the HYPHEN key, EXP enters a binary operation minus sign. To enter a unary operation minus sign, press SHIFT+HYPHEN. In EXP, the unary operation minus sign is called neg. Similarly, when you are in Math Input Mode and type a plus sign, EXP enters a binary operation plus sign. To enter a unary operation plus sign, press CTRL+EQUALS. (Note that the plus sign is above the equals sign on the keyboard.) In EXP, the unary operation plus sign is called pos.

It is important to make the distinction between a unary operation and a binary operation because failing to do so will result in incorrectly typeset formulas such as

This formula should be typeset as


Boxes

When ordinary text is being typeset, the characters are typeset one after the other along the line. When mathematics is being typeset, symbols can also be typeset one after the other, but they are also often grouped into two-dimensional structures such as fractions or matrices. In EXP, the formatting of mathematical structures is based on the concept of a box.

A box is the rectangle that surrounds a single symbol or a group of symbols that have been positioned together. The simplest box is one that contains a single symbol, such as x. More complex boxes are constructed by grouping together several simpler boxes. This technique of putting boxes within boxes is called nesting. EXP allows boxes to be nested up to 12 levels deep.

There are many types of boxes in EXP. Each type performs a different formatting task. You can display a popup menu of all the box types by pressing F5. Each box type is described in detail in Chapter 4. The two most frequently used boxes are the Sp and the Sb boxes that format superscripts and subscripts. When you press CTRL+6 to enter a superscript, EXP enters an Sp box and positions the cursor inside it. Two codes are inserted into your document to define the box: an open code and a close code. The open code defines the start of the box, and the close code defines the end of the box. In the case of an Sp box, the open code is called Sp and the close code is called /Sp. The close code always has the same name as the open code but with a slash before it.

The material you enter between the open code and the close code is called the contents of the box. Initially, the box is empty. As you type, you add to the contents of the box. EXP automatically reformats the text as the box grows in size. EXP will never break a line inside a box. Also, it will not stretch spaces within a box to perform right justification. A line of text that contains spaces inside boxes and outside boxes will only have the spaces outside boxes stretched to achieve right justification.

There are two limitations to what you can put in a box. First, because a box must fit on one line in the document, you cannot insert a paragraph or line break in a box. Second, because the box must fit on one line, the box must not exceed about 4K bytes in size. If you exceed this limit, EXP will be forced to end the line somewhere inside the box. In this event, the box will be disabled and the open and close codes will be displayed. You must make the box smaller so EXP can fit the entire box on one line.


Two-Field Boxes

Most boxes are defined by two codes: an open code and a close code. These boxes contain a single field for you to fill in. Some boxes, such as the Root box, are defined by three codes: an open code, a field-separator code, and a close code. These boxes contain two fields for you to fill in, and thus they are referred to as two-field boxes. In the case of the Root box, the two fields are called the index and the radicand. The name of the field-separator code for the Root box is Of. The two fields of a two-field box are formatted together to create a single structure. You can think of the two fields as two sub-boxes.

Two-field boxes are entered and edited in the same manner as ordinary boxes. The only difference between these two types of boxes is that in the case of a two-field box, you can enter contents for the first field, press ENTER to move the cursor into the second field, and then enter contents for the second field. The two-field box types are

Frac

Postsp

Presp

Root

Stack

A description of each of these box types is given in Chapter 4.


Delimiter- and Arrow-Boxes

EXP provides special box types for drawing automatically sized delimiter symbols around the contents of a box. Unlike an ordinary box, a delimiter- or arrow-box does not perform any special formatting; it simply draws a symbol. In all other respects, delimiter- and arrow-boxes behave exactly the same as ordinary boxes.

You can display a popup menu of the delimiter-box types by pressing F6. You can display a popup menu of the arrow-box types by selecting Math, Insert Arrow-Box (ALT, M, A) from EXP's menu. The topic Math Reference describes each delimiter- and arrow-box.

For most of the delimiter- and arrow-boxes, there are three forms of the box: one that draws both the left delimiter and the right delimiter, one that draws only the left delimiter, and one that draws only the right delimiter. The boxes that draw only one or the other delimiter have the letter L or R appended to the box name. For boxes that draw horizontal delimiters above and below a box, the letter L (for lower) or U (for upper) is appended to the box name.

Some examples of using delimiter-boxes are shown below.

Use of a Paren box:

Use of a BraceL box:

Use of an HbraceU box:


Templates

Certain frequently used mathematical constructs require the use of both symbols and boxes. To facilitate the entry of these constructs, EXP provides a number of templates. A template is a piece of fill-in-the-blanks mathematics. You can display a popup menu of all the templates by pressing F7. When you choose an item from the menu, EXP inserts the template into your document. You can also use keyboard shortcuts to speed up their entry. For example, you can press CTRL+ALT+S to enter the Summation template:

This template enters a summation symbol with upper- and lower-limit boxes. Initially, the upper- and lower-limit boxes are empty, and the cursor is positioned in the lower limit box. You would type the lower limit and then press ENTER to move the cursor into the upper limit box. You would type the upper limit and then press ENTER to exit the template. The topic Math Reference provides a complete list of the templates and describes their use.

As far as formatting is concerned, there is nothing special about a template. You can enter a formula with or without using templates and achieve exactly the same results. Templates exist solely to speed up the process of entering math. It is not necessary to be in Math Input Mode when you insert a template. EXP will switch into Math Input Mode automatically.


The Previous Box

EXP uses the concept of a previous box to format a math expression. The previous box is defined as the most recently encountered character or box. You can see from this definition that the previous box is not necessarily an actual box.

Many box types format themselves based on the previous box. For example, the Sp box defines a superscript for the previous box. In the case of an integral, the previous box for the Sp box would be the int symbol:

You can also use the Sp box to define a superscript for a box:

In this example, the Sp box is superscripting the Paren delimiter-box that encloses the summation. The descriptions of the box types in Chapter 4 indicate which box types make use of the previous box.


Inline Versus Display Math

This topic is abbreviated because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide for the full text.

To typeset mathematics properly with EXP, it is important for you to understand the difference between inline math and display math.

The term inline math refers to math entered into a paragraph on the same line as ordinary text.

The term display math refers to math formatted on a line of its own. Another term for display math is displayed equation. A displayed equation is typeset on a line of its own and is visually separated by vertical space from the lines of text above and below it. All displayed equations in EXP are typeset using a Display box. A Display box is one of the many types of boxes provided by EXP.

There are more differences between inline and display math than simply the fact that display math is typeset on a line of its own. There are many subtle formatting differences between the two types of math.

EXP takes care of all the formatting differences between inline and display math automatically. You do not have to do anything special to account for the differences. If you cut and paste an inline expression into a displayed equation, EXP will automatically reformat the expression the instant you paste it into the displayed equation. The same situation applies to moving a piece of a displayed equation to an inline location.


Math Styles

The EXP math formatting system is closely modeled after the TeX typesetting system. One of the techniques that EXP adopts from TeX is the use of eight math styles to control the formatting of mathematics. Math styles are not like the formatting styles discussed in the topic Styles. Instead, math styles are really math-formatting modes. The eight styles are

TeX Math Style Name EXP Math Style Name Abbreviation

Display Style Dstyle D

Display Style (cramped) Dstyle (cramped) D’

Text Style Tstyle T

Text Style (cramped) Tstyle (cramped) T’

Script Style Sstyle S

Script Style (cramped) Sstyle (cramped) S’

ScriptScript Style SSstyle SS

ScriptScript Style (cramped) SSstyle (cramped) SS’

There are four basic math styles: Dstyle, Tstyle, Sstyle, and SSstyle. Dstyle is the style of display math. Tstyle is the style of inline math. Sstyle is the style of first-level superscripts and subscripts. SSstyle is the style of second-level superscripts and subscript. Each of these four math styles has a cramped style. Cramped styles are in effect underneath a line, such as a fraction line. In a cramped style, superscripts are not raised as much as they normally would be. It is not possible to switch into a cramped style manually.

At the beginning of every line in an EXP document, the math style is Tstyle. The math style can only change in one of two ways: You enter a box that implicitly changes the math style, or you can insert a math style change code that explicitly changes the math style. If a box causes a math style change, that change remains in effect until the close code of the box, at which point the math style reverts to the setting it had before the box was opened. Thus, changes to the math style are local to the box in which they occur.

During the course of typesetting a formula, EXP may change math styles internally many times. Chapter 4 provides the full details of the math style changes that occur for a given box type. As a user, all this internal math style switching is transparent to you. There are no math style definitions for you to worry about. EXP has many complex rules built into its formatting engine that control how mathematics is formatted in each of the eight math styles.

If for some reason you need to override the normal math style changes that occur within a formula, you can insert a math style change code manually.

To insert a math style change code

  1. From the Math menu, choose Insert Math Style (ALT, M, Y).

  2. Choose the desired math style from the menu. You can press D for Dstyle, T for Tstyle, S for Sstyle, or E for SSstyle.

–or–

  1. Press F4 to display the Symbol Box.

  2. Type the name of the math style and press ENTER.

When you manually override the math style by inserting a math style change code, be aware that the change you make is local to the current box. If you insert a math style change code outside any box, the math style will remain in effect until the end of the current line. At the beginning of the next line, the math style will be reset to Tstyle.


Sizing of Math Expressions

EXP's mechanism for automatically sizing the various elements of a formula is closely tied to the system of math styles. EXP defines three sizes of math:

Text size Size of ordinary text, inline math, and display math

Script size Size of first-level superscripts and subscripts

ScriptScript size Size of second-level superscripts and subscripts

Superscripts and subscripts do not get smaller after the second level. The particular size that EXP typesets an expression in is determined by the current math style:

In this style Math is typeset in this size

Dstyle Text size

Tstyle Text size

Sstyle Script size

SSstyle ScriptScript size

The actual font size of Text size is determined by the size of the current text font. If the text font size is set to 10 point, Text size will be 10 point, Script size will be 7 point, and ScriptScript size will be 5 point. These scaling factors apply only to formatting for the printer. On the screen, EXP uses different scaling ratios to make superscripts and subscripts slightly larger and thus easier to read. On the screen, if the text font size is set to 10 point, Text size will be 10 point, Script size will be 8.33 point, and ScriptScript size will be 6.66 point.

If you want to enlarge a particular formula, select the formula, and then make the point size of the text larger. For example, the equation below is typeset at 48 point:


The Math Axis

The math axis is the imaginary line that runs horizontally through the middle of the plus sign (+). EXP vertically centers certain math constructs, such as fractions and matrices, at the math axis. If you build an expression that is not centered at the math axis and you want it to be, enclose the entire expression in a Vcenter box. A Vcenter box centers its contents vertically at the math axis.

See Also

Vcenter - Vertical Center


Math Spaces

EXP provides six special math spaces for use in formulas:

thin the space after a comma

medium the space around a binary operation

thick the space around a relation

quad the em space of the current text font

qquad twice the width of a quad space

negthin a negative thin space

You rarely need to insert these spaces manually. Normally, EXP provides automatic spacing for symbols. For example, EXP automatically inserts medium spaces around all binary operations that occur in Dstyle and in Tstyle. EXP similarly inserts spacing for relations using thick spaces. The topic Spacing presents situations in which you need to insert one of these spaces manually to achieve optimum results.

To insert a math space

  1. From the Math menu, choose Insert Math Space (ALT, M, P).

  2. Choose the desired space from the menu. Press T for thin, M for medium, H for thick, Q for quad, U for qquad, or N for negthin.

–or–

  1. Press F4 to display the Symbol Box.

  2. Type the name of the space and press ENTER.

If you are in Math Input Mode, you can enter a thin space by pressing SPACE.

With the exception of the negthin space, all of the math spaces will break at the end of a line. As with ordinary spaces, however, if a math space occurs inside a box, the box will prevent the space from causing a line break.


Function Names

Although variables in math formulas are typeset in italics, names of mathematical functions such as sin, cos, and tan should be typeset in plain type. To facilitate the entry and proper typesetting of function names, EXP has the names of many common functions built in. You should use EXP's built-in function names rather than type the function name directly. If you need to refer to a function whose name is not known to EXP, you will have to enter the function's name manually by switching out of Math Input Mode and typing the name.

To insert a function name

  1. From the Math menu, choose Insert Function Name (ALT, M, F).

–or–

Press F8.

  1. Choose the desired function name from the menu.

–or–

  1. Press F4 to display the Symbol Box.

  2. Type the function name and press ENTER.

A function name entered in this manner is not stored in the document as a sequence of text characters. Instead, it is stored as a code. Thus, you should not be surprised that you cannot move the cursor in between the letters of the function name.


Entering and Editing Math

In Chapter 2 you were shown how Math Input Mode is used to enter simple formulas and how the Symbol Box is used to enter any symbol provided by EXP. This section describes the more advanced procedures and techniques required to compose complex formulas and provides tips on the best ways to edit a formula.


Inserting a Box

There are two approaches to the task of entering a box and its contents. The first approach is to enter an empty box and then enter its contents. You use this approach when you are initially entering an expression. The second approach is to take an existing expression and put it into a box. You use this approach if you need to change an existing expression. When you insert a box, EXP determines which approach you are using by whether any text is selected:

• If text is selected when you insert a box, EXP assumes you want to put the selected text into the box. Because a box must fit on one line, the selection must not span multiple lines. EXP inserts the open and close codes for the box before and after the selection and then extends the selection to include those box codes. This behavior allows you to nest an expression inside several boxes by selecting the expression and then inserting a series of boxes. It is important that you be aware that this insertion behavior differs from the normal insertion behavior of EXP. Normally, EXP deletes the selection and replaces it with the inserted material.

• If no text is selected when you insert a box, EXP inserts an empty box and positions the cursor inside the box. You can type the contents of the box and then press ENTER to exit the box.

To insert an empty box

  1. Make sure the cursor is positioned at the correct location and no text is selected.

  2. From the Math menu, choose Insert Box (ALT, M, B).

–or–

Press F5.

  1. Choose the desired box type from the menu.

  2. Type the contents for the box.

  3. Press ENTER to move the cursor after the close code for the box.

To make a box from a selection

  1. Make sure the correct text is selected.

  2. From the Math menu, choose Insert Box (ALT, M, B).

–or–

Press F5.

  4. Choose the desired box type from the menu.

This entire discussion on inserting boxes also applies to delimiter- and arrow-boxes.


Unboxing a Box

During the course of editing a mathematical document, it is sometimes desirable to remove a box without disturbing its contents. This procedure is called unboxing a box. Unboxing a box means to delete the box codes that define the box leaving only the contents of the box.

To unbox a box

  1. Position the cursor on either the open code or the close code for the box. Make sure the name of the box code appears in the leftmost field of the Status Bar.

  2. Press SHIFT+DELETE.

When you unbox a box, EXP deletes the box codes and positions the cursor at the beginning of the contents of the box.


Deleting a Box

Deleting a box means to delete both the box codes that define the box and the contents of the box.

To delete a box

  1. Position the cursor on either the open code or the close code for the box. Make sure the name of the box code appears in the leftmost field of the Status Bar.

  2. Press SHIFT+RIGHT. This selects the entire box.

  3. Press DELETE.


Positioning the Cursor with the Mouse

In ordinary text, the process of using the mouse to position the cursor at a particular location within a line of text is one dimensional. The mouse pointer is either to the left or to the right of the desired location. In a formula, positioning the cursor is a two-dimensional process because the formula is composed of symbols that are formatted in two dimensions.

When you move the mouse pointer to a position in the document and click the left mouse button, EXP moves the cursor to the character whose reference point is closest to the tip of the mouse pointer. The reference point of a character is the point where the left edge of the character intersects the baseline. In determining which character is closest to the mouse pointer, EXP considers both horizontal and vertical distances. This requirement for two-dimensional cursor positioning is the reason EXP uses the arrow mouse pointer for cursor positioning rather than the I-beam mouse pointer used by nonmathematical word processors.

The following tips will help you position the cursor more accurately using the mouse:

• Position the tip of the mouse pointer as close as possible to the reference point of the desired character.

• If you want to position the cursor on an invisible code sitting directly before a character, position the tip of the mouse pointer close to the reference point of the character but just to the left of it. When you click the left mouse button and EXP examines the line to determine which character is closest, EXP will find that the invisible code is closest. (If you were to position the mouse pointer just to the right of the character's reference point, EXP would find that the character is closer to the mouse pointer than the invisible code.)

• After you click the left mouse button, make sure you positioned the cursor at the intended location by examining the leftmost field of the Status Bar. The name of the symbol or code the cursor is sitting on is displayed in this field.


Cursor Movement between Boxes

You can use any of the normal cursor movement keystrokes to move the cursor within a formula containing boxes. You can also use two special keystrokes provided by EXP for moving the cursor from one box to another:

Press To

ALT+LEFT Move the cursor directly after the previous box open code on the current line.

ALT+RIGHT Move the cursor directly after the next box open code on the current line. If there are no more box open codes on the current line, the cursor is moved directly after the next close code on the current line.

You can use the ENTER key to move the cursor within a formula. Normally when you press ENTER, EXP begins a new paragraph. If you press ENTER while the cursor is inside a box, however, EXP moves the cursor directly after the close code for the box. This is called exiting the box. Press ENTER to exit a box after you have inserted a box and typed its contents.

EXP applies some additional logic when you press ENTER inside an Sp, Sb, Ulimit, or Llimit box. The purpose of this additional logic is to move the cursor into a corresponding opposite box that may follow. For example, if you just inserted the summation template and the cursor is positioned in the lower limit, pressing ENTER moves the cursor into the upper limit.

The logic that EXP follows goes like this: If the cursor was previously positioned inside an Sp, Sb, Ulimit, or Llimit box and the cursor is now positioned on a box open code of the corresponding opposite type, the cursor is moved past the open code.


Making a Selection within a Formula

The two-dimensional nature of a formula and the existence of hidden codes within the formula make it difficult to use the mouse to select precisely a particular subexpression within the formula. For this reason, it is strongly recommended that you use the keyboard to make a selection within a formula. Follow these steps to select a subexpression within a formula.

To select a subexpression within a formula

  1. Position the cursor where you want the selection to begin. Examine the leftmost field of the Status Bar to make sure the cursor is positioned on the correct symbol or code.

  2. Press SHIFT+RIGHT repeatedly to select the subexpression. Each time you press SHIFT+RIGHT, the leftmost field of the Status Bar will display the name of the symbol or code the cursor is on. This name will be the name of the symbol or code directly after the end of the selection. By examining this indicator, you will know when you have advanced the cursor the correct amount.

When you extend a selection across a box code, EXP will extend your selection to include the entire box. EXP will not allow you to make a selection that includes only the open code or only the close code of a box. If EXP did allow you to make such a selection and you pressed DELETE, the resulting formula would contain mismatched box codes.


Displaying the Active Boxes

As you are entering and editing a complex formula, it is possible to lose track of what boxes are active at a given point in the formula. You can discover this information by positioning the cursor within the formula and then pressing CTRL+F5. You can also choose Display Active Boxes from the Math menu (ALT, M, X). EXP will display a popup list of all the boxes that are active at the current cursor position. This popup list is displayed in the upper-right-hand corner of the document's window. You can press ESC or ENTER to dismiss the list and return to editing. If you make a selection before pressing CTRL+F5, EXP will display the boxes that contain the selection. If the cursor is outside all boxes when you press CTRL+F5, EXP will beep.


Displayed Equations

EXP classifies displayed equations as either single line or multiline. A single-line displayed equation, as the name suggests, is a displayed equation that contains a single mathematical statement. The following is an example of a single-line displayed equation:

A multiline displayed equation is a displayed equation that contains two or more mathematical statements typeset one after the other. The following is an example of a multiline displayed equation:

It is important that you understand the concepts and procedures necessary to create single-line displayed equations before you attempt to create complex multiline displayed equations.


Single-Line Displayed Equations

All displayed equations in EXP are created using a Display box. This type of box provides the basic formatting required for all displayed equations:

• The Display box typesets the equation on a line of its own.

• The Display box adds vertical space above and below the equation to separate it visually from the lines of text above and below it.

• The Display box changes the math style to Dstyle.

The Display box by itself does not center an equation. The job of centering an equation is handled by a separate box type called an Equcenter box. Because centered displayed equations occur so frequently, EXP provides a template for entering them.

To enter the Displayed Equation template

  1. From the Math menu, choose Insert Template (ALT, M, T).

–or–

Press F7.

  1. Choose Displayed Equation from the menu.

–or–

Press CTRL+ALT+D.

–or–

Click the [image] button on the Math Panel.

All the Displayed Equation template does is insert a Display box with an Equcenter box inside it, position the cursor inside the Equcenter box, and switch into Math Input Mode. You could insert these two boxes "manually" using the F5 menu and achieve the same results. The template just makes things go faster.

After you have inserted the Displayed Equation template, you can type your formula. When you complete typing the formula, press END to move the cursor to the end of the line. At this point, with the cursor blinking at the right margin, continue typing. Do not press ENTER before you resume typing unless you really want the displayed equation to conclude the previous paragraph. As soon as you begin typing, EXP will begin a new line of text, leaving the displayed equation on its own line.

The Display box is intended to be used in the middle of a paragraph. Do not press ENTER to begin a new paragraph either before or after typing a displayed equation. The Display box takes care of the job of typesetting the equation on its own line. Because the line of text before a displayed equation ends directly before the open code for the Display box, type a space at the end of the line before inserting the displayed equation. This will allow you to press END to move the cursor past the last visible character on the line before the equation. If you fail to insert a space at the end of the line before a displayed equation, you will not be able to move the cursor past the last visible character on the line. If you find yourself in this situation, move the cursor onto the Display code at the beginning of the next line and type a space. The space will be word-wrapped up onto the previous line. This will allow you once again to use END to move past the last visible character on the line.


Multiline Displayed Equations

A multiline displayed equation is a displayed equation that consists of several equations typeset one after the other. As far as EXP is concerned, the term multiline is not an accurate one because a multiline displayed equation is handled by EXP on one line in the document. The multiline nature of the equation is created by typesetting the individual "lines" of the equation as rows in a special type of table called an equation list.

Tables and other table-like structures are handled by EXP as special types of boxes. Tables are discussed in the topic Tables. An equation list is defined by a series of boxes formatted into a column. The open and close codes for an equation list are called Equlist and /Equlist, respectively. Between the open code and the close code, a code called NextRow separates the individual equations in the equation list.

The process of entering a multiline displayed equation begins the same as for entering a single-line displayed equation: You enter the Displayed Equation template. Once you have entered this framework, you are ready to enter an equation list.

To enter an equation list

  1. From the Math menu, choose Insert Equation List (ALT, M, E).

EXP will display the Insert Equation List dialog box.

  1. In the Number of Rows edit field, type the number of rows your equation list will have.

You can insert and delete rows later if you change your mind.

  2. In the Number of Columns edit field, type the number of columns your equation list will have.

Normally, you will set the number of columns to one. You can insert and delete columns later if you change your mind.

  3. Choose the OK button.

When you insert an equation list, the cursor is positioned in the first row. To see the outline of the rows, turn on the display of the dotted gridlines. From the Table menu, choose Display Gridlines (ALT, T, G). Because you have not yet entered text, the equation list has no width.

To enter the equations for an equation list

  1. Type the equation for the first row.

  2. Press ENTER to move the cursor to the beginning of the next row.

  3. Type the equation for this row.

  4. Repeat steps 2 and 3 until you have entered all the equations. When you press ENTER in the last row, the cursor will exit the equation list.

Multiline equations are usually used to present a series of related equations that should be aligned at an equals sign or some other relation symbol. To achieve such alignment in an equation list, perform these steps.

To align equations in an equation list

  1. Position the cursor to the left of the symbol in the first row that you want all the other equations to align with. You may find it fastest to use the mouse to position the cursor in this situation.

  2. From the Table menu, choose Insert Align Code (ALT, T, A).

The alignment of the rows will not change yet.

  4. In the next row, position the cursor to the left of the symbol that you want to align with the symbol you chose in the first row.

  5. From the Table menu, choose Insert Align Code (ALT, T, A).

The row will jump into alignment with the preceding row.

  6. Repeat steps 3 and 4 for all the rows.

If you need to insert a new row into an equation list, perform the following steps.

To insert a new row into an equation list

  1. Position the cursor in the row before the row you want to insert. If you want to insert a row at the beginning of the equation list, position the cursor in the first row.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

  3. To insert a new row after the current row, press ENTER. To insert a new row before the current row, select Insert New Row Before Current, and then press ENTER.

When you insert a new row, the cursor is positioned in the new row ready for you to type the contents of the row.

The following are two cursor movement keystrokes you can use for moving up and down the column of equations:

Press To

ALT+UP Move to the previous row

ALT+DOWN Move to the next row

The process of inserting a new row into an equation list using the table editor is but one possibility. You can use any feature of the table editor/formatter with an equation list. Refer to the topic Tables for information concerning the creation of tables in EXP.

One situation that arises occasionally when working with displayed equations is that you enter a displayed equation as a single-line equation and later realize you need to turn it into a multiline equation. EXP makes it easy to perform this maneuver.

To turn a single-line equation into a multiline equation

  1. Position the cursor at the very beginning of the contents of the equation. If the equation is being centered, the cursor should be directly after the open code for the Equcenter box.

  2. Press SHIFT+RIGHT as many times as necessary to select the equation. Keep pressing SHIFT+RIGHT until you see the code name /Equcenter in the leftmost field of the Status Bar. This indicates the cursor has advanced up to the end of the Equcenter box.

  3. From the Math menu, choose Insert Equation List (ALT, M, E).

EXP will display the Insert Equation List dialog box.

  7. In the Number of Rows edit field, type the number of rows your equation list will have.

  8. Choose the OK button.

EXP will insert an equation list and will move your selected equation into the first row. The selection will then be extended to include the entire equation list.

  9. Press LEFT, RIGHT, ALT+DOWN.

This has the effect of moving the cursor into the second row of the equation list.

  10. Enter the contents for the remaining rows as normal.

It is not possible to unbox an equation list. The only delete operation you can perform on an equation list is to delete the entire equation list. If you need to convert an equation list into a single-line equation, select the contents of the relevant row, copy it to the clipboard, delete the entire equation list, and then paste back the equation from the clipboard.

The changes an equation list makes to the math style are shown in the following table:

In this style | The style of an equation list row is
D | D
D’ | D’
T | D
T’ | D’
S | S
S’ | S’
SS | SS
SS’ | SS’

If you insert a math style change code into a row in an equation list, that math style change is local to that row.


Long Displayed Equations

A long displayed equation is an equation that is too wide to fit between the margins. Such an equation must be split and formatted as a multiline equation using an equation list. An example of a long displayed equation is

To align the second half of a split equation, insert an Align code before the equals sign in the first row just as you would if you were aligning a normal multiline equation. In the second row, insert an Align code at the beginning of the row. This will align the second row with the equals sign in the first row. To push the second row to the right, insert a qquad math space after the Align code.

You can use this procedure to handle a long equation in a multiline equation. For example, in the multiline equation

the first equation is too wide to fit unless it is split into two rows. An Align code followed by a qquad space was inserted at the beginning of the second row to align the second half of the equation with the first half. The third row contains another mathematical expression that was aligned with the first equation by inserting an Align code before the equals sign.


Equation Numbers

An equation number for a displayed equation is usually typeset flush with the right margin. The job of formatting equation numbers is handled in EXP by the Rflush box, which typesets its contents flush with the right margin.

To enter an equation number to the right of a displayed equation

  1. Position the cursor on the /Display code that closes the Display box. An easy way to position the cursor in the correct location is to position the cursor anywhere in the equation and then press END. Check to see that the leftmost field of the Status Bar contains /Display. If it doesn't, you have a paragraph mark or some other code sitting on the line after the end of the Display box. Press LEFT until you see /Display in the Status Bar.

  2. Press F5 and choose Rflush from the menu.

–or–

Press CTRL+ALT+N.

–or–

Click the [image] button on the Math Panel.

  1. Type the equation number.

If the equation is a multiline equation, you will notice that the equation number in the Rflush box is aligned vertically with the baseline of the first equation. It is possible to change the vertical alignment of the equation list so the equation number will be either centered or aligned with the baseline of the last equation in the list.

To change the vertical alignment of an equation list

  1. Position the cursor anywhere inside the equation list.

  2. From the Table menu, choose Format Table (ALT, T, T).

EXP will display the Table Formatting dialog box.

  2. In the Vertical Alignment group, select the type of alignment you want.

  3. Choose the OK button.

When you change the vertical alignment of an equation list, the equation list itself will usually not move vertically. Instead, any text to its left or to its right will move in accordance with the new alignment specification. In the case of an equation number in an Rflush box, changing the vertical alignment of an equation list has the visual effect that the alignment of the Rflush box has changed.

You can also typeset an equation number to the left of a displayed equation. The procedure for performing this task is identical to that for a right-hand equation number except that instead of an Rflush box you use an Lflush box. The Lflush box will typeset its contents flush with the left margin. It does not matter that the Lflush box is entered after the equation. Enter left-flush equation numbers in this manner rather than simply typing the equation number after the open code for the Display box because this form of equation numbering can be converted to LaTeX.

You may want to use EXP's automatic numbering facility to insert automatic numbers for equation numbers rather than typing numbers manually. The topic Automatic Numbering describes the process of using automatic numbers.

See Also

Conversion of Equation Numbers


Matrices

EXP handles matrices as a special type of table. This is similar to the situation for equation lists. A matrix is defined by a series of boxes formatted into a two-dimensional array. The open and close codes for a matrix are called Matrix and /Matrix, respectively. Between the open code and the close code, a code called NextCol separates the entries along a row, and a code called NextRow separates one row from another. You never actually enter one of these codes manually because EXP enters them for you. You should, however, learn their names so you will recognize them.

To enter a matrix

  1. From the Math menu, choose Insert Matrix (ALT, M, M).

EXP will display the Insert Matrix dialog box.

  1. Fill out the dialog box as follows:

Number of Rows

Enter the number of rows for the matrix.

Number of Columns

Enter the number of columns for the matrix.

Enclosure

Choose a type of enclosure for the matrix: None enters a plain matrix with nothing surrounding it; Parentheses enters the matrix inside a Paren delimiter-box; Brackets enters the matrix inside a Bracket delimiter-box; Determinant enters the matrix inside a Det delimiter-box.

Fill With Zeros

Turn on this check box to put a 0 in each entry.

Set Diagonal to 1

Turn on this check box to put a 1 in each diagonal entry.

  2. Choose the OK button.

When you insert a matrix, the cursor is positioned in the top-left entry. To see the outline of the entries, you may want to turn on the display of the dotted gridlines. From the Table menu, choose Display Gridlines (ALT, T, G).

To fill in the entries of a matrix, type the contents for an entry, and then press ENTER to move the cursor to the next entry. The cursor moves along a row before proceeding to the next row. When you press ENTER in the bottom-right entry, the cursor will exit the Matrix structure. If you specified an enclosure for the matrix, press ENTER again to exit the delimiter-box that encloses the matrix.

Use the following cursor movement keystrokes to move through a matrix:

Press To

ALT+LEFT Move left one column

ALT+RIGHT Move right one column

ALT+UP Move up one row

ALT+DOWN Move down one row

To insert a new row in a matrix

  1. Position the cursor in the row before the row you want to insert. To insert a new row before the first row in the matrix, position the cursor in the first row.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

  3. To insert a new row after the current row, press ENTER. To insert a new row before the current row, select Insert New Row Before Current, and then press ENTER.

When you insert a new row, the cursor is positioned in the first entry of that row.

To insert a new column in a matrix

  1. Position the cursor in the column before the column you want to insert. To insert a new column before the first column in the matrix, position the cursor in the first column.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

  3. To insert a new column after the current column, select Insert New Column After Current, and then press ENTER. To insert a new column before the current column, select Insert New Column Before Current, and then press ENTER.

When you insert a new column, the cursor is positioned in the first entry of that column.

To delete a row in a matrix

  1. Position the cursor in any entry in the row you want to delete.

  2. From the Table menu, choose Delete Entries (ALT, T, D).

EXP will display the Delete Entries dialog box.

  3. Choose the OK button.

To delete a column in a matrix

  1. Position the cursor in any entry in the column you want to delete.

  2. From the Table menu, choose Delete Entries (ALT, T, D).

EXP will display the Delete Entries dialog box.

  4. Select the Delete Column button.

  5. Choose the OK button.

The process of inserting and deleting rows and columns in a matrix using the table editor is but one possibility. You can use any feature of the table editor/formatter with a matrix. Refer to the topic Tables for information concerning the creation of tables in EXP.

It is not possible to unbox a matrix. The only delete operation you can perform on a matrix is to delete the entire matrix.

EXP provides four ellipsis symbols for use in matrices:

Symbol Name Purpose

cdots centered dots

vdots vertical dots

rddots right-diagonal dots

lddots left-diagonal dots

The use of these ellipsis symbols is demonstrated in the following matrix:

As with any mathematical construct in EXP, you can nest matrices within other matrices; for example,

By default, all the entries in a matrix are horizontally centered in their respective columns. You can change the alignment of any entry in a matrix using the Format Entries dialog box that is accessed under the Table menu. The procedure for changing the alignment of entries in a matrix is identical to that for a table. Refer to the topic Tables for further information.

The changes a matrix makes to the math style are shown in the following table:

In this style | The style of a matrix entry is
D | T
D’ | T’
T | T
T’ | T’
S | S
S’ | S’
SS | SS
SS’ | SS’

If you insert a math style change code into an entry in a matrix, the math style change is local to that one entry.


Conditional Functions

A conditional function is a function whose value is dependent on two or more conditions. An example of a conditional function is the absolute value function:

EXP handles conditional functions as a special type of table. This is similar to the situations for matrices and equation lists. A conditional function is defined by a series of boxes formatted into two columns. The open and close codes for a conditional function are called Cases and /Cases, respectively. Between the open code and the close code, a code called NextCol separates the two entries in a row, and a code called NextRow separates one row from another. You never actually enter one of these codes manually because EXP enters them for you.

To enter a conditional function

  1. From the Math menu, choose Insert Conditional Function (ALT, M, C).

EXP will display the Insert Conditional Function dialog box.

  1. In the Number of Conditions edit field, type the number of rows your function will have.

You can insert and delete rows later if you change your mind.

  2. Choose the OK button.

When you insert a conditional function, the cursor is positioned in the first column of the first row. To see the outline of the rows and columns, you may want to turn on the display of the dotted gridlines. From the Table menu, choose Display Gridlines (ALT, T, G).

To fill in a conditional function

  1. Type the value for a condition.

  2. Press ENTER to move the cursor to the second column.

  3. Type the condition.

  4. Press ENTER to move the cursor to the next row.

  5. Repeat steps 1 through 4 until you have entered all the conditions. When you press ENTER after having entered the last condition, the cursor will exit the Cases structure.

  6. Press ENTER again to exit the BraceL delimiter-box that draws the left brace around the Cases structure.

You can use the following cursor movement keystrokes to move through a conditional function:

Press To

ALT+LEFT Move left one column

ALT+RIGHT Move right one column

ALT+UP Move up one row

ALT+DOWN Move down one row

To insert a new row in a conditional function

  1. Position the cursor in the row before the row you want to insert. To insert a new row before the first row, position the cursor in the first row.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

  3. To insert a new row after the current row, press ENTER. To insert a new row before the current row, select Insert New Row Before Current, and then press ENTER.

When you insert a new row, the cursor is positioned in the first column of that row.

To delete a row in a conditional function

  1. Position the cursor in either column in the row you want to delete.

  2. From the Table menu, choose Delete Entries (ALT, T, D).

EXP will display the Delete Entries dialog box.

  3. Choose the OK button.

The process of inserting and deleting rows in a conditional function using the table editor is but one possibility. You can use any feature of the table editor/formatter with a conditional function. Refer to the topic Tables for information concerning the creation of tables in EXP.

It is not possible to unbox a conditional function. The only delete operation you can perform on a conditional function is to delete the entire function.

The changes a conditional function makes to the math style are shown in the following table:

In this style | The style of a condition is
D | T
D’ | T’
T | T
T’ | T’
S | S
S’ | S’
SS | SS
SS’ | SS’

If you insert a math style change code into an entry in a conditional function, the math style change is local to that one entry.


Proper Math Formatting

Although EXP provides much automatic formatting of math, there are several details you must pay attention to to make your mathematics look its best. This section discusses those details and provides many tips on how to improve the appearance of your formulas.


Spacing

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Math Styles

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Punctuation

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Ellipsis

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Vertical Bars

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Underlining

On rare occasions you may want to underline a subexpression within a formula. To do this, place the subexpression in an Underline box. Do not use text underlining to underline the subexpression. Only use text underlining to underline nonmath material. One of the reasons for this advice is that text underlining within a formula does not convert to LaTeX.


Controlling Line Breaks

EXP never breaks a line inside a box or between two symbols. EXP may break a line after any math space except negthin. If you type a formula in a paragraph and that formula happens to fall at the right margin, EXP will move the entire formula to the next line. This may have the effect of leaving too much space on the previous line thus causing the justified spaces to be too wide.

EXP provides a special space called nullspace for handling this situation. A nullspace is a zero-width space whose only purpose is to introduce a potential line break point into an otherwise unbreakable string of symbols. You can insert one or more nullspaces into a formula so EXP will be able to break the formula at the right margin, if necessary.

To enter a nullspace

  1. From the Insert menu, choose Special Space (ALT, I, S).

  2. From the menu, choose nullspace.

–or–

Press U.

–or–

  1. Press F4 to display the Symbol Box.

  2. Type nullspace.

  3. Press ENTER.

It is up to you to enter nullspaces at appropriate locations. It is usually appropriate to break a formula after a relation (e.g., =) or after a binary operation (e.g., +, -). You can also enter a nullspace between two boxes. Remember, however, that EXP will never break a box; it ignores any nullspaces inside boxes.

If you have a formula that contains math spaces, EXP may break the formula after one of those spaces. This may lead to an improper line break if the formula should not be split after the math space. You can prevent EXP from breaking a formula after a math space by enclosing the math space, and possibly the entire formula, in a Box box. Enclosing the math space in a box will prevent EXP from breaking the line after the math space. You could now enter a nullspace at another point in the formula to allow EXP to break the formula somewhere else.


Proper Symbol Usage

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Using Text Libraries

During the course of typing almost any mathematical document, you will encounter phrases, formulas, and mathematical subexpressions that occur repeatedly. Because entering the same text over and over again is time consuming and tedious, EXP allows you to create a library of frequently used items that you can refer to to speed up the entry of a document. Such libraries are called text libraries in EXP.

A text library consists of one or more entries. Each entry consists of the entry's name followed by the entry's contents. A text library is edited and stored in exactly the same way as a normal document file. The only difference between a text library and a document, as far as EXP is concerned, is that all text libraries have a check box turned on in their Document Options dialog box that indicates they are a text library instead of a document.

When you install EXP, a basic text library called Text Library is installed on your disk. This text library initially contains only two entries you can use with the Find and Replace commands. You are encouraged to start experimenting with text libraries by using this predefined text library. Open a text library just as you would open any document file. You can have multiple text libraries open at the same time. If you want to create a new text library, follow these steps.

To create a text library

  1. Start a new document.

  2. From the Options menu, choose Document (ALT, O, D).

EXP will display the Document Options dialog box.

  1. Turn on the Text Library check box.

  2. Choose the OK button.

  3. Save the document to a new file.


Adding an Entry to a Text Library

Once you have created a new text library, or opened an existing one, you will want to add entries to it. Although a text library is edited and stored as a document, you must define entries in a text library in a particular way:

• The name of the entry must appear at the beginning of a paragraph.

• A NewLine code must be entered directly after the entry's name. A NewLine code is entered by pressing SHIFT+ENTER.

• The contents of the entry consists of everything you enter after the NewLine code up to the end of the paragraph.

As you can deduce from these rules, each entry consists of a single paragraph in the text library. An entry cannot contain a paragraph mark. This is the only restriction on what you can place in an entry. You can put text containing math, graphics, and footnotes into an entry.

The name of an entry must conform to these rules:

• The name can contain any ANSI characters including spaces, but it cannot contain text codes.

• The name must not be more than 63 characters in length.

Entry names are case sensitive. When EXP searches for an entry, it stops searching at the first match it encounters. Thus, if you define two entries with the same name, you will only be able to refer to the first one. EXP does not sort the entries in a text library, nor do you need to enter the entries in sorted order. The order in which the entries appear in a text library is entirely up to you.

To add an entry to a text library

  1. Position the cursor at the beginning of a paragraph in the text library.

  2. Press ENTER to start a new paragraph.

  3. Press UP to move the cursor into the empty paragraph you just created.

  4. Type the name for the entry you want to create. Before you type the name, make sure you are in Text Input Mode not Math Input Mode.

  5. Press SHIFT+ENTER to enter a NewLine code.

  6. Type the contents for the entry.

If you add an entry to the Text Library text library, you will notice that the text library is formatted so the entry names are outdented relative to the contents of the entries. This formatting makes it easier to read and manage a text library because you can clearly distinguish an entry's name from its contents.

To format an entry in a text library

  1. Position the cursor anywhere in the entry.

  2. Press F2 to display the Paragraph Formatting dialog box.

  3. Change the Left Indentation to 1in and the First Line Indentation to -1in.

  4. Choose the OK button.

To avoid having to apply this formatting each time you add an entry, you can apply the paragraph formatting described above to the entire text library. Doing so will ensure that each time you create a new paragraph to contain a new entry, the proper formatting will already be in place.


Inserting a Text Library Entry into a Document

After you have added an entry to a text library, you can immediately use that entry while typing a document.

To insert a text library entry into a document

  1. Position the cursor in your document at the point where you want the contents of the entry to be inserted.

  2. From the Insert menu, choose Text Library Entry (ALT, I, E).

–or–

Press F9.

EXP will display the Insert Text Library Entry dialog box.

  1. Type the full name of the entry you want to insert.

  2. Press ENTER.

When EXP prompts you to enter the entry's name, you must type the full name. EXP will not recognize prefixes as it does for symbol names. Remember also that entry names are case sensitive.

In attempting to find the entry you specified, EXP searches all the open text libraries. EXP does not search any text libraries that are not open. Therefore, you must open a text library before EXP will search it.

When you insert a text library entry into a document, the formatting of the entry's contents in the text library is copied along with the text. The document's style sheet is used to adjust the formatting of the newly inserted text. If the text library entry is marked with the character style Default Paragraph Font and has no manual character formatting applied to it, the text library entry will adjust automatically to the formatting of the paragraph into which it is inserted.


Finding a Text Library Entry

As you are typing a document, you may need to modify an existing entry in one of the text libraries you are using. EXP allows you to find a particular entry quickly.

To find an entry in a text library

  1. From the Edit menu, choose Find Text Library Entry (ALT, E, E).

–or–

Press CTRL+F9.

EXP will display the Find Text Library Entry dialog box.

  1. Type the full name of the entry you want to find.

  2. Press ENTER.

If EXP is able to find the entry in one of the open text libraries, it will display that text library's window and will position the cursor at the beginning of the entry. You can modify the entry as needed and then return to editing your document.


Tips on Using Text Libraries

• You do not have to use a text library only to store very complex items. You can store something as simple as the expression x^2 in a text library under the name x2.

• If you are typing a document and find yourself constantly entering the same subexpression over and over again, create a text library entry for the subexpression. Select the subexpression in your document, copy the subexpression to the clipboard, create a new text library entry, and paste the subexpression into the entry. Now you will be able to enter the subexpression quickly by inserting the text library entry that contains it.

• For a text library entry to adjust automatically to the formatting of the paragraph into which it is inserted, the text library entry must be marked with the character style Default Paragraph Font and must not have any manual character formatting applied to it.

• You can change the name of an entry at will. If you don't like the name of an entry, press CTRL+F9 to find the entry and change its name. You don't have to inform EXP that you changed the name of an entry.

• You can place comments in a text library by entering a comment character of your choice at the beginning of each paragraph in the comment. The comment character at the beginning of the paragraph prevents EXP from interpreting the comment as an entry. The semicolon character is a good choice because it is unlikely you will create an entry with a name that begins with a semicolon.

• Although the contents of an entry cannot contain a paragraph mark, it can contain NewLine codes. If you need to start a new line inside an entry, press SHIFT+ENTER to insert a NewLine code.

• Because a text library is really just a document, you can print it just as you can a normal document.

• The number of entries you can place in a text library is limited only by available memory. If you have enough memory, you can create thousands of entries.

• You can have more than one text library open at a time. You can create different text libraries to contain different types of material.

• If you turn on the Open Previous Documents at Startup check box in the General Options dialog box, you do not have to remember to open each text library you regularly use every time you start EXP. Refer to the topic Opening Documents Automatically for further details. Using this feature, the best way to manage your text libraries is to open them and then minimize their windows. After that, you can essentially forget about them. They will remain open at all times and will always be available when you want to insert an entry.

• Be aware that an open text library consumes memory just as a normal document does.


Typing a Theorem

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding chapter and section in the EXP User’s Guide.


Math Reference Section

This chapter provides complete information about each box type, delimiter-box type, arrow-box type, and template.


Accent

Purpose

To position an accent character.

Formatting Performed

The box is formatted as an accent to the previous box.

Box Codes Inserted

Accent, /Accent

Math Style Changes

None


Blsit - Baseline Sit

Purpose

To position a box on the baseline.

Formatting Performed

The bottom of the box is aligned with the baseline of the surrounding text.

Box Codes Inserted

Blsit, /Blsit

Math Style Changes

None


Box

Purpose

To define a generic box. You define a generic box so that other boxes can be positioned relative to it.

Formatting Performed

None

Box Codes Inserted

Box, /Box

Math Style Changes

None


Display

Purpose

To format a displayed equation. A Display box by itself does not horizontally center the equation. Use an Equcenter box inside a Display box to center an equation.

Formatting Performed

The box is formatted on a line of its own and is vertically separated from the text above and below it.

Box Codes Inserted

Display, /Display

Math Style Changes

In this style | The style changes to
D | D
D’ | D’
T | D
T’ | D’
S | S
S’ | S’
SS | SS
SS’ | SS’


Equcenter - Equation Center

Purpose

To center a displayed equation horizontally between the margins.

Formatting Performed

The box is centered horizontally between the margins of the paragraph.

Box Codes Inserted

Equcenter, /Equcenter

Math Style Changes

In this style | The style changes to
D | D
D’ | D’
T | D
T’ | D’
S | S
S’ | S’
SS | SS
SS’ | SS’

LaTeX Conversion Notes

The Equcenter box must not be used outside a displayed equation.


Frac - Fraction

Purpose

To format a fraction.

Formatting Performed

The numerator and the denominator are formatted into a fraction.

Box Codes Inserted

Frac, Over, /Frac

Math Style Changes

In this style | The numerator style is | The denominator style is
D | T | T’
D’ | T’ | T’
T | S | S’
T’ | S’ | S’
S | SS | SS’
S’ | SS’ | SS’
SS | SS | SS’
SS’ | SS’ | SS’


Hadjust - Horizontal Adjust

Purpose

To move a box to the right, if necessary.

Formatting Performed

If the left side of the box protrudes to the left of the point at which the box was opened, the box is shifted to the right so that it does not protrude.

Box Codes Inserted

Hadjust, /Hadjust

Math Style Changes

None


Hcenter - Horizontal Center

Purpose

To center a box horizontally between the margins. The box is assumed to contain ordinary text and not an equation. Use an Equcenter box to center a displayed equation.

Formatting Performed

The box is centered horizontally between the margins of the paragraph.

Box Codes Inserted

Hcenter, /Hcenter

Math Style Changes

None

LaTeX Conversion Notes

There is no equivalent in LaTeX to the Hcenter box. EXP converts situations involving the Hcenter box to a custom LaTeX macro defined in the exptex.sty package. This macro usually produces the desired result. However, if you use the Hcenter box in an unusual way, there may not be a good LaTeX equivalent. In general, you should avoid using the Hcenter box and use the Center style instead.


Lflush - Left Flush

Purpose

To position a box flush with the left margin.

Formatting Performed

The left side of the box is aligned with the left margin of the paragraph.

Box Codes Inserted

Lflush, /Lflush

Math Style Changes

None

LaTeX Conversion Notes

The Lflush box should not be used outside a displayed equation. Inside a displayed equation, the Lflush box should be used to typeset an equation number flush left. You use an Lflush box, instead of an Rflush box, after the Equcenter box in a displayed equation to typeset the equation number flush left.


Lhs - Left Hand Side

Purpose

To position a box to the left of another box.

Formatting Performed

The box is positioned so that the right side of the box is aligned with the left side of the previous box.

Box Codes Inserted

Lhs, /Lhs

Math Style Changes

In this style | The style changes to
D | D
D’ | D’
T | D
T’ | D’
S | S
S’ | S’
SS | SS
SS’ | SS’

LaTeX Conversion Notes

The Lhs box is a holdover from EXP for DOS. It is strongly recommended that you not use the Lhs box in new EXP documents. The converter converts the Lhs box to a custom LaTeX macro defined in the exptex.sty package.


Llimit - Lower Limit

Purpose

To format the lower limit for a summation, a product, or an integral.

Formatting Performed

The box is formatted as the lower limit for the preceding symbol, which is assumed to be a large operator.

Box Codes Inserted

Llimit, /Llimit

Math Style Changes

In this style | The lower limit style is
D | S’
D’ | S’
T | S’
T’ | S’
S | SS’
S’ | SS’
SS | SS’
SS’ | SS’


Lmhang - Left Margin Hang

Purpose

To position a box in the left margin.

Formatting Performed

The right side of the box is aligned with the left margin of the paragraph.

Box Codes Inserted

Lmhang, /Lmhang

Math Style Changes

None

LaTeX Conversion Notes

The Lmhang and Rmhang boxes are both converted to LaTeX marginal notes. LaTeX makes the decision as to whether the note appears on the left side or the right side of the page.


Overline

Purpose

To draw a line above a box.

Formatting Performed

A line is drawn above the box. The thickness of the line is derived from the current font.

Box Codes Inserted

Overline, /Overline

Math Style Changes

In this style | The style changes to
D | D’
D’ | D’
T | T’
T’ | T’
S | S’
S’ | S’
SS | SS’
SS’ | SS’


Postsp - Post-Superscript/Subscript

Purpose

To format a superscript/subscript combination after an atomic symbol. This box type formats the superscript higher and the subscript lower than the Sp and Sb boxes do. Always use this box type to format superscripts and subscripts for chemical formulas, even if the superscript or the subscript field is empty. The use of this box type, and the Presp box type, will ensure that all the superscripts in the formula are raised the same amount and that all the subscripts are lowered the same amount.

Formatting Performed

The superscript and the subscript are formatted for correct appearance after an atomic symbol.

Box Codes Inserted

Postsp, Postsb, /Postsb

Math Style Changes

In this style | The superscript style is | The subscript style is
D | S | S’
D’ | S’ | S’
T | S | S’
T’ | S’ | S’
S | SS | SS’
S’ | SS’ | SS’
SS | SS | SS’
SS’ | SS’ | SS’


Presp - Pre-Superscript/Subscript

Purpose

To format a presuperscript/presubscript combination before an atomic symbol. Always use this box type to format presuperscripts and presubscripts for chemical formulas, even if the superscript or the subscript field is empty. The use of this box type, and the Postsp box type, will ensure that all the superscripts in the formula are raised the same amount and that all the subscripts are lowered the same amount.

Formatting Performed

The superscript and the subscript are formatted for correct appearance before an atomic symbol.

Box Codes Inserted

Presp, Presb, /Presb

Math Style Changes

In this style | The superscript style is | The subscript style is
D | S | S’
D’ | S’ | S’
T | S | S’
T’ | S’ | S’
S | SS | SS’
S’ | SS’ | SS’
SS | SS | SS’
SS’ | SS’ | SS’


Rflush - Right Flush

Purpose

To position a box flush with the right margin.

Formatting Performed

The right side of the box is aligned with the right margin of the paragraph.

Box Codes Inserted

Rflush, /Rflush

Math Style Changes

None


Rmhang - Right Margin Hang

Purpose

To position a box in the right margin.

Formatting Performed

The left side of the box is aligned with the right margin of the paragraph.

Box Codes Inserted

Rmhang, /Rmhang

Math Style Changes

None

LaTeX Conversion Notes

The Lmhang and Rmhang boxes are both converted to LaTeX marginal notes. LaTeX makes the decision as to whether the note appears on the left side or the right side of the page.


Roof

Purpose

To position a box above another box. Do not use this box to format a limit above a large operator symbol. Use the Ulimit box instead.

Formatting Performed

The box is positioned so that it is horizontally centered above the previous box.

Box Codes Inserted

Roof, /Roof

Math Style Changes

None


Root

Purpose

To format an nth root. To format a square root, leave the index portion blank.

Formatting Performed

The index and the radicand are formatted into a root structure.

Box Codes Inserted

Root, Of, /Root

Math Style Changes

In this style | The index style is | The radicand style is
D | SS’ | D’
D’ | SS’ | D’
T | SS’ | T’
T’ | SS’ | T’
S | SS’ | S’
S’ | SS’ | S’
SS | SS’ | SS’
SS’ | SS’ | SS’


Rug

Purpose

To position a box below another box. Do not use this box to format a limit below a large operator symbol. Use the Llimit box instead.

Formatting Performed

The box is positioned so that it is horizontally centered below the previous box.

Box Codes Inserted

Rug, /Rug

Math Style Changes

None


Sb - Subscript

Purpose

To format a subscript.

Formatting Performed

The box is formatted as a subscript to the previous box.

Box Codes Inserted

Sb, /Sb

Math Style Changes

In this style | The subscript style is
D | S’
D’ | S’
T | S’
T’ | S’
S | SS’
S’ | SS’
SS | SS’
SS’ | SS’


Sp - Superscript

Purpose

To format a superscript.

Formatting Performed

The box is formatted as a superscript to the previous box.

Box Codes Inserted

Sp, /Sp

Math Style Changes

In this style | The superscript style is
D | S
D’ | S’
T | S
T’ | S’
S | SS
S’ | SS’
SS | SS
SS’ | SS’


Stack

Purpose

To stack one math expression above another.

Formatting Performed

The two math expressions are formatted together as a fraction, but the fraction line is not drawn.

Box Codes Inserted

Stack, Atop, /Stack

Math Style Changes

In this style | The numerator style is | The denominator style is
D | T | T’
D’ | T’ | T’
T | S | S’
T’ | S’ | S’
S | SS | SS’
S’ | SS’ | SS’
SS | SS | SS’
SS’ | SS’ | SS’


Strike

Purpose

To superimpose one box on top of another box (or character).

Formatting Performed

The box is horizontally and vertically superimposed on top of the previous box.

Box Codes Inserted

Strike, /Strike

Math Style Changes

None


Ulimit - Upper Limit

Purpose

To format the upper limit for a summation, a product, or an integral.

Formatting Performed

The box is formatted as the upper limit for the preceding symbol, which is assumed to be a large operator.

Box Codes Inserted

Ulimit, /Ulimit

Math Style Changes

In this style | The upper limit style is
D | S
D’ | S’
T | S
T’ | S’
S | SS
S’ | SS’
SS | SS
SS’ | SS’


Underline

Purpose

To underline a box in a formula. Do not use text underlining in formulas.

Formatting Performed

A line is drawn below the box. The thickness of the line is derived from the current font.

Box Codes Inserted

Underline, /Underline

Math Style Changes

None


Vcenter - Vertical Center

Purpose

To center a box vertically with respect to the math axis.

Formatting Performed

The vertical center of the box is aligned with the math axis.

Box Codes Inserted

Vcenter, /Vcenter

Math Style Changes

None


Brace

Delimiter Drawn

A left and a right brace.

Box Codes Inserted

Brace, /Brace


BraceL

Delimiter Drawn

A left brace.

Box Codes Inserted

BraceL, /BraceL


BraceR

Delimiter Drawn

A right brace.

Box Codes Inserted

BraceR, /BraceR


Bracket

Delimiter Drawn

A left and a right bracket.

Box Codes Inserted

Bracket, /Bracket


BracketL

Delimiter Drawn

A left bracket.

Box Codes Inserted

BracketL, /BracketL


BracketR

Delimiter Drawn

A right bracket.

Box Codes Inserted

BracketR, /BracketR


Ceiling

Delimiter Drawn

A left and a right ceiling symbol.

Box Codes Inserted

Ceiling, /Ceiling


CeilingL

Delimiter Drawn

A left ceiling symbol.

Box Codes Inserted

CeilingL, /CeilingL


CeilingR

Delimiter Drawn

A right ceiling symbol.

Box Codes Inserted

CeilingR, /CeilingR


Det

Delimiter Drawn

A determinant or absolute value symbol.

Box Codes Inserted

Det, /Det


Eval

Delimiter Drawn

An evaluation line.

Box Codes Inserted

Eval, /Eval


Floor

Delimiter Drawn

A left and a right floor symbol.

Box Codes Inserted

Floor, /Floor


FloorL

Delimiter Drawn

A left floor symbol.

Box Codes Inserted

FloorL, /FloorL


FloorR

Delimiter Drawn

A right floor symbol.

Box Codes Inserted

FloorR, /FloorR


Hbrace

Delimiter Drawn

An upper and a lower horizontal brace.

Box Codes Inserted

Hbrace, /Hbrace


HbraceL

Delimiter Drawn

A lower horizontal brace.

Box Codes Inserted

HbraceL, /HbraceL


HbraceU

Delimiter Drawn

An upper horizontal brace.

Box Codes Inserted

HbraceU, /HbraceU


Norm

Delimiter Drawn

A norm symbol.

Box Codes Inserted

Norm, /Norm


Paren

Delimiter Drawn

A left and a right parenthesis.

Box Codes Inserted

Paren, /Paren


ParenL

Delimiter Drawn

A left parenthesis.

Box Codes Inserted

ParenL, /ParenL


ParenR

Delimiter Drawn

A right parenthesis.

Box Codes Inserted

ParenR, /ParenR


Darrow

Arrow Drawn

A left and a right down-pointing arrow.

Box Codes Inserted

Darrow, /Darrow


DarrowL

Arrow Drawn

A left down-pointing arrow.

Box Codes Inserted

DarrowL, /DarrowL


DarrowR

Arrow Drawn

A right down-pointing arrow.

Box Codes Inserted

DarrowR, /DarrowR


Larrow

Arrow Drawn

An upper and a lower left-pointing arrow.

Box Codes Inserted

Larrow, /Larrow


LarrowL

Arrow Drawn

A lower left-pointing arrow.

Box Codes Inserted

LarrowL, /LarrowL


LarrowU

Arrow Drawn

An upper left-pointing arrow.

Box Codes Inserted

LarrowU, /LarrowU


LRarrow

Arrow Drawn

An upper and a lower left–right-pointing arrow.

Box Codes Inserted

LRarrow, /LRarrow


LRarrowL

Arrow Drawn

A lower left–right-pointing arrow.

Box Codes Inserted

LRarrowL, /LRarrowL


LRarrowU

Arrow Drawn

An upper left–right-pointing arrow.

Box Codes Inserted

LRarrowU, /LRarrowU


Rarrow

Arrow Drawn

An upper and a lower right-pointing arrow.

Box Codes Inserted

Rarrow, /Rarrow


RarrowL

Arrow Drawn

A lower right-pointing arrow.

Box Codes Inserted

RarrowL, /RarrowL


RarrowU

Arrow Drawn

An upper right-pointing arrow.

Box Codes Inserted

RarrowU, /RarrowU


Uarrow

Arrow Drawn

A left and a right up-pointing arrow.

Box Codes Inserted

Uarrow, /Uarrow


UarrowL

Arrow Drawn

A left up-pointing arrow.

Box Codes Inserted

UarrowL, /UarrowL


UarrowR

Arrow Drawn

A right up-pointing arrow.

Box Codes Inserted

UarrowR, /UarrowR


Choose

Purpose

To enter a binomial coefficient.

Usage

  1. Press F7 and choose Choose.

–or–

Press CTRL+ALT+C.

  2. Type the expression for the upper field.

  3. Press ENTER to move the cursor into the lower field.

  4. Type the expression for the lower field.

  5. Press ENTER twice to exit the template.


Displayed Equation

Purpose

To enter a centered displayed equation.

Usage

  1. Press F7 and choose Displayed Equation.

–or–

Press CTRL+ALT+D.

  1. Type the equation.

  2. Press END to exit the template.


Integral

Purpose

To enter an integral with limits.

Usage

  1. Press F7 and choose Integral.

–or–

Press CTRL+ALT+I.

  1. Type the lower limit.

  2. Press ENTER to move the cursor into the upper limit.

  3. Type the upper limit.

  4. Press ENTER to exit the template.


Limit

Purpose

To enter a limit.

Usage

  1. Press F7 and choose Limit.

–or–

Press CTRL+ALT+L.

  1. Type the variable for the limit.

  2. Press RIGHT to move the cursor to the right of the arrow.

  3. Type the limit for the variable.

  4. Press ENTER to exit the template.


Product

Purpose

To enter a product with limits.

Usage

  1. Press F7 and choose Product.

–or–

Press CTRL+ALT+P.

  1. Type the lower limit.

  2. Press ENTER to move the cursor into the upper limit.

  3. Type the upper limit.

  4. Press ENTER to exit the template.


Summation

Purpose

To enter a summation with limits.

Usage

  1. Press F7 and choose Summation.

–or–

Press CTRL+ALT+S.

  1. Type the lower limit.

  2. Press ENTER to move the cursor into the upper limit.

  3. Type the upper limit.

  4. Press ENTER to exit the template.


Opening and Saving Documents

All the work that you perform in EXP is performed on a document. To view, edit, or print a document with EXP, you must first open the document. When you open a document, EXP reads the document from disk into the computer's memory. When you edit a document with EXP, you are actually editing the copy of that document stored in the computer's memory. To store a permanent copy of the modified document on a disk, you must explicitly instruct EXP to save the document to a file. EXP never saves a document to disk unless you tell it to do so. EXP does not perform periodic background saves.

EXP is able to open the following types of document files:

• EXP for Windows files

• EXP for DOS files

• ASCII or ANSI text files

EXP is able to save documents in the following formats:

• EXP for Windows format

• LaTeX format

• Text format

EXP allows you to have up to eight documents open at once. This enables you to switch quickly between documents, to view two documents at the same time, and to move or copy text from one document to another.

When you first start EXP, it creates a new document called Untitled1. You can begin typing immediately if you are starting a new document, or you can open and edit an existing document.


Creating a New Document

When you create a new document, the document is based on a document template. A document template is a small document that provides the starting point for other documents. Document templates enable you to customize the formatting, text, and other settings of new documents.

EXP stores document templates in a directory called Document Templates. EXP provides several document templates. The document template called Normal is special in that it is used implicitly when you create a new document by pressing CTRL+N or by clicking the [image] button on the Math Panel. EXP provides other document templates for creating LaTeX documents. Refer to the topic Document Templates and Style Sheets for information about these LaTeX-oriented document templates.

To create a new document based on the Normal template

From the File menu, choose New (ALT, F, N), and then choose the OK button.

–or–

Press CTRL+N.

–or–

Click the [image] button on the Math Panel.

To create a new document based on a template other than Normal

  1. From the File menu, choose New (ALT, F, N).

EXP will display the New dialog box.

  2. In the list, select the name of the document template you want to use.

  3. Choose the OK button.

The new document will initially be named UntitledN, where N is a number. You assign a name to a new document the first time you save the document.


Modifying the Normal Document Template

You can modify the Normal document template if you want to alter the formatting, text, or other settings of the new documents you create.

To modify the Normal document template

  1. From the File menu, choose Open (ALT, F, O).

  2. Move to the <home>\Document Templates directory, where <home> refers to the directory in which you installed EXP.

  3. Select the file called Normal.

  4. Choose the OK button.

  5. Make changes to the document.

  6. From the File Menu, choose Save (ALT, F, S).

  7. From the File Menu, choose Close (ALT, F, C).

If you modify the Normal document template, you can reset it to its original state.

To reset the Normal document template

  1. From the File menu, choose New (ALT, F, N).

  2. Choose the Default button.

EXP will create a new document using internal defaults.

  1. From the File menu, choose Save As (ALT, F, A).

  2. Move to the <home>\Document Templates directory, where <home> refers to the directory in which you installed EXP.

  3. In the file list, select the file Normal.

  4. Choose the OK button. When EXP asks whether you want to overwrite the file, choose the Yes button.


Creating a New Document Template

If you need to create several new documents in a format that is different from that of the Normal document template, you can create a new document template for those documents. This will save you time because you won't have to make repeated changes for each new document.

To create a new document template

  1. From the File menu, choose New (ALT, F, N).

  2. Choose the Default button.

EXP will create a new document using internal defaults.

  1. Make changes to the document.

  2. From the File menu, choose Save As (ALT, F, A).

  3. Move to the <home>\Document Templates directory, where <home> refers to the directory in which you installed EXP.

  4. In the File name edit field, type a name for the document template.

  5. Choose the OK button.

  6. From the File menu, choose Close (ALT, F, C).

Instead of creating a new document template by starting with EXP's internal defaults, you can open an existing document template, edit it, and then save it in the Document Templates directory under a new name.


Opening a Document

There are four ways you can open a document in EXP:

  • You can choose a document using the Open dialog box.

  • You can choose a document from the Most Recently Used (MRU) list at the end of the File menu.

  • You can open a document from the Windows desktop.

  • You can have EXP automatically open documents when you start EXP.

Each of these methods is discussed in turn.


Opening a Document with the Open Dialog Box

The general method for opening a document is to use the Open dialog box.

To open a document using the Open dialog box

  1. From the File menu, choose Open (ALT, F, O).

–or–

Press CTRL+O.

–or–

Click the [image] button on the Math Panel.

EXP will display the Open dialog box. This dialog box is the same as the Open dialog box in most other Windows programs. To learn about a control in the dialog box, click the [image] button in the dialog box's title bar, and then click the control. If you right-click a filename in the list, Windows will display a popup menu that allows you to perform some file management tasks.

  1. In the file list, select the document you want to open.

You can also type the name of the document in the File name edit field. If you do not enter a filename extension, EXP automatically appends an extension based on the setting of the Files of type control.

If the document you are looking for is not listed, it could be stored in another directory. Make sure the current directory is correct. You can change the current directory either by using the Look in control or by typing a directory path in the File name edit field and pressing ENTER.

You can specify which type of files EXP should list via the Files of type control.

You can force EXP to list any set of files by typing a wildcard filename specification in the File name edit field and pressing ENTER. For example, to list all the files that have the extension XYZ, type *.XYZ in the File name edit field and press ENTER.

  2. Choose the OK button.

If EXP does not recognize the format of the document you selected, it will prompt you to choose the format from which the document should be converted.


Opening a Recently Used Document

At the end of the File menu, EXP lists the names of the nine documents you most recently worked with. This list is referred to as the Most Recently Used (MRU) list. EXP maintains this list so you can quickly reopen recently used documents.

To open a recently used document

From the File menu, choose the name of the document you want to open.

–or–

Press ALT, F followed by the number to the left of the document's name.

The document at the top of the list is the document you used most recently. The document at the end of the list is the document you used least recently. EXP places a document at the top of the list whenever you open or save the document.


Opening a Document from the Windows Desktop

EXP document files are represented on the Windows desktop by the following icon:

If you double-click an EXP document icon, EXP will start and it will open the document. If EXP is already running when you double-click an EXP document icon, EXP will be activated and it will open the document in a new window.


Opening Documents Automatically

As you are writing a document, you frequently want to start EXP, open the document you are working on, and open one or more text libraries. EXP can automate this process for you, but you must first enable the feature.

To instruct EXP to open documents automatically at startup

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  1. Turn on the check box labeled "Open previous documents".

  2. Choose the OK button.

After you have enabled this feature, EXP will behave as follows: When you exit EXP, EXP remembers all the documents, including text libraries, that were open at the time you exited. The next time you start EXP, it will automatically reopen those documents and will position their windows exactly where they were before. This allows you to begin working immediately without having to remember to open all the necessary documents and text libraries. The one thing EXP does not do is position the cursor where it was before. You must reposition the cursor yourself.

If you want to exit EXP and do not want it to reopen all the documents you have open, close one or more of the documents before you exit. Use the Close All command on the File menu to close all the documents.


Saving a Document

When you create a new document, EXP assigns a temporary name to it. The first time you instruct EXP to save the document, EXP prompts you to enter a name for the document. From that point on, you can save the document quickly.

To save a new document

  1. From the File menu, choose Save (ALT, F, S).

–or–

Press CTRL+S.

–or–

Click the [image] button on the Math Panel.

EXP will display the Save As dialog box. This dialog box is the same as the Save As dialog box in most other Windows programs. To learn about a control in the dialog box, click the [image] button in the dialog box's title bar, and then click the control.

  1. In the File name edit field, type the filename to assign to the document.

The name must be a legal Windows filename. If you do not enter a filename extension, EXP automatically appends an extension based on the setting of the Save as type control.

If you want to save the document in a different directory, change the current directory either by using the Save in control or by typing a directory path in the File name edit field and pressing ENTER.

  2. Choose the OK button.

To save an existing document

From the File menu, choose Save (ALT, F, S).

–or–

Press CTRL+S.

–or–

Click the [image] button on the Math Panel.


Saving a Copy of a Document

As you are working on a document, you may periodically want to make a copy of that document. Keeping several copies of an important document on different disks is a wise practice because it protects you against information loss in the event of a disk failure or some other computer malfunction.

To save a copy of a document

  1. Make sure the document is open and is the active document.

  2. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  1. In the File name edit field, type the name to assign to the copy of the document.

The name must be a legal Windows filename. If you do not enter a filename extension, EXP automatically appends an extension based on the setting of the Save as type control.

You will probably want to save the copy on a different disk or in a different directory. You can change the current disk and directory by using the Save in control. You can also specify a different disk and directory for the copy by prefixing the document name in the File name edit field with the disk and directory path you want; for example, A:\REPORT.

  2. Choose the OK button.

When you save a copy of a document under a new name, the open version of that document has the new name and the original version is closed.


Saving a Document as a Text File

Normally when you save a document, EXP saves the document in EXP for Windows format. If you want to transfer the text of a document to another application or if you are using EXP to edit a text file such as AUTOEXEC.BAT, you need to instruct EXP to save the document as a text file. A text file contains only ANSI characters.

To save a document as a text file

  1. Make sure the document is open and is the active document.

  2. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  1. Change the Save as type control so it displays Text File.

  2. In the File name edit field, type the name to assign to the text file.

The name must be a legal Windows filename. If you do not enter a filename extension, EXP automatically appends the extension TXT.

If you want to save the text file on a different disk or in a different directory, change the current disk and directory by using the Save in control. You can also specify a different disk and directory for the text file by prefixing the document name in the File name edit field with the disk and directory path you want; for example, D:\DirName\FileName.

  3. Choose the OK button.

When you save a document as a text file, EXP does not change the name of the open document.


Making Backup Copies

EXP maintains a backup copy of each document you save. The backup copy contains the previous version of the document. Each time you save a document, EXP updates the backup copy and saves the new version of the document. The filename of a backup copy is "Backup of Original.wxb", where Original is the name of the primary copy of the document.

If you need to recover the backup copy of a document, open the backup copy and save it under its original name.

To recover the backup copy of a document

  1. From the File menu, choose Open (ALT, F, O).

–or–

Press CTRL+O.

–or–

Click the [image] button on the Math Panel.

EXP will display the Open dialog box.

  1. In the File name edit field, type the name of the document's backup copy. Make sure you type the filename extension WXB.

  2. Choose the OK button.

EXP will open the backup copy.

  3. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  4. In the File name edit field, type the document's normal filename. Do not type a filename extension.

  5. Choose the OK button.

If you do not want EXP to maintain backup copies of the documents you save, you can turn off the backup feature.

To stop EXP from creating backup copies

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  6. Turn off the Create Backup Files check box.

  7. Choose the OK button.


Sending a Document through E-Mail

You can send EXP documents through e-mail directly from within EXP. When you instruct EXP to send a document through e-mail, EXP sends the document to your e-mail program for further processing.

To send a document through e-mail

  1. Open the document you want to send.

If you just composed the document and have not yet saved it, you need not save the document before sending it.

  1. From the File menu, choose Send (ALT, F, D).

EXP will send the document to your e-mail program for further processing.

EXP requires that your e-mail program support MAPI. MAPI stands for Messaging Application Programming Interface. Most Windows e-mail programs support MAPI.


Printing

Before you can print documents with EXP, you have to install and configure the printer driver for your printer using Control Panel. Refer to your Windows documentation for information about installing printer drivers.


Using Print Preview

Before you print a document on paper, you may want to use Print Preview to view the appearance of your document. In Print Preview, EXP displays all margins, headers, footers, footnotes, and columns exactly as they will appear on the final printed page. You cannot perform any document editing while in Print Preview.

To enter Print Preview

From the File menu, choose Print Preview (ALT, F, V).

–or–

Press CTRL+SHIFT+P.

When you enter Print Preview, the Math Panel, the Format Panel, the Status Bar, and all the document windows are hidden. In their place EXP displays two side-by-side pages, beginning with the page the cursor is on. You can move through the document in the following ways:

To move forward one page

Press PAGEDOWN.

–or–

Click below the thumb position on the vertical scroll bar.

–or–

Click the down arrow on the vertical scroll bar.

To move backward one page

Press PAGEUP.

–or–

Click above the thumb position on the vertical scroll bar.

–or–

Click the up arrow on the vertical scroll bar.

To move to the first page

Press CTRL+HOME.

–or–

Drag the thumb position on the vertical scroll bar all the way to the top.

To move to the last page

Press CTRL+END.

–or–

Drag the thumb position on the vertical scroll bar all the way to the bottom.

To move to a relative position in the document

Drag the thumb position on the vertical scroll bar to a new position.

Moving through the document in Print Preview does not change the position of the cursor. When you exit Print Preview, the cursor will be in exactly the same place as it was when you entered Print Preview.

While in Print Preview, EXP displays a button bar directly underneath the menu bar. The function of each button is as follows:

Print Choose this button to print the document. The keyboard shortcut for this button is P. When you choose Print or press P, EXP will display the Print dialog box. If you instruct EXP to print the current page, it will print the page the cursor is on, which is not necessarily the page you are looking at in Print Preview. To print a specific page, type the number of that page in the Pages edit field.

One Page Choose this button to display one page at a time. The keyboard shortcut for this button is A. Because more space is available for a page when only one is being displayed, EXP is able to display the page larger, and thus it is more legible. This feature is particularly relevant to landscape pages. When EXP is displaying only one page, it changes the label on this button to Two Pages. If you choose the button in this state, EXP will return to a two-page display.

Cancel Choose this button to exit Print Preview. The keyboard shortcuts for this button are ESC and C.

To exit Print Preview

From the File menu, choose Print Preview (ALT, F, V).

–or–

Press CTRL+SHIFT+P.

–or–

Press ESC.

–or–

Click the Cancel button on the Print Preview button bar.


Notes Concerning Print Preview

• If you are using EXP on a VGA display (640x480) or a Super-VGA display (800x600), the Print Preview display will probably not be readable. You will, however, still be able to observe the positions of elements on the page. At screen resolutions of 1024x768 and above, the Print Preview display is readable.

• When you use Print Preview to view a document, EXP first updates the automatic numbering, and then repaginates the document up to the pages being viewed.


Printing a Document

Printing in EXP is controlled via the Print dialog box. The controls in this dialog box are as follows:

All Select this button to print all the pages in the document.

Current Page Select this button to print only the page the cursor is on.

Selected Pages Select this button to print only the pages spanned by the current text selection.

Pages Select this button to print a specific range of pages. The syntax you must use for specifying the range of pages is described below.

Odd/Even Pages This control allows you to obtain two-sided printing on a single-sided printer. See Two-Sided Printing on a Single-Sided Printer.

Copies If you want to print multiple copies of the document, type the number of copies in this edit field.

Collate Copies If you are printing multiple copies and want EXP to print all the copies of a given page before printing the next page, turn off this check box. On a laser printer, printing uncollated copies is significantly faster than printing collated copies.

Print to File If you want to direct EXP's printer output to a file, turn on this check box. When EXP starts to print, you will be prompted to enter the name of the file to which the output should be sent.

When you print a document, EXP first updates the automatic numbering, and then repaginates the document up to the pages being printed.

To print the entire document

  1. From the File menu, choose Print (ALT, F, P).

–or–

Press CTRL+P.

–or–

Click the [image] button on the Math Panel.

EXP will display the Print dialog box.

  1. Press UP to select the All button.

  2. Choose the OK button.

To print the current page

  1. From the File menu, choose Print (ALT, F, P).

–or–

Press CTRL+P.

–or–

Click the [image] button on the Math Panel.

EXP will display the Print dialog box.

  3. Choose the OK button.


Printing Specific Pages

EXP allows you to print any set of pages in a document. The following examples demonstrate the possible methods for specifying a page range:

5 Page 5

5- Page 5 to end of document

-5 Start of document to page 5

5-8 Pages 5 to 8

s2 Pages in section 2

s2- Start of section 2 to end of document

-s2 Start of document to end of section 2

s2-s4 Start of section 2 to end of section 4

p5s2 Page 5 of section 2

p5s2- Page 5 of section 2 to end of document

-p5s2 Start of document to page 5 of section 2

p5s2-p8s4 Page 5 of section 2 to page 8 of section 4

When specifying the pages you want to print, you can specify multiple page ranges by separating each page range with a space or comma. For example, you can print page 5 of section 2 followed by page 8 of section 4 followed by all of section 9 by typing

p5s2,p8s4,s9

To print specific pages

  1. From the File menu, choose Print (ALT, F, P).

–or–

Press CTRL+P.

–or–

Click the [image] button on the Math Panel.

EXP will display the Print dialog box.

  1. Press DOWN to select the Pages button. The cursor will move into the edit field.

  2. Type the page ranges you want to print.

  3. Choose the OK button.


The Printing Status Box

When EXP begins printing, it will display the Printing Status box. The Printing Status box displays the name of the printer, the name of the document being printed, and the number of the page currently being printed.

To cancel printing

Press ESC.

–or–

Choose the Cancel button.


Two-Sided Printing on a Single-Sided Printer

By using the Odd/Even Pages control in the Print dialog box you can obtain two-sided printing even if you only have a single-sided printer.

The following instructions demonstrate the process of obtaining two-sided printing with printers such as the LaserJet II, LaserJet III, and LaserJet IV, which stack printed pages face down facing the front of the printer. If your printer stacks printed pages in a different manner, you will have to experiment to determine the correct procedure.

To obtain two-sided printing on a single-sided printer

  1. From the File menu, choose Print (ALT, F, P).

EXP will display the Print dialog box.

  1. Using the Page Range controls, specify which pages you want to print. You will probably just want to press UP to select the All button.

  2. Set the Odd/Even Pages control to Print Odd Pages Only.

  3. Choose the OK button.

EXP will print the odd-numbered pages in the document.

  4. Remove the stack of paper from the printer's output tray holding the printed side up.

  5. Reverse the order of the pages in the stack but do not turn any page over.

  6. Turn the whole stack over from left to right.

  7. Insert the stack back into the printer's input tray.

  8. From the File menu, choose Print (ALT, F, P).

EXP will display the Print dialog box.

  9. Using the Page Range controls, specify the exact same set of pages you specified in step 2.

  10. Set the Odd/Even Pages control to Print Even Pages Only.

  11. Choose the OK button.

  12. Remove the stack of paper from the printer's output tray holding the newly printed side up.

  13. Reverse the order of the pages in the stack but do not turn any page over.

  14. Turn the whole stack over from left to right.

  15. If there were more odd-numbered pages than even-numbered pages there will be an odd-numbered page in the printer's input tray. Remove it and place it at the bottom of the stack.

You will now have a two-sided printout of your document.


Printing from the Windows Desktop

You can print EXP documents directly from the Windows desktop. Printing a document in this manner is quick and convenient if you want to print the entire document and don't need to use any of the options provided by EXP's Print dialog box.

EXP document files are represented on the Windows desktop by the following icon:

There are two methods you can use to print a document from its document icon:

• You can use the document icon's context menu to print the document to the default printer.

• You can drag the document icon onto a printer icon to print the document to that specific printer.

To print a document to the default printer

  1. Right-click the document icon.

Windows will display the icon's context menu.

  1. Choose Print from the popup menu.

EXP will start a new instance of itself to print the document. This dedicated instance of EXP will only display the Printing Status dialog box. When the dedicated instance finishes printing the document, it will close itself.

To print a document to a specific printer

Drag the document icon onto the icon for the printer. EXP will start a new instance of itself to print the document. This dedicated instance of EXP will only display the Printing Status dialog box. When the dedicated instance finishes printing the document, it will close itself.

When you print an EXP document from the Windows desktop, EXP starts a new instance of itself to handle the printing of the document. This dedicated instance does not interfere with any other instances of EXP that might be running. You can continue to work in EXP while dedicated instances of EXP are busy printing.


Changing Printers

When you start EXP, it uses the printer set as the default printer in Control Panel. You can instruct EXP to use a different printer.

To select a different printer

  1. From the File menu, choose Printer Setup (ALT, F, R).

EXP will display the Printer Setup dialog box.

  1. Use the Name control to select the desired printer.

  2. Choose the OK button.

When you select a different printer, EXP will reformat all the open documents.


Setting Printer Driver Options

Every printer driver for Microsoft Windows provides options that control the operation of the driver. Whenever you start EXP, it uses the options for the default printer that were set in Control Panel. You can modify these options from within EXP to alter the operation of the driver. Changes you make to a printer driver's settings from within EXP do not affect other application programs.

To set a printer driver's options

  1. From the File menu, choose Printer Setup (ALT, F, R).

EXP will display the Printer Setup dialog box.

  1. Choose the Properties button.

The current printer driver will display a dialog box.

  2. Change the settings within the dialog box.

  3. Choose the OK button to close the printer driver's dialog box.

  4. Choose the OK button to close the Printer Setup dialog box.

If you change printers, any printer driver options you may have set will be lost.


How a Printer Affects Document Formatting

The formatting of a document is dependent upon the printer EXP is using. There are two reasons for this:

1. Different printers operate at different resolutions.

In the simplest sense, the process of formatting a document consists of breaking paragraphs into lines and grouping lines into pages. If the characters in a font are slightly narrower or wider at one resolution than they are at another, line and page breaks can be different for the different printers.

2. Different printers provide different fonts.

If you format a document using a font specific to a particular printer, and then you switch to a different printer on which the font is not available, Windows will substitute another font for the missing font. Because the character spacing of the substituted font will not be the same as that of the original font, the formatting of the document will be affected.

EXP has the ability to tell you if a particular document uses a font that is not available. Refer to the topic Checking Fonts.

To eliminate the problems associated with using different printers, consider the following advice:

• Format the document in EXP using the printer driver of the printer on which the document will be printed. If you don't have access to the exact printer driver, use the driver of a printer that operates at a similar resolution.

• Use only TrueType fonts. All Windows printer drivers support TrueType fonts. If a TrueType font is installed on a particular computer, that font will be available on any printer connected to that computer.


Solving Printing Problems

If you are having a problem printing a document with EXP, consider the following possibilities.

User/Configuration Errors

• Make sure the printer is turned on and is online.

• Make sure you are using the correct printer driver for the printer attached to the computer.

• Make sure the printer driver is configured properly in Control Panel.

Hardware Problems

• Make sure the cable connecting the printer to the computer is securely fastened.

• The cable connecting the printer to the computer may be defective. This may be the case even if you are able to print documents using non-Windows programs. Try replacing the cable.

Printer Driver Bugs

If a document prints incorrectly on one printer but prints correctly on another, it is possible the printer driver has bugs. Evidence of a problematic printer driver includes the following:

  • Character positioning is not accurate.

  • EXP crashes when printing.

If you suspect there might be a problem with your printer driver, contact the manufacturer of your printer to see if a newer driver is available.


Formatting Text

This chapter discusses formatting the text of a document. For information about other types of formatting, refer to the following chapters.

• Formatting Headers and Footers Chapter 12

• Formatting Footnotes Chapter 13

• Formatting Tables Chapter 10

• Formatting Graphics Chapter 11

• Formatting Math Chapter 3

• Formatting with Styles Chapter 8

• LaTeX Markup Chapter 15


How Formatting Is Structured

To understand how to format a document, it is important to understand how EXP structures its documents.

At the lowest level, EXP views a document as a series of characters. The word character in this context includes such elements as symbols, math codes, and text codes. Above the character level, EXP views a document as a series of paragraphs. A paragraph is a series of characters terminated by a paragraph mark. Above the paragraph level, EXP views a document as a series of sections. A section is a series of paragraphs terminated by a section break. The section level is the highest level of document structure.

In summary, EXP uses a document structure to define three levels of formatting:

• Character-level formatting

• Paragraph-level formatting

• Section-level formatting


Character-Level Formatting

Character-level formatting is formatting that can be applied to one or more characters in a document. Character-level formatting consists only of character formatting. No other types of formatting can be applied at the character level.


Paragraph-Level Formatting

Paragraph-level formatting is formatting that can be applied to one or more paragraphs in a document. Paragraph-level formatting consists of the following types of formatting:

• Paragraph formatting

• Tab formatting

• Paragraph borders

In EXP, a paragraph is a series of characters terminated by a paragraph mark (¶). An end-of-text marker (¤) and a section break also end a paragraph. Paragraph marks are not normally displayed on the screen, but they can be displayed by turning on Show Codes.

To display paragraph marks and all other hidden codes

Press F12.

–or–

Click the [image] button on the Format Panel.

When you position the cursor in a paragraph and press ENTER to start a new paragraph, the new paragraph is assigned the same formatting as the previous paragraph. If two adjacent paragraphs have different formatting and you delete the paragraph mark that terminates the first paragraph, the text of the two paragraphs is merged together and the formatting of the resulting paragraph is that of the first paragraph. Thus, paragraph-level formatting flows top down.


Section-Level Formatting

Section-level formatting is formatting that can be applied to one or more sections in a document. Section-level formatting consists of the following types of formatting:

• Page margins

• Page size and orientation

• Paper source selection

• Column formatting

• Section formatting

• Page number formatting

A new document contains only one section. You can create additional sections by inserting section breaks into the text. There are five types of section breaks. Each type defines a different starting place for the new section.

Continuous Start the new section immediately.

New Column Start the new section at the top of the next column. If there are no more columns, start the new section at the top of the next page.

New Page Start the new section at the top of the next page.

Even Page Start the new section at the top of the next even-numbered page.

Odd Page Start the new section at the top of the next odd-numbered page.

To insert a section break

  1. From the Insert menu, choose Break (ALT, I, B).

EXP will display the Insert Break dialog box.

  2. Select the type of section break you want.

  3. Choose the OK button.

When you position the cursor in a section and insert a section break to start a new section, the new section is assigned the same formatting as the previous section. If you delete a section break, the two sections on either side of the section break are merged together and the formatting of the resulting section is that of the first section. Thus, section-level formatting flows top down.

EXP displays section breaks on the screen as a double horizontal line that extends across the document window.


How Formatting Is Applied

You apply formatting to a document by first positioning the cursor appropriately or making a selection and then by using the Format Panel, the ruler, or a dialog box to change one or more formatting attributes. When you apply formatting, each level of formatting responds differently depending on whether there is a selection.

For character-level formatting

If there is a selection, the selected text will be affected. If there is no selection, no formatting changes will occur. New text you type at the current cursor position will be formatted with the new character formatting.

For paragraph-level formatting

If there is a selection, all the paragraphs spanned by the selection will be affected. If there is no selection, only the paragraph containing the cursor will be affected.

For section-level formatting

If there is a selection, all the sections spanned by the selection will be affected. If there is no selection, only the section containing the cursor will be affected.


Measurements

A major component of any type of formatting is the specification of measurements (distances). These measurements might be page margin measurements, paragraph indentation measurements, line spacing measurements, page size measurements, or font size measurements. EXP allows you to specify measurements with great precision.

Anywhere that EXP permits you to enter a measurement, you can enter a number followed by a measurement unit. EXP supports nine measurement units:

Unit Full Name Definition

bp big point 72bp = 1in

cc cicero 1cc = 12dd

cm centimeter 2.54cm = 1in

dd didot point 1157dd = 1238pt

in inch

li line 6li = 1in

mm millimeter 10mm = 1cm

pc pica 1pc = 12pt

pt point 72.27pt = 1in

Some examples of valid measurements are

1

1in

1.25in

-1.25in

+1.25in

2.54cm

.5li

0.5li

12pt

If you do not enter a measurement unit after a measurement, EXP uses the document's default unit. The one exception to this rule is that the default unit for font size measurements is always bp (Big Points). When you create a new document from the Normal document template, the default unit is set to inches. This means that any measurement you enter that is not followed by a measurement unit is interpreted as being in inches. If you do follow a measurement with a measurement unit, EXP will interpret the measurement as being in the unit you specified and will always display that measurement in that unit. The default unit does not control how EXP displays a measurement; it only controls EXP's interpretation of measurements you enter.

If you would like to use a default unit other than inches, change the default unit for the document.

To change the default unit for a document

  1. From the Options menu, choose Document (ALT, O, D).

EXP will display the Document Options dialog box.

  1. Select a different unit in the Default Unit control.

  2. Choose the OK button.

When you change the default unit, the ruler will change to reflect the new unit.


Character Formatting

Character formatting consists of the following attributes:

• Typeface

• Font size (8, 10, 12 point, etc.)

• Font weight (normal, bold, etc.)

• Font attributes (italics, underlining, strikeout, color)

• Font width


Applying Character Formatting

Before you apply character formatting, you must either position the cursor where you want to type new text or you must select the region of the document you want to apply the new formatting to. When you are ready to apply character formatting, there are two ways you can do it:

• You can use the Character Formatting dialog box.

• You can use the Format Panel.


Using the Character Formatting Dialog Box

The Character Formatting dialog box allows you to change any attribute of character formatting.

To apply character formatting with the dialog box

  1. From the Format menu, choose Character (ALT, R, C).

EXP will display the Character Formatting dialog box. The controls in this dialog box are as follows:

Typeface This control lists the names of all the typefaces available for the current printer. This control lists ANSI typefaces if the Char. Set control is set to ANSI, and it lists symbol typefaces if the Char. Set control is set to Symbol. EXP displays a small picture next to each typeface name to indicate what type of font the typeface is coming from. The pictures and the font types they indicate are as follows:

The typeface comes from a TrueType font. The typeface is available on the screen and the printer.

The typeface comes from a font built into the printer. The typeface is available only on the printer. EXP will use the closest matching font available on the screen.

The typeface comes from a scalable font source other than TrueType. Adobe Type Manager fonts fall into this category. The typeface is available on the screen and the printer.

The typeface comes from a bitmap font. The font is designed for the screen and will look poor on the printer.

Size This control lists the sizes available for the selected typeface. If the selected typeface is scalable, this control lists a set of standard font sizes. If you want a size that is not listed, type the size measurement in the control's edit field. The default unit for font sizes is always bp (1/72 inch).

Weight This control lists the weights available for the selected typeface. Most typefaces provide a Normal and a Bold weight.

Italic Turn on this check box to select an italic font.

Underline Turn on this check box to turn on continuous underlining.

Word Underline Turn on this check box to turn on word underlining, which does not underline spaces.

Strikeout Turn on this check box to cause each character to have a horizontal strikeout line drawn through it.

Fixed Pitch Turn on this check box to select a monospace font. It is normally never necessary to turn on this check box because selecting a typeface that is monospaced is sufficient. The only time you would need to turn on this check box is if you had two typefaces with the same name installed and one was monospaced and the other was proportionally spaced.

Text Color This control determines the color of the text. The color Default causes EXP to display text in the color specified by Control Panel.

Char. Set The two buttons determine the character set of the typeface. Set the ANSI button to select a text font or the Symbol button to select a symbol font.

Width This control determines the relative width of the characters in the font. A width of 100% means characters are displayed in their normal design width. A width of 120% means characters are stretched horizontally by 20%. A width of 80% means characters are compressed horizontally by 20%. The Wider and Narrower buttons increase or decrease the width in 5% increments. You can also type a number into the edit field.

  1. Modify the character formatting by changing the controls in the dialog box.

  2. Choose the OK button.

See Also

Using the Format Panel to Apply Character Formatting


Using the Format Panel

The Format Panel allows you to change certain character formatting attributes. It displays the typeface and the font size, as well as the bold, italic, and underline attributes. The controls on the Format Panel that affect character formatting are

The Typeface Control

This control displays the typeface name of the current font. When this control is opened it lists the names of all the typefaces available for the current printer. EXP displays a small picture next to each typeface name to indicate what type of font that typeface is coming from. The pictures and the font types they indicate are as follows:

The typeface comes from a TrueType font. The typeface is available on the screen and the printer.

The typeface comes from a font built into the printer. The typeface is available only on the printer. EXP will use the closest matching font available on the screen.

The typeface comes from a scalable font source other than TrueType. Adobe Type Manager fonts fall into this category. The typeface is available on the screen and the printer.

The typeface comes from a bitmap font. The font is designed for the screen and will look poor on the printer.

The Font Size Control

This control displays the size of the current font. When this control is opened it lists the sizes available for the selected typeface. If the selected typeface is scalable, this control only lists a set of standard font sizes.

The Bold Button

This button indicates the weight of the current font. This button only allows you to toggle between the Normal and Bold weights. If you are using a typeface available in other weights, you must use the Character Formatting dialog box to access those other weights.

The Italic Button

This button indicates whether the current font is in italics.

The Underline Button

This button indicates whether the current font is underlined. This button only controls continuous underlining. To turn on word underlining, you must use the Character Formatting dialog box.

If there is no selection, the Format Panel displays information about the font at the current cursor position. If there is a selection, the Format Panel displays information about the fonts in the selection. If the selection contains mixed formatting, the controls on the Format Panel will either be blanked or grayed to indicate that the formatting changes within the selection.

You can use either the mouse or the keyboard to change character formatting using the Format Panel.

To change the typeface

  1. Click the down arrow next to the typeface control to open the list.

  2. Click the name of the typeface you want.

–or–

  1. Press CTRL+T to activate the typeface control.

  2. Use the UP and DOWN arrow keys to select a typeface. You can also type the first few characters of the typeface name and then press DOWN to select it.

  3. Press ENTER.

Note: You can exit this control by pressing ESC.

To change the font size

  1. Click the down arrow next to the font size control to open the list.

  2. Click the size you want.

–or–

  1. Press CTRL+H to activate the font size control.

  2. Use the UP and DOWN arrow keys to select a size. You can also type a size measurement into the edit field. The default unit for font sizes is always bp (1/72 inch).

  3. Press ENTER.

Note: You can exit this control by pressing ESC.

To turn bold on or off

Click the Bold button or press CTRL+B.

To turn italics on or off

Click the Italic button or press CTRL+I.

To turn underlining on or off

Click the Underline button or press CTRL+U.

See Also

Using the Character Formatting Dialog Box


Paragraph Formatting

Paragraph formatting consists of the following attributes:

• Paragraph indents

• Line spacing

• Interparagraph spacing

• Paragraph alignment

• Pagination flags


Paragraph Indents and Margins

The interpretation of a margin in EXP is different from its interpretation on a typewriter. On a typewriter, both the left and right margins represent a distance from the left edge of the paper. In EXP, the left margin represents a distance from the left edge of the paper, and the right margin represents a distance from the right edge of the paper. Thus, in EXP, margins are actually offsets from the edges of the paper.

Margin formatting is handled on two levels: at the section level and at the paragraph level. At the section level, you specify the margins for an entire section. Because a section usually starts at the top of a new page, these margins are called the page margins. At the paragraph level, you specify the margins for a paragraph as indents relative to the page margins. There are three paragraph indent measurements:

Left Indent

This measurement is the distance the left margin of a paragraph is indented or outdented from the left page margin.

Right Indent

This measurement is the distance the right margin of a paragraph is indented or outdented from the right page margin.

First-Line Indent

This measurement is the distance the first line of a paragraph is indented or outdented from the left margin of the paragraph. Note that this particular indent measurement is relative to the left margin of the paragraph, not to the left page margin.

If an indent measurement is positive, the measurement is an indent. If an indent measurement is negative, the measurement is an outdent.

As an example of how EXP handles margins, consider the following:

Page left margin 1.25in

Page right margin 1.25in

Paragraph left indent 1in

Paragraph right indent .75in

Paragraph first-line indent -.5in

In this example, the effective left margin of the paragraph is 2.25in (1.25in+1in), the effective right margin of the paragraph is 2in (1.25in+.75in), and the effective left margin for the first line of the paragraph is 1.75in (1.25in+1in-.5in).


Line Spacing

Line spacing refers to the vertical spacing of the lines in a paragraph. EXP provides three types of line spacing:

Auto

When line spacing is set to Auto, EXP calculates and adjusts line spacing automatically based on font usage and the size of formulas.

At Least

When line spacing is set to At Least, you specify a measurement that represents the minimum total height of each line in the paragraph. EXP sets the minimum height of each line (distance above the baseline) to 80% of the measurement and sets the minimum depth of each line (distance below the baseline) to 20% of the measurement. These scaled measurements are minimum distances because EXP will increase the height and depth of a particular line if the line requires more vertical space.

Exactly

When line spacing is set to Exactly, you specify a measurement that represents the exact total height of each line in the paragraph. EXP sets the height of each line (distance above the baseline) to 80% of the measurement and sets the depth of each line (distance below the baseline) to 20% of the measurement. EXP never adjusts these scaled measurements. If a particular line requires more vertical space, the portion of the line that extends outside the line's space will overprint the line above or below it. On the screen, overprinting is not allowed so EXP clips the line instead.


Interparagraph Spacing

Interparagraph spacing refers to extra vertical space that is added between paragraphs. This vertical space is in addition to the vertical space created by the line spacing. EXP allows you to control the vertical space above and below a paragraph.

Space Before

The Space Before measurement allows you to specify the amount of extra vertical space you want to appear before the first line of the paragraph. If you want to add a little extra space between paragraphs, you can set Space Before to .5li.

Space After

The Space After measurement allows you to specify the amount of extra vertical space you want to appear after the last line of the paragraph. You will rarely need to change this measurement from its default of 0li.

Keep Space Before at Top of Page

This flag allows you to control whether EXP uses the Space Before measurement if the paragraph starts at the top of a page. Normally this flag is turned off.


Paragraph Alignment

Paragraph alignment refers to the horizontal positioning of the individual lines in a paragraph. EXP provides four options for paragraph alignment:

Left

The lines of the paragraph are aligned left-flush.

Center

Each line of the paragraph is centered between the paragraph's margins.

Right

The lines of the paragraph are aligned right-flush.

Justify

The lines of the paragraph are right-justified.


Pagination Flags

EXP provides three pagination flags that allow you to control how a paragraph breaks across a page boundary:

Start On New Page

This flag instructs EXP to start the paragraph at the top of a new page. Using this flag is essentially the same as inserting a hard page break before the beginning of the paragraph.

Don't Break Paragraph

This flag instructs EXP to move the entire paragraph to the top of a new page if there is not enough room on the current page to fit the entire paragraph.

Keep With Next Paragraph

This flag instructs EXP to move the entire paragraph to the top of a new page if there is not enough room on the current page to start the next paragraph.


Applying Paragraph Formatting

Before you apply paragraph formatting, you must either position the cursor in the appropriate paragraph or you must select the paragraphs you want to apply formatting to. When you are ready to apply paragraph formatting, there are three ways you can do it:

• You can use the Paragraph Formatting dialog box.

• You can use the ruler.

• You can use the Format Panel.


Using the Paragraph Formatting Dialog Box

The Paragraph Formatting dialog box allows you to change any attribute of paragraph formatting.

To apply paragraph formatting with the dialog box

  1. From the Format menu, choose Paragraph (ALT, R, P).

–or–

Press F2.

EXP will display the Paragraph Formatting dialog box. The controls in this dialog box are as follows:

Left This measurement is the distance the left margin of the paragraph is indented or outdented from the left page margin.

Right This measurement is the distance the right margin of the paragraph is indented or outdented from the right page margin.

First Line This measurement is the distance the first line of the paragraph is indented or outdented from the left margin of the paragraph.

Space Before This measurement allows you to specify the amount of extra vertical space you want to appear before the first line of the paragraph. If you want to add a little extra space between paragraphs, you can set Space Before to .5li.

Space After This measurement allows you to specify the amount of extra vertical space you want to appear after the last line of the paragraph. You will rarely need to change this measurement from its default of 0li.

Keep Space Before at Top of Page This check box allows you to control whether EXP uses the Space Before measurement if the paragraph starts at the top of a page. Normally this check box is turned off.

Type This control sets the type of line spacing for the paragraph. The function of each type is discussed in the topic Line Spacing. The Single, 1.5 Lines, and Double types listed in this control are shortcuts for setting the line spacing to At Least 1li, At Least 1.5li, and At Least 2li, respectively.

Distance If the Type control is set to either At Least or Exactly, this measurement specifies the line spacing distance.

Alignment: Left, Center, Right, Justify These buttons set the paragraph alignment to left-flush, centered, right-flush, and right-justified, respectively.

Start On New Page Turning on this check box instructs EXP to start the paragraph at the top of a new page. Using this check box is essentially the same as inserting a hard page break before the beginning of the paragraph.

Don't Break Paragraph Turning on this check box instructs EXP to move the entire paragraph to the top of a new page if there is not enough room on the current page to fit the entire paragraph.

Keep With Next Paragraph Turning on this check box instructs EXP to move the entire paragraph to the top of a new page if there is not enough room on the current page to start the next paragraph.

  1. Modify the paragraph formatting by changing the controls in the dialog box.

  2. Choose the OK button.

See Also

Using the Ruler to Apply Paragraph Formatting

Using the Format Panel to Apply Paragraph Formatting


Using the Ruler

The ruler displayed at the top of every document window allows you to change paragraph indents. The measurement unit displayed on the ruler is the default unit for the document. The ruler displays the paragraph indents as three small triangles.

Indicates the first-line indent. The left edge of the triangle is aligned on the ruler with the first-line indent measurement.

Indicates the left indent. The left edge of the triangle is aligned on the ruler with the left indent measurement.

Indicates the right indent. The right edge of the triangle is aligned on the ruler with the right indent measurement.

You can change an indent by using the mouse to drag the appropriate indicator triangle to a new position on the ruler.

To change the left indent

  1. Position the tip of the mouse pointer on the left indent indicator [image].

  2. Press and hold down the left mouse button.

  3. Drag the indicator to a new position. Notice that the first-line indent indicator moves along with the left indent indicator.

  4. Release the mouse button.

To change the right indent

  1. Position the tip of the mouse pointer on the right indent indicator [image].

  2. Press and hold down the left mouse button.

  3. Drag the indicator to a new position.

  4. Release the mouse button.

To change the first-line indent

  1. Position the tip of the mouse pointer on the first-line indent indicator [image].

  2. Press and hold down the left mouse button.

  3. Drag the indicator to a new position.

  4. Release the mouse button.

To change the left indent without moving the first-line indent position

  1. Position the tip of the mouse pointer on the left indent indicator [image].

  2. While holding down SHIFT, press and hold down the left mouse button.

  3. Drag the indicator to a new position. Notice that the first-line indent indicator does not move.

  4. Release the mouse button.

It is not possible to change paragraph indents on the ruler using the keyboard. To change paragraph indents using the keyboard, press F2 to display the Paragraph Formatting dialog box.

See Also

Using the Paragraph Formatting Dialog Box

Using the Format Panel to Apply Paragraph Formatting


Using the Format Panel

The only attribute of paragraph formatting that the Format Panel allows you to change is the paragraph alignment. You can use either the mouse or the keyboard to change the alignment.

To set the alignment to Click Or press

Left [image] CTRL+SHIFT+L

Center [image] CTRL+SHIFT+C

Right [image] CTRL+SHIFT+R

Justify [image] CTRL+SHIFT+J


Tabs

Tabs allow you to position text at a specific horizontal location. Use tabs to handle simple alignment situations such as aligning columns of numbers or typesetting the cast list for a play. Use tables or boxes for more complex alignment situations. Tables are discussed in Chapter 10, and boxes are discussed in Chapter 3.

Before you can use a tab, you must first define the tab. Defining a tab is also called formatting a tab. Tab formatting consists of the following attributes:

• Tab position

• Tab alignment

• Tab leaders

• Default tab stops


Tab Alignment

EXP provides five alignment options for tabs:

Left

The text following the tab is left-aligned with the tab position.

Center

The text following the tab is centered at the tab position.

Right

The text following the tab is right-aligned with the tab position.

Decimal

The text following the tab is positioned so that the period in the text is aligned with the tab position. If the text does not contain a period, the tab is handled as a left tab.

Character

This tab is the same as a decimal tab except you can specify the alignment character. The text following the tab is positioned so that the specified character in the text is aligned with the tab position. If the text does not contain the specified character, the tab is handled as a left tab.

For all the alignment options except left, the text that gets aligned at the tab position can only consist of ANSI characters. EXP will stop aligning text at a tab as soon as it encounters anything that is not an ANSI character. To align text that contains symbols or other codes, you must use boxes.


Tab Leaders

A leader is a character that is repeated to fill a horizontal space. One case in which leaders are often used is in the typesetting of a cast list. For example:

The Programmer..........................Simon L. Smith

When you define a tab position, you can instruct EXP to fill the horizontal space created by the tab with a particular character. EXP provides four options for the leader character.

• Periods (.....)

• Centered dots (·····)

• Underscores (_____)

• The ANSI character of your choice


Default Tab Stops

A tab that you set at a specific position is called a programmed tab. Instead of using programmed tabs, it is sometimes faster and more convenient to use default tab stops. A default tab stop is a tab stop (position) EXP automatically assigns every n units along the ruler, where n is a measurement you specify. For new documents, default tab stops occur every 0.5in. Default tab stops are indicated on the ruler by tick marks below the ruler's scale.

Default tab stops only exist to the right of the last programmed tab. As EXP formats a line of text and encounters tabs, it first uses any programmed tabs you defined. If there are more tabs on the line than there are programmed tabs defined, EXP begins using default tab stops.


Defining and Editing Tabs

Tab formatting is part of paragraph-level formatting. Before you define one or more tabs, you must either position the cursor in the appropriate paragraph or you must select the paragraphs for which you want to define tabs. When you are ready to define a tab, there are two ways you can do it:

• You can use the Tab Formatting dialog box.

• You can use the ruler.

Regardless of which method you use to define tabs, there are two things about tabs you should be aware of. First, the order in which you define a series of tabs does not matter; EXP always sorts tab positions in order of increasing distance from the left margin. Second, you cannot define more than 16 tab positions per paragraph.


Using the Tab Formatting Dialog Box

The Tab Formatting dialog box allows you to change any attribute of tab formatting.

To define tabs

  1. From the Format menu, choose Tabs (ALT, R, T).

EXP will display the Tab Formatting dialog box. The controls in this dialog box are as follows:

Tab Position This control lists the positions of the programmed tabs. A tab position is a measurement from the left margin of the paragraph. The position of the selected tab is displayed in the Tab Position edit field.

Alignment: Left, Center, Right, Decimal, Character These buttons set the alignment for the selected tab.

Leader: 1, 2, 3, 4, 5 These buttons define the leader character for the selected tab.

Default Tab Stops This control allows you to change the spacing of the default tab stops.

Add Choose this button to define the tab in the Tab Position edit field.

Remove Choose this button to remove the tab in the Tab Position edit field.

Remove All Choose this button to remove all the programmed tabs.

Remove Tab Stops This control lists the position of each tab you have chosen to remove.

  1. Type the position for the tab in the Tab Position edit field. A tab position is a measurement from the left margin of the paragraph.

  2. Use the Alignment buttons to select the alignment you want. If you select Character alignment, you must type the alignment character you want in the edit field.

  3. If you wish, use the Leader buttons to select a leader. If you select the Character option, you must type the leader character you want in the edit field.

  4. If you want to define more than one tab before closing the dialog box, choose the Add button or press ALT+A, and then return to step 2 for the next tab.

  5. Choose the OK button.

To remove a tab

  1. From the Format menu, choose Tabs (ALT, R, T).

EXP will display the Tab Formatting dialog box.

  6. In the Tab Position list, select the tab you want to remove.

If the tab is not listed and you have text selected, the tab has not been defined for all the selected paragraphs. You can still remove the tab by typing its position into the Tab Position edit field.

  7. Choose the Remove button or press ALT+E.

EXP will add the tab to the Remove Tab Stops list.

  8. Choose the OK button.

To remove all programmed tabs

  1. From the Format menu, choose Tabs (ALT, R, T).

EXP will display the Tab Formatting dialog box.

  9. Choose the Remove All button or press ALT+M.

  10. Choose the OK button.

To change the position of the default tab stops

  1. From the Format menu, choose Tabs (ALT, R, T).

EXP will display the Tab Formatting dialog box.

  11. In the Default Tab Stops edit field, type the measurement for the new spacing interval at which default tab stops should occur.

  12. Choose the OK button.

See Also

Using the Ruler to Change Tabs


Using the Ruler

The ruler displayed at the top of every document window allows you to manipulate tabs. The measurement unit displayed on the ruler is the default unit for the document. The ruler displays tab positions using vertical arrows:

Indicates a left-aligned tab.

Indicates a centered tab.

Indicates a right-aligned tab.

Indicates a decimal-aligned tab.

Indicates a character-aligned tab.

Default tab stops are indicated by tick marks below the ruler's scale.

When you define a tab using the ruler, the alignment of the new tab is determined by the tab-alignment buttons on the Format Panel. These buttons are

Defines left-aligned tabs.

Defines centered tabs.

Defines right-aligned tabs.

Defines decimal-aligned tabs.

You cannot define a character-aligned tab using the ruler; you must use the Tab Formatting dialog box. It is not possible to specify a leader for a tab defined using the ruler. If you need to define a leader for a tab, either use the Tab Formatting dialog box to define the tab or define the tab using the ruler and use the Tab Formatting dialog box to define a leader for the existing tab.

To define a tab

  1. Select the appropriate tab-alignment button on the Format Panel.

  2. Position the tip of the mouse pointer to the position on the ruler where you want to define a tab. The tip of the mouse pointer must be below the ruler's scale.

  3. While holding down SHIFT, click the left mouse button.

You can change the position of a tab by using the mouse to drag the tab's arrow to a new position on the ruler.

To change the position of a tab

  1. Position the tip of the mouse pointer on the arrow that indicates the tab's position.

  2. Press and hold down the left mouse button.

  3. Drag the arrow to a new position.

  4. Release the mouse button.

You can remove a tab by using the mouse to drag the tab's arrow off the ruler.

To remove a tab

  1. Position the tip of the mouse pointer on the arrow that indicates the tab's position.

  2. Press and hold down the left mouse button.

  3. Drag the arrow off the ruler.

  4. Release the mouse button.

It is not possible to manipulate tabs on the ruler using the keyboard. To manipulate tabs using the keyboard, use the Tab Formatting dialog box.

See Also

Using the Tab Formatting Dialog Box


Using Tabs

Once you have defined one or more tabs, you are ready to type the text that will use them. To enter a tab, press the TAB key. The cursor will advance to the next tab position, which could be the position of the next programmed tab or the next default tab stop.

A common format that involves the use of both paragraph indents and tabs is a hanging indent. All of the numbered instruction sequences in the user's guide are formatted using hanging indents. If you have a series of paragraphs that you would like to format with hanging indents, follow these steps.

To format a hanging indent

  1. Position the cursor at the beginning of the paragraph.

  2. Drag the left indent indicator on the ruler to the right a certain amount. The numbered instructions in the user's guide are indented .5in.

  3. Drag the first-line indent indicator on the ruler to a position to the left of the left indent indicator. The numbers for the instructions in the user's guide are outdented by .25in.

  4. Make sure the left-aligned tab button is selected on the Format Panel. Position the tip of the mouse pointer so it is just above the left indent indicator on the ruler. While holding down SHIFT, click the left mouse button to define a tab.

  5. With the cursor at the beginning of the paragraph, type the text or number that should hang out in the margin.

  6. Press TAB. The cursor will advance to the left indent position because that is where the tab was defined.

  7. Type the text for the paragraph.

  8. Press ENTER to end the paragraph.

Remember that when you press ENTER to begin a new paragraph, the new paragraph is assigned all the paragraph-level formatting of the previous paragraph. Thus, when you are entering a numbered or bulleted list using hanging indents, you only need to format the first paragraph in the list. The remaining paragraphs in the list will be assigned the same formatting each time you press ENTER.


Paragraph Borders

EXP allows you to draw colored lines around a paragraph and to change the background color of a paragraph. This capability is referred to as paragraph bordering. Paragraph bordering is part of paragraph-level formatting. Before you change paragraph borders, you must either position the cursor in the appropriate paragraph or you must select the paragraphs whose borders you want to change.

Use the Paragraph Borders dialog box to change paragraph borders. The controls in this dialog box are as follows:

All Sides Select this button to set all four side borders at the same time.

Left Select this button to set only the left border.

Right Select this button to set only the right border.

Top Select this button to set only the top border.

Bottom Select this button to set only the bottom border.

Interparagraph Select this button to set the interparagraph border. This border is drawn between paragraphs with similar borders.

Type This control allows you to specify the thickness of the selected border. The type called None turns off the selected border; the type called Hairline draws a one-dot thick border regardless of the resolution of the screen or the printer.

Color This control allows you to specify the color of the selected border. The color called Default draws a border using the Window Text color specified in Control Panel.

Offset Borders By This control allows you to specify the distance that all the borders should be drawn from the edges of the paragraph.

Background Color This control allows you to specify the background color of the paragraph. The color called Default turns off paragraph background drawing.

Most often, borders are the same thickness and color around a paragraph or a series of paragraphs.

To draw similar borders around a paragraph

  1. From the Format menu, choose Borders (ALT, R, B).

EXP will display the Paragraph Borders dialog box.

  1. Use the Type control to select the thickness of the borders.

  2. If you want to use a color other than the default, which is probably black, use the Color control to select the color of the borders.

  3. Choose the OK button.

Sometimes you may need to draw dissimilar borders or you may need to draw only one of the four borders.

To draw different borders around a paragraph

  1. From the Format menu, choose Borders (ALT, R, B).

EXP will display the Paragraph Borders dialog box.

  4. Select the Left button.

  5. Use the Type control to select the thickness of the left border.

  6. Use the Color control to select the color of the left border.

  7. In turn, select the Right, Top, and Bottom buttons and repeat steps 3 and 4 for each button.

  8. Choose the OK button.

Normally when you draw borders around a series of paragraphs, EXP does not draw borders between the paragraphs. If you are drawing borders around a series of paragraphs and you want to draw a border between the paragraphs, set the interparagraph border. EXP draws the interparagraph border between two paragraphs that have identical paragraph borders. The background color of the paragraphs may be different.

To draw borders between a series of paragraphs

  1. Select the paragraphs you want to draw borders between.

  2. From the Format menu, choose Borders (ALT, R, B).

EXP will display the Paragraph Borders dialog box.

  9. Select the Interparagraph button.

  10. Use the Type control to select the thickness of the border.

  11. Use the Color control to select the color of the border.

  12. Choose the OK button.

By default, EXP draws borders 2bp (2/72 inch) away from the edge of a paragraph. You can change this distance if you want the borders to be drawn farther away.

To change the distance that borders are drawn from a paragraph

  1. From the Format menu, choose Borders (ALT, R, B).

EXP will display the Paragraph Borders dialog box.

  13. In the Offset Borders By control, type the measurement for the distance you want.

  14. Choose the OK button.

In addition to drawing borders around a paragraph, you can change the background color of the paragraph. It is not necessary to draw borders around a paragraph to change its background color.

To change the background color of a paragraph

  1. From the Format menu, choose Borders (ALT, R, B).

EXP will display the Paragraph Borders dialog box.

  15. Use the Background Color control to select the background color of the paragraph. The color called Default turns off paragraph background drawing.

  16. Choose the OK button.

When you print a document that uses colored borders or colored backgrounds on a noncolor printer, the printer driver will approximate the shades of the colors using a process called dithering. If you want to shade a paragraph's background lightly, set the paragraph's background color to Yellow. The color yellow dithers to a light gray.


Applying Formatting with Styles

As you are entering or formatting a document, it is convenient to define styles you can use to apply formatting quickly. The use of styles not only greatly speeds up the process of formatting a document, it also helps ensure that the formatting is consistent.

The term style in this instance refers to a specific format that is assigned a name. Once you have defined a style, you can apply the style's formatting to a paragraph quickly. It is much faster to define a style and use it to apply formatting repeatedly than it is to apply the formatting manually each time you need to type a paragraph in that format. The subject of styles is discussed in Chapter 8.


Page Margins

The interpretation of a margin in EXP is different from its interpretation on a typewriter. On a typewriter, both the left and right margins represent a distance from the left edge of the paper. In EXP, the left margin represents a distance from the left edge of the paper, and the right margin represents a distance from the right edge of the paper. Thus, in EXP, margins are actually offsets from the edges of the paper.

Margin formatting is handled on two levels: at the section level and at the paragraph level. At the section level, you specify the margins for an entire section. Because a section usually starts at the top of a new page, these margins are called the page margins. At the paragraph level, you specify the margins for a paragraph as indents relative to the page margins.

Page margin formatting consists of the following formatting attributes:

• Page margin measurements

• Page margin interpretation

• Binding options


Page Margin Measurements

You can specify the following page margin measurements:

Top Margin

The top margin is the distance from the top edge of the paper to the top of the first line of text. The header is not considered the first line of text.

Bottom Margin

The bottom margin is the distance from the bottom edge of the paper to the bottom of the last line of text. The footer is not considered the last line of text.

Binding Margin

The binding margin is the space reserved at the edge of the paper for the binding. The binding margin is also called the gutter margin.

Left Margin

The left margin is the distance from the left edge of the paper to the left side of a normal, unindented paragraph.

Right Margin

The right margin is the distance from the right edge of the paper to the right side of a normal, unindented paragraph.


Page Margin Interpretation

You can specify how the page margin measurements should be interpreted. The following options are available:

One-sided printing

This option specifies that the document should be formatted for printing on a one-sided printer. The binding margin is always applied to the left side of a page.

Two-sided printing

This option specifies that the document should be formatted for printing on a two-sided printer. The binding margin is applied to the left side of odd-numbered pages and to the right side of even-numbered pages. The left margin is always applied to the left side of a page, and the right margin is always applied to the right side of a page.

Two-sided printing with inside/outside margins

This option specifies that the document should be formatted for printing on a two-sided printer. The binding margin is applied to the left side of odd-numbered pages and to the right side of even-numbered pages. The left margin is interpreted as an inside margin, and the right margin is interpreted as an outside margin. The inside margin is applied to the left side of odd-numbered pages and to the right side of even-numbered pages. The outside margin is applied to the right side of odd-numbered pages and to the left side of even-numbered pages.

Note that these three options do not inform EXP that you are actually going to print the document on a two-sided printer. You can specify two-sided page formatting even if you intend to print the document on a one-sided printer. To specify that you want the document printed on both sides of the paper, use the Options dialog box provided by the printer driver for your printer. Some printers refer to two-sided printing as duplex printing.


Binding Options

You can specify how the document will be bound. The following options are available:

Long Edge

Long-edge binding means that the document will be bound along the long edge of the paper. This is the way most books are bound.

Short Edge

Short-edge binding means that the document will be bound along the short edge of the paper. This is the way some calendars are bound.

If you are not going to bind the document, set the binding margin to 0 and specify long-edge binding.


Changing Page Margins

Page margin formatting is part of section-level formatting. Before you change page margins, either position the cursor in the appropriate section or select the sections whose page margins you want to change.

The Page Margins dialog box controls page margins. The controls in this dialog box are as follows:

Top Margin This control allows you to specify the top margin.

Bottom Margin This control allows you to specify the bottom margin.

Binding Margin This control allows you to specify the binding margin.

Left Margin This control allows you to specify the left margin.

Right Margin This control allows you to specify the right margin.

Long Edge Select this button to specify that the document will be bound along the long edge of the paper.

Short Edge Select this button to specify that the document will be bound along the short edge of the paper.

Format Margins For This control allows you to specify how the page margin measurements should be interpreted for two-sided printing.

To change page margins or binding options

  1. From the Format menu, choose Page Margins (ALT, R, M).

EXP will display the Page Margins dialog box.

  1. Change the page margins and binding options as necessary.

  2. Choose the OK button.


Page Size and Orientation

You can specify the dimensions of the paper on which you intend to print a document. Because the page margin measurements specify distances from the edge of the paper, EXP needs to know the dimensions of the paper to format the margins correctly. The dimensions of the paper are referred to as the page size. You can also specify the orientation of the printing.


Changing Page Size and Orientation

Page formatting is part of section-level formatting. Before you change page formatting, either position the cursor in the appropriate section or select the sections whose formatting you want to change.

Use the Page Size/Orientation dialog box to change the page size and the orientation. The controls in this dialog box are as follows:

Paper Size This control displays the name and dimensions of the selected paper size. When opened, this control lists all the paper sizes supported by the current printer.

Paper Width This control displays the width of the selected paper size.

Paper Height This control displays the height of the selected paper size.

Portrait Select this button to specify portrait orientation.

Landscape Select this button to specify landscape orientation.

To change the page size

  1. From the Format menu, choose Page Size/Orientation (ALT, R, O).

EXP will display the Page Size/Orientation dialog box.

  1. Use the Paper Size control to select the size of paper you want.

If the paper size you want is not listed, the current printer does not support that paper size.

  2. Choose the OK button.

To change the page orientation

  1. From the Format menu, choose Page Size/Orientation (ALT, R, O).

EXP will display the Page Size/Orientation dialog box.

  3. Select either the Portrait button or the Landscape button.

  4. Choose the OK button.

When you change the orientation, EXP adjusts its interpretation of the page margin measurements as follows:

• The left margin in portrait is the top margin in landscape.

• The right margin in portrait is the bottom margin in landscape.

• The top margin in portrait is the right margin in landscape.

• The bottom margin in portrait is the left margin in landscape.

You do not have to make any changes to the page margins when you change the page orientation. EXP makes the necessary adjustments for you.


Printing Isolated Pages in Landscape

A common situation that arises when creating technical documents is that you want most of the document to be printed in portrait but you have the occasional page that needs to be printed in landscape. Landscape printing may be required to accommodate a large graphic or a table of data. This formatting problem can be solved in EXP through the use of section breaks.

To print isolated pages in landscape, insert New Page section breaks before and after each page to be printed in landscape. Then, for each landscape page, position the cursor on that page and change the orientation to landscape. The change in orientation will be limited to the single-page section.


Paper Source Selection

You can specify which paper sources on the printer should be used when printing the document. The term paper source refers to any paper input mechanism that your printer provides. Some examples of paper sources are

• A paper tray on a laser printer

• A tractor feed on a dot-matrix printer

• A manual feed slot

For each section in a document, you can specify the paper source for the first page and for the remaining pages of the section. You would use a different paper source for the first page to print the first page on letterhead paper.


Changing Paper Sources

Although paper source selection is part of section-level formatting, you will almost always want the paper sources for all the sections in the document to be the same. For this reason, before you change paper sources, select the entire document.

To select the entire document

From the Edit menu, choose Select All (ALT, E, A).

–or–

Press CTRL+NUMPAD5.

–or–

Position the mouse pointer in the left gray indicator strip; then while holding down CTRL, click the left mouse button.

If the document contains only one section, it is not necessary to select the entire document before changing paper sources because the cursor will be positioned in the only section.

Use the Paper Source dialog box to change paper sources. The controls in this dialog box are as follows:

First Page This control displays the name of the paper source that will be used when printing the first page of a section. When opened, this control lists the names of the paper sources provided by the current printer.

Other Pages This control displays the name of the paper source that will be used when printing all the remaining pages of a section. When opened, this control lists the names of the paper sources provided by the current printer.

The paper source called Default instructs EXP to use the paper source specified by the Windows Control Panel.

To change paper sources

  1. If the document contains multiple sections, make sure you have selected the entire document.

  2. From the Format menu, choose Paper Source (ALT, R, R).

EXP will display the Paper Source dialog box.

  1. Use the First Page control to select the source for the first page of each section.

  2. Use the Other Pages control to select the source for the remaining pages of each section.

  3. Choose the OK button.


Column Formatting

EXP allows you to format text in multiple columns. For each section in a document, you can format text in from one to nine columns. When you instruct EXP to format a section into multiple columns, it automatically handles all the necessary margin adjustments.


Changing Column Formatting

Column formatting is part of section-level formatting. Before you change column formatting, either position the cursor in the appropriate section or select the section whose column formatting you want to change.

Use the Columns dialog box to change column formatting. The controls in this dialog box are as follows:

Number of Columns This control allows you to specify the number of columns in which the text should be formatted.

Space Between Columns This control allows you to specify the distance between adjacent columns.

To change column formatting

  1. From the Format menu, choose Columns (ALT, R, U).

EXP will display the Columns dialog box.

  1. In the Number of Columns control, type the number of columns.

  2. In the Space Between Columns control, type the measurement for the distance by which adjacent columns should be separated.

  3. Choose the OK button.

EXP is not able to display multiple columns on the screen in edit mode. EXP is also not able to indicate soft column breaks on the screen in edit mode. If you want to display multicolumn formatting on the screen, use Print Preview.

To enter Print Preview

From the File menu, choose Print Preview (ALT, F, V).

–or–

Press CTRL+SHIFT+P.


Forcing a Column Break

Normally, EXP automatically determines the column break where one column ends and the next one starts. This type of column break is called a soft column break. If you want to force EXP to start a new column at a certain point, you can insert a hard column break.

To insert a hard column break

  1. From the Insert menu, choose Break (ALT, I, B).

EXP will display the Insert Break dialog box.

  1. Select the Column Break button.

  2. Choose the OK button.

EXP displays a hard column break on the screen as a dashed horizontal line that extends across the document window.


Formatting Uneven Columns

When you format text in multiple columns, the width of all the columns will be the same. Occasionally, you might want to format text into uneven columns. Although EXP does not directly support uneven column formatting, in certain cases you can achieve the appearance of uneven columns by using paragraph indents.

The following procedure for formatting uneven columns will only work if the columns contain only whole paragraphs. It will not work if a paragraph has to be split across two columns of different widths.

To make a column wider

  1. Insert hard column breaks at the top and bottom of the column.

This prevents text from other columns flowing into the column.

  1. Select all the paragraphs in the column.

  2. Use either the ruler or the Paragraph Formatting dialog box to outdent the right margin of the paragraphs.

  3. Select all the paragraphs in the next column.

  4. Use either the ruler or the Paragraph Formatting dialog box to indent the left margin of the paragraphs.

This procedure does have its limitations, but it is useful for those situations in which it works.


Section Formatting

When you insert a section break to start a new section, you specify the place where you want the new section to start. After you insert a section break, you can change the starting place of the section. The various starting places for a section are discussed in the topic Section-Level Formatting.


Changing Section Formatting

Section formatting is part of section-level formatting. Before you change section formatting, either position the cursor in the appropriate section or select the sections whose formatting you want to change.

Use the Section dialog box to change section formatting. The only control in this dialog box is the following:

Section Start This control displays and allows you to change the starting place for the section.

To change a section's starting place

  1. From the Format menu, choose Section (ALT, R, S).

EXP will display the Section dialog box.

  1. Use the Section Start control to select the starting place you want.

  2. Choose the OK button.


Continuous and New Column Section Breaks

EXP provides five choices for the starting place of a section:

Continuous Start the new section immediately.

New Column Start the new section at the top of the next column. If there are no more columns, start the new section at the top of the next page.

New Page Start the new section at the top of the next page.

Even Page Start the new section at the top of the next even-numbered page.

Odd Page Start the new section at the top of the next odd-numbered page.

For the three starting places that always start a section at the top of a new page, intersection formatting conflicts cannot occur. That is, if a section starts at the top of a page, the section can have totally different formatting from the section of the previous page. This is not the case with the Continuous and New Column starting places. These two starting places allow a section to start on a page containing text in another section. This can result in a formatting conflict if the two sections use formatting that is not compatible with them appearing together on the same page.

A section whose starting place is set to Continuous cannot appear on the same page as the previous section if the formatting of the two sections differs in any of the following ways:

• Page size

• Page orientation

• Page margin interpretation

• Binding

A section whose starting place is set to New Column cannot appear on the same page as the previous section if the formatting of the two sections differs in any of the following ways:

• Page size

• Page orientation

• Page margin interpretation

• Binding

• Number of columns

• Space between columns

If EXP determines that a section does not have formatting that is compatible with the section starting on the current page, EXP starts the section at the top of the next page.


Column Balancing

If you use a continuous section break to start a new section and the previous section is formatted in multiple columns, EXP balances the columns of the previous section before starting the new section. The task of balancing the columns consists of formatting the text into n uniformly deep columns, where n is the number of columns for the section. Column balancing is performed automatically by EXP, but you should be aware that it happens.


Page Numbers

EXP can number the pages of a document automatically. You can enter page numbers in headers and footers or in the body text. EXP updates all page numbers automatically whenever the document is repaginated. You can display page numbers in any of five numbering formats:

• Decimal (1, 2, 3,…)

• Lowercase Roman numerals (i, ii, iii,…)

• Uppercase Roman numerals (I, II, III,…)

• Lowercase letters (a, b, c,…)

• Uppercase letters (A, B, C,…)


Entering Page Numbers

When you instruct EXP to enter the current page number into your document, EXP actually enters a PageNumber code. This code causes EXP to display the page number of the page the code is on.

To enter the current page number

  1. Position the cursor where you want the number to appear.

  2. From the Insert menu, choose Page Number (ALT, I, P).

EXP uses the current pagination to display the page number of a PageNumber code. If the document needs repaginating, the page number that is displayed will be inaccurate and will remain so until the document is repaginated.


Formatting Page Numbers

Page number formatting is part of section-level formatting. Thus, each section of a document can specify different formatting for page numbers. Before you change page number formatting, either position the cursor in the appropriate section or select the sections whose page number formatting you want to change.

Use the Page Number Formatting dialog box to change page number formatting. The controls in this dialog box are as follows:

Starting Number This control allows you to specify the starting number for the page numbers in the section. You must enter the number in decimal. Unless the section is the first section in the document, turn on the Restart at Beginning of Section check box.

Restart at Beginning of Section Turn on this check box to instruct EXP to use the number in the Starting Number control.

Numbering Format This control displays and allows you to change the numbering format in which the page numbers in the section will be displayed.

To change the starting page number of a section

  1. Position the cursor anywhere in the section whose starting page number you want to change.

  2. From the Format menu, choose Page Numbers (ALT, R, N).

EXP will display the Page Number Formatting dialog box.

  1. In the Starting Number control, type the new starting number for the section.

  2. Turn on the Restart at Beginning of Section check box.

  3. Choose the OK button.

You must repaginate the document for the change to the starting page number to take effect.

To change the numbering format of the page numbers in a section

  1. Position the cursor anywhere in the section whose page numbering format you want to change.

  2. From the Format menu, choose Page Numbers (ALT, R, N).

EXP will display the Page Number Formatting dialog box.

  4. Use the Numbering Format control to select the format you want.

  5. Choose the OK button.


Pagination

Paginating a document is the task of breaking the document into separate pages. The task of paginating a document correctly is partly EXP's responsibility and partly yours. These are EXP's responsibilities:

  • Format the document into separate pages.

  • Prevent widow and orphan lines. A widow line occurs when the last line of a paragraph appears at the top of a page. An orphan line occurs when the first line of a paragraph appears at the bottom of a page.

These are your responsibilities:

  • Use the paragraph pagination flags to guide EXP in its pagination decisions.

  • Check EXP's automatic pagination, and insert hard page and column breaks as necessary to force breaks at certain places.

See Also

Pagination Flags


Controlling Repagination

By default, EXP only repaginates a document in these situations:

• You invoke the Repaginate command under the Format menu (ALT, R, E).

When you instruct EXP to repaginate the document, EXP repaginates the entire document. Before repaginating, EXP updates the automatic numbering.

• You print the document.

When you print, EXP only repaginates the document up to the last page you print. Before repaginating, EXP updates the automatic numbering.

• You enter Print Preview.

When you use Print Preview, EXP only repaginates the document up to the last page you view with Print Preview. Before repaginating, EXP updates the automatic numbering.

If you would like EXP to repaginate the document more often, you can turn on EXP's background repagination feature.

To turn on background repagination

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  1. Turn on the Background Repagination check box.

  2. Choose the OK button.

You only have to turn background repagination on once. It is not necessary to turn it on every time you start EXP because EXP remembers the setting of that option.

When background repagination is on, EXP uses any idle time to work on document repagination. After EXP completes the job of repaginating the document in the background, it waits for you to make a change that requires more repagination work.

The reason that background repagination is turned off by default is that it can make EXP less responsive at times. Also, some users may find the real-time appearance and disappearance of page breaks disconcerting.

See Also

Pagination


Repaginating a Document

Repaginate a document whenever you want to update EXP's display of page breaks or page numbers. You do not have to repaginate a document before printing or using Print Preview.

To repaginate a document

From the Format menu, choose Repaginate (ALT, R, E).

EXP displays the progress of the repagination in the Status Bar. You cannot use EXP while it is repaginating a document, and repaginating a long document may take some time. You can press ESC to abort a repagination that is in progress.

After EXP finishes repaginating a document, the display of the document will be updated to account for the new page breaks. The page breaks that EXP calculates automatically are called soft page breaks. The page breaks that you insert manually are called hard page breaks. EXP displays a soft page break on the screen as a dotted horizontal line that extends across the document window. EXP displays a hard page break on the screen as a solid horizontal line that extends across the document window.

Even if you turned on background repagination, you may still want to invoke the Repaginate command to make sure the repagination is complete. There is no way to tell if background repagination is complete other than to invoke the Repaginate command and wait for that to finish.

See Also

Pagination


Controlling Page Breaks

There are two ways you can control page breaks:

• Use the paragraph pagination flags.

• Insert hard page breaks.

The subject of the paragraph pagination flags is discussed in the topic Pagination Flags.

If you don't like the place where EXP broke a page, you can force a page break at the place of your choice by inserting a hard page break.

To insert a hard page break

  1. Position the cursor at the beginning of the line you want to start at the top of a new page.

  2. Press CTRL+ENTER.

–or–

  1. Position the cursor at the beginning of the line you want to start at the top of a new page.

  2. From the Insert menu, choose Break (ALT, I, B).

EXP will display the Insert Break dialog box.

  1. Select the Page Break button.

  2. Choose the OK button.

EXP displays a hard page break on the screen as a solid horizontal line that extends across the document window.

After you insert a hard page break, you will have to repaginate the document to see the effect of your new break. If you are checking and adjusting all the page breaks of a completed document, you may find it helpful to turn on background repagination so you can see the effects of your changes immediately without having to invoke the Repaginate command repeatedly.

See Also

Pagination

Pagination Flags


Styles

Styles and style sheets are a system for managing and organizing the formatting of documents. They can greatly simplify the task of formatting a document. In this chapter you will learn

· What styles and style sheets are

· How to define new styles and style sheets

· How to apply styles to text

· How to change the style sheet used by a document


Basics

A style is a set of formatting attributes. Every style has a name. There are two types of styles: paragraph styles and character styles. Paragraph styles change both the paragraph- and character-level formatting of whole paragraphs. Character styles change only the character-level formatting of selected text.

When you apply a style to a piece of text, you are implicitly applying the style's formatting attributes to that text. There is, however, a significant difference between applying formatting using a style and applying formatting manually: If you change a style's definition, the changes are automatically propagated throughout the document. If you applied the same formatting without using a style, you would have to find and change each use of the old formatting, which would prove tedious.


Style Sheets

A style sheet is a group of styles that define the formatting of a particular type of document. For example, you might have one style sheet for letters and another for technical reports. A style sheet is stored in a file on the disk. EXP stores all style sheets in a directory called Styles. The filename extension for EXP style sheets is ESS. Styles are always contained in style sheets. It is not possible for a style to be stored outside a style sheet.

Every document has a style sheet associated with it. When you create a new document, the document template on which the new document is based determines which style sheet is associated with the new document. The Normal document template associates the Normal style sheet with the new document. You can change the style sheet associated with a document after the document has been created. All documents created with versions of EXP before 4.0 are assigned the Normal style sheet by default.

EXP is distributed with at least the following seven style sheets. The copy of EXP you have may provide additional style sheets.

Normal

This style sheet is associated with documents created with the Normal document template.

ltxart2

This style sheet is associated with documents created with the "LaTeX article 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the LaTeX article document class.

ltxbook2

This style sheet is associated with documents created with the "LaTeX book 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the LaTeX book document class.

ltxrep2

This style sheet is associated with documents created with the "LaTeX report 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the LaTeX report document class.

amsart2

This style sheet is associated with documents created with the "AMS article 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the AMS-LaTeX amsart document class.

amsbook2

This style sheet is associated with documents created with the "AMS book 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the AMS-LaTeX amsbook document class.

amsproc2

This style sheet is associated with documents created with the "AMS proceedings 12pt" document template. This document template and style sheet combination is intended for creating LaTeX documents in 12-point type using the AMS-LaTeX amsproc document class.

The use of the LaTeX-oriented document templates and style sheets is discussed in the topic Using the LaTeX-Oriented Style Sheets.


Style Names

Each style in a style sheet must have a unique name. A paragraph style and a character style cannot have the same name. The rules governing style names are as follows:

• A style name can contain any ANSI characters except backslash (\), semicolon (;), left brace ({), and right brace (}). The name can contain spaces.

• A style name is case sensitive. Thus, "indented paragraph" and "Indented Paragraph" are different style names. It is strongly recommended, however, that you not define styles whose names differ only in case.

• A style name can contain at most 31 characters.


Style Types

EXP supports two types of styles.

Paragraph styles change the paragraph- and character-level formatting of the selected paragraphs. A paragraph style can contain the following types of formatting:

• Character formatting

• Paragraph formatting

• Tab formatting

• Paragraph borders

• Paragraph- and character-level LaTeX markup

Character styles change the character-level formatting of the selected text. A character style can contain the following types of formatting:

• Character formatting

• Character-level LaTeX markup

There is no type of style for section-level formatting.


Basing a Style on Another Style

You have the option of basing a new style on an existing style. The new style is referred to as a derived style and the existing style is referred to as a base style. The formatting attributes you set in the derived style override the corresponding attributes in the base style.

By basing one style on another, you can create a hierarchy of related styles. The base styles set the formatting attributes that are common to the derived styles. For example, in the Normal style sheet, the Normal style is a base style. The Header, Footer, and Footnote Text styles are derived styles based on the Normal style. The Header, Footer, and Footnote Text styles set only the formatting attributes that are different from the Normal style.

The practice of setting common formatting attributes in a base style makes it easier to make changes. In the case of the Normal style sheet, you can change the typeface of all the styles simply by changing the typeface of the Normal style. Because the Header, Footer, and Footnote Text styles are based on the Normal style and do not override the typeface attribute, changing the typeface in the Normal style also changes it in the Header, Footer, and Footnote Text styles.

A base style can itself be based on another style. For example, if you defined styles called Header Even and Header Odd and based each on the Header style, the Header style would be both a base style and a derived style because it is in turn based on the Normal style.


Formatting Attributes

The term formatting attribute refers to an individual control that EXP provides for formatting a document. The typeface, font size, and paragraph left indent are examples of formatting attributes. Formatting attributes are divided into three levels: character-level attributes, paragraph-level attributes, and section-level attributes. In the topic LaTeX Markup you learn that LaTeX markup is a component of both paragraph- and character-level formatting.

Paragraph styles can set paragraph- and character-level formatting attributes. Character styles can set character-level formatting attributes. Neither type of style can set section-level formatting attributes.

A style may or may not set a particular formatting attribute. If a style sets a formatting attribute, the style's setting of the attribute is applied to the selected text when the style is applied to the text. If a style does not set a formatting attribute, the attribute is not changed when the style is applied to the selected text. If a style does not explicitly set a formatting attribute, the style will implicitly set the attribute if the style's base style sets the attribute.

When defining the formatting attributes for a style, it is best not to set any formatting attributes that are already set appropriately by the base style. Needlessly overriding the formatting attributes of the base style makes the derived style unresponsive to changes in the base style.


Switching Styles Automatically

For paragraph styles, EXP allows you to specify the name of the style that EXP should switch to automatically when you press ENTER at the end of a paragraph. This feature is useful for heading styles because a heading is usually followed by a paragraph in the Normal style. For example, if you define a style called Heading Section and specify the style for the next paragraph to be Normal, you will be able to resume typing after a section heading by just pressing ENTER. This is because EXP will automatically switch to the Normal style when you press ENTER at the end of the paragraph marked with the Heading Section style.

You should be aware that EXP only switches styles automatically when you press ENTER at the end of a paragraph. Pressing ENTER in the middle of a paragraph will not cause EXP to switch styles. If you don't want EXP to switch to a different style when you press ENTER, specify the style for the next paragraph as the name of the current style.


Built-In Styles

When you create a new style sheet, EXP adds five styles to it. These five styles are referred to as built-in styles because every style sheet contains them. You cannot delete or rename the built-in styles. The five styles are as follows:

Normal

This is the paragraph style of normal text. This style should be used as the base for all other paragraph styles.

Default Paragraph Font

This character style formats text using the character-level formatting of the paragraph style. By applying this style to selected text, you can clear any other character styles that may be applied to that text. Because this is a special style that does not actually set any formatting attributes, you are not allowed to modify this style in any way.

Header

This paragraph style is applied automatically to any header you create. If you want to define new styles for odd- and even-page headers, use this style as the base.

Footer

This paragraph style is applied automatically to any footer you create. If you want to define new styles for odd- and even-page footers, use this style as the base.

Footnote Text

This paragraph style is applied automatically to the text of any footnote you create.


The Styles Dialog Box

Styles are managed using the Styles dialog box. To display the Styles dialog box, choose Styles from the Format menu. The controls in this dialog box are as follows:

Styles This list box lists names of styles contained in the style sheet. The names of paragraph styles are displayed in bold. The names of character styles are not. Which styles are listed depends on the setting of the List control.

List This control determines which styles are listed in the Styles list box. The possible settings for this control are All Styles, Styles In Use, All Paragraph Styles, Paragraph Styles In Use, All Character Styles, Character Styles In Use. The In Use settings list only the styles that are currently applied to text in the current document.

Apply Choose this button to apply the style selected in the Styles list box to the selected text.

New Choose this button to define a new style.

Modify Choose this button to modify the style selected in the Styles list box. You cannot modify the style called Default Paragraph Font.

Delete Choose this button to delete the style selected in the Styles list box. You cannot delete any of the built-in styles.

Update Document Choose this button to update the formatting in the document using the current style sheet. You need to use this button only if you modify the style sheet while a different document is active.

List Undefined Choose this button to list any styles that may be used in the document but that are not defined in the style sheet. You may need to use this button if you delete one or more styles.

The Styles dialog box uses a > sign to indicate the paragraph and character styles applied to the text at the cursor position. If text is selected when you display the dialog box, the > signs indicate the paragraph and character styles applied to the selected text. If the selected text uses more than one style of a given type, no > sign is displayed for that type of style.


Defining a New Style

When you define a new style, the style is added to the style sheet associated with the current document. Before you define a new style, you should make sure that the current document uses the style sheet to which you want to add the style.

To see which style sheet is associated with the current document

  1. From the Format menu, choose Style Sheets.

EXP will display the Style Sheets dialog box.

  2. The name of the style sheet associated with the current document will be highlighted.

  3. Choose the Cancel button.

After you have verified that the correct style sheet is active, you are ready to define the style. The New Style dialog box is used to define a new style. The controls in this dialog box are as follows:

Name This edit field allows you to specify the name of the style.

Type This control allows you to specify the type of the style as either Paragraph or Character.

Based On This control allows you to specify the style on which the new style should be based.

Style for Next Paragraph If you are defining a paragraph style, this control allows you to specify the style to which EXP should switch automatically when you press ENTER at the end of a paragraph.

Character Choose this button to specify character formatting for the style. EXP will display the Character Formatting dialog box.

Clear (Character) Choose this button to clear character formatting specified for the style. EXP will display "---" to the left of the button instead of the word Set.

Paragraph If you are defining a paragraph style, choose this button to specify paragraph formatting for the style. EXP will display the Paragraph Formatting dialog box.

Clear (Paragraph) If you are defining a paragraph style, choose this button to clear paragraph formatting specified for the style. EXP will display "---" to the left of the button instead of the word Set.

Tabs If you are defining a paragraph style, choose this button to specify tab formatting for the style. EXP will display the Tab Formatting dialog box.

Clear (Tabs) If you are defining a paragraph style, choose this button to clear tab formatting specified for the style. EXP will display "---" to the left of the button instead of the word Set.

Borders If you are defining a paragraph style, choose this button to specify paragraph border formatting for the style. EXP will display the Paragraph Borders dialog box.

Clear (Borders) If you are defining a paragraph style, choose this button to clear paragraph border formatting specified for the style. EXP will display "---" to the left of the button instead of the word Set.

LaTeX Choose this button to specify LaTeX markup for the style. EXP will display the LaTeX Markup dialog box.

Clear (LaTeX) Choose this button to clear LaTeX markup specified for the style. EXP will display "---" to the left of the button instead of the word Set.

There are two approaches to defining a style:

• You can define a style for the specific formatting at the cursor position.

• You can define a style in a general manner.

Each approach will be discussed separately.

To define a style for the specific formatting at the cursor position

  1. Position the cursor in some text that has the format you want to define a style for.

  2. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  4. Choose the New button.

EXP will display the New Style dialog box.

  5. In the Name edit field, type the name of the style.

  6. Use the Type control to select the type of the style.

  7. If you are defining a paragraph style, use the Style for Next Paragraph control to specify the style to which EXP should switch automatically when you press ENTER at the end of a paragraph. The style must either already exist or be the style being defined.

The control lists the names of the paragraph styles in the style sheet.

  8. Choose the OK button.

Although this approach of defining a style for the specific formatting at the cursor position is sometimes useful, it is not the recommended approach for defining a hierarchy of styles. The limitation of this approach is that the style will explicitly set every formatting attribute. The ability to base a style on another style is wasted if every style explicitly sets every formatting attribute. An understanding of this limitation leads to the following general approach for defining styles.

To define a style in a general manner

  1. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  9. Choose the New button.

EXP will display the New Style dialog box.

  10. In the Name edit field, type the name of the style.

  11. Use the Type control to select the type of the style.

  12. Use the Based On control to specify the style on which the new style is to be based. This base style must already exist. If you do not want to base the style on another style, delete any text in the Based On edit field.

For paragraph styles, the Based On control lists the names of the paragraph styles in the style sheet. For character styles, the Based On control lists the names of the character styles in the style sheet.

  13. If you are defining a paragraph style, use the Style for Next Paragraph control to specify the style to which EXP should switch automatically when you press ENTER at the end of a paragraph. The style must either already exist or be the style being defined.

The Style for Next Paragraph control lists the names of the paragraph styles in the style sheet.

  14. In the Formatting control group, click every Clear button to clear the formatting attributes in every category. As you click each Clear button, "---" will appear to the left of the button. This indicates that no formatting attributes in that category are set.

  15. Use the Character, Paragraph, Tabs, Borders, and LaTeX buttons to set the necessary formatting attributes. When you click one of these buttons, EXP will display the formatting dialog box for that category. Use the controls in the dialog box to set the necessary formatting attributes in that category and then choose the OK button. EXP will close the formatting dialog box and return you to the New Style dialog box.

When one or more formatting attributes in a category are set, EXP displays the word Set to the right of the button for that category.

  16. Choose the OK button to close the New Style dialog box.

EXP will return you to the Styles dialog box.

  17. Choose the Close button to close the Styles dialog box.


Applying a Style

The process of applying a style to text is similar to the process of applying manual formatting to text. You have two choices:

• You can select some text and then apply a style to the selected text. If you apply a paragraph style, the style is applied to all the text in all the paragraphs included in the selection. If you apply a character style, the style is applied only to the selected text.

• You can position the cursor somewhere and select a different style. If you select a paragraph style, the style is applied to all the text in the paragraph containing the cursor. If you select a character style and begin typing, the newly selected style will be applied to the newly entered text.

You can apply a style either with the Format Panel or with the Styles dialog box. It is usually faster to use the Format Panel.

Because the paragraph style Normal and the character style Default Paragraph Font are used so often, EXP provides keystrokes for them. To apply the paragraph style Normal, press CTRL+SHIFT+N. To apply the character style Default Paragraph Font, press CTRL+SHIFT+D.


Applying a Style with the Format Panel

You can use either the mouse or the keyboard to apply a style with the Format Panel.

To apply a style with the Format Panel using the mouse

  1. If you want to apply a style to some existing text, select that text. Otherwise, position the cursor where you want to enter new text.

  2. Click the down arrow beside the Style Control on the Format Panel.

EXP will display the Style Control's list and will move the cursor to the Style Control. The names of paragraph styles are displayed in bold, and those of character styles are not.

  1. In the list, select the style you want to apply. When you release the mouse button, EXP will apply the selected style to the text.

To apply a style with the Format Panel using the keyboard

  1. If you want to apply a style to some existing text, select that text. Otherwise, position the cursor where you want to enter new text.

  2. Press CTRL+Y.

EXP will display the Style Control's list and will move the cursor to the Style Control. The names of paragraph styles are displayed in bold, and those of character styles are not.

  2. In the list, select the style you want to apply.

To navigate through the list, use the UP, DOWN, PAGE UP, and PAGE DOWN keys. If you type the first few characters of the style's name and then press DOWN, EXP will select the first entry that begins with those characters. It is not necessary to type the characters in the correct case.

  3. Press ENTER. EXP will apply the selected style to the text.

If you type the first few characters of the style's name and press ENTER without pressing DOWN to select an entry in the list, EXP will apply the first style in the list whose name begins with those characters. This speeds up the process of applying styles. For example, you can quickly apply the style Normal by pressing CTRL+Y, typing "nor", and pressing ENTER. Similarly, you can quickly apply the style Default Paragraph Font by pressing CTRL+Y, typing "def", and pressing ENTER.

If the Style Control is active and you want to exit the control without selecting a style, press ESC.


Limiting the Style Control's List

Each time EXP starts, the Style Control on the Format Panel is set to list all the styles in a document's style sheet. It is sometimes convenient to limit the Style Control's list to a certain type of style. You can control which styles are listed by pressing the following keys while the Style Control is active:

CTRL+A Instructs EXP to list all styles.

CTRL+C Instructs EXP to list only character styles.

CTRL+I Instructs EXP to list only styles that are currently in use. A style is in use if it is applied to text in the current document.

CTRL+P Instructs EXP to list only paragraph styles.

EXP will continue to list only the specified styles even after the cursor has returned to the document.


Applying a Style with the Styles Dialog Box

Although it is usually faster to apply a style with the Format Panel, it is faster to apply a newly defined style with the Styles dialog box because that dialog box will already be displayed.

To apply a style with the Styles dialog box

  1. If you want to apply a style to some existing text, select that text. Otherwise, position the cursor where you want to enter new text.

  2. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  1. In the Styles list, select the style you want to apply.

If you type the first letter of the style's name, EXP will select the first style in the list whose name begins with that letter. To select the next style in the list whose name begins with that letter, type the letter again.

  2. Choose the Apply button. EXP will apply the selected style to the text.


Using Manual Formatting with Styles

Manual formatting is any formatting that is not applied via a style. An example of applying manual formatting is using the Typeface Control on the Format Panel to change the typeface.

When you apply formatting to text, the text is said to be marked with the formatting. You can mark text with three types of formatting. It is important to understand how these different types of formatting interact.

• Manual formatting

Applying manual formatting overrides corresponding formatting applied via a style.

• Paragraph styles

Applying a paragraph style removes all manual paragraph- and character-level formatting that was applied to the paragraph. It does not remove character styles that may have been applied to the paragraph.

• Character styles

Applying a character style removes all manual character-level formatting that was applied to the text. A character style overrides the character-level formatting of the paragraph style.


Applying and Removing Manual Formatting

When you apply manual formatting to text that is marked with a style, the manually applied formatting attributes override the corresponding attributes of the style. The manual formatting will remain in effect until you apply another style to the text.

If you apply manual formatting to a paragraph and later want to remove all manual formatting from that paragraph, follow these steps.

To remove manual formatting from a paragraph

  1. Position the cursor in the appropriate paragraph or select the appropriate paragraphs.

  2. Press CTRL+Y to activate the Style Control on the Format Panel.

The paragraph's current style will be selected.

  1. Press ENTER to reapply the same style.

When you apply a paragraph style to a paragraph, all manual paragraph- and character-level formatting that was applied to the paragraph is removed.

If you apply manual character-level formatting to some text and later want to remove that manual formatting without disturbing any manual paragraph-level formatting that may be applied to the paragraph, follow these steps.

To remove only manual character-level formatting

  1. Select the appropriate text.

  2. Use the Style Control on the Format Panel to apply the style Default Paragraph Font. If the text is marked with a character style other than Default Paragraph Font, reapply that character style.

When you apply a character style to text, all manual character-level formatting that was applied to the text is removed.


Documents Created with Earlier Versions of EXP

When you open an EXP document that was created with a version of EXP before 4.0, all the formatting in the document is marked as manual formatting. In addition, every paragraph is marked with the paragraph style Normal, and all the text is marked with the character style Default Paragraph Font. The document is set to use the Normal style sheet. As you begin defining and applying styles, the imported manual formatting will gradually be replaced.


Modifying a Style

For styles that you have defined, you can modify the following parts of the style's definition:

• The style's name

• The style's base style

• The style for the next paragraph

• The style's formatting attributes

For the built-in styles, you can modify the following parts of the style's definition:

• The style for the next paragraph

• The style's formatting attributes

You are not allowed to change a style's type after the style has been defined. Also, you cannot modify the style Default Paragraph Font.

To modify a style

  1. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  1. In the Styles list, select the style you want to modify.

  2. Choose the Modify button.

EXP will display the Modify Style dialog box. This dialog box is similar to the New Style dialog box. The dialog box controls will be disabled for those parts of the style's definition that you are not allowed to modify.

  3. Make changes to the style's definition as necessary.

  4. Choose the OK button to close the Modify Style dialog box.

EXP will update the current document using the modified style and will then return you to the Styles dialog box.

  5. Choose the Close button to close the Styles dialog box.


Renaming a Style

If you change the name of a style, any styles that are based on it will be adjusted to use the new name. However, the current document is not adjusted to use the new name. You should use the Replace command to search for uses of the style's old name and replace them with uses of the style's new name. If you have created other documents that use the renamed style, you must also adjust those documents' uses of the style's old name.


Updating a Document's Use of Styles

When you modify a style, EXP updates the current document to reflect the change. EXP also updates the document if you change the style sheet associated with the document. This update process goes as follows: For each use of a style, EXP obtains from the style sheet the style's formatting attributes and uses those attributes to format the text marked with the style. Note that the update process does not disturb manual formatting you may have applied to the document. All manual formatting will be preserved.

Although modifying a style causes EXP to update the current document automatically, EXP is not able to update other documents that also use the style sheet. You must update other documents yourself.

To update a document's use of styles

  1. Open the document.

  2. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  1. Choose the Update Document button.


Deleting a Style

If you no longer need a particular style, you can delete it from the style sheet. You cannot delete any of the built-in styles. When you delete a style, EXP deletes the style from the style sheet but does not remove uses of the style from the current document. If you don't know whether a particular style is being used, you can find out by performing the following steps:

To discover whether a style is used by the current document

  1. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  1. Set the List control to Styles In Use.

EXP will list only the styles that are applied to text in the current document.

  2. Examine the list to see whether the style you are wondering about is in fact being used.

  3. Choose the Cancel button to close the Styles dialog box.

Even if the style is not used by the current document it could still be used by some other document.

After you have made the decision to delete the style, follow these steps:

To delete a style

  1. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  4. In the Styles list, select the style you want to delete.

  5. Choose the Delete button.

EXP will ask you whether you really mean to delete the style.

  6. Choose the Yes button to delete the style.


Checking for Undefined Styles

If you delete a style that is still used by a document, that style becomes an undefined style. You can also cause undefined styles if you mark a document with the styles defined in one style sheet and then you switch to using another style sheet that defines styles with different names.

If you update a document's use of styles and the document uses undefined styles, EXP is unable to adjust the formatting of any text marked with an undefined style. No error message or warning will be displayed. You can, however, discover whether a document uses any undefined styles by following these steps:

To list undefined styles used by a document

  1. From the Format menu, choose Styles (ALT, R, Y).

EXP will display the Styles dialog box.

  1. Choose the List Undefined button.

EXP will search the document for undefined styles. If EXP finds any, it displays the Undefined Styles dialog box that lists the undefined paragraph styles and the undefined character styles.

If EXP finds an undefined style, you have two options:

• Define the undefined style.

• Mark the text that uses the undefined style with another style.

If you decide to mark the text that uses the undefined style with another style, you should use the Replace command.

See Also

Replacing Formatting


Managing Style Sheets

Every document has a style sheet associated with it. When you create a new document, the document template on which you base the new document determines which style sheet is associated with the new document. If you open a text file or a document created with a version of EXP before 4.0, the Normal style sheet is associated with the document by default.

When you open a document, EXP automatically opens the style sheet associated with it. If you then open another document that is associated with the same style sheet, EXP recognizes that it has already opened that style sheet and makes a note to itself that two documents are now using the style sheet. When you close a document, EXP checks to see whether the document you are closing is the last document that uses the style sheet. If so, EXP closes the style sheet. If you made any changes to the style sheet, EXP will ask you whether you want to save the modified style sheet.

This automatic opening and closing of style sheets is completely transparent to you. It is important to remember, however, that several open documents that are all associated with the same style sheet share one copy of the style sheet. Changes you make to the style sheet while one document is active affect the style sheet seen by the other open documents. Don't forget that when you modify a style, only the current document is updated automatically.


Changing a Document's Style Sheet

You can change the style sheet associated with a document by following these steps:

To change a document's style sheet

  1. From the Format menu, choose Style Sheets.

EXP will display the Style Sheets dialog box. This dialog box lists the available style sheets. The style sheet currently associated with the document will be selected.

  1. In the list, select the style sheet you want to use.

  2. Choose the OK button.

When you change a document's style sheet, EXP performs these actions:

  1. EXP closes the document's previous style sheet.

  2. EXP opens the new style sheet.

  3. EXP updates the document's use of styles.

If you change to a style sheet that defines styles with different names, the document may now be marked with undefined styles. Refer to the topic Checking for Undefined Styles for information about this situation.


Creating a New Style Sheet

In addition to using the style sheets provided with EXP, you can create your own style sheets. It is not necessary to have a document open to create a new style sheet, but it is necessary to have a document open to add styles to it.

To create a new style sheet

  1. From the Format menu, choose Style Sheets.

EXP will display the Style Sheets dialog box.

  1. Choose the New button.

EXP will display the New Style Sheet dialog box.

  2. In the edit field, type the filename for the new style sheet. Do not type a filename extension.

  3. Choose the OK button.

EXP will create the style sheet in the Styles directory and then return you to the Style Sheets dialog box. The new style sheet will be selected in the list.

  4. If you have a document open and you want to use the new style sheet with the document, choose the OK button. Otherwise, choose the Cancel button.

A new style sheet initially contains only the five built-in styles.


Copying an Existing Style Sheet

If you need to create a new style sheet that is similar to an existing style sheet, you may want to copy the existing style sheet to a new name and then modify the copy as necessary. This could save you time over creating the new style sheet from scratch.

To make a copy of a style sheet, use Windows Explorer (or your favorite file management tool) to make a copy of the style sheet's file. All EXP style sheets have the filename extension ESS and are stored in the Styles directory.


Deleting a Style Sheet

If you no longer need a particular style sheet, you can delete it.

To delete a style sheet

  1. From the Format menu, choose Style Sheets.

EXP will display the Style Sheets dialog box.

  1. In the list, select the style sheet you want to delete.

  2. Choose the Delete button.

EXP will ask you whether you really mean to delete the style sheet.

  3. Choose the Yes button.

After you delete a style sheet, you will no longer be able to open any document that used it. If you discover that you deleted a style sheet that was used by a document you now need to open, create a new style sheet with the same name as the missing style sheet. Although none of the styles used by the document will be defined, the document will be displayed correctly.


Notes Concerning Styles

• If you apply a character style that has the italic attribute set to text whose paragraph style already has the italic attribute set, EXP formats the text to which the character style is applied in nonitalics. This makes the text stand out from the surrounding text.

• The Undo command does not affect style sheets because style sheets are not considered part of the document. The Undo command can undo changes caused by applying a style or by updating a document's use of styles.

• EXP is unable to open a document if the style sheet it uses is not available. In this situation, EXP displays the Open Style Sheet Error message box. This message box displays the name of the missing style sheet. To open the document, create a new style sheet with the same name as the missing style sheet. Although none of the styles used by the document will be defined, the document will be displayed correctly.

• You should avoid creating styles with "holes". A style has a hole if it does not set every formatting attribute. A paragraph style has a hole if it does not set every paragraph-level formatting attribute and every character-level formatting attribute. A character style has a hole if it does not set every character-level formatting attribute.

Holes occur when you base a style on another style that has a hole. If a style has a hole, any style based on it may also have a hole. If you always base your styles on a root base style that has no holes, such as Normal, none of your styles will have holes.

Holes are a problem because they prevent the application of a style from resetting all the formatting attributes. If you apply a paragraph style that has a hole, one or more of the formatting attributes from the previous paragraph style will be retained because they will "show through the hole".

• When defining a derived style that requires different tab formatting from the base style, you have the option of removing all the tabs coming from the base style before defining new tabs. You cannot, however, selectively remove tabs coming from the base style; you must either accept all of them or none of them.


Document Editing

This chapter covers topics relating to editing a document that were not discussed in the quick tour of EXP in Chapter 2. In this chapter, you will learn how to

· Enter special codes and characters

· Change the case of text

· Move or copy text from one place to another

· Find specific text or formatting and optionally replace it

· Check the spelling in a document

· Ensure that all the fonts required by a document are installed

· Move to a specific page in a document

· Open and manipulate multiple document windows

· Configure EXP


Entering Breaks

During the process of formatting and repaginating a document, EXP automatically breaks the text into lines, columns, and pages. These types of breaks are called soft breaks. You can control the places where EXP breaks your text by inserting hard breaks. EXP provides four types of breaks:

Line breaks

A line break causes EXP to end the current line and start a new one. Right justification is not suppressed on the line terminated by the line break. This type of break is rarely used.

Column breaks

A column break causes EXP to end the current column and start a new one.

Page breaks

A page break causes EXP to end the current page and start a new one.

Section breaks

A section break divides a document into multiple sections so the different sections can be assigned different formatting. You can specify whether a section should start at the top of a new column, the top of a new page, or in the middle of the current page. Section breaks are not considered to be hard or soft. Because EXP never automatically breaks a document into sections, all section breaks must be inserted manually by you. Sections are discussed in the topic How Formatting Is Structured.

To insert a break

  1. From the Insert menu, choose Break (ALT, I, B).

EXP will display the Insert Break dialog box.

  2. Select the button next to the type of break you want.

  3. Choose the OK button.

In addition to the line break, you can use a NewLine code to end the current line and start a new one.

To enter a NewLine code

Press SHIFT+ENTER.

A NewLine code differs from a line break in that right justification is suppressed for a line terminated by a NewLine code but is not suppressed for a line terminated by a line break. If the paragraph is not formatted for right justification, these two types of line terminators will have the same effect. Unlike a paragraph mark, a NewLine code does not start a new paragraph.

See Also

How Formatting Is Structured


Entering and Editing Text Codes

A text code is a code that is embedded in the text of a document. Text codes are also called codes. Examples of text codes that are discussed elsewhere are

• Paragraph marks

• Hard line, column, and page breaks

• Section breaks

• NewLine codes

• Box codes

• Math style change codes

EXP provides several text codes that are not assigned individual menu items or keystrokes:

• Hmove

• Hrule

• Leader, Here


Hmove - Horizontal Move

The Hmove code allows you to insert a specific horizontal movement command into a line of text. It is similar to a special type of tab.

To insert an Hmove code

  1. From the Insert menu, choose Text Code (ALT, I, X).

EXP will display the Insert Text Code dialog box.

  1. In the list, select Hmove.

  2. Choose the OK button. You can also double-click Hmove in the list.

EXP will display the Insert Hmove dialog box. The controls in this dialog box are as follows:

Page Margin Select this button if you want to move to a position relative to the left page margin.

Previous Hmove on Current Line Select this button if you want to move to a position relative to the position of the previous Hmove code on the current line.

Current Position Select this button if you want to move to a position relative to the current position.

Distance Use this control to specify the measurement for the distance you want to move.

  3. Use the buttons to select the type of positioning you want.

  4. In the Distance control, type the measurement for the distance you want to move.

  5. Choose the OK button.

When you insert an Hmove code, the text following the Hmove code will be repositioned. If you want to change the distance or the positioning of an Hmove code, you can edit the code.

To edit an Hmove code

  1. Position the cursor on the Hmove code. The leftmost field of the Status Bar must show Hmove.

  2. From the Edit menu, choose Text Code (ALT, E, X).

–or–

Press CTRL+E.

EXP will display the Edit Hmove dialog box. This dialog box is identical to the Insert Hmove dialog box, except for its title.

  6. Make the changes you require.

  7. Choose the OK button.


Hrule - Horizontal Rule

The Hrule code allows you to draw a rule (line) in the middle of a line of text.

To insert an Hrule code

  1. From the Insert menu, choose Text Code (ALT, I, X).

EXP will display the Insert Text Code dialog box.

  1. In the list, select Hrule.

  2. Choose the OK button. You can also double-click Hrule in the list.

EXP will display the Insert Hrule dialog box. The controls in this dialog box are as follows:

Width This control allows you to specify the measurement for the width of the rule.

Auto-Width Turn on this check box to set the width to auto. An auto-width rule extends from the current position to the right margin of the paragraph.

Height This control allows you to specify the measurement for the height of the rule. The height of a rule is the distance the rule extends above the baseline.

Auto-Height Turn on this check box to set the height to auto. An auto-height rule has the same height as the current line.

Depth This control allows you to specify the measurement for the depth of the rule. The depth of a rule is the distance the rule extends below the baseline.

Auto-Depth Turn on this check box to set the depth to auto. An auto-depth rule has the same depth as the current line.

Color This control allows you to specify the color of the rule.

Don't Advance Cursor If this check box is on, the cursor does not advance past the rule. This will cause the text following the Hrule code to overlap the rule. If this check box is off, the text following the Hrule code is positioned after the end of the rule.

Don't Draw Rule Turn on this check box to prevent EXP from actually drawing the rule. In this case, the rule will not be visible but will still occupy a rectangular area on the line.

  3. In the Width control, type the measurement for the width of the rule. If you want an auto-width rule, turn on the Auto check box.

  4. In the Height control, type the measurement for the height of the rule. If you want an auto-height rule, turn on the Auto check box.

  5. In the Depth control, type the measurement for the depth of the rule. If you want an auto-depth rule, turn on the Auto check box.

  6. Use the Color control to specify the color of the rule. The color called Default draws the rule using the Window Text color specified in Control Panel.

  7. Choose the OK button.

If you want to change any of the parameters of an Hrule code, you can edit the code.

To edit an Hrule code

  1. Position the cursor on the Hrule code. The leftmost field of the Status Bar must show Hrule.

  2. From the Edit menu, choose Text Code (ALT, E, X).

–or–

Press CTRL+E.

EXP will display the Edit Hrule dialog box. This dialog box is identical to the Insert Hrule dialog box, except for its title.

  8. Make the changes you require.

  9. Choose the OK button.

Rules drawn by Hrule codes are not allowed to extend vertically outside the area of the current line of text. To draw a rule along the side of a paragraph, you must use paragraph borders.

See Also

Paragraph Borders


Leader and Here Codes

The Leader and Here codes allow you to typeset leaders with more flexibility than is offered by tab leaders (discussed in the topic Tabs). The Leader code defines the starting point for a leader, and the Here code defines the ending point for a leader. You can use any formatting codes you want to separate the Leader and Here codes horizontally on a line. EXP fills the space between the Leader and Here codes with the leader character you specify.

To insert a Leader code

  1. From the Insert menu, choose Text Code (ALT, I, X).

EXP will display the Insert Text Code dialog box.

  1. In the list, select Leader.

  2. Choose the OK button. You can also double-click Leader in the list.

EXP will display the Insert Leader dialog box.

  3. Type the leader character you want.

  4. Choose the OK button.

To insert a Here code

  1. From the Insert menu, choose Text Code (ALT, I, X).

EXP will display the Insert Text Code dialog box.

  5. In the list, select Here.

  6. Choose the OK button. You can also double-click Here in the list.

By far the most common use of leaders is in typesetting a table of contents or a cast list. For example, an entry in a table of contents might look like this:

Chapter 3.........................................57

An entry in a cast list might look like this:

The Programmer..............................Simon Smith

In each of these cases, the text following the leader is aligned with the right margin. To achieve this formatting result with a tab leader, you would have to define a right-aligned tab at the right margin. The drawback to this approach is that if you change the right margin, the tab will no longer be aligned with the right margin. You would have to adjust the tab's position to restore the tab's alignment with the right margin.

This problem does not occur if you typeset the leader using the Leader and Here codes and an Rflush box. To typeset a right-aligned leader using the Leader and Here codes, perform these steps:

To typeset a right-aligned leader

  1. Insert a Leader code after the text that appears at the left margin.

  2. Insert an Rflush box by pressing CTRL+ALT+N.

  3. With the cursor inside the Rflush box, insert a Here code.

  4. Type the text that should appear at the right margin.

  5. Press ENTER to exit the Rflush box.

  6. Press ENTER again to start a new paragraph.

Another important advantage of using the Leader and Here codes over using tab leaders is that right-aligned tabs can only align ordinary ANSI text. They cannot right-align automatic numbers. It is useful to use automatic numbers to enter the numbers in a table of contents so you do not have to update the numbers manually. To create a table of contents using automatic numbers, you must typeset the leaders using the Leader and Here codes as described above. The subject of automatic numbers is discussed in the topic Automatic Numbering.

See Also

Tabs

Automatic Numbering


Entering Special Spaces

EXP provides four special spaces you can use to solve certain formatting problems:

• nullspace

• nsspace

• nbspace

• hardspace


Nullspace - Null Space

A nullspace is a zero-width space whose only function is to introduce a potential line break point into an otherwise unbreakable sequence of characters. A nullspace is normally used only in inline formulas to allow EXP to break the formula if it appears near the end of a line.

To enter a nullspace

From the Insert menu, choose Special Space, nullspace (ALT, I, S, U).

–or–

  1. Press F4.

EXP will display the Symbol Box.

  1. Type nullspace.

  2. Press ENTER.

See Also

Controlling Line Breaks


Nsspace - Nonstretching Space

An nsspace is a normal-width space that will not stretch under right justification but will break at the end of a line. Use an nsspace when you need a fixed-width space that will break at the end of a line.

To enter an nsspace

From the Insert menu, choose Special Space, nsspace (ALT, I, S, N).

–or–

  1. Press F4.

EXP will display the Symbol Box.

  1. Type nsspace.

  2. Press ENTER.


Nbspace - Nonbreaking Space

An nbspace is a normal-width space that will stretch under right justification but will not break at the end of a line. Use an nbspace when you need a variable-width space that will not break at the end of a line.

To enter an nbspace

Press CTRL+SHIFT+SPACE.

–or–

From the Insert menu, choose Special Space, nbspace (ALT, I, S, B).

–or–

  1. Press F4.

EXP will display the Symbol Box.

  1. Type nbspace.

  2. Press ENTER.


Hardspace - Hard Space

A hardspace is a normal-width space that will not stretch under right justification and will not break at the end of a line. Use a hardspace when you need a fixed-width space that will not break at the end of a line.

To enter a hardspace

From the Insert menu, choose Special Space, hardspace (ALT, I, S, H).

–or–

  1. Press F4.

EXP will display the Symbol Box.

  1. Type hardspace.

  2. Press ENTER.


Changing the Case of Text

EXP allows you to change the case of existing text in a document. You can either change the case of one character at a time or change the case of a block of text.

To change the case of one character at a time

  1. Position the cursor on the character whose case you want to change.

  2. Press CTRL+SHIFT+T.

When EXP changes the case of a single character, it converts lowercase to uppercase, or vice versa, and advances the cursor one character to the right. This makes it possible for you to hold down CTRL+SHIFT+T to change the case of several characters in succession.

To change the case of a block of text

  1. Select the text whose case you want to change.

  2. Press CTRL+SHIFT+T repeatedly until the text appears in the case you want.

When changing the case of a selection, EXP changes the case of the text to one of three states:

• All lowercase

• All uppercase

• Mixed case; the first letter of each word is capitalized

Each time you press CTRL+SHIFT+T, EXP changes the case of the text to a different state.


Inserting a File into a Document

As you are writing a document, you may need to insert the contents of another document file into the document you are writing. EXP allows you to insert the contents of any document file into the current document. The incoming document does not have to be in EXP for Windows format. EXP will convert it as necessary before inserting it.

To insert the contents of a file into the current document

  1. Position the cursor where you want the file to be inserted.

  2. From the Insert menu, choose File (ALT, I, I).

EXP will display the Insert File dialog box. The operation of this dialog box is identical to that of the Open dialog box.

  1. Select the file you want to insert.

  2. Choose the OK button.


How EXP Merges Formatting

When EXP inserts a file into a document, it merges the text and the formatting in the file into the document. How EXP merges the formatting of the incoming document with the formatting of the current document is determined by the position of the cursor:

• If the cursor is not positioned at the beginning of a paragraph, the paragraph-level formatting of the current paragraph will override the paragraph-level formatting of the first paragraph in the incoming document.

• If the incoming document does not end with a paragraph mark directly followed by the end-of-text marker, the paragraph-level formatting of the last paragraph in the incoming document will override the paragraph-level formatting of the portion of the current paragraph following the cursor.

• If the incoming document does not contain any paragraph marks, no paragraph-level formatting is used from the incoming document. The incoming document is merged into the current paragraph.

• If the cursor is not positioned at the beginning of a section, the section-level formatting of the current section will override the section-level formatting of the first section in the incoming document.

• If the incoming document does not end with a section break directly followed by the end-of-text marker, the section-level formatting of the last section in the incoming document will override the section-level formatting of the portion of the current section following the cursor.

• If the incoming document does not contain any section breaks, no section-level formatting is used from the incoming document. The incoming document is merged into the current section.

• Character-level formatting is always copied without complication from the incoming document to the current document.


Moving and Copying Text

During the course of developing almost any document, you will need to move or copy text from one place to another. You may also need to copy text from other documents or transfer text to other applications. Each of these tasks is performed in EXP using the Windows clipboard.


Clipboard Basics

The Windows clipboard is a standard holding place for information that is being transferred from one application to another or from one place in an application to another place in the same application. Every Windows application provides three commands for interacting with the clipboard:

Cut

The Cut command deletes information from an application and moves that information to the clipboard.

Copy

The Copy command copies information from an application and places that information on the clipboard.

Paste

The Paste command copies information from the clipboard and inserts that information into an application.

In the case of a word processor, the "information" is a portion of a document.

See Also

Moving and Copying Text


Moving and Copying Text within EXP

Moving text from one place to another is the most common use of the clipboard in EXP.

To move text within a document

  1. Select the text you want to move.

  2. From the Edit menu, choose Cut (ALT, E, T).

–or–

Press CTRL+X.

–or–

Click the [image] button on the Math Panel.

  1. Position the cursor where you want the text moved to.

  2. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

To move text from one document to another

  1. Open the source document, if it isn't already open.

  2. In the source document, select the text you want to move.

  3. From the Edit menu, choose Cut (ALT, E, T).

–or–

Press CTRL+X.

–or–

Click the [image] button on the Math Panel.

  3. Open the destination document or switch to the destination document.

  4. In the destination document, position the cursor where you want the text moved to.

  5. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

Copying text from one place to another is useful if you need to insert something in several places. You can enter the text in one place and copy it to the other places where it should appear.

To copy text within a document

  1. Select the text you want to copy.

  2. From the Edit menu, choose Copy (ALT, E, C).

–or–

Press CTRL+C.

–or–

Click the [image] button on the Math Panel.

  6. Position the cursor where you want the text copied to.

  7. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

To copy text from one document to another

  1. Open the source document, if it isn't already open.

  2. In the source document, select the text you want to copy.

  3. From the Edit menu, choose Copy (ALT, E, C).

–or–

Press CTRL+C.

–or–

Click the [image] button on the Math Panel.

  8. Open the destination document or switch to the destination document.

  9. In the destination document, position the cursor where you want the text copied to.

  10. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

See Also

Moving and Copying Text


How EXP Merges Formatting when Pasting Text

When you use the Paste command to move or to copy text from one place to another in EXP, EXP must merge the formatting of the incoming text from the clipboard with the formatting of the current document. EXP merges formatting in this case in exactly the same manner it merges formatting when you insert a file into a document. This subject is discussed in the topic How EXP Merges Formatting.


Transferring Text from EXP to Another Application

You can transfer text from an EXP document to another Windows application by copying the text to the clipboard in EXP and pasting it into the other application.

To transfer text from an EXP document to another application

  1. In EXP, select the text you want to transfer.

  2. From the Edit menu, choose Copy (ALT, E, C).

–or–

Press CTRL+C.

–or–

Click the [image] button on the Math Panel.

  1. Start or switch to the other application.

  2. In the other application, position the cursor where you want the text inserted.

  3. From the other application's Edit menu, choose Paste (ALT, E, P).

When you transfer part of an EXP document to another application, only the following document elements are transferred:

• ANSI characters

• Paragraph marks

• Tab characters

No formatting, symbols, or codes can be transferred to other applications.

See Also

Moving and Copying Text


Transferring Text from Another Application to EXP

You can transfer text from another Windows application to an EXP document by copying the text to the clipboard in the other application and then pasting it into an EXP document.

To transfer text from another application to an EXP document

  1. In the other application, select the text you want to transfer.

  2. From the other application's Edit menu, choose Copy (ALT, E, C).

  3. Start or switch to EXP.

  4. Open the document you want to insert the text into.

  5. Position the cursor where you want the text inserted.

  6. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

When you transfer part of another application's document to EXP, only the following document elements are transferred:

• ANSI characters

• Paragraph marks

• Tab characters

No formatting or special codes can be transferred to EXP from other applications.

See Also

Moving and Copying Text


Pasting Data in a Specific Format

When an application places data on the clipboard, it usually does so in multiple data formats. For example, when you copy text to the clipboard in EXP, EXP places two data formats on the clipboard: EXP Native Data and Unformatted Text. When you paste data from the clipboard into an application, the application must decide which of the data formats it should retrieve. Every application that accepts multiple data formats (such as text or graphics) has a desirability rating for each data format. When instructed to paste data from the clipboard, the application examines the clipboard to see which of the available data formats has the highest desirability rating. It then retrieves the data in that format. EXP's clipboard data format desirability ratings are as follows:

1. EXP Native Data

2. Unformatted Text

3. Graphic (Enhanced Metafile)

4. Graphic (Device Independent Bitmap)

Although EXP's format ratings are usually appropriate, there are times when they are not. A common case in which EXP's format ratings lead to the retrieval of an undesirable data format from the clipboard is pasting a bitmap graphic. When pasting a bitmap graphic into EXP, the best data format for EXP to retrieve is the Device Independent Bitmap format. Some graphics applications, however, place the Unformatted Text and Enhanced Metafile data formats on the clipboard in addition to the Device Independent Bitmap format. The Unformatted Text data contains the text of any labels in the graphic, and the Enhanced Metafile data is often nothing more than a metafile containing the bitmap graphic. In such a situation, EXP's Paste command will retrieve the Unformatted Text data instead of the Device Independent Bitmap data. Thus, instead of a graphic you get text sequences containing the graphic's labels. The solution to this problem is to use EXP's Paste Special command.

To paste data in a specific format

  1. From the Edit menu, choose Paste Special (ALT, E, S).

EXP will display the Paste Special dialog box. This dialog box lists the data formats that are available on the clipboard and supported by EXP.

  1. In the Clipboard Formats list, select the data format you want EXP to retrieve.

  2. Choose the OK button.

EXP will retrieve the data in the specified format and insert it into the document.


Finding and Replacing Text and Formatting

EXP allows you to find and replace both text and formatting. In addition to finding and replacing ordinary text, you can find and replace text containing codes and formulas.


Finding Text

You can search for text only, formatting only, or both. If you search for text only, EXP will find the text regardless of its formatting. If you search for formatting only, EXP will find the formatting regardless of what the text is. If you search for both text and formatting, EXP will only find occurrences of the text that have the specified formatting.

You can specify search text in three ways:

• Type a search string in the Find dialog box.

• Instruct EXP to search for the text on the clipboard.

• Instruct EXP to search for the contents of the "Find" text library entry.

To find text

  1. From the Edit menu, choose Find (ALT, E, D).

–or–

Press CTRL+F.

EXP will display the Find dialog box. The controls in this dialog box are as follows:

String This control allows you to type a search string.

Clipboard Text Select this button to instruct EXP to search for the text on the clipboard.

"Find" Text Library Entry Select this button to instruct EXP to search for the contents of the "Find" text library entry.

Edit Entry Choose this button to cancel the Find dialog box and to jump to the definition of the "Find" text library entry. A text library containing an entry called "Find" must be open.

Ignore Choose this button to cancel any search formatting you may have specified.

Character Choose this button to select character formatting that you want to search for. EXP will display the Character Formatting dialog box.

Paragraph Choose this button to select paragraph formatting that you want to search for. EXP will display the Paragraph Formatting dialog box.

Borders Choose this button to select paragraph borders that you want to search for. EXP will display the Paragraph Borders dialog box.

LaTeX Choose this button to select LaTeX markup that you want to search for. EXP will display the LaTeX Markup dialog box.

Style Choose this button to select the style that you want to search for. EXP will display the Find Style dialog box.

Entire Document Select this button to instruct EXP to begin the search at the beginning of the document.

Forward From Cursor Select this button to instruct EXP to begin the search at the current cursor position.

Selection Select this button to instruct EXP to limit the search to the selected text.

Find Whole Words Only Turn on this check box to instruct EXP to find only isolated occurrences of the search text. EXP will not find occurrences of the search text that appear inside other words.

Ignore Case Turn on this check box to instruct EXP to ignore the case of characters as it searches.

  1. In the Search For String edit field, type the text you want to find.

  2. Choose the OK button.

If EXP finds an occurrence of the search text, it selects that occurrence in the document and displays it.

To find the next occurrence of the search text

Press CTRL+A.


Finding Special Characters

When you specify search text by typing a string in the Find dialog box, you can only type ANSI characters. EXP, however, allows you to search for various non-ANSI elements by using special search characters. You can include a special search character in the search text by typing a caret (^) followed by one of the characters in the table below.

a | Any automatic number
b | Hard page break
c | Hard column break
f | Footnote
g | Graphic or movie
h | Nonbreaking hyphen (nbhyphen)
l | Hard line break
n | NewLine (SHIFT+ENTER)
p | Paragraph mark
q | Left double quote
s | Nonbreaking space (nbspace)
t | Tab
w | White space (matches one or more spaces of any type)
x | LaTeX command
$ | Section break
- | Soft hyphen
" | Right double quote
? | Wildcard (matches any one character)
* | Wildcard (matches zero or more characters)
^ | Caret (^)

As an example, if you wanted to find double-quoted strings, you would use the following search string:

^q^*^"

The special search characters used in this search string are

^q Left double quote

^* Wildcard; matches zero or more characters

^" Right double quote


Finding Formulas

If you need to find a formula or a subexpression, you cannot type the search text in the Find dialog box because it is not possible to enter box codes or symbols in the dialog box. EXP provides two solutions to this problem:

• You can find the formula with the clipboard.

• You can find the formula with the "Find" text library entry.


Finding a Formula with the Clipboard

If the cursor is already positioned at an occurrence of the formula you want to find, the easiest way to find other occurrences of the formula is to copy the formula to the clipboard and instruct EXP to find the text on the clipboard.

To find a formula with the clipboard

  1. Select the formula in the document.

  2. Press CTRL+C to copy the formula to the clipboard.

  3. Press CTRL+F to display the Find dialog box.

  4. Select the Clipboard Text button. You can press TAB, DOWN to select this button.

  5. Choose the OK button.


Finding a Formula with the "Find" Text Library Entry

If the cursor is not positioned near an occurrence of the formula you want to find, you can find the formula by entering it into a text library entry called "Find" and instructing EXP to find the contents of the "Find" text library entry.

Before you can use this technique to find a formula, you must open a text library and create an entry called "Find". The basic text library called Text Library that is installed with EXP already contains a "Find" entry.

To find a formula with the "Find" text library entry

  1. Press CTRL+F to display the Find dialog box.

  2. Choose the Edit Entry button.

EXP will display the text library's window and will move the cursor to the beginning of the "Find" entry.

  1. Enter the formula as the contents of the "Find" entry. You can include special search characters.

  2. From the Window menu, choose the window of the document you are working on.

  3. Press CTRL+F to display the Find dialog box.

  4. Select the "Find" Text Library Entry button. You can press TAB, DOWN, DOWN to select this button.

  5. Choose the OK button.


Finding Formatting

You can search for specific text with specific formatting, or you can search for specific formatting only.

To find text with specific formatting

  1. Press CTRL+F to display the Find dialog box.

  2. In the Search For String edit field, type the text you want to find. You can also specify the search text with the clipboard or with the "Find" text library entry.

  3. If you want to search for specific character formatting, choose the Character button. EXP will display the Character Formatting dialog box. In the dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Character Formatting dialog box.

  4. If you want to search for specific paragraph formatting, choose the Paragraph button. EXP will display the Paragraph Formatting dialog box. In the dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Paragraph Formatting dialog box.

  5. If you want to search for specific paragraph borders, choose the Borders button. EXP will display the Paragraph Borders dialog box. In the dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Paragraph Borders dialog box.

  6. If you want to search for specific LaTeX markup, choose the LaTeX button. EXP will display the LaTeX Markup dialog box. In the dialog box, select the LaTeX markup attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the LaTeX Markup dialog box.

  7. If you want to search for a specific style, choose the Style button. EXP will display the Find Style dialog box. In the dialog box, select the style you want to search for. Press ENTER to close the Find Style dialog box.

  8. Choose the OK button.

To find specific formatting only

  1. Press CTRL+F to display the Find dialog box.

  2. Delete any text that is in the Search For String edit field.

  3. Make sure the Search For String button is selected.

  4. If you want to search for specific character formatting, choose the Character button. EXP will display the Character Formatting dialog box. In the Character Formatting dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Character Formatting dialog box.

  5. If you want to search for specific paragraph formatting, choose the Paragraph button. EXP will display the Paragraph Formatting dialog box. In the Paragraph Formatting dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Paragraph Formatting dialog box.

  6. If you want to search for specific paragraph borders, choose the Borders button. EXP will display the Paragraph Borders dialog box. In the Paragraph Borders dialog box, select the formatting attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the Paragraph Borders dialog box.

  7. If you want to search for specific LaTeX markup, choose the LaTeX button. EXP will display the LaTeX Markup dialog box. In the dialog box, select the LaTeX markup attributes you want to search for. Any attributes you do not set will be ignored during the search. Press ENTER to close the LaTeX Markup dialog box.

  8. If you want to search for a specific style, choose the Style button. EXP will display the Find Style dialog box. In the dialog box, select the style you want to search for. Press ENTER to close the Find Style dialog box.

  9. Choose the OK button.


Replacing Text

You can replace text only, formatting only, or both. If you replace text only, EXP will replace the text but will leave the formatting of the text unchanged. If you replace formatting only, EXP will replace the formatting but will leave the text unchanged. When you replace formatting, you can specify which formatting attributes you want to change. Any formatting attributes that you do not specify are not changed.

You can specify replacement text in three ways:

• Type the replacement text in the Replace dialog box.

• Instruct EXP to use the text on the clipboard as the replacement text.

• Instruct EXP to use the contents of the "Replace" text library entry as the replacement text.

To replace text

  1. From the Edit menu, choose Replace (ALT, E, R).

–or–

Press CTRL+R.

EXP will display the Replace dialog box. The controls in this dialog box are as follows:

String (Search For) This control allows you to specify the search text.

Clipboard Text (Search For) Select this button to instruct EXP to search for the text on the clipboard.

"Find" Text Library Entry Select this button to instruct EXP to search for the contents of the "Find" text library entry.

Edit Entry (Search For) Choose this button to cancel the Replace dialog box and to jump to the definition of the "Find" text library entry. A text library containing an entry called "Find" must be open.

String (Replace With) This control allows you to specify the replacement text.

Clipboard Text (Replace With) Select this button to instruct EXP to use the text on the clipboard as the replacement text.

"Replace" Text Library Entry Select this button to instruct EXP to use the contents of the "Replace" text library entry as the replacement text.

Edit Entry (Replace With) Choose this button to cancel the Replace dialog box and to jump to the definition of the "Replace" text library entry. A text library containing an entry called "Replace" must be open.

Ignore (Find Formatting) Choose this button to cancel any search formatting you may have specified.

Character (Find Formatting) Choose this button to select character formatting that you want to search for. EXP will display the Character Formatting dialog box.

Paragraph (Find Formatting) Choose this button to select paragraph formatting that you want to search for. EXP will display the Paragraph Formatting dialog box.

Borders (Find Formatting) Choose this button to select paragraph borders that you want to search for. EXP will display the Paragraph Borders dialog box.

LaTeX (Find Formatting) Choose this button to select LaTeX markup that you want to search for. EXP will display the LaTeX Markup dialog box.

Style (Find Formatting) Choose this button to select the style that you want to search for. EXP will display the Find Style dialog box.

Ignore (Replacement Formatting) Choose this button to cancel any replacement formatting you may have specified.

Character (Replacement Formatting) Choose this button to select replacement character formatting. EXP will display the Character Formatting dialog box.

Paragraph (Replacement Formatting) Choose this button to select replacement paragraph formatting. EXP will display the Paragraph Formatting dialog box.

Borders (Replacement Formatting) Choose this button to select replacement paragraph borders. EXP will display the Paragraph Borders dialog box.

LaTeX (Replacement Formatting) Choose this button to select replacement LaTeX markup. EXP will display the LaTeX Markup dialog box.

Style (Replacement Formatting) Choose this button to select the replacement style. EXP will display the Replacement Style dialog box.

Entire Document Select this button to instruct EXP to begin the replacement at the beginning of the document.

Forward From Cursor Select this button to instruct EXP to begin the replacement at the current cursor position.

Selection Select this button to instruct EXP to limit the replacement to the selection.

Replace Whole Words Only Turn on this check box to instruct EXP to find and replace only isolated occurrences of the search text. EXP will not find and replace occurrences of the search text that appear inside other words.

Ignore Case Turn on this check box to instruct EXP to ignore the case of characters as it searches. The setting of this control also determines whether EXP adjusts the case of the replacement text. Refer to the topic Using the Find and Replace Options for details.

  1. In the Search For String edit field, type the text you want to replace.

  2. In the Replace With String edit field, type the replacement text.

  3. Choose the OK button.

If EXP finds an occurrence of the search text, it selects that occurrence in the document and displays it. EXP then prompts you as to what you want to do. You have five choices:

Replace – Press R

Choose this button to replace the highlighted occurrence of the search text and continue searching for other occurrences.

Skip – Press S

Choose this button to skip the highlighted occurrence of the search text and continue searching for other occurrences.

Replace All – Press A

Choose this button to replace the highlighted occurrence of the search text and to search for and replace all other occurrences of the search text without prompting.

Replace and Quit – Press N

Choose this button to replace the highlighted occurrence of the search text and to abort the replacement process.

Quit – Press Q or ESC

Choose this button to abort the replacement process immediately.


Using Special Characters in Replacement Text

Just as you can specify special characters in search text, you can specify special characters in replacement text. You include a special character in replacement text by typing a caret (^) followed by one of the characters in the table below.

b | Hard page break
c | Hard column break
h | Nonbreaking hyphen (nbhyphen)
l | Hard line break
n | NewLine (SHIFT+ENTER)
p | Paragraph mark
q | Left double quote
s | Nonbreaking space (nbspace)
t | Tab
- | Soft hyphen
" | Right double quote
^ | Caret (^)

The special replacement characters are a subset of the special search characters. Not all the special search characters, such as *, make sense in the context of replacement text.

As an example of using the special replacement characters, if you wanted to find the name EXP and put double quotes around it, you would use the search string

EXP

and the replacement string

^qEXP^"

The special replacement characters used in this replacement string are

^q Left double quote

^" Right double quote


Replacing Formulas

As with the Find command, if you need to replace a formula you cannot type replacement text in the Replace dialog box because it is not possible to enter box codes or symbols in the dialog box. To get around this restriction, EXP allows you to specify the search text and the replacement text in two other ways:

• You can find the formula on the clipboard

–or–

• You can find the formula in the "Find" text library entry

and replace it with

• the formula on the clipboard.

–or–

• the formula in the "Replace" text library entry.

Obviously, it does not make sense for both the search text and the replacement text to be taken from the clipboard. When you are replacing a formula, either the search text or the replacement text must be taken from a text library entry. It is recommended, however, that you use text library entries for both the search text and the replacement text.


Replacing a Formula with Text Library Entries

To replace a formula using text library entries, enter the search formula in a text library entry called "Find" and the replacement formula in a text library entry called "Replace". Then instruct EXP to find the contents of the "Find" text library entry and replace it with the contents of the "Replace" text library entry.

Before you can use this technique to replace a formula, you must first open a text library and create entries called "Find" and "Replace". The basic text library called Text Library that is installed with EXP already contains "Find" and "Replace" entries.

To replace a formula with the "Find" and "Replace" text library entries

  1. Press CTRL+R to display the Replace dialog box.

  2. Choose the Search For Edit Entry button.

EXP will display the text library's window and will move the cursor to the beginning of the "Find" entry.

  1. Enter the search formula as the contents of the "Find" entry. You can include special search characters.

  2. Enter the replacement formula as the contents of the "Replace" entry.

  3. From the Window menu, choose the window of the document you are working on.

  4. Press CTRL+R to display the Replace dialog box.

  5. Select the "Find" Text Library Entry button. You can press TAB, DOWN, DOWN to select this button.

  6. Select the "Replace" Text Library Entry button. You can press ALT+R, TAB, DOWN, DOWN to select this button.

  7. Choose the OK button.


Replacing Formatting

EXP allows you to search for specific text with specific formatting or to search for specific formatting only. When you are performing a replacement, you can instruct EXP to replace only the text, only the formatting, or both the text and the formatting.

To find text and replace its formatting

  1. Press CTRL+R to display the Replace dialog box.

  2. In the Search For String edit field, type the text you want to find. You can also specify the search text with the clipboard or with the "Find" text library entry.

  3. If you want to search for the text with specific formatting, use the Find Formatting buttons to specify the search formatting. The operation of these buttons is identical to the operation of the corresponding buttons in the Find dialog box.

  4. Delete any text that may be in the Replace With String edit field.

  5. Make sure the Replace With String button is selected.

  6. If you want to replace character formatting attributes, choose the Replacement Formatting Character button. EXP will display the Character Formatting dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Character Formatting dialog box.

  7. If you want to replace paragraph formatting attributes, choose the Replacement Formatting Paragraph button. EXP will display the Paragraph Formatting dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Paragraph Formatting dialog box.

  8. If you want to replace paragraph bordering attributes, choose the Replacement Formatting Borders button. EXP will display the Paragraph Borders dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Paragraph Borders dialog box.

  9. If you want to replace LaTeX markup attributes, choose the Replacement Formatting LaTeX button. EXP will display the LaTeX Markup dialog box. In the dialog box, select the attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the LaTeX Markup dialog box.

  10. If you want to replace the style, choose the Replacement Formatting Style button. EXP will display the Replacement Style dialog box. In the dialog box, select the new style. Press ENTER to close the Replacement Style dialog box.

  11. Choose the OK button.

To find and replace specific formatting

  1. Press CTRL+R to display the Replace dialog box.

  2. Delete any text that may be in the Search For String edit field.

  3. Make sure the Search For String button is selected.

  4. Use the Find Formatting buttons to specify the search formatting. The operation of these buttons is identical to the operation of the corresponding buttons in the Find dialog box.

  5. Delete any text that may be in the Replace With String edit field.

  6. Make sure the Replace With String button is selected.

  7. If you want to replace character formatting attributes, choose the Replacement Formatting Character button. EXP will display the Character Formatting dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Character Formatting dialog box.

  8. If you want to replace paragraph formatting attributes, choose the Replacement Formatting Paragraph button. EXP will display the Paragraph Formatting dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Paragraph Formatting dialog box.

  9. If you want to replace paragraph bordering attributes, choose the Replacement Formatting Borders button. EXP will display the Paragraph Borders dialog box. In the dialog box, select the formatting attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the Paragraph Borders dialog box.

  10. If you want to replace LaTeX markup attributes, choose the Replacement Formatting LaTeX button. EXP will display the LaTeX Markup dialog box. In the dialog box, select the attributes you want to replace. Any attributes you do not set will not be changed during the replace. Press ENTER to close the LaTeX Markup dialog box.

  11. If you want to replace the style, choose the Replacement Formatting Style button. EXP will display the Replacement Style dialog box. In the dialog box, select the new style. Press ENTER to close the Replacement Style dialog box.

  12. Choose the OK button.


Using the Find and Replace Options

The Find and Replace dialog boxes offer several options that allow you to control the search process.

Entire Document

Select this option to instruct EXP to search starting at the beginning of the document, even if the cursor is currently positioned somewhere else.

Forward From Cursor

Select this option to instruct EXP to search starting at the current cursor position. Text before the cursor is not searched.

Selection

Select this option to instruct EXP to search only within the current selection. If you make a selection before invoking the Replace command, you can select the Selection button to instruct EXP to replace the search text only within the selection.

Replace Whole Words Only

Select this option to instruct EXP to find only isolated occurrences of the search text. EXP will not find occurrences of the search text that appear inside other words. If you select this option and you specify the search text "cat", EXP will find "cat" but will not find "cats", "catastrophe", or "catatonic".

Ignore Case

Select this option to instruct EXP to ignore the case of characters as it searches. If this option is off when you make a replacement, EXP inserts the replacement string exactly as you typed it. If this option is on, EXP examines the capitalization of each occurrence of the search string that it finds. If the existing string in the document has the first letter capitalized, EXP capitalizes the first letter of the replacement string. If the entire string is in uppercase, EXP inserts the replacement string in uppercase. If the entire string is in lowercase, EXP inserts the replacement string in lowercase. This feature allows you to make global replacements without having to worry about the capitalization of the string in the document.


Notes Concerning Find and Replace

• The Undo command (CTRL+Z) can undo a global replace.

• If the search text is taken from either the clipboard or the "Find" text library entry, the formatting of that text is ignored.

• If the replacement text is taken from either the clipboard or the "Replace" text library entry, the formatting of that text is used. In this case, the document's style sheet is used to adjust the formatting of the replacement text.

• If the search text is taken from either the clipboard or the "Find" text library entry, the Ignore Case option has the following effect:

1. The case of the ANSI characters in the text will be ignored.

2. The case of symbols in the text will not be ignored because EXP is not able to map symbols from one case to another.

If the replacement text is taken from either the clipboard or the "Replace" text library entry, the Ignore Case option has no effect on the replacement text. No capitalization adjustments will be made.

• The special search characters are recognized if the search text is specified via the clipboard or the "Find" text library entry.

• The special replacement characters are not recognized if the replacement text is specified via the clipboard or the "Replace" text library entry.

• If you do not enter soft hyphens into the search text, EXP will find occurrences of the text even if they contain soft hyphens. If you do enter soft hyphens into the search text, EXP will only find occurrences of the text that contain the exact pattern of soft hyphens you entered.


Checking Spelling

EXP provides a sophisticated spelling verification and correction system with the following features:

• Detection of capitalization errors (fred)

• Detection of repeated words (the the cat)

• Detection of joined words (thecat)

• Detection of incorrect ordinal number forms (1th, 2rd, 3st)

• Detection of incorrect punctuation (IBM not I.B.M.)

• Detection of incorrectly hard-hyphenated words (xa-xis)

• Support for different languages and dialects

• Support for multiple user dictionaries

• Support for excluding words from the main dictionaries

EXP provides dictionaries for the following languages and dialects:

English (Canadian)

English (UK)

English (USA)

French (Canadian)

French (France)

German

Italian

Spanish

You can check the spelling of one word, a selection, or an entire document.


Running the Spelling Checker

EXP checks the spelling in a document by looking up the words in a dictionary. There are two types of dictionaries. The main dictionary is a large, specially encoded dictionary that contains all the standard words in the language. You can only have one main dictionary active at a time. User dictionaries are dictionaries you can create to define the spelling of words not in the main dictionary. You can have up to four user dictionaries active at a time.

To check spelling

  1. Position the cursor at the beginning of the first word whose spelling you want to check.

If you want to check the spelling of the entire document, press CTRL+HOME to move the cursor to the beginning of the document.

If you want to check the spelling of a specific region of the document, select that region.

  2. From the Options menu, choose Check Spelling (ALT, O, S).

As soon as you invoke the Check Spelling command, EXP begins checking the spelling of the words in the document. If EXP finds a word that could be an error, it displays the Check Spelling dialog box. The Change To edit field displays EXP's suggestion for the correct spelling of the word. You have the following options at this point:

• Choose the Ignore button to skip the word in the document.

• Choose the Ignore All button to skip the word and all future occurrences of the word in the document.

• Choose the Change button to replace the erroneous word in the document with the correct word in the Change To edit field.

Before choosing the Change button, you can select a different word from the Suggestions list, or you can edit the word in the Change To edit field.

• Choose the Change All button to replace this occurrence and all future occurrences of the erroneous word in the document with the correct word in the Change To edit field.

Before choosing the Change All button, you can select a different word from the Suggestions list, or you can edit the word in the Change To edit field.

• Choose the Add button to add the word to the user dictionary shown in the Add To control.

Before choosing the Add button, you can select a different user dictionary from the Add To control.

• Choose the Cancel button to abort the spelling check.

When you cancel a spelling check, EXP positions the cursor directly before the word currently being analyzed. This enables you to make editing changes in the document and quickly resume the spelling check by pressing ALT, O, S. If you cancel a spelling check, subsequent occurrences of words you applied Change All to will not be changed.

To check the spelling of one word

  1. Position the cursor directly before, inside, or directly after the word whose spelling you want to check.

  2. Press CTRL+F1.

If text is selected, pressing CTRL+F1 has exactly the same effect as starting the spelling checker by pressing ALT, O, S; all the text within the selection is checked.


Using the Suggest Button

If the Suggestions list does not contain the word you are looking for, modify the word in the Change To edit field and choose the Suggest button to get a new Suggestions list.

You may also need to choose the Suggest button if you turned off the Suggest automatically option in the Spelling Checker Options dialog box. In this case, when EXP encounters a word that is in error, it does not automatically take the time to build the Suggestions list. You must choose the Suggest button to instruct EXP to build the list.


User Dictionaries

A user dictionary is a dictionary you create to define words not defined in the main dictionary. EXP enables you to create an unlimited number of user dictionaries on disk and to have up to four of them open (active) at a given time.


Opening a User Dictionary

After you initially install EXP, EXP is configured to use a user dictionary called "EXP User Dictionary - English.ud" that is stored in your My Documents directory. This dictionary initially contains no words. You can add words to this dictionary by choosing the Add button during a spell-checking session. You may want to create other user dictionaries to contain special categories of words, such as people's names or product names, or to contain words in different languages. By having several user dictionaries open during a spell-checking session, you can choose which dictionary you want to add a particular word to.

To open an existing user dictionary

  1. From the Options menu, choose Spelling Checker (ALT, O, C).

EXP will display the Spelling Checker Options dialog box. The Open User Dictionaries list displays the complete pathnames of all the user dictionaries that are currently open. These are the dictionaries listed in the Add To control in the Check Spelling dialog box.

  1. Choose the Open button.

EXP will display the Open User Dictionary dialog box. The operation of this dialog box is identical to that of the Open dialog box.

  2. Select the filename of the user dictionary you want to open.

  3. Choose the OK button.

EXP will close the Open User Dictionary dialog box.

  4. Choose the OK button.

EXP will close the Spelling Checker Options dialog box.

To create a new user dictionary

  1. From the Options menu, choose Spelling Checker (ALT, O, C).

EXP will display the Spelling Checker Options dialog box. The Open User Dictionaries list displays the complete pathnames of all the user dictionaries that are currently open. These are the dictionaries listed in the Add To control in the Check Spelling dialog box.

  5. Choose the Open button.

EXP will display the Open User Dictionary dialog box. The operation of this dialog box is identical to that of the Open dialog box.

  6. In the File name edit field, type a filename for the user dictionary.

The default filename extension for a user dictionary is UD.

  7. Choose the OK button.

EXP will close the Open User Dictionary dialog box.

  8. Choose the OK button.

EXP will close the Spelling Checker Options dialog box.

EXP does not create the file to contain a new user dictionary until you run the spelling checker.


Closing a User Dictionary

If you don't need to use a particular user dictionary, you can close it. Closing a user dictionary that is not needed saves memory, makes the spelling checker run faster, and enables you to open other user dictionaries.

To close a user dictionary

  1. From the Options menu, choose Spelling Checker (ALT, O, C).

EXP will display the Spelling Checker Options dialog box.

  1. In the Open User Dictionaries list, select the user dictionary you want to close.

  2. Choose the Close button.

  3. Choose the OK button.

Closing a user dictionary does not delete the file. You can reopen the user dictionary later if you need to use it again.


Deleting a User Dictionary

Deleting a user dictionary means deleting the file that contains the dictionary.

To delete a user dictionary

  1. From the Options menu, choose Spelling Checker (ALT, O, C).

EXP will display the Spelling Checker Options dialog box.

  1. Choose the Delete button.

EXP will display the Delete User Dictionary dialog box. The operation of this dialog box is identical to that of the Open dialog box.

  2. Select the user dictionary file you want to delete.

  3. Choose the OK button.

  4. EXP will ask for confirmation before it deletes the file.

  5. Choose the OK button.

EXP will close the Spelling Checker Options dialog box.

EXP allows you to delete a user dictionary that is currently open. This lets you restart a user dictionary if you decide to change the type of words you are placing in it.


Adding Words to a User Dictionary

When you are checking spelling, you can choose the Add button to add a word to a user dictionary. When you do this, EXP strips leading and trailing punctuation from the word before adding it but does not strip internal punctuation or change the capitalization pattern of the word. The fact that a word is stored in a user dictionary with the capitalization pattern with which it was added affects which capitalization patterns will be recognized and which will not. The following table shows the rules EXP uses.

Pattern added Patterns recognized Patterns rejected

winexp winexp, Winexp, WINEXP WinEXP

Winexp Winexp, WINEXP winexp, WinEXP

WINEXP WINEXP winexp, Winexp, WinEXP

WinEXP WinEXP, WINEXP winexp, Winexp

If you have a list of words you want to add to a user dictionary, perform these steps.

To add a list of words to a user dictionary

  1. Press CTRL+N to create a new document.

  2. Type the list of words into the document. Press ENTER after each word.

Make sure you type each word exactly as you want it to appear in the user dictionary. Keep in mind the rules shown in the previous table governing which capitalization patterns will be recognized for a given word.

  1. Press CTRL+HOME to go to the beginning of the document.

  2. Press ALT, O, S to spell check the list.

  3. Choose the Add button each time EXP stops on a word.

You can speed up the operation of the spelling checker in this case by turning off the Suggest automatically option. Refer to the topic Changing Spelling Checker Options.


Deleting Words from a User Dictionary

There may be occasions when you want to delete one or more words from a user dictionary. Because EXP stores user dictionaries as normal text files, you can delete words from a user dictionary by editing the user dictionary as a document.

A user dictionary is stored in sorted order with one word per paragraph (line). It is strongly recommended that you not perform any editing on the document other than deleting whole paragraphs. Use the Add button in the Check Spelling dialog box to add words to a user dictionary.

To delete words from a user dictionary

  1. Press CTRL+O.

EXP will display the Open dialog box.

  1. Select the filename of the user dictionary from which you want to delete words.

  2. Choose the OK button.

  3. When EXP asks you which format the file should be converted from, select Text.

EXP will open the user dictionary as a document.

  4. Move the cursor to the paragraph (line) containing a word you want to delete.

  5. Press CTRL+L to delete the paragraph (line).

  6. Repeat steps 5 and 6 for each word you want to delete.

  7. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  8. In the Save as type control, select Text File.

  9. Choose the OK button.

  10. When EXP asks you whether you intend to overwrite the existing user dictionary file, choose the Yes button.

  11. Press CTRL+F4 to close the user dictionary's window.


Excluding Words from the Main Dictionary

There may be situations in which you would like to prevent EXP from recognizing a word defined in the main dictionary. You may want to catch references to certain company or product names, or you may disagree with the spelling of a particular word. You can do this in EXP by creating an exclude dictionary.

An exclude dictionary is a normal text file that lists words to be excluded from the main dictionary. Exclude dictionaries must be stored in the My Documents directory. The filename of an exclude dictionary is determined by the language of the words it contains. The following table lists the filename for the exclude dictionary for each language:

Language Exclude Dictionary Filename

English (Canadian) EXP Exclude Dictionary - English (Canadian).exc

English (UK) EXP Exclude Dictionary - English (UK).exc

English (USA) EXP Exclude Dictionary - English (USA).exc

French (Canadian) EXP Exclude Dictionary - French (Canadian).exc

French (France) EXP Exclude Dictionary - French (France).exc

German EXP Exclude Dictionary - German.exc

Italian EXP Exclude Dictionary - Italian.exc

Spanish EXP Exclude Dictionary - Spanish.exc

To create an exclude dictionary

  1. Press CTRL+N to create a new document.

  2. Type the list of words you want to exclude. Press ENTER after each word.

The words do not need to be listed in sorted order, but the capitalization pattern of each word is significant.

  1. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  2. In the File name edit field, type the required filename for the exclude dictionary.

  3. Navigate to the My Documents directory.

  4. In the Save as type control, select Text File.

  5. Choose the OK button.

  6. Press CTRL+F4 to close the exclude dictionary's window.

The next time you run the spelling checker, it will appear not to know any of the words you entered into the exclude dictionary. You now have the option of entering replacement spellings into a user dictionary.


Changing Spelling Checker Options

EXP provides several options that enable you to customize the operation of the spelling checker.

To change spelling checker options

  1. From the Options menu, choose Spelling Checker (ALT, O, C).

EXP will display the Spelling Checker Options dialog box. The following options are available:

Suggest automatically If this option is on, EXP builds a suggestion list each time a new misspelled word is encountered. If this option is off, you must choose the Suggest button to instruct EXP to build a suggestion list for the word in the Change To edit field. Turning this option off makes the spelling checker more responsive if you have a large number of words you either need to ignore or to add to a user dictionary.

Ignore words containing numbers If this option is off, EXP checks words that contain digits. If this option is on, EXP ignores any word that contains one or more digits.

Ignore words in UPPERCASE If this option is off, EXP checks words that contain only uppercase characters. If this option is on, EXP ignores any word that contains only uppercase characters.

Ignore Internet URLs and e-mail addresses If this option is off, EXP checks words that may be Internet URLs or e-mail addresses. If this option is on, EXP ignores words that may be Internet URLs or e-mail addresses.

Ignore repeated words If this option is off, EXP detects repeated words. If this option is on, EXP does not detect repeated words.

Minimum word length This number sets the minimum length a word must have for EXP to check it. The minimum word length must be between 1 and 9. You may want to set this number to 3 if your document contains a large number of two-letter, nonword items.

Language This control enables you to specify the language and dialect used in the document.

  1. Select the options you want.

  2. Choose the OK button.


Notes Concerning the Spelling Checker

  • All the options for the spelling checker are saved when you exit EXP.

  • EXP ignores all symbols during a spell-checking session. ANSI characters entered via the Symbol Box are normal text characters and are processed by the spelling checker.

  • You may want to set the minimum word length to 3 if your document contains a large number of two-letter, nonword items. For example, if the minimum word length is set to 1 or 2 and you entered dx or dy in your document as normal text instead of as symbols, the spelling checker is going to flag them as errors.

  • Consider creating a user dictionary for each document you spell check. This enables you to add unrecognized words to a document-specific user dictionary.

  • When you run the spelling checker, EXP only checks the spelling of the text displayed in the current window. If you are editing the body of a document and want to check the spelling of the footnotes, press ALT E, F, T to open the footnote editing window. Then press ALT, O, S to check the spelling of the footnote text.

  • To delete a repeated word, delete the text in the Change To edit field, and then choose the Delete button.


Checking Fonts

EXP allows you to check that all the fonts used by a document are installed and available on your system. This feature is especially useful if a document was sent to you by another user. The person may have used fonts available on his or her system and failed to tell you you would need those fonts. This feature is also useful if you need to print a document on a printer other than the one the document was created on. Because different printers provide different fonts, it is possible for a document to use a font that is available on one printer but not on another.

To check that the fonts required by a document are available

  1. Open the document.

  2. From the Options menu, choose Check Fonts (ALT, O, F).

  3. EXP will inform you that using this command causes all the undo information for the current document to be lost. If this is acceptable, choose the Yes button to continue.

  4. If EXP detects that a font used in the document is not available on the current system, it displays an information box about the missing font. If you choose the OK button in the information box, EXP will continue checking font usage. If you choose the Cancel button, EXP will stop checking font usage.

If a document attempts to use a font that is not available, Windows silently substitutes another font in place of the one that is missing. The substituted font will almost certainly not have the same spacing as the missing font and thus the document will not format exactly the same.


Using the Undo Command

EXP allows you to undo mistakes you make while editing a document. EXP's Undo command can undo any modification to the text or formatting of a document.

To undo the most recent modification to the active document

From the Edit menu, choose Undo (ALT, E, U).

–or–

Press CTRL+Z.

–or–

Click the [image] button on the Math Panel.

Each time you invoke the Undo command, EXP undoes the most recent modification to the active document. Each open document has its own undo history. You can see what type of modification EXP will undo before you actually invoke the Undo command by displaying the Edit menu (ALT, E) and reading the words next to the Undo menu item.

By default, EXP keeps track of the last eight modifications you made to a document. This number is referred to as the number of undo steps. You can change the number of undo steps EXP keeps track of.

To change the number of undo steps

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  1. In the Number of undo steps control, type the number of undo steps you want. This number must be between 0 and 16384.

  2. Choose the OK button.

The number of undo steps is the number of commands that can be undone. If, for example, you perform a global replace that changes 500 words in the document, that global replace only counts as one undo step because the changes were all caused by one command. If you perform a spelling check, it also counts as only one undo step, even though it may cause many text modifications.


Using the Go To Command

The Go To command allows you to move the cursor directly to any page or bookmark in a document. Bookmarks are discussed in the topic Bookmarks.

To go to a specific page

  1. From the Edit menu, choose Go To (ALT, E, G).

–or–

Press CTRL+G.

EXP will display the Go To dialog box. The only control in this dialog box is the following:

Bookmark/Page Number This control allows you to enter the page number or bookmark name that you want to go to. It also lists the names of all the bookmarks defined in the current document.

  1. In the Bookmark/Page Number edit field, type the number of the page you want to move to.

The page number you enter is interpreted as a user page number, not a physical page number.

  2. Choose the OK button.

EXP will position the cursor at the beginning of the page. EXP does not repaginate the document before searching for the specified page. Therefore, you may want to repaginate the document before invoking the Go To command.

To go to a bookmark

  1. From the Edit menu, choose Go To (ALT, E, G).

–or–

Press CTRL+G.

EXP will display the Go To dialog box.

  3. In the bookmark list, select the name of the bookmark you want to move to. You can also type the name of the bookmark in the Bookmark/Page Number edit field.

  4. Choose the OK button.

If the bookmark represents a selection, EXP selects the bookmark's text. If the bookmark represents a cursor position, EXP moves the cursor to the bookmark's position.

You can use the Go To dialog box to discover which bookmark marks some text. If you have a passage of text and know that you marked some of it with a bookmark but can't remember the name of the bookmark, select the passage of text and then press CTRL+G. EXP will display the Go To dialog box with the bookmark selected. You can then press ENTER to move to the exact location of the bookmark.

See Also

Bookmarks


Managing Document Windows

You can have up to eight documents open at a time. Each open document is displayed in a separate window. These windows are called document windows. EXP displays a document's name in the title bar of its window. At the bottom of the Window menu, EXP lists the name of each open window.

Each time you open a document, that document's window becomes the active window. You can make another window the active window at any time.

To make a document window active

Position the mouse pointer over the window and click the left button.

–or–

From the Window menu, choose the name of the window you want to activate. You can press ALT, W followed by the digit displayed next to the window you want.


Opening Multiple Windows for a Document

When you open a document, EXP opens a window for the document. You can open additional windows for the document so you can view and edit different regions of the document quickly without having to reposition the cursor constantly. EXP allows you to open up to six windows for a document. Each window maintains its own cursor position and text selection.

To open another window for a document

From the Window menu, choose Open New Window (ALT, W, O).

When you open a new window for a document, the cursor is initially positioned in the same place it is in the original window. You can move the cursor in the new window independently of the cursors in all the other windows of the document. As you edit the document, EXP updates all the document's windows.

When there are multiple windows open for a document, EXP changes the titles of the windows to name:n, where name is the name of the document and n is the number of the window. Because you can open at most six windows for a document, n will always be between 1 and 6. EXP also updates the window title list at the bottom of the Window menu. You can activate a different window of a document using the same procedure you use to activate the window of a different document.

Each additional window that is open for a document uses memory and slightly slows the process of updating the display in all the windows of the document. You should close extra windows for a document when you no longer need them.

To close a document window

From the document window's control menu, choose Close (ALT, HYPHEN, C).

–or–

Press CTRL+F4.

–or–

Double-click the document window's control menu box.

When you close a document window, EXP adjusts the window numbers of all the other windows of the document. When you close the last window of a document, EXP closes the document. If you want to close all the open documents, use either the File menu or the Window menu to do so.

To close all the open documents

From the File menu, choose Close All (ALT, F, E).

–or–

From the Window menu, choose Close All (ALT, W, A).


Arranging Document Windows

The area within the EXP window that is available for displaying document windows is called the arena. When you open a document, EXP sizes the initial window of the document so that it fills the arena. If you have several documents open or if you open multiple windows for a document, you may want to arrange the windows.

With regard to window positioning, a document window behaves similarly to an application window:

• You can move a document window by dragging the title bar.

• You can resize a document window by dragging the window borders.

• You can minimize a document window by clicking the minimize button.

• You can maximize a document window by clicking the maximize button.

When you minimize a document window, the window is displayed as an icon within the arena. When you maximize a document window, the window is expanded to fill the arena and the title of the document window is appended to the title of the EXP window.

In addition to these manual techniques for arranging windows, EXP provides several commands that arrange windows automatically.

To tile all the document windows horizontally

From the Window menu, choose Tile Horizontally (ALT, W, H).

To tile all the document windows vertically

From the Window menu, choose Tile Vertically (ALT, W, V).

To cascade all the document windows

From the Window menu, choose Cascade (ALT, W, C).

To arrange the document window icons within the arena

From the Window menu, choose Arrange Icons (ALT, W, I).


Configuring EXP

EXP provides several options that allow you to modify EXP's operation. These options are divided into four categories:

• Document options, see Document Options

• General options, see General Options

• Spelling checker options, see Changing Spelling Checker Options

• EXP for DOS conversion options, see Configuring the Conversion Process

With the exception of the Document options, all the options are saved when you exit EXP and are restored when you start EXP.


Document Options

Document options affect only the active document. Each time you save a document, the current settings of the document options are stored in the document's file. The next time you open the document, the settings stored in the file become the current settings for the open document.

Document options are changed through the Document Options dialog box. The controls in this dialog box are as follows:

Horizontal scroll bar This check box determines whether the document window displays the horizontal scroll bar.

Vertical scroll bar This check box determines whether the document window displays the vertical scroll bar.

Ruler This check box determines whether the document window displays the ruler.

Show codes This check box determines whether the document window displays all the codes embedded in the document. This is the same option as the Show Codes item (F12) under the Options menu.

Show LaTeX commands This check box determines whether the document window displays the LaTeX commands embedded in the document.

Show table gridlines This check box determines whether the document window displays dotted table gridlines. This is the same option as the Display Gridlines item under the Table menu.

Show graphics as blank rectangles This check box determines whether the document window displays graphics as blank rectangles. Turning on this option will significantly speed up the display of text that contains graphics and will reduce EXP's memory consumption.

Show test markers This check box determines whether the document window displays the EXPTEST test markers that may be embedded in the document. Test markers are used only by the EXPTEST product.

Text library If this check box is turned on, EXP treats the document as a text library. Text libraries are discussed in the topic Using Text Libraries.

LaTeX Conversion Choose this button to configure the document's LaTeX export conversion settings. Refer to the topic Configuring the Conversion Process for details.

Default unit This control displays and allows you to change the default unit of the document. The subject of measurement units is discussed in the topic Measurements.

Zoom 50% – 200% Select one of these buttons to change the zoom level of the document window.

View at 144 DPI Select this button to zoom the document window so the text is displayed at 144 dots per inch. This resolution corresponds to two pixels per point.

View at 300 DPI Select this button to zoom the document window so the text is displayed at 300 dots per inch.

Custom This control allows you to enter a custom zoom level for the document window. The number you enter must be an integer between 25 and 200.

To change document options

  1. From the Options menu, choose Document (ALT, O, D).

EXP will display the Document Options dialog box.

  1. Change the options in the dialog box.

  2. Choose the OK button.

If you change the zoom level, only the zoom level of the active document window is changed. Different document windows can have different zoom levels.


General Options

The options in this category affect the overall operation of EXP, not only the active document.

General options are changed through the General Options dialog box. The controls in this dialog box are as follows:

Status Bar This check box determines whether EXP displays the Status Bar.

Math Panel This check box determines whether EXP displays the Math Panel.

Format Panel This check box determines whether EXP displays the Format Panel.

Tool Tips This check box determines whether EXP displays a popup description when the mouse pointer rests over a control on the Math Panel or the Format Panel.

Text Select this button to switch EXP into Text Input Mode.

Math Select this button to switch EXP into Math Input Mode.

Cache Limit This control allows you to specify the maximum size (in megabytes) of EXP's graphics cache. The graphics cache is discussed in the topic The Graphics Cache.

Open previous documents This check box determines whether EXP automatically opens the documents that were open the last time you exited EXP. Refer to the topic Opening Documents Automatically for further details.

Always create new document This check box determines whether EXP automatically creates a new document when you start EXP.

Background repagination This check box determines whether background repagination is enabled. The subject of background repagination is discussed in the topic Controlling Repagination.

Create backup files when saving documents This check box determines whether EXP creates a backup file when you save a document. Refer to the topic Making Backup Copies for further details.

Maximize document windows This check box determines whether EXP maximizes the window of a document that is created/opened when no other documents are open.

Number of undo steps This control allows you to specify the number of undo steps that EXP should keep track of.

To change general options

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  1. Change the options in the dialog box.

  2. Choose the OK button.


Tables

EXP provides a table editor and formatter that allows you to create complex tables with relative ease. That's because EXP manages many aspects of table construction for you.

Before jumping into detailed explanations of how to create tables in EXP, it is important to understand the overall approach EXP uses. EXP's approach to tables is quite different from that of most other word processors.

There are two possible approaches to the task of table construction in a word processor. The first approach, called the paragraph approach, is to structure a table as a series of paragraphs, with each entry (cell) in the table consisting of one or more paragraphs. Most word processors take this approach to table construction. This approach has the following advantages:

• An entry can consist of a large amount of text that will be word-wrapped.

• An entry can consist of more than one line of text.

• Large multipage tables can be constructed.

It also has some disadvantages:

• It would be extremely difficult and complex for the program to allow tables to be nested within each other.

• It would be difficult or impractical for the program to adjust column widths automatically.

• It is impossible to have special alignments between text in adjacent or nonadjacent rows.

• In the case of EXP, this approach does not fit at all with the EXP system of boxes.

The disadvantages of the paragraph approach to table construction stem from the fact that the entire table cannot be internally formatted at one time. This is because each entry in the table consists of one or more paragraphs that must be formatted on their own.

The second approach, called the box approach, is to structure the table as an array of boxes. With this approach, each entry in the table consists of a box, which may in turn contain other boxes. This approach to table construction is the one used in both EXP and LaTeX. The box approach, as implemented in EXP, has the following advantages:

• Tables can be nested several levels deep.

• The width of a column adjusts automatically as the text in an entry is edited.

• It is possible to align text in one row with text in a different row.

• The structure of a table blends with the EXP system of boxes because the table is structured as an array of boxes. Other mathematical structures, such as matrices, are constructed as special types of tables.

The box approach, as implemented in EXP, does have some disadvantages when compared to the paragraph approach:

• An entry is limited in length because it is not word-wrapped.

• An entry can only consist of one horizontal string of text. Actually, you can get around this limitation somewhat by using nested tables to simulate multiline entries.

• The entire table must fit on one line.

• The table cannot be split across a page break.

A future version of EXP may incorporate the paragraph approach on top of the box approach.


Entering a Table

A table is structured as a two-dimensional array of boxes. The open and close codes for a table are called Table and /Table, respectively. Between the open code and the close code, a code called NextCol separates entries along a row, and a code called NextRow separates one row from another. You never actually enter one of these codes manually because EXP enters them for you. You should, however, learn their names so you will recognize them.

A table is usually entered in a paragraph by itself. It is rare that a table is entered in a paragraph along with other text. For this reason, press ENTER to start a new paragraph before entering a table, and press ENTER to start a new paragraph after entering the table. This will place the table in a paragraph by itself where you can easily center it between the margins by centering the paragraph.

To insert a table

  1. From the Table menu, choose Insert Table (ALT, T, I).

EXP will display the Insert Table dialog box.

  2. In the Number of Columns control, type the number of columns you want.

You can insert and delete columns later.

  3. In the Number of Rows control, type the number of rows you want.

You can insert and delete rows later.

  4. Choose the OK button.

When EXP inserts a new table, it positions the cursor in the top, left-hand entry in the table so you can immediately begin typing text into the table.

To type text into a table

  1. Type the text for an entry.

  2. Press ENTER to move the cursor to the next entry.

If the cursor is in the last column, it moves to the first column of the next row. If the cursor is in the bottom right-hand entry, it exits the table.

  5. Repeat steps 1 and 2 for each entry in the table.

You can insert text, math, and graphics into a table entry. You cannot insert paragraph marks, NewLine codes, or breaks of any kind into a table entry.


Positioning the Cursor in a Table

The most direct way to position the cursor in a table is to point and click with the mouse. Once the cursor is positioned in the table, you can use the following cursor movement keystrokes to navigate through the table:

Press To

ALT+LEFT Move left one column

ALT+RIGHT Move right one column

ALT+UP Move up one row

ALT+DOWN Move down one row

You cannot use the UP and DOWN keys alone to move the cursor within a table because those keys move the cursor to another line of text.

The ENTER key behaves differently when the cursor is in a table. Outside a table, the ENTER key inserts a paragraph mark and starts a new paragraph. Inside a table, the ENTER key moves the cursor to the next column. When the cursor reaches the last column, the cursor moves to the first column of the next row. When the cursor reaches the bottom right-hand entry, the cursor exits the table.


Inserting and Deleting Rows and Columns

You can insert and delete rows and columns in a table at any time.

To insert a row

  1. Position the cursor anywhere in the row before the row you want to insert. If you want to insert a new row before the first row in the table, position the cursor in the first row.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

EXP will display the Insert Entries dialog box.

  1. If you want to insert a new row before the current row, select the button labeled Insert New Row Before Current.

  2. Choose the OK button.

When you insert a row, EXP positions the cursor in the leftmost column of the new row. To type text into the entries of the new row, type the text for an entry and press ENTER to move the cursor to the next entry.

To insert a column

  1. Position the cursor anywhere in the column before the column you want to insert. If you want to insert a new column before the first column in the table, position the cursor in the first column.

  2. From the Table menu, choose Insert Entries (ALT, T, N).

EXP will display the Insert Entries dialog box.

  3. To insert a new column after the current column, select the button labeled Insert New Column After Current. To insert a new column before the current column, select the button labeled Insert New Column Before Current.

  4. Choose the OK button.

When you insert a column, EXP positions the cursor in the first row of the new column. To type text into the entries of the new column, type the text for an entry and press ALT+DOWN to move the cursor to the next row.

To delete a row

  1. Position the cursor anywhere in the row you want to delete.

  2. From the Table menu, choose Delete Entries (ALT, T, D).

EXP will display the Delete Entries dialog box.

  5. Choose the OK button.

To delete a column

  1. Position the cursor anywhere in the column you want to delete.

  2. From the Table menu, choose Delete Entries (ALT, T, D).

EXP will display the Delete Entries dialog box.

  6. Select the Delete Column button.

  7. Choose the OK button.


Merging Entries

A common requirement when creating a table is to have a heading or title that spans several columns. An example of this is shown in the following table.

The title AT&T Common Stock spans three columns. You create this effect in EXP by instructing EXP to merge entries together. Each time you instruct EXP to merge entries, it merges the entry the cursor is in with the entry to the right. You can repeatedly instruct EXP to merge entries if you want to merge three or more entries.

To merge entries

  1. Position the cursor in the leftmost entry you want to merge.

  2. From the Table menu, choose Merge Entries (ALT, T, M).

EXP will merge the entry the cursor is in with the entry to its right.

  1. To merge additional entries, repeat step 2 as many times as necessary.

To create the example table, first create a table with three columns:

Then merge the three entries in the first row:

After you have merged entries, you can split them apart. When you split a merged entry, the text to the right of the cursor in the current entry is split off into its own entry.

To split a merged entry

  1. Position the cursor in the entry you want to split. The text to the right of the cursor in the current entry is the text that will be split off into the new entry.

  2. From the Table menu, choose Split Entry (ALT, T, S).


Formatting a Table

There are two types of table formatting:

• Formatting that affects the entire table

• Formatting that affects individual entries in the table

This topic discusses formatting that affects an entire table. For information about formatting that affects individual entries in a table, refer to the topic Formatting Table Entries.

Every table has a set of formatting options that controls the overall formatting of the table. These options are as follows:

Vertical Alignment

This option allows you to control the vertical alignment of the table relative to the other text on the line. There are three possible settings for this option:

• The table can be centered vertically at the math axis.

• The baseline of the top row can be aligned with the baseline of the text outside the table.

• The baseline of the bottom row can be aligned with the baseline of the text outside the table.

Intercolumn Spacing

This option allows you to control the amount of horizontal space that separates adjacent columns in the table. You can instruct EXP to use a default for this measurement.

Horizontal Spacing

There are two options. They allow you to control whether half the intercolumn space is added to the left side and to the right side of the table.

Interrow Spacing

This option allows you to control the amount of vertical space that separates adjacent rows in the table. You can instruct EXP to use a default for this measurement.

Vertical Spacing

There are two options. They allow you to control whether half the interrow space is added to the top and to the bottom of the table.

Minimum Entry Height

This option allows you to specify the minimum height (vertical distance above the baseline) that every entry in the table should have. You can instruct EXP to use a default for this measurement.

Minimum Entry Depth

This option allows you to specify the minimum depth (vertical distance below the baseline) that every entry in the table should have. You can instruct EXP to use a default for this measurement.

Minimum Entry Width

This option allows you to specify the minimum width that every entry in the table should have. You can instruct EXP to use a default for this measurement.

You change these table formatting options via the Table Formatting dialog box. The options in this dialog box that allow you to specify a measurement also allow you to use a default measurement. The default measurement is derived from the current font.

To change table formatting

  1. Position the cursor anywhere inside the table whose formatting you want to change.

  2. From the Table menu, choose Format Table (ALT, T, T).

EXP will display the Table Formatting dialog box.

  1. Change the options in the dialog box.

  2. Choose the OK button.


Formatting Table Entries

Formatting an entry in a table is controlled by three formatting attributes:

Alignment

The text within an entry can be aligned left, center, or right.

Borders

The thickness and color of each of the four borders can be controlled.

Interior color

The interior (background) color of an entry can be controlled.

You change the formatting of entries in a table via the Table Entry Formatting dialog box. The dialog box is divided into three sections. The upper section allows you to select entries in the table. The middle section allows you to specify the alignment of the selected entries. The lower section allows you to specify the borders and the interior color of the selected entries.

The general procedure for using this dialog box is as follows:

  1. Position the cursor in the appropriate entry, row, or column in the table before displaying the dialog box.

  2. Display the dialog box.

  3. Select the entries whose formatting you want to change.

  4. Specify the formatting changes you want to make.

  5. Close the dialog box.

Each of these steps is discussed in turn.


Positioning the Cursor Appropriately

It is important that you position the cursor appropriately in the table. Follow these guidelines to choose an appropriate position for the cursor:

• If you only want to change the formatting of a single entry, position the cursor anywhere in that entry.

• If you want to change the formatting of all the entries in a row, position the cursor anywhere in that row.

• If you want to change the formatting of all the entries in a column, position the cursor anywhere in that column.

• If you want to change the formatting of all the entries in the table, position the cursor anywhere in the table.

• If you want to change the formatting of a block of entries, position the cursor in the upper-left-hand entry of the block.


Displaying the Table Entry Formatting Dialog Box

Once you have positioned the cursor appropriately, you are ready to display the Table Entry Formatting dialog box.

To display the Table Entry Formatting dialog box

From the Table menu, choose Format Entries (ALT, T, E).


Selecting Table Entries with the Dialog Box

The dialog box contains four controls labeled First Row, Last Row, First Column, and Last Column. These controls select which entries will have their formatting changed. Initially, these controls contain the row and column numbers of the cursor's entry. To select the entries you want to change, you must use the controls in the upper section of the dialog box. Follow these guidelines:

• If you are changing the formatting of the cursor's entry, you do not need to do anything to select that entry. It is already selected.

• If you are changing the formatting of all the entries in the cursor's row, choose the All Columns button.

• If you are changing the formatting of all the entries in the cursor's column, choose the All Rows button.

• If you are changing the formatting of all the entries in the table, choose the Entire Table button.

• If you are changing the formatting of a block of entries, type the row number of the lower-right-hand entry of the block in the Last Row control; then type the column number of the lower-right-hand entry of the block in the Last Column control. After you have typed these numbers, choose the Get Settings button.


Changing the Formatting of the Selected Entries

Each entry in a table is assigned three types of formatting:

• Alignment

• Borders

• Interior color


Changing the Alignment

Each entry in a table can have a different alignment. The alignment of an entry is controlled by the four Alignment buttons in the middle section of the Table Entry Formatting dialog box:

• Default

• Left

• Center

• Right

The default alignment for a table is left. If you are editing a matrix, the default alignment is center. If you are editing a conditional function or an equation list, the default alignment is left.


Changing the Borders

Each entry in a table can have different borders. The Table Entry Formatting dialog box provides two controls that allow you to specify the thickness and the color of a border:

Type

This control allows you to specify the thickness of a border. The Default thickness is derived from the current font. To turn off the border, set this control to None.

Color

This control allows you to specify the color of a border. The color called Default draws the border using the Window Text color specified in Control Panel.

Use the following buttons to select the borders you want to change:

All

When this button is selected, changes to the Type or the Color control affect all the borders of the selected entries.

Left

When this button is selected, changes to the Type or the Color control affect only the left border of the selected entries.

V. Interior

When this button is selected, changes to the Type or the Color control affect only the vertical interior borders of the selected entries. These are the vertical borders that separate the selected entries. This button is disabled if only one column is selected.

Right

When this button is selected, changes to the Type or the Color control affect only the right border of the selected entries.

Top

When this button is selected, changes to the Type or the Color control affect only the top border of the selected entries.

H. Interior

When this button is selected, changes to the Type or the Color control affect only the horizontal interior borders of the selected entries. These are the horizontal borders that separate the selected entries. This button is disabled if only one row is selected.

Bottom

When this button is selected, changes to the Type or the Color control affect only the bottom border of the selected entries.

In the explanations that follow, a 4-by-4 table is used as an example. The middle four entries in the table are shaded to indicate they are the selected entries whose borders are being changed. Initially, the table looks like:

In each case, borders are changed to be 4pt thick.

To change all the borders of the selected entries

  1. Select the All button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the left border of the selected entries

  1. Select the Left button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the vertical interior borders of the selected entries

  1. Select the V. Interior button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the right border of the selected entries

  1. Select the Right button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the top border of the selected entries

  1. Select the Top button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the horizontal interior borders of the selected entries

  1. Select the H. Interior button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

To change the bottom border of the selected entries

  1. Select the Bottom button.

  2. Use the Type control to select the border thickness.

  3. Use the Color control to select the border color.

You can make as many border changes at one time as you want. To turn off a border, set the border's type to None.


Changing the Interior Color

Each entry in a table can have a different interior color. Another name for the interior color of an entry is background color. The interior color of an entry overrides the background color of the paragraph containing the table. To change the interior color of the selected entries, use the Interior Color control to select a new color. If you set the color to Default, the selected entries will have no interior color and the background color of the paragraph will show through.


Closing the Table Entry Formatting Dialog Box

After you have specified all the formatting changes for the selected entries, close the dialog box by choosing OK. The formatting changes will be applied to the table. If you want to make further formatting changes, use the Table Entry Formatting dialog box again. If you do not like the formatting changes you made, remember that you can press CTRL+Z to undo those changes.


Performing Special Alignments

By using the Table Entry Formatting dialog box, each entry in a table can be left-aligned, centered, or right-aligned within its column. These alignments cannot, however, be used to achieve certain formatting results. Consider the following table:

In this table, the numbers are aligned at their decimal points. Clearly, this type of alignment cannot be achieved by aligning each entry left, center, or right. Outside of a table, you can use decimal-aligned tabs to align numbers at their decimal points. Inside a table, however, you cannot use tabs. To perform this type of alignment in a table, you use a code called Align.

The Align code is an invisible code you insert in entries in a column to align those entries in a particular manner. When EXP formats a table, it positions the entries of a column so each one that contains an Align code is aligned at the Align code. Insert an Align code in an entry directly before the character you want to align. In the table above, Align codes were inserted before the decimal point in each entry.

To insert an Align code

  1. Position the cursor directly before the character you want to align.

  2. From the Table menu, choose Insert Align Code (ALT, T, A).

As you insert Align codes into the entries of a column, the entries will snap into position. Only insert one Align code in each entry.

Align codes work together with the alignment of the entries in a column. When EXP formats a table, it first aligns any entries in a column that contain Align codes. Then it positions the aligned entries left, center, or right within the column. To demonstrate this two-stage alignment process, we add a heading to the previous table:

In this table, the text in the heading defines the width of the column because it is the widest entry in the column. Each entry still has its alignment set to Default, which for a table is left-aligned. The result is that the numbers are aligned at their decimal points by the Align codes and are left-aligned as a group under the heading.

If you want to center the numbers under the heading, change the alignment for all the entries to Center:

Now, the numbers are aligned at their decimal points by the Align codes and are centered as a group under the heading.


Uses for the Align Code

There are many situations in which you can use the Align code beyond the case of aligning numbers at their decimal points. For example, in the following table, Align codes are used to align the numbers in the Year and in the Dividend columns:

In the context of mathematics, Align codes are used to align the equations in a multiline displayed equation. Multiline displayed equations are typeset using an Equation List structure, which is actually a special type of table. In the following equation, Align codes are used before each equals sign to align the rows:

You can also use Align codes in matrices and conditional functions, which are structured as special types of tables.


Displaying Table Gridlines

If you turn off some borders in a table or if you are editing a special type of table such as a matrix that does not normally have borders, you may find it helpful to turn on the display of table gridlines. When you instruct EXP to display table gridlines, EXP draws a dotted line in place of a turned-off border. This enables you to see all the individual entries in the table. EXP only displays table gridlines on the screen. They do not print.

To turn the display of table gridlines on or off

From the Table menu, choose Display Gridlines (ALT, T, G).


An Example of Creating a Complex Table

This topic provides step-by-step instructions that explain how to create the AT&T Common Stock table that is used as an example. This table is an excellent example because it requires the use of many features of EXP's table formatter. The desired final result is shown below:

Step 1: Insert the basic table

Insert a table with 9 rows and 3 columns. The final row will contain the "* (first quarter only)" text. After this step, the table should look like this:

Step 2: Merge entries for the title

Put the cursor in the top, left-hand entry. Use the Merge Entries command twice to merge the entries in the top row. After this step, the table should look like this:

Step 3: Enter the text

Type the text for each entry in the table. After this step, the table should look like this:

Step 4: Merge entries for the bottom row

Put the cursor is the bottom, left-hand entry. Use the Merge Entries command twice to merge the entries in the bottom row. After this step, the table should look like this:

Step 5: Align the numbers in the Year column

Insert an Align code before the second 1 in 1971. Then insert Align codes before the digits in the other entries of the Year column. After this step, the table should look like this:

Step 6: Align the numbers in the Dividend column

Insert an Align code before the decimal point in each entry of the Dividend column. After this step, the table should look like this:

Step 7: Make the table wider

Use the Table Formatting dialog box to change the minimum entry width for the table to .75in. After this step, the table should look like this:

Step 8: Center all the entries

Use the Table Entry Formatting dialog box to center all the entries in the table. After this step, the table should look like this:

Step 9: Change the alignment of the bottom row

Position the cursor in the bottom row and use the Table Entry Formatting dialog box to change the alignment to Default. After this step, the table should look like this:

Step 10: Turn off the left, right, and bottom borders of the bottom row

Position the cursor in the bottom row. Display the Table Entry Formatting dialog box. Choose the All Columns button to select the row. Set the border type for the left, right, and bottom borders to None. Close the dialog box. After this step, the table should look like this:

The table is now complete.


Limitations

The implementation of tables in EXP has the following limitations:

• Because a table must fit on one line in the document, there is a limit to how much text you can put in a table. If you are editing a table and it suddenly falls apart into a string of code names, you have exceeded the maximum line length. Press CTRL+Z several times to undo the changes that caused the table to fall apart. Then either simplify the table or split the table into two separate tables.

• You cannot select rows or columns by selecting text in the normal manner. If you attempt to make a selection that spans multiple entries, EXP will extend your selection to include the entire table. When you are formatting the entries in a table, select entries with the Table Entry Formatting dialog box.

• It is not possible to move or copy an entire row or column with one command. To move a row, insert a new row, copy the text of each entry from the old row to the new row, and delete the old row.


Graphics and Movies

This chapter explains how to insert graphics and movies into your documents. EXP is able to read graphics stored in a variety of different graphics formats. Detailed information about these graphics formats is provided in the section Graphics Formats. EXP supports AVI movies.

This chapter describes how to

• Paste a graphic from the clipboard

• Insert a graphic from a file

• Scale and crop a graphic with the mouse

• Draw borders around a graphic

• Update linked graphics

• Insert an AVI movie

• Play an AVI movie from inside a document


Inserting a Graphic

There are two ways you can insert a graphic into an EXP document:

• You can paste a graphic from the clipboard.

• You can insert a graphic stored in a file.


Pasting a Graphic from the Clipboard

If you create a graphic with a Windows application, the easiest way to get the graphic into an EXP document is to copy the graphic from the source application to the clipboard and paste the graphic from the clipboard into the EXP document.

Before you attempt to insert a graphic into an EXP document, it is strongly recommended that you read the section Graphics Formats . This section provides detailed information concerning graphics and EXP.

To paste a graphic into an EXP document

  1. In your graphics application, copy the graphic to the clipboard.

  2. Switch to EXP.

  3. Position the cursor where you want the graphic inserted.

  4. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

–or–

Click the [image] button on the Math Panel.

When EXP inserts a graphic into a document, it checks to see if the graphic is too wide to fit between the margins. If it is, EXP scales the graphic down in size. Once a graphic is inserted into a document, it behaves like an ordinary character.


Inserting a Graphic from a File

Before you attempt to insert a graphic into an EXP document, it is strongly recommended that you read the section Graphics Formats . This section provides detailed information concerning graphics and EXP.

To insert a graphic stored in a file

  1. Position the cursor where you want the graphic inserted.

  2. From the Insert menu, choose Graphic (ALT, I, G).

EXP will display the Insert Graphic dialog box. The operation of this dialog box is identical to that of the Open dialog box. In addition, the Insert Graphic dialog box has these two controls:

Link to File When this check box is turned on, EXP maintains a link to the graphics file. The subject of linked graphics is discussed in the topic Using Linked Graphics.

Preview Choose this button to display a small image of the selected graphic in the Graphic Preview window.

  1. Use the dialog box to select the graphics file you want to insert.

  2. Choose the OK button.

If EXP is unable to handle the graphics file you selected, it will display a message informing you of this fact. Refer to the section Graphics Formats for detailed information concerning the graphics formats that EXP supports.

When EXP inserts a graphic into a document, it checks to see if the graphic is too wide to fit between the margins. If it is, EXP scales the graphic down in size. Once a graphic is inserted into a document, it behaves like an ordinary character.


Scaling and Cropping a Graphic

After you insert a graphic into a document, you can scale and crop it with the mouse. Cropping a graphic means cutting off part of it. EXP does not delete the portion of the graphic you crop; it simply does not display it. You can also scale and crop a graphic with the keyboard by typing numbers into a dialog box (see the topic Formatting a Graphic).


Selecting a Graphic

Before you can scale or crop a graphic, you must first select the graphic.

To select a graphic

Position the mouse pointer over the graphic and click the left mouse button.

When a graphic is selected, EXP displays a frame with eight handles around the graphic:

You use the handles to scale or crop the graphic with the mouse. When you position the mouse pointer over one of the handles, the pointer changes to a double arrow. This indicates you can press down the left mouse button to grab the handle.


Scaling a Graphic

You can scale the selected graphic by grabbing one of the handles and dragging it.

To scale a graphic with the mouse

  1. Select the graphic.

  2. Position the mouse pointer over the appropriate handle. The mouse pointer will change to a double arrow. The handle you select determines how the graphic is scaled.

  3. Press and hold down the left mouse button to grab the handle.

  4. Drag the handle to scale the graphic.

  5. Release the mouse button.

These are the ways in which the different handles scale the graphic:

• The left and right side handles scale the graphic in the horizontal direction only. It does not matter which of the two handles you grab.

• The top and bottom side handles scale the graphic in the vertical direction only. It does not matter which of the two handles you grab.

• Any of the four corner handles scale the graphic evenly in both the horizontal and vertical directions. The aspect ratio of the graphic will be maintained. It does not matter which of the four handles you grab.


Cropping a Graphic

You can crop the selected graphic by holding down SHIFT, grabbing one of the handles, and dragging it.

To crop a graphic with the mouse

  1. Select the graphic.

  2. Position the mouse pointer over the appropriate handle. The mouse pointer will change to a double arrow. The handle you select determines how the graphic is cropped.

  3. While holding down SHIFT, press and hold down the left mouse button to grab the handle. You may release the SHIFT key after you press the mouse button.

  4. Drag the handle to crop the graphic.

  5. Release the mouse button.

These are the ways in which the different handles crop the graphic:

• The left side handle crops the graphic from the left only.

• The right side handle crops the graphic from the right only.

• The top side handle crops the graphic from the top only.

• The bottom side handle crops the graphic from the bottom only.

• The top-left corner handle crops the graphic evenly from the top and from the left.

• The bottom-left corner handle crops the graphic evenly from the bottom and from the left.

• The top-right corner handle crops the graphic evenly from the top and from the right.

• The bottom-right corner handle crops the graphic evenly from the bottom and from the right.

If you drag a handle away from the graphic, you can uncrop the graphic. If you previously cropped the graphic, this will have the effect of restoring the area that was cropped. If you uncrop past the actual edge of the graphic, the side of the graphic will be padded with blank space. This can be useful if you need to add blank space around a graphic before drawing a border around it.


Restoring a Graphic to Its Original Appearance

EXP always remembers the original appearance of a graphic. If you scale or crop a graphic and later want to restore it to its original appearance, follow these steps.

To restore a graphic to its original appearance

  1. Select the graphic.

  2. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  1. Choose the Reset button.

  2. Choose the OK button.


Formatting a Graphic

EXP allows you to change the appearance of the selected graphic by formatting it. The formatting attributes available for a graphic are as follows:

• Scaling

• Cropping

• Borders

Although you can scale and crop a graphic with the mouse, formatting a graphic allows you to specify precise scaling factors or cropping measurements. Formatting a graphic also allows you to perform scaling and cropping with the keyboard.

Before you can format a graphic, you must select the graphic or position the cursor directly before the graphic. If you position the cursor directly before the graphic, the graphic will not be selected but the word Graphic will appear in the leftmost field of the Status Bar.

Use the Format Graphic dialog box to format a graphic. The dialog box displays the following information about the graphic:

Graphic Type Displays the type of the graphic. This will be either Bitmap or Metafile. Refer to the section Graphics Formats for information about graphics formats and how EXP handles graphics.

Size in Bytes Displays the number of bytes the graphic occupies in the document.

Bits per Pixel For bitmap graphics, displays the number of bits per pixel used to represent color in the graphic. For metafile graphics, displays "Not applicable".

Width in Pixels For bitmap graphics, displays the dot width of the graphic. For metafile graphics, displays the width of the coordinate plane.

Height in Pixels For bitmap graphics, displays the dot height of the graphic. For metafile graphics, displays the height of the coordinate plane.

X Resolution For bitmap graphics, displays the horizontal resolution at which the bitmap was produced. For metafile graphics, displays the number of units per inch for the coordinate plane.

Y Resolution For bitmap graphics, displays the vertical resolution at which the bitmap was produced. For metafile graphics, displays the number of units per inch for the coordinate plane.

Original Width Displays the normal unscaled, uncropped width of the graphic. This dimension is computed by dividing the Width in Pixels by the X Resolution.

Original Height Displays the normal unscaled, uncropped height of the graphic. This dimension is computed by dividing the Height in Pixels by the Y Resolution.

Source File: Name Displays the pathname of the graphics file used to insert the graphic. If the graphic was pasted from the clipboard or the graphic is not linked to a file, the name will be blank.

Source File: Type Displays the graphics format of the source file.

The controls in this dialog box are as follows:

Width (Scaling) This control allows you to specify the horizontal scaling factor as a percentage.

Height (Scaling) This control allows you to specify the vertical scaling factor as a percentage.

Width (Size) This control allows you to specify the width you want the graphic to have after scaling. EXP computes the horizontal scaling factor necessary to provide this width.

Height (Size) This control allows you to specify the height you want the graphic to have after scaling. EXP computes the vertical scaling factor necessary to provide this height.

Above Baseline Select this button to align the bottom of the graphic with the baseline.

Math Axis Select this button to center the graphic at the math axis.

Below Baseline Select this button to align the top of the graphic with the baseline.

Left (Cropping) This control allows you to specify the left cropping of the graphic as a measurement. If this measurement is negative, blank space is added to the left edge of the graphic.

Right (Cropping) This control allows you to specify the right cropping of the graphic as a measurement. If this measurement is negative, blank space is added to the right edge of the graphic.

Top (Cropping) This control allows you to specify the top cropping of the graphic as a measurement. If this measurement is negative, blank space is added to the top edge of the graphic.

Bottom (Cropping) This control allows you to specify the bottom cropping of the graphic as a measurement. If this measurement is negative, blank space is added to the bottom edge of the graphic.

Reset Choose this button to reset the scaling factors to 100% and the cropping measurements to 0in.

All (Borders) When this button is selected, changes to the Type or the Color control affect all the borders.

Left (Borders) When this button is selected, changes to the Type or the Color control affect only the left border.

Right (Borders) When this button is selected, changes to the Type or the Color control affect only the right border.

Top (Borders) When this button is selected, changes to the Type or the Color control affect only the top border.

Bottom (Borders) When this button is selected, changes to the Type or the Color control affect only the bottom border.

Type This control allows you to specify the thickness of the selected borders. The type called Default draws a border with a thickness derived from the current font. To turn off a border, set the type to None.

Color This control allows you to specify the color of the selected borders. The color called Default draws a border using the Window Text color specified in Control Panel.

To specify precise scaling factors for a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  1. In the Scaling Width control, type the horizontal scaling percentage.

  2. In the Scaling Height control, type the vertical scaling percentage.

  3. Choose the OK button.

To specify precise dimensions for a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  4. In the Size Width control, type the width you want the graphic to have.

  5. In the Size Height control, type the height you want the graphic to have.

  6. Choose the OK button.

To change the vertical alignment of a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  7. Use the Vertical Alignment buttons to select the alignment you want.

  8. Choose the OK button.

To specify precise cropping measurements for a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  9. In the Left, Right, Top, and Bottom cropping controls, type the cropping measurements you want.

  10. Choose the OK button.

To restore a graphic to its original appearance

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  11. Choose the Reset button.

  12. Choose the OK button.

To draw identical borders around all sides of a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  13. Use the Type control to select the thickness you want for the borders.

  14. Use the Color control to select the color you want for the borders.

  15. Choose the OK button.

To draw different borders around the sides of a graphic

  1. From the Format menu, choose Graphic (ALT, R, G).

EXP will display the Format Graphic dialog box.

  16. Select the Left Border button.

  17. Use the Type control to select the thickness you want for the left border.

  18. Use the Color control to select the color you want for the left border.

  19. Select the Right Border button.

  20. Use the Type control to select the thickness you want for the right border.

  21. Use the Color control to select the color you want for the right border.

  22. Select the Top Border button.

  23. Use the Type control to select the thickness you want for the top border.

  24. Use the Color control to select the color you want for the top border.

  25. Select the Bottom Border button.

  26. Use the Type control to select the thickness you want for the bottom border.

  27. Use the Color control to select the color you want for the bottom border.

  28. Choose the OK button.


Using Linked Graphics

The Insert Graphic dialog box contains a check box labeled Link to File. If this check box is turned on, EXP will maintain a link to the graphics file. A linked graphic allows you to update the graphic in the document from the original graphics file without having to reinsert the graphic manually. This can be useful if you are working on a document and you or someone else will modify the graphics file before the document is finished.

After you have inserted one or more linked graphics into a document, you can manipulate the graphics' links with the Edit Links dialog box.

To display the Edit Links dialog box

From the Edit menu, choose Links (ALT, E, L).

The controls in this dialog box are as follows:

Links This list allows you to select the graphics whose links you want to modify. You can select multiple entries. Hold down SHIFT while using the arrow keys or clicking the mouse to select a contiguous range of entries. Hold down CTRL while clicking the mouse to select multiple, nonadjacent entries.

Locked Turn on this check box to prevent the graphics selected in the Links list from being updated.

Update Choose this button to update the graphics selected in the Links list.

Cancel Link Choose this button to cancel (delete) the links for the graphics selected in the Links list.

Change Link Choose this button to change the link for the graphic selected in the Links list. EXP will display the Change Link dialog box, which allows you to change the pathname to the graphics file.

To update a graphic

  1. If the cursor is near the graphic you want to update, select the graphic. Otherwise, skip to step 2.

  2. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box.

  1. If you selected the graphic in step 1, EXP will select the graphic in the Links list. If not, select the graphic in the Links list.

  2. Choose the Update button.

To update several graphics

  1. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box.

  3. In the Links list, select the graphics you want to update.

With the keyboard, you can select a contiguous range of entries by holding down SHIFT while pressing the arrow keys. You can select multiple, nonadjacent entries by pointing to the entries with the mouse, holding down CTRL, and clicking the left mouse button.

  4. Choose the Update button.

When EXP updates a linked graphic, it reads the graphic stored in the graphics file and replaces the graphic in the document with the new version. If EXP is unable to handle the graphics file, it displays an information box informing you of the problem. If EXP is unable to open the graphics file, it may mean that the graphic's link is not pointing to the correct file. This can happen if you move the graphics file on the disk. Correct the graphic's link in the document and try again to update the link.

To change a graphic's link

  1. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box.

  5. In the Links list, select the graphic whose link you want to change.

  6. Choose the Change Link button.

EXP will display the Change Link dialog box.

  7. Correct the pathname to the graphic's file.

You can choose the Browse button to navigate to the correct graphics file.

  8. Choose the OK button.

EXP will close the Change Link dialog box.

  9. Choose the OK button.

EXP will close the Edit Links dialog box.

If you want to prevent yourself from accidentally updating a particular graphic, you can lock the graphic's link. EXP will not allow you to update a graphic whose link is locked. You must explicitly unlock the link before you can update the graphic.

To lock a graphic's link

  1. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box.

  10. In the Links list, select the graphic whose link you want to lock.

  11. Turn on the Locked check box.

The word Locked will appear in the Links list next to the name of the graphic.

  12. Choose the OK button.

If you decide you will never need to update a particular graphic that you inserted as a linked graphic, you can cancel the graphic's link. Canceling a graphic's link saves a small amount of space in the document's file.

To cancel a graphic's link

  1. From the Edit menu, choose Links (ALT, E, L).

EXP will display the Edit Links dialog box.

  13. In the Links list, select the graphic whose link you want to cancel. You may select multiple graphics.

  14. Choose the Cancel Link button.

EXP will ask you if you are sure that you want to cancel the link.

  15. If you are sure, choose the Yes button.


The Graphics Cache

EXP uses a graphics cache to speed up the process of repeatedly displaying a graphic on the screen. When EXP needs to display a particular graphic, it checks to see if the graphic is already in the cache. If it is, EXP can quickly display the graphic on the screen. If the graphic is not in the cache, EXP renders the graphic into the cache and then displays it from the cache. If the graphic is too large to fit in the cache, EXP renders the graphic directly to the screen.

A large cache will be able to hold more and/or larger graphics. The cache is only used for displaying graphics on the screen. When a graphic is printed, EXP renders the graphic directly to the printer. Print Preview also does not use the graphics cache.

The default size of the graphics cache is 4 megabytes. You can set the maximum amount of memory EXP should use for the graphics cache.

To change the size of the graphics cache

  1. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  1. In the Cache Limit control, type the cache size you want.

The number you enter is interpreted as the number of megabytes (1 MB = 1,048,576 bytes) of memory EXP should use for caching graphics.

  2. Choose the OK button.

You should be aware that EXP does not automatically allocate the graphics cache to the limit you set. It is not until you open a document that contains graphics that any memory will be allocated for the cache. Even then, memory is only allocated as needed, up to the limit you set. Also, if you decrease the size of the cache, EXP does not immediately free excess memory that may be in use. You must close any open documents that contain graphics to free graphics memory currently being used.

If you set the cache limit to 0, you will turn off EXP's graphics caching feature. If you do this, turn on the Show graphics as blank rectangles option in the Document Options dialog box. If you only turn off the graphics cache, EXP will still display graphics, but will do so very slowly.

If there is not enough memory for EXP to display a particular graphic, it displays a rectangular bounding box to show where the graphic would be. If you need to conserve memory, consider turning off the graphics cache and instructing EXP to display all graphics as blank rectangles.

To reduce memory used for displaying graphics

  1. Close all open documents.

  2. From the Options menu, choose General (ALT, O, G).

EXP will display the General Options dialog box.

  3. Set the Cache Limit to 0.

  4. Choose the OK button.

  5. Open the document you are working on.

  6. From the Options menu, choose Document (ALT, O, D).

EXP will display the Document Options dialog box.

  7. Turn on the Show graphics as blank rectangles check box.

  8. Choose the OK button.

  9. Press CTRL+S to save the document.

This saves the modified document options.

EXP will now display all the graphics in the document as blank rectangles. The graphics will still print normally. This will save memory and speed up the screen display.


Inserting a Movie

EXP allows you to insert AVI movies into your documents. When you insert a movie into a document, EXP inserts the first frame of the movie as a graphic but remembers the full pathname to the movie file. Within an EXP document, a movie behaves the same as a graphic. You can crop, scale, and format the movie just as you would a graphic. When you instruct EXP to play the movie, EXP uses the Windows Media Player to play the movie.

To insert a movie

  1. From the Insert menu, choose Movie (ALT, I, V).

EXP will display the Insert Movie dialog box.

  1. Navigate to the directory containing the AVI movie file.

  2. Select the AVI movie file you want to insert.

  3. Choose the OK button.

To play a movie

  1. Position the mouse pointer over the movie and double-click the left mouse button.

EXP will instruct the Windows Media Player to play the movie.

  4. To return to EXP after you have finished viewing the movie, close the Windows Media Player.


Headers and Footers

A header is a piece of text, usually a single line, that is printed at the top of every page in a document. A footer is a piece of text, usually a single line, that is printed at the bottom of every page in a document. In EXP, the definition and formatting of headers and footers are managed at the section level. For each section in a document, you can define distinct headers and footers. You can also use a single header or footer definition for multiple sections. Section-level formatting and how EXP structures its documents are discussed in Chapter 7.


Creating Headers and Footers

Initially, a new document does not define headers or footers. When you inform EXP that you want to create a header or footer, EXP opens a special type of document window called a header/footer window. You define the text for a header or footer by typing, editing, and formatting the text displayed in the header/footer window.

To create a header or footer

  1. Position the cursor in the section for which you want to create a header or footer.

  2. From the Edit menu, choose Headers/Footers (ALT, E, H).

EXP will display the Edit Headers/Footers dialog box. The controls in this dialog box are as follows:

Types This list displays the types of headers and footers available for the current section. The Header/Footer Formatting dialog box, which is discussed later, determines which types are listed here.

Edit Choose this button to open the header/footer window for the entry selected in the Types list.

Close Choose this button to close the dialog box without opening a header/footer window. You would choose this button if you used the Yes or No buttons to reconfigure headers and footers but you didn't want to edit header or footer text.

Yes Choose this button to instruct EXP to use the previous section's definition for the header or footer selected in the Types list.

No Choose this button to instruct EXP not to use the previous section's definition for the header or footer selected in the Types list.

  1. In the Types list, select the header or footer you want to create.

  2. Choose the Edit button or press ENTER.

EXP will open a header/footer window and allow you to type text in it. After you have finished typing the text for the header or footer, close the header/footer window. You close a header/footer window in exactly the same manner that you close an ordinary document window.

To close a header/footer window

From the window's control menu, choose Close (ALT, HYPHEN, C).

–or–

Press CTRL+F4.

–or–

Double-click the window's control menu box.

EXP does not display headers and footers in ordinary document windows. To see a formatted header or footer on the screen, use Print Preview.


Editing and Formatting Headers and Footers

You can use any text or formatting capability of EXP to edit and format the text of a header or footer with the following exceptions:

• Section-level formatting

• Column, page, and section breaks

• Bookmarks

• Footnotes

The text of a header or footer can be more than one line long and it can contain graphics.

To edit or format a header or footer

  1. Position the cursor in the section whose header or footer you want to edit.

  2. From the Edit menu, choose Headers/Footers (ALT, E, H).

EXP will display the Edit Headers/Footers dialog box.

  1. In the Types list, select the header or footer you want to edit.

  2. Choose the Edit button or press ENTER.

EXP will open a header/footer window that displays the text of the header or footer you selected.

When you close a header/footer window, EXP checks to see if the header or footer contains any text. If it doesn't, EXP deletes the header or footer. EXP does not print empty headers or footers.

To delete a header or footer

  1. Position the cursor in the section whose header or footer you want to delete.

  2. From the Edit menu, choose Headers/Footers (ALT, E, H).

EXP will display the Edit Headers/Footers dialog box.

  3. In the Types list, select the header or footer you want to delete.

  4. Choose the Edit button or press ENTER.

EXP will open a header/footer window that displays the text of the header or footer you selected.

  5. From the Edit menu, choose Select All (ALT, E, A).

–or–

Press CTRL+NUMPAD5.

  6. Press DELETE.

  7. Press CTRL+F4.

EXP will close the header/footer window and delete the empty header or footer.


Configuring Headers and Footers

The task of configuring headers and footers is one of deciding how the headers and footers are going to change from one page to the next. Each section in a document can use a totally different configuration of headers and footers. Within a section, you have the following options in configuring headers:

• Use the same header on odd and even pages.

• Use different headers on odd and even pages.

• Use a different header on the first page from the remaining pages.

The same options are available for footers.

To configure headers and footers

  1. Position the cursor in the section whose headers and footers you want to configure.

  2. From the Format menu, choose Headers/Footers (ALT, R, H).

EXP will display the Header/Footer Formatting dialog box. The controls in this dialog box are as follows:

Different on First Page (Headers) Turn on this check box if you want to have a different header on the first page of the section.

Different on Odd/Even Pages (Headers) Turn on this check box if you want to have different headers on odd and even pages in the section.

Distance from Top of Page This control allows you to specify how far from the top of the page the header should be typeset. The measurement you enter is the distance from the top edge of the paper to the top of the header.

Different on First Page (Footers) Turn on this check box if you want to have a different footer on the first page of the section.

Different on Odd/Even Pages (Footers) Turn on this check box if you want to have different footers on odd and even pages in the section.

Distance from Bottom of Page This control allows you to specify how far from the bottom of the page the footer should be typeset. The measurement you enter is the distance from the bottom edge of the paper to the bottom of the footer.

  1. Select the options you want.

  2. Choose the OK button.

After you configure the headers and footers for a section, you will be able to edit them. The Edit Headers/Footers dialog box will list the types of headers and footers you selected.

For each section, EXP maintains up to four separate header definitions:

• An all-page header

• A first-page header

• An odd-page header

• An even-page header

EXP only allows you to edit the headers that are available in the current header configuration. These are the headers listed in the Edit Headers/Footers dialog box. If you enter text for a header and change the configuration of the headers so the one you defined is no longer used, EXP does not delete the text you entered. The unused header is simply ignored. This situation can happen if you initially decide to use the same header on all pages and you enter text for that header but later you change to using odd and even headers. The text for the all-page header still exists in the document; it is simply not available for editing because the Edit Headers/Footers dialog box does not list it. If you reconfigure the headers back to using the same header on all pages, the all-page header will again appear in the Edit Headers/Footers dialog box. If you edit that header, the text you entered earlier will still be there. The same situation exists for footer definitions.


Positioning Headers and Footers

Headers are printed in the space reserved by the top page margin, and footers are printed in the space reserved by the bottom page margin. Within the page margins, you can control the vertical positions of headers and footers via the Header/Footer Formatting dialog box. This dialog box allows you to specify two measurements that affect header and footer positioning:

Distance from Top of Page

This measurement, also called the header margin, is the distance from the top edge of the paper to the top of the header.

Distance from Bottom of Page

This measurement, also called the footer margin, is the distance from the bottom edge of the paper to the bottom of the footer.

The following illustration shows the relationships between the various page components and margins.

If a header or footer is too tall to fit within the space reserved by the page margin, the page margin is adjusted for the current page so the header or footer does not overprint the body text.

To change header or footer margins

  1. From the Format menu, choose Headers/Footers (ALT, R, H).

EXP will display the Header/Footer Formatting dialog box.

  1. In the Distance from Top of Page edit field, type the measurement for the header margin.

  2. In the Distance from Bottom of Page edit field, type the measurement for the footer margin.

  3. Choose the OK button.

The horizontal position of text within a header or footer is controlled by paragraph formatting. If you want to center a header, center the paragraph containing the header text. If you want a header to be outdented relative to the body text, outdent the paragraph containing the header text. Headers and footers are always formatted and printed in one column, even if the section is formatted in multiple columns.


Entering Page Numbers

You can instruct EXP to enter the current page number into a header or footer. When the document is printed, EXP will print the correct page number for each page the header or footer appears on.

To enter the current page number into a header or footer

  1. Position the cursor in the header or footer where you want the number to appear.

  2. From the Insert menu, choose Page Number (ALT, I, P).

When you instruct EXP to enter the current page number, EXP actually enters a PageNumber code.


Headers and Footers in Multiple Sections

If you divide a document into multiple sections by inserting section breaks, each section will initially use the same headers and footers as the previous section. If you want to define different headers or footers for a section, instruct EXP to stop using the previous section's definitions.

To create a different header or footer for a new section

  1. Position the cursor in the new section.

  2. From the Edit menu, choose Headers/Footers (ALT, E, H).

EXP will display the Edit Headers/Footers dialog box.

  1. In the Types list, select the type of header or footer you want to create.

  2. Choose the No button.

  3. Choose the Edit button.

EXP will open a header/footer window.

  4. Type the text for the new header or footer.

  5. Press CTRL+F4 to close the header/footer window.

You can switch between using a different header or footer for a section and using the previous section's definition without losing the latter section's header and footer definitions. EXP does not delete header and footer text when you change the section's usage of headers and footers.


Notes Concerning Headers and Footers

• The default style for a new header is Header. The default style for a new footer is Footer.

• The headers and footers defined for sections that begin with continuous section breaks will take effect at the top of the page following the section break.

• If you delete an entire section and its terminating section break, EXP will delete any headers and footers defined for that section.

• When you use the Copy command to copy text to the clipboard and the selection spans a section break, headers and footers are also copied to the clipboard.

• When you use the Paste command to insert text from the clipboard or when you insert a document file into another document, EXP merges any headers and footers in the incoming text in the same manner it merges section-level formatting.


Footnotes

EXP allows you to enter footnotes anywhere in the body of a document. The footnote can be as long as you wish. You can type short footnotes that contain only one line of text, or you can type long footnotes that contain hundreds of lines of text. If a footnote is too long to fit in its entirety on the page on which it is referenced, EXP automatically continues the footnote on the next page. EXP handles all aspects of footnote formatting and numbering automatically. It ensures that footnote numbers are correct at all times.


Creating a Footnote

When you insert a new footnote, EXP inserts a footnote reference mark into the body of the document and opens a special type of document window called the footnote window. The footnote window allows you to type, edit, and format the text for a footnote. All the footnotes in the document are listed sequentially in the footnote window.

To enter a footnote

  1. Position the cursor where you want the footnote reference mark to appear.

  2. From the Insert menu, choose Footnote (ALT, I, F).

EXP will display the Insert Footnote dialog box. The controls in this dialog box are as follows:

Automatic Numbering Select this button to insert an automatically numbered footnote.

Special Mark Select this button to insert a footnote with a special reference mark. In the Special Mark edit field, you can type up to 31 ANSI characters.

Format as Superscript If this check box is on, which it normally is, the footnote reference mark is formatted as a superscript. If you turn this check box off, the footnote reference mark will be formatted as ordinary text.

  1. Specify the footnote reference mark you want.

  2. Choose the OK button.

EXP will insert a new footnote and open the footnote window. The cursor will be positioned in the footnote window ready for you to begin typing the footnote text.

  3. Type the footnote text.

  4. Press CTRL+F4 to close the footnote window.

In entering the footnote text, you can use any text or formatting capability of EXP with the following exceptions:

• Section-level formatting

• Column, page, and section breaks

• Bookmarks

The footnote text is unlimited as to length and can contain graphics. If a footnote is too long to fit in its entirety on the page on which it is referenced, EXP automatically continues the footnote on the next page.


Revising Footnote Text

If you need to revise footnote text you entered earlier, you can reopen the footnote window and edit the footnote text.

To revise the text of a specific footnote

  1. Position the tip of the mouse pointer at the left side of the footnote's reference mark in the document and double-click the left mouse button.

EXP will open the footnote window and position the cursor at the beginning of the footnote text.

  1. Revise the footnote text.

  2. Press CTRL+F4 to close the footnote window.

To browse and revise the text of multiple footnotes

  1. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  3. Press ENTER.

EXP will open the footnote window and position the cursor at the beginning of the text for the first footnote in the document.

  4. Browse and revise the footnote text.

  5. Press CTRL+F4 to close the footnote window.

In the process of editing footnote text, you may accidentally delete a footnote's reference mark in the footnote window. If you notice your mistake immediately, press CTRL+Z to undo the deletion. If you notice your mistake later, you will need to reinsert the footnote reference mark.

To insert a footnote reference mark in the footnote window

  1. Position the cursor at the beginning of the footnote's text in the footnote window.

  2. From the Insert menu, choose Footnote (ALT, I, F).

EXP will display the Insert Footnote dialog box.

  6. Specify a footnote reference mark that matches the one in the body of the document.

  7. Choose the OK button.

EXP will insert a new footnote reference mark in the footnote window.


Deleting a Footnote

To delete a footnote, delete the footnote's reference mark in the body of the document. This will delete both the footnote's reference mark and the footnote's text. You cannot delete a footnote by deleting the footnote's text in the footnote window.

To delete a footnote

  1. In the document window, position the cursor on the footnote's reference mark.

The leftmost field of the Status Bar will show Footnote.

  1. Press SHIFT+DELETE.


Moving or Copying a Footnote

To move or copy a footnote from one place to another, select the footnote's reference mark and use the clipboard to move or copy the reference mark just as you would for ordinary text. When you move or copy a footnote's reference mark, EXP also moves or copies the footnote's text.

To move a footnote

  1. In the document window, select the footnote's reference mark.

  2. From the Edit menu, choose Cut (ALT, E, T).

–or–

Press CTRL+X.

EXP will delete the footnote from the document and move it to the clipboard.

  1. Position the cursor where you want the footnote's reference mark moved to.

  2. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

EXP will paste the footnote into the document.

To copy a footnote

  1. In the document window, select the footnote's reference mark.

  2. From the Edit menu, choose Copy (ALT, E, C).

–or–

Press CTRL+C.

EXP will copy the footnote to the clipboard.

  3. Position the cursor where you want the new footnote's reference mark to appear.

  4. From the Edit menu, choose Paste (ALT, E, P).

–or–

Press CTRL+V.

EXP will paste the footnote into the document.


Finding Footnotes

To find where footnotes are referenced, use the Find command to locate the footnote reference marks in the document. You can quickly jump from one footnote reference mark to the next until you find the footnote you are looking for.

To find footnote reference marks

  1. From the Edit menu, choose Find (ALT, E, D).

–or–

Press CTRL+F.

EXP will display the Find dialog box.

  1. Select the String button.

  2. In the String edit field, type ^f.

  3. Choose the OK button.

EXP will find the next footnote reference mark after the cursor.

  4. Press CTRL+A to find additional footnote reference marks.

See Also

Finding Text


Footnote Reference Marks

When you insert a footnote, you have two choices with regard to the footnote reference mark:

• You can instruct EXP to number the footnote automatically.

• You can use the ANSI character of your choice.

If you choose to have EXP number the footnote automatically, the footnote reference mark will be a number. EXP automatically updates all footnote numbers each time you take any action that affects footnote numbering.

If you choose to use an ANSI character for the footnote reference mark, you must type that character into the edit field in the Insert Footnote dialog box. If the character you want to use is an ordinary ASCII character such as *, typing the character is straightforward. On the other hand, if the character you want to use is an extended ANSI character such as †, typing the character is more complicated. Extended ANSI characters are typed in Windows applications using the following procedure.

To type an extended ANSI character

  1. Hold down the ALT key.

  2. On the numeric keypad, type a 0 (zero) followed by the decimal character code of the character you want.

  3. Release the ALT key.

When you release the ALT key, the character will be inserted.

This procedure requires you to know the character code of the character you want. The character codes for some common footnote reference marks are listed below:

Dagger (†) 134

Double dagger (‡) 135

Section (§) 167


Changing Footnote Reference Marks

After you insert a footnote, you can change the footnote's reference mark. You can change a footnote number into a special reference mark, you can change a special reference mark into a footnote number, and you can change the character of a special reference mark.

To change a footnote's reference mark

  1. In the document window, position the cursor on the footnote's reference mark.

  2. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  1. Choose the Edit Footnote Mark button. You can choose this button by pressing M.

EXP will display the Edit Footnote Mark dialog box. This dialog box is identical, except for its title, to the Insert Footnote dialog box.

  2. Change the footnote reference mark.

  3. Choose the OK button.

EXP will change the footnote's reference mark in the body of the document. You must now change the footnote's reference mark in the footnote text.

  4. Position the tip of the mouse pointer at the left side of the footnote's reference mark in the document and double-click the left mouse button.

EXP will open the footnote window and position the cursor at the beginning of the footnote text.

  5. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  6. Choose the Edit Footnote Mark button. You can choose this button by pressing M.

EXP will display the Edit Footnote Mark dialog box.

  7. Change the footnote reference mark.

  8. Choose the OK button.

EXP will change the footnote's reference mark in the footnote text.


Changing Footnote Separators and Notices

EXP allows you to specify three special pieces of text that are used in conjunction with footnotes:

Footnote Separator

The footnote separator is printed above the footnote text on pages on which the footnote text is not continued from the previous page. The default footnote separator is a short line.

Footnote Continuation Separator

The footnote continuation separator is printed above the footnote text on pages on which the footnote text is continued from the previous page. The default footnote continuation separator is a line that extends across the width of the column.

Footnote Continuation Notice

The footnote continuation notice is printed below the footnote text on pages on which the footnote text is continued on the next page. The default footnote continuation notice is no notice.

You have the option of changing each of these separators and notices. For each one you can use any text and can apply character- and paragraph-level formatting to the text. Although you can enter as much text as you want for separators and notices, only the first line is printed.

To change the footnote separator

  1. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  1. Choose the Edit Footnote Separator button. You can choose this button by pressing S.

EXP will open the footnote separator window.

  2. Press SHIFT+DELETE to delete the default footnote separator.

  3. Type the footnote separator you want.

  4. Press CTRL+F4 to close the footnote separator window.

To change the footnote continuation separator

  1. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  5. Choose the Edit Footnote Continuation Separator button. You can choose this button by pressing C.

EXP will open the footnote continuation separator window.

  6. Press SHIFT+DELETE to delete the default footnote continuation separator.

  7. Type the footnote continuation separator you want.

  8. Press CTRL+F4 to close the footnote continuation separator window.

To change the footnote continuation notice

  1. From the Edit menu, choose Footnotes (ALT, E, F).

EXP will display the Edit Footnotes dialog box.

  9. Choose the Edit Footnote Continuation Notice button. You can choose this button by pressing N.

EXP will open the footnote continuation notice window.

  10. Type the footnote continuation notice you want.

  11. Press CTRL+F4 to close the footnote continuation notice window.

If you delete the default footnote separator line or the default footnote continuation separator line and later want to restore one of them, you can enter them via the Symbol Box.

To enter the default footnote separator line

  1. Press F4.

EXP will display the Symbol Box.

  12. In the edit field, type FootnoteSeparatorLine.

  13. Press ENTER.

To enter the default footnote continuation separator line

  1. Press F4.

EXP will display the Symbol Box.

  14. In the edit field, type FootnoteContinuationLine.

  15. Press ENTER.


Formatting Footnotes

This topic discusses formatting attributes that apply specifically to footnotes. By changing footnote formatting, you can

• Set the starting number for footnotes

• Suppress the printing of footnote text

• Control the placement of footnote text

Footnote formatting is part of section-level formatting. Before you change footnote formatting, either position the cursor in the appropriate section or select the sections whose footnote formatting you want to change.

Use the Footnote Formatting dialog box to change footnote formatting. The controls in this dialog box are as follows:

Starting Number This control allows you to specify the starting number for the footnotes in the current section. Unless the section is the first section in the document, you must turn on the Restart at beginning of section check box for this number to be used.

Restart at beginning of section Turn on this check box to instruct EXP to use the number in the Starting Number control.

Suppress footnotes for this section Turn on this check box to suppress the printing of footnote text for the current section. The text of the footnotes in the section will not be printed.

Place Footnotes At This control allows you to specify where footnote text should be placed.


Setting the Starting Footnote Number

By default, EXP numbers all the footnotes in a document sequentially starting from 1. You have the option of setting the starting footnote number for a section. You would need to set the starting footnote number if, for example, you wanted the footnotes in each section to begin with the number 1.

To set the starting footnote number

  1. Position the cursor in the section whose starting footnote number you want to set.

  2. From the Format menu, choose Footnotes (ALT, R, F).

EXP will display the Footnote Formatting dialog box.

  1. In the Starting Number edit field, type the starting footnote number.

  2. Turn on the Restart at beginning of section check box.

  3. Choose the OK button.


Suppressing Footnote Text

You can instruct EXP not to print the text of any of the footnotes referenced in a section. The footnote reference marks will still be printed, but the footnote text will not be printed.

To suppress the printing of footnote text

  1. Position the cursor in the section whose footnotes you want to suppress.

  2. From the Format menu, choose Footnotes (ALT, R, F).

EXP will display the Footnote Formatting dialog box.

  1. Turn on the Suppress footnotes for this section check box.

  2. Choose the OK button.


Controlling Footnote Placement

By default, EXP places a footnote's text at the bottom of the page on which the footnote is referenced. You have the option of instructing EXP to place footnote text in the following places:

Bottom of Page

This option, which is the default, instructs EXP to place footnote text at the bottom of the page.

Under Text

This option instructs EXP to place footnote text directly under the body text on a page.

End of Section

This option instructs EXP to place the text of all the footnotes referenced in a section at the end of the section.

End of Document

This option instructs EXP to place the text of all the footnotes in the document at the end of the document. This effectively turns the footnotes into end notes.

Potentially, footnote placement could vary from one section to the next. This would be a strange thing to do, but it is possible. It is not possible to mix the End of Document placement option with any of the others. As soon as EXP encounters a section with End of Document footnote placement, all subsequent sections in the document have their footnotes forced to the end of the document.

To change the placement of footnotes

  1. From the Edit menu, choose Select All (ALT, E, A).

–or–

Press CTRL+NUMPAD5.

  1. From the Format menu, choose Footnotes (ALT, R, F).

EXP will display the Footnote Formatting dialog box.

  2. In the Place Footnotes At control, select the placement option you want.

  3. Choose the OK button.


Notes Concerning Footnotes

• The default style for the text of a new footnote is Footnote Text.

• If a section is formatted in multiple columns, the footnotes in that section will also be formatted in multiple columns.

• The text of each footnote is terminated by a paragraph mark. You cannot delete this terminating paragraph mark. The terminating paragraph mark is automatically deleted by EXP when you delete the entire footnote.

• To delete all the footnotes in a document quickly, use the Replace command. If you specify the search string ^f and an empty replacement string, EXP will delete each footnote it finds.

• Although you can type special reference marks up to 31 characters long, it is unusual to use special reference marks that are more than one character long.


Automatic Numbering

An automatic number is a number whose value is updated automatically by EXP. You use automatic numbers to number items in a document when the numbers might change because of insertions or deletions. EXP allows you to create cross-references to automatic numbers. EXP automatically updates all the cross-references to an automatic number whenever the value of the automatic number changes. The creation of cross-references requires the use of bookmarks.


Bookmarks

A bookmark is a name for a position or region in a document. It is essentially a tag for a region of text. After you define a bookmark, you can

• Use the Go To command to move quickly to the bookmark's position.

• Create cross-references to automatic numbers.

• Create cross-references to page numbers.

• Create cross-references to footnote numbers.

In naming a bookmark, you must adhere to these rules:

• The name can be at most 51 characters long.

• The name can only contain the characters A–Z, a–z, 0–9, and "_".

• The first character must be an alphabetic character.

• The name is not case sensitive.


Defining a Bookmark

A bookmark can mark either a position in a document or a region of text in a document. Before you define a bookmark, position the cursor where you want the bookmark or select the text you want to mark with the bookmark. If you define a bookmark with the same name as an existing bookmark, EXP redefines the existing bookmark.

To define a bookmark

  1. Either position the cursor where you want the bookmark or select the text you want to mark with the bookmark.

  2. From the Insert menu, choose Bookmark (ALT, I, M).

EXP will display the Insert Bookmark dialog box.

  1. Type the name you want to assign to the bookmark.

  2. Choose the OK button.

After you define a bookmark, the document will not appear different. Bookmarks are completely invisible. No codes are inserted into the text. If a bookmark marks a region and you insert or delete text in that region, EXP will adjust the size of the bookmark.


Deleting a Bookmark

If you decide you no longer need a particular bookmark, you can delete it. The act of deleting a bookmark does not affect the text at all; it simply undefines the bookmark.

To delete a bookmark

  1. From the Insert menu, choose Bookmark (ALT, I, M).

EXP will display the Insert Bookmark dialog box.

  1. In the Bookmark Name list, select the bookmark you want to delete. You can also type the name of the bookmark in the edit field.

  2. Choose the Delete button.

EXP will delete the bookmark.

  3. Choose the Close button or press ESC.


Moving to a Bookmark

You can use the Go To command to move quickly to a bookmark.

To move to a bookmark

  1. From the Edit menu, choose Go To (ALT, E, G).

–or–

Press CTRL+G.

EXP will display the Go To dialog box.

  1. In the Bookmark Name list, select the bookmark you want to move to. You can also type the name of the bookmark in the edit field.

  2. Choose the OK button.

If the bookmark is marking a position, EXP will move the cursor to that position. If the bookmark is marking a region, EXP will select that region of text.


Notes Concerning Bookmarks

• You can use the Go To dialog box to discover which bookmark marks some text. If you have a passage of text and know that you marked some of it with a bookmark but can't remember the name of the bookmark, select the passage of text and then press CTRL+G. EXP will display the Go To dialog box with the bookmark selected. You can then press ENTER to move to the exact location of the bookmark.

• If you delete the region of text marked by a bookmark, the bookmark will also be deleted.

• If you move a block of text and part of that block is marked with a bookmark, the bookmark will move with the text. If you move part of the text marked by a bookmark, the bookmark will not move. The rule is that a bookmark only moves if the text you are moving completely encloses the bookmark.

• If you copy a block of text and part of that block is marked with a bookmark, the copy will be marked with the bookmark, but the original text will no longer be marked. If you copy part of the text marked by a bookmark, the bookmark will not move. The rule is that a bookmark only moves if the text you are copying completely encloses the bookmark.

• If you copy text to a different document, any bookmarks that are fully contained in that text will also be copied to the other document.

• You can define up to 16384 bookmarks in a document.


Sequences

A sequence is a set of items in a document that is numbered using automatic numbers. You assign each sequence in a document a unique name. When you want to number an item in the document, use the sequence name to inform EXP which sequence the item is associated with. For example, you might use one sequence to number chapters and another to number sections within chapters. Other items you might define sequences for include

• Tables

• Figures

• Equations

• Theorems

Use a sequence to number a set of items anytime the numbers of those items might change as a result of insertions or deletions made to the document. You can define up to 256 different sequences in a document, so you are not really limited in the number of sequences you can use.

In naming a sequence, you must adhere to these rules:

• The name can be at most 29 characters long.

• The name can contain any character.

• The name is not case sensitive.


Inserting a Sequence Number

You do not have to define a new sequence formally; you simply start using it and EXP detects that you are using a new sequence. Insert sequence numbers into a document by using the Insert Auto Number dialog box. The controls in this dialog box are as follows:

Sequence Select this button to insert a sequence number.

Reference to Sequence via Bookmark Select this button to insert a cross-reference to a sequence number.

Reference to Page Number via Bookmark Select this button to insert a cross-reference to a page number.

Reference to Footnote Number via Bookmark Select this button to insert a cross-reference to a footnote number.

Sequence Name This control allows you to specify the name of the sequence whose number you want to refer to. The control's list contains the names of the sequences currently used in the document.

Bookmark Name When you are inserting a cross-reference, this control allows you to specify the bookmark that marks the position in the document from which the reference is to be taken. The control's list contains the names of the bookmarks defined in the document.

Don't increment Select this button to instruct EXP not to increment the sequence's number. This allows you to refer to the current number in a sequence without affecting the sequence's number.

Increment Select this button to instruct EXP to increment the sequence's number before displaying it.

Restart numbering at Select this button to instruct EXP to restart the sequence at the number specified in the edit field.

Number Format This control allows you to specify the number format in which the sequence number should be displayed.

Hide Result If you turn on this check box, EXP will change the sequence's number as specified by the Sequence Counting controls, but it will not display a number in the document.

To insert the next number in a sequence

  1. Position the cursor in the document where you want the number to appear.

  2. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  1. In the Sequence Name edit field, type the name of the sequence whose number you want to refer to.

  2. Choose the OK button.

When you insert a sequence number, EXP inserts a code into the text and updates the automatic numbering for the entire document. If you position the cursor on the sequence number, the leftmost field of the Status Bar will display

Seq "seqname"

where seqname is the name of the sequence.

You can refer to the current number in a sequence without changing the sequence's number. You might want to do this to refer to the current chapter number.

To refer to the current number in a sequence

  1. Position the cursor where you want the number to appear.

  2. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  3. In the Sequence Name edit field, type the name of the sequence whose number you want to refer to.

  4. Select the Don't increment button.

  5. Choose the OK button.

If you are using a sequence to number the sections in a chapter, you will need to restart the "section" sequence at the beginning of each chapter. In this case, set the "section" sequence number to 0 at the beginning of each chapter. This will cause the first section in each chapter to be numbered 1 because EXP normally increments a sequence number before displaying it.

To set a sequence's number

  1. Position the cursor where you want to set the sequence's number.

  2. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  6. In the Sequence Name edit field, type the name of the sequence whose number you want to set.

  7. Select the Restart numbering at button.

  8. In the edit field, type the number you want assigned to the first item minus one. If you want the first item to be numbered 1, for example, type 0.

  9. Turn on the Hide Result check box.

This will prevent EXP from displaying this particular sequence code.

  10. Choose the OK button.


Using Sequence Numbers in Headers and Footers

EXP performs special processing for sequence numbers in headers or footers. If you insert a sequence number into a header or footer, EXP will display the number of the sequence at the end of the page on which the header or footer is printed. Assuming you are using a sequence to number the chapters in the document, you can refer to the current chapter number in the header or footer by inserting the "chapter" sequence number into the header or footer. Because a chapter will always start at the top of a new page, the number of the "chapter" sequence at the end of a page will always be the chapter number for the page. When inserting sequence numbers into headers or footer, it is not necessary to select the Don't increment button because EXP never changes sequence numbers inside headers or footers.


Creating Cross-References

You can use automatic numbers to create three types of cross-references:

• Cross-references to sequence numbers

• Cross-references to page numbers

• Cross-references to footnote numbers

In each case, a bookmark is used to indicate the position in the document to which the cross-reference refers.


Inserting Cross-References to Sequences Numbers

When you need to refer to a number in a sequence at a particular point in the document, insert a cross-reference to that sequence number. Before you insert the cross-reference, you must define a bookmark to mark the position in the document from which the reference is to be taken.

To insert a cross-reference to a sequence number

  1. Position the cursor at the source of the reference. You must position the cursor after the sequence number you want to refer to.

  2. From the Insert menu, choose Bookmark (ALT, I, M).

EXP will display the Insert Bookmark dialog box.

  1. In the edit field, type the name you want to assign to this reference point.

  2. Choose the OK button.

EXP will define the bookmark.

  3. Position the cursor where you want the cross-reference to appear.

  4. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  5. Select the Reference to Sequence via Bookmark button.

  6. In the Sequence Name edit field, type the name of the sequence you want to refer to.

  7. In the Bookmark Name edit field, type the name of the bookmark you assigned to the reference point.

  8. Choose the OK button.

When you insert a cross-reference, EXP inserts a code into the text and updates the automatic numbering for the entire document. If you position the cursor on the cross-reference, the leftmost field of the Status Bar will display

Seq Ref "seqname" "bmkname"

where seqname is the name of the sequence and bmkname is the name of the bookmark.


Inserting Cross-References to Page Numbers

When you need to refer to the page number of a particular point in the document, insert a cross-reference to that page number. Before you insert the cross-reference, you must define a bookmark to mark the position in the document from which the reference is to be taken.

To insert a cross-reference to a page number

  1. Position the cursor at the source of the reference.

  2. From the Insert menu, choose Bookmark (ALT, I, M).

EXP will display the Insert Bookmark dialog box.

  1. In the edit field, type the name you want to assign to this reference point.

  2. Choose the OK button.

EXP will define the bookmark.

  3. Position the cursor where you want the cross-reference to appear.

  4. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  5. Select the Reference to Page Number via Bookmark button.

  6. In the Bookmark Name edit field, type the name of the bookmark you assigned to the reference point.

  7. Choose the OK button.

When you insert a cross-reference, EXP inserts a code into the text and updates the automatic numbering for the entire document. If you position the cursor on the cross-reference, the leftmost field of the Status Bar will display

Page Ref "bmkname"

where bmkname is the name of the bookmark. The number format of the cross-reference will be the same as the number format of the page numbers in the section containing the bookmark.


Inserting Cross-References to Footnote Numbers

When you need to refer to the number of a particular footnote, insert a cross-reference to that footnote number. Before you insert the cross-reference, you must define a bookmark to mark the footnote reference mark of the footnote you want to refer to.

To insert a cross-reference to a footnote number

  1. In the body of the document, select the footnote reference mark of the footnote you want to refer to.

  2. From the Insert menu, choose Bookmark (ALT, I, M).

EXP will display the Insert Bookmark dialog box.

  1. In the edit field, type the name you want to assign to this footnote.

  2. Choose the OK button.

EXP will define the bookmark.

  3. Position the cursor where you want the cross-reference to appear.

  4. From the Insert menu, choose Auto Number (ALT, I, A).

EXP will display the Insert Auto Number dialog box.

  5. Select the Reference to Footnote Number via Bookmark button.

  6. In the Bookmark Name edit field, type the name of the bookmark you assigned to the footnote.

  7. Choose the OK button.

When you insert a cross-reference, EXP inserts a code into the text and updates the automatic numbering for the entire document. If you position the cursor on the cross-reference, the leftmost field of the Status Bar will display

Footnote Ref "bmkname"

where bmkname is the name of the bookmark. The number format of a footnote cross-reference is always decimal. You cannot create a cross-reference to a footnote that uses a special reference mark.


Editing Automatic Numbers

You can edit any aspect of an automatic number after you have inserted it. You can change the sequence name, the bookmark name, the options, and even the type of the number.

To edit an automatic number

  1. Position the cursor on the automatic number.

  2. From the Edit menu, choose Text Code (ALT, E, X).

–or–

Press CTRL+E.

EXP will display the Edit Auto Number dialog box. The operation of this dialog box is identical to that of the Insert Auto Number dialog box.

  1. Change the settings for the automatic number.

  2. Choose the OK button.

When you edit an automatic number, EXP changes the code in the text and updates the automatic numbering for the entire document.


Finding Automatic Numbers

You can find the automatic numbers in a document with the Find command. This enables you to move through a document, quickly jumping from one automatic number to the next. You would want to do this, for example, if you were searching for the cause of a problem with the automatic numbering in a document.

To find automatic numbers

  1. From the Edit menu, choose Find (ALT, E, D).

–or–

Press CTRL+F.

EXP will display the Find dialog box.

  1. Select the String button.

  2. In the String edit field, type ^a.

  3. Choose the OK button.

EXP will find and select the first automatic number after the cursor.

  4. Press CTRL+A to find additional automatic numbers.

The ^a special search character instructs EXP to find any automatic number regardless of its type or options.

See Also

Finding Text


Updating Automatic Numbering

EXP does not attempt to keep all the automatic numbers correct at all times because doing so would require far too much computer processing time. The reason updating the automatic numbering requires so much processing time is because of forward cross-references. You can put a page number cross-reference on the first page of a document that refers to something on the last page of the document. For EXP to update that cross-reference, it must repaginate the entire document.

As a compromise, EXP separates the task of repaginating the document from the task of updating the automatic numbering. Also, EXP only updates the automatic numbering when you

• Insert a new automatic number

• Edit an automatic number

• Use the Update Auto Numbering command under the Edit menu

• Use the Repaginate command under the Format menu

• Use Print Preview

• Print the document

Except in these cases, EXP does not update the automatic numbering as you edit a document. Background repagination does not cause automatic numbers to be updated.

You can instruct EXP to update the automatic numbering whenever you want to make sure the numbers are correct.

To update the automatic numbering

From the Edit menu, choose Update Auto Numbering (ALT, E, N).

When EXP finishes updating the automatic numbering, it will inform you whether any of the automatic numbers in the document changed.


Updating Page Number Cross-References

If your document uses page number cross-references, be aware of the following complication with regard to updating those cross-references:

The Repaginate command under the Format menu first updates the automatic numbering and then repaginates the document. This ensures that the pagination is correct based on the current values of the automatic numbers. The problem is that the value of a page number cross-reference is determined by the current pagination. Thus, this is a circular problem.

To understand the implications of and the solution to this problem, consider the following situation:

  1. You use the Repaginate command to update the automatic numbering and then repaginate the document.

  2. As a result of the repagination, the value of a page number cross-reference needs to be changed.

You will have no idea that the cross-reference is incorrect after the repagination finishes. Even if you were to issue the Repaginate command again, you still would not know if all the page number cross-references were correct.

The solution to this problem is to use the Update Auto Numbering command after you use the Repaginate command. The Update Auto Numbering command tells you whether any of the automatic numbers changed. If none of the numbers changed as a result of the update process, then all the page number cross-references must be correct. If some numbers did change, reissue the Repaginate command to repaginate the document, and then reissue the Update Auto Numbering command to check for any changes to the automatic numbers.

To update page number cross-references

  1. From the Format menu, choose Repaginate (ALT, R, E).

EXP will update the automatic numbering and then repaginate the document.

  1. From the Edit menu, choose Update Auto Numbering (ALT, E, N).

EXP will update the automatic numbering using the current pagination.

  2. If EXP says that some of the automatic numbers changed as a result of the update pass, repeat steps 1 and 2. Continue repeating steps 1 and 2 until EXP says that none of the automatic numbers changed as a result of the update pass.

It would be very rare that you would have to repeat the process more than one time.


LaTeX

EXP allows you to save your documents in LaTeX format. This makes it possible for you to create technical documents within the comfortable, easy-to-use environment of EXP, and then to convert those documents to LaTeX for publication. The key features of EXP's LaTeX export capability are

• It converts to LaTeX2e with AMS-LaTeX v1.2 extensions.

• It produces clean, neatly formatted LaTeX files.

• The conversion process is highly configurable.

• It can convert most EXP content to LaTeX.

• It is fast.

• It can be extended by the end user.


Getting Started

You need to have an implementation of LaTeX installed on your computer to process the LaTeX files produced by EXP. EXP does not provide an implementation of LaTeX; you need to purchase and install that software separately.

EXP targets the LaTeX2e version of LaTeX. In addition, EXP makes use of the extensions to LaTeX2e provided by AMS-LaTeX v1.2. You need to have LaTeX2e and AMS-LaTeX v1.2 or later installed on your computer.


Setting up your LaTeX System

The LaTeX files produced by EXP make use of two LaTeX packages provided with EXP:

exptex.sty

This package defines new commands and macros that are required for processing converted files. It also loads other required packages, such as amsmath.sty.

expthmi.sty

The name of this package means "EXP Theorems with Independent Numbering". This package contains the definitions for theorem-like structures. EXP refers to theorem-like structures as declarations. You can modify this file if you want to alter the way LaTeX numbers the declarations.

When you install EXP, these two package files are placed in the <home>\LaTeX directory. Before you can process converted files, you must copy these two package files to the directory in which your LaTeX system looks for such files. If you are not sure of the name of that directory, use a file locator utility to find the file ARTICLE.CLS. The directory containing that file is the directory to which you should copy the exptex.sty and expthmi.sty files.


A Demonstration

Once you have set up your LaTeX system, you should convert the EXP demonstration document called Binomial to test that everything is working correctly.

To convert the Binomial document

  1. Open the Binomial document. This document is stored in the <home> directory, where <home> refers to the directory in which you installed EXP.

  2. From the File menu, choose Save As (ALT, F, A).

EXP will display the Save As dialog box.

  3. In the File name edit field, type test.

  4. Set the Save as type control to LaTeX.

  5. Choose the OK button.

EXP will convert the document to LaTeX and store the resulting LaTeX file as test.tex.

  6. If you would like to view the test.tex file that EXP produced, you can use Windows Notepad to do so.

  7. Use your LaTeX system to process the LaTeX file test.tex.

  8. Use your LaTeX system to view or print the DVI file test.dvi.


Overview of the Conversion Process

Before you become involved in learning details, it is important for you to learn some basic information.


Which Types of Documents Can Be Converted?

EXP is able to convert documents created with EXP 3.0 and later. EXP cannot convert documents created with versions of EXP before 3.0, such as EXP for DOS.

One reason for this restriction is that the tab codes in an EXP for DOS document cannot be converted to LaTeX. When you open an EXP for DOS document with EXP 3.0 or later, the EXP for DOS tab codes are converted to a specific type of Hmove code. This type of Hmove code exists in EXP 3.0 and later solely for backward compatibility with EXP for DOS. Versions of EXP starting with 3.0 provide a newer system of tabs that can be converted to LaTeX.

There are also other reasons why EXP for DOS documents cannot be converted to LaTeX. Many design improvements were introduced in EXP 3.0 to ensure that EXP documents could be converted properly to LaTeX.


Content Versus Formatting

There are two components to any document: content and formatting. When working with a WYSIWYG system such as EXP, you are concerned with both components. For example, when typing a section heading, you are concerned both with what the heading says and with how the heading looks.

When working with a text formatter such as LaTeX, you are mainly concerned only with content and not with formatting. The reason for this is that the formatting component is provided largely by the LaTeX document class. Following the previous example, a section heading in LaTeX is specified by typing

\section{The Section Heading}

The \section command says nothing about how the section heading should be formatted. It merely says that the text "The Section Heading" should be treated as a section heading.

When you convert an EXP document to LaTeX, EXP largely ignores the formatting applied to the text. Instead, EXP pays attention to a type of information called LaTeX markup. Refer to the topic LaTeX Markup.


LaTeX Markup

LaTeX markup is information that you apply to text to instruct EXP how to convert the text. You can think of LaTeX markup as hints to EXP. LaTeX markup has no effect on WYSIWYG formatting in EXP.

Just as there is paragraph-level formatting and character-level formatting, there is also paragraph-level LaTeX markup and character-level LaTeX markup. Paragraph-level LaTeX markup instructs EXP how to convert entire paragraphs. Character-level LaTeX markup instructs EXP how to convert a piece of text contained in a paragraph.

You apply LaTeX markup in much the same manner as you apply formatting. You first select some text and then you use the LaTeX Markup dialog box to apply markup to the selected text. The controls in the LaTeX Markup dialog box are as follows:

Normal Select this button to mark the selected paragraphs as Normal. A paragraph marked as Normal causes the converter to end any LaTeX environments that may have been started by previous paragraphs.

Heading Select this button to mark the selected paragraph as a heading. Select the specific type of heading you want in the Tags list.

List Select this button to mark the selected paragraphs as a list. Select the specific type of list you want in the Tags list.

Declaration Select this button to mark the selected paragraphs as a declaration. Select the specific declaration you want in the Tags list. The term declaration has the same meaning as the expression theorem-like structure used in the LaTeX User's Guide.

Other Select this button to instruct EXP to list in the Tags list various miscellaneous types of LaTeX markup. Select the exact type of markup you want in the Tags list.

Tags (Paragraph-Level Markup) This list allows you to select the specific LaTeX markup you want to apply to the selected paragraphs.

Tag ID (Paragraph-Level Markup) This control displays the internal ID number of the LaTeX markup selected in the Tags list.

Ignore (Paragraph-Level Markup) Turn on this check box to instruct the converter to ignore the selected paragraphs.

Structure Level This control allows you to specify the structure level of the selected paragraphs. There are 16 structure levels numbered from 1 (the outermost level) to 16 (the innermost level). If a paragraph has a structure level greater than that of the preceding paragraph, the paragraph's LaTeX environment is nested inside the LaTeX environment of the preceding paragraph.

Ignore (Character-Level Markup) Turn on this check box to instruct the converter to ignore the selected text. Note that you cannot ignore a paragraph mark by setting this attribute. A paragraph mark can only be ignored by setting the paragraph-level ignore attribute.

Tags (Character-Level Markup) This control allows you to specify character-level LaTeX markup you want to apply to the selected text.

Tag ID (Character-Level Markup) This control displays the internal ID number of the LaTeX markup selected in the Tags list.

To apply LaTeX markup

  1. Select the text to which you want to apply LaTeX markup, or position the cursor in the appropriate place.

  2. From the Format menu, choose LaTeX Markup (ALT, R, L).

–or–

Press F11.

EXP will display the LaTeX Markup dialog box.

  1. Use the controls in the dialog box to specify the LaTeX markup you want to apply.

  2. Choose the OK button.

It is important for a document's LaTeX markup to be correct for the document to convert properly to LaTeX. If you type a section heading and do not change the heading paragraph's LaTeX markup to indicate that it is a section heading instead of normal text, EXP will convert the paragraph as normal text. Fortunately, you do not have to remember to apply LaTeX markup at all if you use EXP's LaTeX-oriented document templates and style sheets discussed in the topic Document Templates and Style Sheets.


Document Templates and Style Sheets

EXP provides special document templates and style sheets to facilitate creating documents that convert properly to LaTeX. If you use these special document templates and style sheets, you do not need to remember to apply LaTeX markup to your documents because the styles apply the necessary LaTeX markup automatically. In addition, using these document templates and style sheets makes your EXP documents look similar to the final LaTeX output. This makes it easier for you to spot mistakes in the use of a style that could lead to LaTeX conversion problems.

EXP provides six LaTeX-oriented document templates. Each document template has a style sheet associated with it. The document templates are as follows:

LaTeX article 12pt

This document template is designed for creating LaTeX documents in 12-point type using the LaTeX article document class. This document template uses the ltxart2 style sheet.

LaTeX book 12pt

This document template is designed for creating LaTeX documents in 12-point type using the LaTeX book document class. This document template uses the ltxbook2 style sheet.

LaTeX report 12pt

This document template is designed for creating LaTeX documents in 12-point type using the LaTeX report document class. This document template uses the ltxrep2 style sheet.

AMS article 12pt

This document template is designed for creating LaTeX documents in 12-point type using the AMS-LaTeX amsart document class. This document template uses the amsart2 style sheet.

AMS book 12pt

This document template is designed for creating LaTeX documents in 12-point type using the AMS-LaTeX amsbook document class. This document template uses the amsbook2 style sheet.

AMS proceedings 12pt

This document template is designed for creating LaTeX documents in 12-point type using the AMS-LaTeX amsproc document class. This document template uses the amsproc2 style sheet.

When you base a new document on one of these templates, the document is automatically configured for conversion to that particular LaTeX document class. The style sheet used by each document template defines only the styles supported by that LaTeX document class. Thus, you are prevented from typing chapter headings when using the LaTeX article document class (it does not allow chapter headings). See the topic Using the LaTeX-Oriented Style Sheets for detailed information concerning the styles provided by these LaTeX-oriented style sheets.


Configuring the Conversion Process

EXP provides many options for controlling the conversion process. Each document has its own set of LaTeX conversion options. Changes you make to the conversion options for one document do not affect the conversion options of other documents. When you save a document, the conversion options are saved in the document's file.

You manipulate a document's options via the Document Options dialog box. To display this dialog box, choose Document from the Options menu. The LaTeX conversion options are organized into a set of dialog boxes accessible by choosing the LaTeX Conversion button in the Document Options dialog box.

To configure LaTeX conversion options

  1. From the Options menu, choose Document (ALT, O, D).

EXP will display the Document Options dialog box.

  1. Choose the LaTeX Conversion button.

EXP will display the LaTeX Conversion Options dialog box. The controls in this dialog box are as follows:

Document Class Use this control to specify the LaTeX document class. EXP places this class name in the \documentclass command. The control lists the names of the six standard LaTeX and AMS-LaTeX document classes: article, book, report, amsart, amsbook, and amsproc.

Document Class Options Choose this button to specify document class options. See the topic Document Class Options for details.

Tag File Use this control to specify the document's EXP-LaTeX tag file. The subject of EXP-LaTeX tag files is discussed in the topic EXP-LaTeX Tag Files. The control lists the names of the tag files for the six standard LaTeX and AMS-LaTeX document classes: article, book, report, amsart, amsbook, and amsproc.

Don't Output Preamble or Front Matter Turn on this check box to instruct EXP not to output the preamble, the front matter, or the \begin{document} and \end{document} commands. This option is useful if you want to use EXP to create a LaTeX file that will be included in another LaTeX file.

Bibliography Choose this button to specify options for controlling the conversion of the document's bibliography. See the topic Options for Bibliography Conversion for details.

Equation Numbering Choose this button to specify options for controlling the conversion of equation numbers. See the topic Conversion of Equation Numbers for details.

Front Matter Choose this button to specify the document's front matter. See the topic Front Matter for details.

Graphics Choose this button to specify options for controlling the conversion of graphics. See the topic Conversion of Graphics for details.

Preamble Choose this button to add additional LaTeX commands to the preamble. See the topic The Preamble for details.

Sequences Choose this button to specify options for controlling the conversion of EXP sequences. See the topic Conversion of Sequences for details.

  2. Configure the options as needed.

  3. Choose the OK button.

EXP will close the LaTeX Conversion Options dialog box and return you to the Document Options dialog box.

  4. Choose the OK button to close the Document Options dialog box.

If you want to change the LaTeX document class, you should change both the Document Class and the Tag File controls. When you change the EXP-LaTeX tag file used by a document, you must save the document and then reopen it. EXP is unable to switch tag files while the document is open.


Document Class Options

Each LaTeX document class provides options for controlling the class's behavior. A document class's options can be divided into two groups: standard and nonstandard. Standard document class options are options provided by all (or virtually all) LaTeX document classes. An example of a standard document class option is the option 12pt. Nonstandard options are options unique to a particular document class. In addition to these document class options, the AMS-LaTeX amsmath package that provides math-formatting extensions to LaTeX provides options of its own. EXP provides specific dialog box controls for configuring the standard options and provides an edit field that allows you to specify nonstandard options.

To configure document class options

  1. In the LaTeX Conversion Options dialog box, choose the Document Class Options button.

EXP will display the Document Class Options dialog box.

  1. Configure the options as needed. Specify nonstandard options by typing the option in the Other Options edit field.

  2. Choose the OK button.

EXP will close the Document Class Options dialog box and return you to the LaTeX Conversion Options dialog box.


Options for Bibliography Conversion

The subject of typing a bibliography in EXP so that it will convert properly to LaTeX is discussed in the topic The Bibliography. The discussion here covers only the subject of configuring options that affect the conversion of a bibliography.

To configure options for the conversion of the bibliography

  1. In the LaTeX Conversion Options dialog box, choose the Bibliography button.

EXP will display the Bibliography dialog box. The controls in this dialog box are as follows:

Use BibTeX This check box determines how EXP converts the bibliography. If this check box is off, EXP performs a literal conversion of the bibliography. If this check box is on, EXP replaces the bibliography with the LaTeX commands that instruct BibTeX where to generate the bibliography. See the topic The Bibliography for further details.

Bibliography Style Use this control to specify the style of bibliography that BibTeX should generate. The control lists the standard styles, but you can specify any style you wish to use. EXP places this style name in the \bibliographystyle command.

BibTeX Database Files Use this control to specify the bibliographic database files that BibTeX should use to generate the bibliography. EXP places these filenames in the \bibliography command. If you need to specify multiple database files, separate the filenames with commas.

Format the bibliography in open style By default, LaTeX formats bibliographies in compressed style. Turn on this check box to instruct LaTeX to format the bibliography in open style. This option represents the document class option openbib.

Widest Label If you are not using BibTeX, type in this edit field the widest label in the bibliography. If the bibliography uses numbers, the default label of 99 should be sufficient. EXP uses this string as the parameter to the command \begin{thebibliography}.

  1. Configure the options as needed.

  2. Choose the OK button.

EXP will close the Bibliography dialog box and return you to the LaTeX Conversion Options dialog box.


Conversion of Equation Numbers

For an equation number to convert properly to LaTeX, it must conform to the following requirements:

• The equation number must be inside an Rflush or Lflush box.

• The Rflush or Lflush box must be inside a Display box.

• If the equation number uses an automatic (sequence-based) number and a bookmark is defined in the equation so the number can be referred to elsewhere in the document, the bookmark must be defined directly after the automatic number.

There are two approaches to entering equation numbers in an EXP document:

  1. You can use sequence-based equation numbers except when a hard-coded equation number such as (*) is required.

This is the recommended approach. It is recommended that you use the sequence "equation" for numbering equations.

  1. You can use hard-coded equation numbers exclusively.

Although this approach can be converted to LaTeX, it is not recommended because it prevents you from using automatic numbers to refer to equation numbers.

Equation numbers are handled quite differently in LaTeX than in EXP. In EXP, you type an equation number if you want an equation to have one. In LaTeX, all equations are numbered automatically by default unless you specify a custom equation number for a particular equation. The formatting and placement of the automatically generated equation numbers are determined by the LaTeX document class.

EXP provides the following options for controlling the conversion of equation numbers:

• Convert all equation numbers to LaTeX style-based numbers

Choose this option if the document uses hard-coded equation numbers where it should use automatic equation numbers.

• Convert only sequence-based equation numbers to LaTeX style-based numbers

Choose this option if the document follows the recommended approach of using sequence-based equation numbers except where a hard-coded equation number is required.

• Convert all equation numbers as they are

This option is rarely needed. You should only use it if you really know what you are doing.

• Add equation numbers where missing

Choose this option if some of the equations in the document are unnumbered but should be numbered. EXP will add a LaTeX style-based equation number to any equation that doesn't have an equation number.

To configure options for the conversion of equation numbers

  1. In the LaTeX Conversion Options dialog box, choose the Equation Numbering button.

EXP will display the Equation Numbering dialog box.

  2. Configure the options as needed.

  3. Choose the OK button.

EXP will close the Equation Numbering dialog box and return you to the LaTeX Conversion Options dialog box.

When entering an equation number that contains a section number, such as (5.3) for section 5 equation 3, you should use an automatic number for the section number. This makes it possible for EXP to convert references to the equation number properly.


Front Matter

The front matter of a LaTeX document consists of commands that define such information as the document's title, the author's name, and the document's date. Different LaTeX document classes require different front matter commands. For example, the AMS document classes amsart, amsbook, and amsproc require an expanded set of front matter commands compared to the LaTeX article document class.

EXP makes no attempt to convert text in the EXP document into LaTeX front matter. Instead, EXP relies on you to specify the LaTeX front matter commands explicitly. In addition, you must mark any paragraphs in the EXP document that represent front matter with the LaTeX paragraph-level markup attribute Ignore. If you use the LaTeX-oriented style sheets discussed in the topic Using the LaTeX-Oriented Style Sheets, this process of ignoring certain paragraphs is performed automatically.

In LaTeX, the placement of the front matter is determined by the document class. Some document classes, such as article, allow you to place the front matter either on the first page of the document or on a separate title page. EXP provides the following options for controlling the placement of front matter:

• Default

Choose this option to use the document class's default placement.

• Don't print front matter

Choose this option if you don't want LaTeX to print the front matter. EXP will still output the front matter commands to the LaTeX file, but it will not output the \maketitle command that instructs LaTeX to typeset the front matter.

• Place front matter on first text page

This option instructs EXP to output the document class option notitlepage.

• Place front matter on separate title page

This option instructs EXP to output the document class option titlepage.

The AMS document classes differ from the standard LaTeX document classes in that they require the document's abstract to appear in the LaTeX file before the \maketitle command. EXP provides an option called Put \maketitle after Abstract to handle this situation.

To configure front matter

  1. In the LaTeX Conversion Options dialog box, choose the Front Matter button.

EXP will display the Front Matter dialog box. The controls in this dialog box are as follows:

Front Matter Fill in the front matter commands listed in this edit field. To start a new line, press ENTER.

Replace Front Matter…for Standard LaTeX Documents Choose this button to replace the commands in the edit field with the front matter commands required by the standard LaTeX document classes.

Replace Front Matter…for AMS Documents Choose this button to replace the commands in the edit field with the front matter commands required by the AMS document classes.

Placement Use this control to specify the placement of the front matter in the LaTeX document. The placement options were discussed earlier.

Put \maketitle after Abstract This option instructs EXP to delay outputting the \maketitle command until after the abstract has been output. This option is set automatically when you request the AMS front matter commands.

  1. Configure the front matter as needed.

  2. Choose the OK button.

EXP will close the Front Matter dialog box and return you to the LaTeX Conversion Options dialog box.


Conversion of Graphics

EXP and LaTeX handle graphics quite differently. In EXP, a document's graphics are stored in the document's file. In LaTeX, each graphic in a document must be stored in a separate graphics file. A graphic is then incorporated into the document via a LaTeX macro. Several LaTeX graphics macros exist. EXP supports the following ones:

• \includegraphics

This macro is the standard LaTeX graphics macro. If you choose this graphics macro and your LaTeX system provides the newer "graphicx" package, you must add the following command to the preamble:

\usepackage{graphicx}

If your LaTeX system only provides the older "graphics" package, you must add the following command to the preamble:

\usepackage{graphics}

• \FRAME

This macro is used by the Scientific WorkPlace product. If you choose this graphics macro, you must add the following command to the preamble:

\input tcilatex

• \psfig

The AMS requests that LaTeX documents sent to them use one of several PostScript-oriented graphics macros. EXP supports the \psfig macro. If you choose this graphics macro, you must add the following command to the preamble:

\input psfig

Beyond the issue of which LaTeX graphics macro to use is the issue of which graphics file format to use. Scientific WorkPlace can use graphics in the BMP and WMF formats. Virtually all other implementations of LaTeX are oriented around using Encapsulated PostScript (EPS) graphics. Some newer implementations of LaTeX, however, also support the EMF, JPEG, and PNG formats.

EXP exports graphics to the same directory as the LaTeX file. The name of each graphics file consists of the LaTeX file's name followed by a four-digit number. If you export an EXP document to a LaTeX file named test.tex, the graphics in the document will be exported to files named test0000, test0001, test0002, etc. The filename extension depends on how the graphics are exported.

To configure options for the conversion of graphics

  1. In the LaTeX Conversion Options dialog box, choose the Graphics button.

EXP will display the Graphics dialog box. The controls in this dialog box are as follows:

Generate \includegraphics macro for graphicx package The use of this option is discussed earlier in this topic.

Generate \includegraphics macro for graphics package The use of this option is discussed earlier in this topic.

Generate \FRAME macro for Scientific WorkPlace The use of this option is discussed earlier in this topic.

Generate \psfig macro The use of this option is discussed earlier in this topic.

Use source graphics files (when possible) Turn on this check box to instruct EXP to generate LaTeX graphics macros that refer to the original files used to insert graphics. This option only affects those graphics in a document that are linked to a source file. Additional information about this option is given later.

Don't prefix graphics file names with directory path Turn on this check box to instruct EXP to use only the filename of a graphics file in a graphics macro. The AMS requests that only filenames be used in graphics macros. If this check box is off, EXP uses the full pathname of the exported graphics file in the graphics macro.

Don't output graphics Turn on this check box to instruct EXP not to export graphics and not to output any graphics macros. This option is useful if you want to convert a document to LaTeX but your LaTeX system doesn't support graphics.

Export JPEG as BMP Turn on this check box to instruct EXP to export JPEG format graphics to files in the Windows Bitmap (BMP) format.

Export PNG as BMP Turn on this check box to instruct EXP to export Portable Network Graphics (PNG) format graphics to files in the Windows Bitmap (BMP) format.

Export EMF as WMF Turn on this check box to instruct EXP to export Windows Enhanced Metafile (EMF) format graphics to files in the Windows Metafile (WMF) format.

  1. Configure the options as needed.

  2. Choose the OK button.

EXP will close the Graphics dialog box and return you to the LaTeX Conversion Options dialog box.

EXP's logic for determining how to export a given graphic is dependent on the following factors:

  • the format of the graphic in the EXP document

  • the format of the graphics file from which the graphic was inserted

  • whether the graphic is linked or not

  • the LaTeX graphics macro being generated

  • the other options in the LaTeX Conversion Options: Graphics dialog box

The behavior of the option "Use source graphics files (when possible)" requires some further explanations:

  • EXP will only consider referring to source graphics files of the following types:

  • Adobe Illustrator (AI)

  • Encapsulated PostScript (EPS)

  • JPEG File Interchange Format (JPEG)

  • Portable Network Graphics (PNG)

  • Windows Bitmap (BMP)

  • Windows Enhanced Metafile (EMF)

  • Windows Metafile (WMF)

  • If the option "Use source graphics files (when possible)" is not set and the EXP document contains a multi-format Windows Enhanced Metafile (EMF) graphic, EXP will create a new EPS file containing the embedded PostScript data and then generate a LaTeX graphics macro that refers to the EPS file. For information about multi-format Windows Enhanced Metafile graphics, see How EXP Imports Encapsulated PostScript Graphics.

  • Because most LaTeX systems do not support EPS files containing TIFF or WMF preview images, EXP will not generate LaTeX graphics macros that refer to such EPS files. In such a case, EXP extracts the PostScript data from the EPS file, creates a new plain EPS file containing the PostScript data, and then generates a LaTeX graphics macro that refers to the plain EPS file.

  • There is an interaction between the option "Use source graphics files (when possible)" and the options "Export JPEG as BMP", "Export PNG as BMP", and "Export EMF as WMF". The latter three options override the option "Use source graphics files (when possible)".


The Preamble

The beginning portion of a LaTeX file is referred to as the preamble. EXP gives you complete control over the contents of the preamble. By default, EXP places only the following two commands in the preamble:

\usepackage{exptex}

\usepackage{expthmi}

These two packages are discussed in the topic Getting Started.

To configure the preamble

  1. In the LaTeX Conversion Options dialog box, choose the Preamble button.

EXP will display the Preamble dialog box. The controls in this dialog box are as follows:

Additional Commands This edit field allows you to enter additional commands you want to include in the preamble of the LaTeX file. To start a new line, press ENTER.

Don't Include exptex Package Although the command that loads the exptex package is not listed in the edit field, it is included in the preamble unless this check box is on.

  1. Configure the preamble as needed.

  2. Choose the OK button.

EXP will close the Preamble dialog box and return you to the LaTeX Conversion Options dialog box.


Conversion of Sequences

Automatic numbering is handled differently in LaTeX than in EXP. EXP's automatic numbering system is based on sequences. LaTeX's automatic numbering system is based on counters. Because the name of a LaTeX counter can only contain letters, EXP requires that the sequence names you use also contain only letters.

To convert an EXP sequence name to a LaTeX counter name, EXP converts the sequence name to lowercase and adds a short prefix to it. The default prefix is SEQ. EXP adds a prefix because otherwise you could get a naming conflict with an existing LaTeX counter. You can specify a different prefix if you need to. EXP converts the sequence name to lowercase because LaTeX counter names are case sensitive whereas EXP sequence names are not.

The LaTeX counters to which the EXP sequences are converted must be declared in the preamble of the LaTeX file. EXP adds the appropriate declarations (\newcounter commands) to the preamble automatically. You do not have to add any commands to the preamble.

In many cases, even if an EXP document uses sequences extensively, no LaTeX counter declarations are required because EXP converts most uses of sequences into LaTeX constructs that are numbered automatically. For example, you might use a sequence named section to number the sections in a document. Such section numbers are stripped off by the converter because LaTeX automatically numbers sections by itself. Thus, the LaTeX counter named SEQsection is never used. If you know that all the sequences in an EXP document are converted to LaTeX commands that do not use the synthesized LaTeX counter names, you can instruct EXP not to output any counter declarations in the preamble. If you have configured an EXP document for optimal conversion to LaTeX, you should always be able to turn on this option.

To configure options for sequence conversion

  1. In the LaTeX Conversion Options dialog box, choose the Sequences button.

EXP will display the Sequences dialog box. The controls in this dialog box are as follows:

LaTeX Counter Name Prefix This edit field allows you to specify the prefix EXP should use when converting EXP sequence names to LaTeX counter names.

Don't Output newcounter Commands Turn on this check box if you know that none of the synthesized LaTeX counters is used.

  1. Configure the options as needed.

  2. Choose the OK button.

EXP will close the Sequences dialog box and return you to the LaTeX Conversion Options dialog box.


Checking for Conversion Problems

Before you convert a document to LaTeX, you can ask EXP to check the document for conversion problems. This is useful because it allows you to find conversion problems quickly without having to create a LaTeX file. Although EXP is not able to uncover every single item you might consider a problem, EXP is able to find major problems that prevent it from generating a LaTeX file.

To check a document for conversion problems

From the Options menu, choose Check LaTeX Conversion (ALT, O, L).

–or–

Press SHIFT+F11.

EXP will check the document for conversion problems starting from the beginning of the document. If EXP finds a problem, it displays a message informing you of the exact nature of the problem and positions the cursor at the location of the problem.

The types of problems that prevent EXP from converting a document to LaTeX can be divided into the following two groups:

Document-Coding Mistakes

Document-coding mistakes are made when typing the document. An example of a document-coding mistake is accidentally entering two Align codes in a table entry. Document-coding mistakes may or may not cause obvious formatting problems in EXP. The incorrect use of LaTeX markup is considered a document-coding mistake.

Conversion Limitations

You encounter a conversion limitation when you have typed something correctly but EXP cannot convert it to LaTeX. An example of a conversion limitation is the Hmove code: Unless an Hmove code is relative to the current position, EXP cannot convert it to LaTeX. See the topic Details and Limitations of the Conversion for a complete list of conversion limitations.

See Also

Details and Limitations of the Conversion


Using the LaTeX-Oriented Style Sheets

EXP provides special LaTeX-oriented style sheets that make it easier for you to create documents that will convert properly to LaTeX. By using these style sheets, you eliminate the need to apply LaTeX markup manually. The styles apply it for you automatically. Seven LaTeX-oriented style sheets are distributed with EXP:

ltxart2

This style sheet provides styles for 12-point type documents using the LaTeX article document class.

ltxbook2

This style sheet provides styles for 12-point type documents using the LaTeX book document class.

ltxrep2

This style sheet provides styles for 12-point type documents using the LaTeX report document class.

amsart2

This style sheet provides styles for 12-point type documents using the AMS amsart document class.

amsbook2

This style sheet provides styles for 12-point type documents using the AMS amsbook document class.

amsproc2

This style sheet provides styles for 12-point type documents using the AMS amsproc document class.

latex12

This style sheet defines all the style names contained in the other 12-point type style sheets. You would not normally use this style sheet.


First, Cont, and Last Variants

Some paragraph styles, such as Quotation, may need to be applied to a series of paragraphs. To get the vertical spacing and the paragraph indentation correct in such cases, the style sheet provides a group of four paragraph styles. Using the Quotation group as an example, the four styles are as follows:

Quotation

Apply this style to a single-paragraph quotation.

Quotation First

Apply this style to the first paragraph of a multiparagraph quotation.

Quotation Cont

Apply this style to all but the first and last paragraphs of a multiparagraph quotation.

Quotation Last

Apply this style to the last paragraph of a multiparagraph quotation.

The Quotation First, Quotation Cont, and Quotation Last styles are referred to as variant styles. Although the use of variant styles ensures that the EXP document is formatted properly, their use is not required for proper conversion to LaTeX. All four styles in the group apply the same LaTeX markup.


Headings

LaTeX provides many different types of headings. Each type can be numbered or unnumbered. Numbered headings are placed in the table of contents and are used in the header. Unnumbered headings are not placed in the table of contents and are not used in the header. The style sheet provides two styles for each type of heading: one for the numbered heading and one for the unnumbered heading. The name of every heading style begins with the word Heading. The style name for an unnumbered heading is the same as that for the corresponding numbered heading except that it ends with the word Plain. For example, Heading Section is a numbered section heading, and Heading Section Plain is an unnumbered section heading.

Numbered part and chapter headings differ from the other types of headings in that LaTeX typesets the word Part or Chapter together with the heading number above the actual heading text. The style sheet enables you to duplicate this type of formatting by providing styles named Heading Type Label and Heading Type Title. You should apply the Label style to the paragraph containing the part or chapter number and the Title style to the paragraph containing the heading text. By using the Label and Title styles in this way, you achieve WYSIWYG formatting that duplicates what LaTeX does and ensure that the heading will convert properly to LaTeX.

The paragraph styles for the headings are as follows:

Heading Part Label

Apply this style to the paragraph containing the text "Part #". This style does not correspond to a LaTeX command.

Heading Part Title

Apply this style to the paragraph containing the heading text. This style corresponds to the LaTeX command \part.

Heading Part Plain

This style corresponds to the LaTeX command \part*.

Heading Chapter Label

Apply this style to the paragraph containing the text "Chapter #". This style does not correspond to a LaTeX command.

Heading Chapter Title

Apply this style to the paragraph containing the heading text. This style corresponds to the LaTeX command \chapter.

Heading Chapter Plain

This style corresponds to the LaTeX command \chapter*.

Heading Special Section

This style corresponds to the LaTeX command \specialsection.

Heading Special Section Plain

This style corresponds to the LaTeX command \specialsection*.

Heading Section

This style corresponds to the LaTeX command \section.

Heading Section Plain

This style corresponds to the LaTeX command \section*.

Heading Subsection

This style corresponds to the LaTeX command \subsection.

Heading Subsection Plain

This style corresponds to the LaTeX command \subsection*.

Heading SubSubsection

This style corresponds to the LaTeX command \subsubsection.

Heading SubSubsection Plain

This style corresponds to the LaTeX command \subsubsection*.

Heading Paragraph

This style corresponds to the LaTeX command \paragraph.

Heading Paragraph Plain

This style corresponds to the LaTeX command \paragraph*.

Heading Subparagraph

This style corresponds to the LaTeX command \subparagraph.

Heading Subparagraph Plain

This style corresponds to the LaTeX command \subparagraph*.

It is strongly recommended that you use automatic numbers to number the headings in your documents. Use sequences with the same name as the type of heading. For example, use the sequence "section" to number the section headings.

Whether you use automatic numbers or type hard-coded numbers, you must apply the character style Heading Number to the numbers and any spaces or other characters that separate them from the actual heading text. The Heading Number style instructs the converter to ignore the heading number you typed in the EXP document.

For numbered headings, LaTeX normally places the heading text in the header. However, LaTeX provides an option whereby you can specify alternate text for the header. Although EXP does not convert a document's headers and footers to LaTeX, EXP does allow you to specify alternate text for the header. To do so, insert a LaTeX command containing the alternate text at the beginning of the heading text. Be sure the LaTeX command is not marked with the Heading Number style. See the topic Inserting LaTeX Commands for information about inserting LaTeX commands in an EXP document.


Normal Text

As all EXP style sheets do, the LaTeX-oriented style sheets provide the Normal style. The LaTeX-oriented style sheets also provide a style named Normal After Heading. When you press ENTER to start a new paragraph after typing a heading, EXP switches to the style Normal After Heading for one paragraph. The purpose of this style is to imitate the formatting done by LaTeX. Some LaTeX document classes provide different indentation for the first paragraph after a heading. The use of the style Normal After Heading is not required for proper conversion to LaTeX.


Declarations

EXP uses the term declaration to refer to a document structure such as a theorem, a lemma, or a corollary. The LaTeX User's Guide refers to declarations as theorem-like structures. Although LaTeX, by default, does not define any declarations, EXP and the expthmi.sty package do. EXP provides the following declarations:

Acknowledgment

Algorithm

Axiom

Case

Claim

Conclusion

Condition

Conjecture

Corollary

Criterion

Definition

Example

Lemma

Notation

Note

Problem

Proof

Proposition

Remark

Solution

Summary

Theorem

The style sheet provides four styles for each declaration: one for single-paragraph declarations and three for multiparagraph declarations. See the topic First, Cont, and Last Variants for information about style variants. The name of every declaration style begins with "Decl". For example, the styles for the Theorem declaration are

Decl Theorem

Decl Theorem First

Decl Theorem Cont

Decl Theorem Last

To demonstrate the proper use of the declaration styles, the following theorem is used as an example.

Follow these steps to apply the necessary styles:

  1. Apply the paragraph style Decl Theorem to the theorem's paragraph.

  2. Select the text from the beginning of the theorem up to but not including the first character of the actual theorem text. In this example, you would select the text "Theorem 5.3.3 (Central Limit Theorem): ".

  3. Apply the character style Declaration Lead-In to the selected text.

  4. Select the theorem's title. In this example, you would select the text "Central Limit Theorem".

  5. Apply the character style Declaration Title to the selected text.

After you perform these steps, the theorem will convert properly to LaTeX. The following notes elaborate on a few details:

• If the declaration consists of more than one paragraph, you should use the First, Cont, and Last style variants.

• The Declaration Lead-In style instructs the converter to ignore the text. For this reason, you must apply the Declaration Title style after you apply the Declaration Lead-In style.

• If the declaration does not have a title, you should not apply the character style Declaration Title.

• The text marked with the Declaration Title style must contain only ANSI characters.

• If you want to define a bookmark for a declaration so you can refer to the declaration's number, define the bookmark at the beginning of the declaration's text after the Declaration Lead-In text.


Lists

LaTeX provides three types of lists. An example of each type follows.

Here is an itemized list:

• EXP runs under Microsoft Windows.

• EXP is a WYSIWYG word processor.

• EXP can convert documents to LaTeX.

Here is an enumerated list:

  1. Open the file.

  2. Print the file.

  3. Save the file.

Here is a descriptive list:

CTRL+O Open File

CTRL+P Print File

CTRL+S Save File

The style sheet provides styles for formatting each type of list. The styles for itemized lists are

List Bullet

List Bullet First

List Bullet Cont

List Bullet Last

List Bullet Cont Last

The styles for enumerated lists are

List Number

List Number First

List Number Cont

List Number Last

List Number Cont Last

The styles for descriptive lists are

List Description

List Description First

List Description Cont

List Description Last

List Description Cont Last

To demonstrate the use of these styles, an itemized list is used as an example.

To type an itemized list

  1. Apply the style List Bullet First.

  2. Insert a bullet or any other character you want to use.

To insert a bullet, press F4, type bullet, and press ENTER.

  1. Press TAB.

  2. Type the text for the item.

  3. Press ENTER.

EXP will switch to the style List Bullet.

  4. Repeat steps 2 through 5 for all but the final item in the list.

  5. Apply the style List Bullet Last.

  6. Insert the bullet, the Tab, and the text for the final list item.

  7. Press ENTER.

EXP will switch to the Normal style.

If the text for an item consists of multiple paragraphs, you should apply the style List Bullet Cont to all but the first paragraph. If the final item consists of multiple paragraphs, you should apply styles as follows: Apply the style List Bullet to the first paragraph, apply the style List Bullet Cont to all but the first and last paragraphs, and apply the style List Bullet Cont Last to the last paragraph.

The use of the First, Cont, Last, and Cont Last variants is optional. All the styles for a given type of list apply the same LaTeX markup and thus result in the same LaTeX conversion. The variant styles exist only to provide the correct formatting in EXP.

The procedure for typing an enumerated list is the same as that for typing an itemized list except you use the styles beginning with List Number and you type 1., 2., 3. instead of inserting bullets.

The procedure for typing a descriptive list is also the same as that for typing an itemized list except you use the styles beginning with List Description and you type the items' labels instead of inserting bullets. When typing a descriptive list, you can make your EXP document duplicate the formatting done by LaTeX by applying the character style List Description Label to the label of each item. The use of the style List Description Label is optional and does not affect LaTeX conversion.

The styles for descriptive lists provide a fixed indentation. If you are typing a list whose labels are too wide to fit in the space provided, apply manual formatting to adjust the left indent, the first line indent, and the position of the tab. This manual formatting will in no way interfere with LaTeX conversion.


Displayed Paragraphs

A displayed paragraph is a paragraph visually separated from the surrounding text. A displayed paragraph is usually indented and has extra vertical space separating it from the paragraphs before and after it. LaTeX provides several types of displayed paragraphs, and the style sheet provides styles for each. The styles for displayed paragraphs are as follows:

Center

This style centers each line of the paragraph.

Flush Left

This style aligns the paragraph flush left.

Flush Right

This style aligns the paragraph flush right.

Quotation

This style formats longer quotations that may contain multiple paragraphs.

Quote

This style formats short quotes.

Verse

This style formats poetry. To begin a new line within a stanza, press SHIFT+ENTER to insert a NewLine.

Each of these styles has First, Cont, and Last variants.


The Abstract

The style sheet provides styles for formatting abstracts. You should use the style Abstract for formatting single-paragraph abstracts and use the styles Abstract First, Abstract Cont, and Abstract Last for formatting multiparagraph abstracts. The abstract's heading should be formatted with the style Abstract Heading.


Character Styles

Although LaTeX is not a WYSIWYG system and discourages the use of "hard" formatting commands in LaTeX files, LaTeX does provide a number of commands for specifying formatting. For each LaTeX formatting command, the style sheet provides a corresponding character style. The styles are as follows:

Emphasis

This style formats text using the opposite of the paragraph style's italic attribute. If the paragraph style does not use italics, text marked with the Emphasis style is formatted in italics. If the paragraph style does use italics, text marked with the Emphasis style is not formatted in italics. This behavior ensures that the text stands out regardless of the formatting attributes used by the paragraph style. This style corresponds to the LaTeX command \emph.

Bold Math

This style formats math in bold. Do not use this style to format text in bold; use the Bold Text style instead. This style corresponds to the LaTeX command \boldsymbol. You can also format math in bold by applying the bold formatting attribute. This is an instance where the LaTeX converter pays attention to WYSIWYG formatting.

Bold Text

This style formats text in bold. Do not use this style to format math in bold; use the Bold Math style instead. This style corresponds to the LaTeX command \textbf. Unlike the situation with bold math, the LaTeX converter ignores the bold formatting attribute when applied to text.

Italic

This style formats text in italics. It corresponds to the LaTeX command \textit.

Roman

This style formats text using a Roman typeface. It corresponds to the LaTeX command \textrm.

Small Caps

In LaTeX, this style formats text using a small caps font. In EXP, this style does not cause any visible change to the text because Windows does not provide a small caps font. This style corresponds to the LaTeX command \textsc.

Sans Serif

This style formats text using a sans serif font. It corresponds to the LaTeX command \textsf.

Slanted

In LaTeX, this style formats text using a slanted font. In EXP, this style formats text in italics because Windows does not provide a slanted Roman font. This style corresponds to the LaTeX command \textsl.

Typewriter

This style formats text using a monospaced typewriter font. It corresponds to the LaTeX command \texttt.

The style sheet also provides character styles for controlling font sizing. The actual font size represented by each step is determined by the LaTeX document class. The font sizing styles are as follows:

Normal Size

This style formats text using the default font size specified by the LaTeX document class. It corresponds to the LaTeX command \normalsize. You should only use this style if you need to format normal size text inside a heading or some other construct that uses a larger or smaller font by default.

Normal Size + 1

This style formats text one step larger than the style Normal Size. It corresponds to the LaTeX command \large.

Normal Size + 2

This style formats text two steps larger than the style Normal Size. It corresponds to the LaTeX command \Large.

Normal Size + 3

This style formats text three steps larger than the style Normal Size. It corresponds to the LaTeX command \LARGE.

Normal Size + 4

This style formats text four steps larger than the style Normal Size. It corresponds to the LaTeX command \huge.

Normal Size + 5

This style formats text five steps larger than the style Normal Size. It corresponds to the LaTeX command \Huge.

Normal Size - 1

This style formats text one step smaller than the style Normal Size. It corresponds to the LaTeX command \small.

Normal Size - 2

This style formats text two steps smaller than the style Normal Size. It corresponds to the LaTeX command \footnotesize.

Normal Size - 3

This style formats text three steps smaller than the style Normal Size. It corresponds to the LaTeX command \scriptsize.

Normal Size - 4

This style formats text four steps smaller than the style Normal Size. It corresponds to the LaTeX command \tiny.

Normal Size - 5

This style formats text five steps smaller than the style Normal Size. It corresponds to the LaTeX command \Tiny.


The Title Page

Most LaTeX documents begin with the document's title, the name of the author, and the date of publication. These three pieces of information are called the document's front matter. The subject of specifying LaTeX front matter in EXP is discussed in the topic Front Matter.

Some LaTeX document classes give you a choice of placing the front matter on the first page of the text or on a separate title page. If you place the front matter on the first page of the text, use the following styles:

Document Title

Apply this style to the paragraph containing the document's title. If the title is too long to fit on one line, press SHIFT+ENTER to start a new line; don't press ENTER to start a new paragraph.

Document Author

Apply this style to the paragraph containing the author's name. If there are multiple authors and you need to start a new line, press SHIFT+ENTER; don't press ENTER to start a new paragraph.

Document Date

Apply this style to the paragraph containing the date of publication. If you need to start a new line to specify revision dates, press SHIFT+ENTER; don't press ENTER to start a new paragraph.

If you place the front matter on a separate title page, use the following styles:

Title Page Title

Apply this style to the paragraph containing the document's title. If the title is too long to fit on one line, press SHIFT+ENTER to start a new line; don't press ENTER to start a new paragraph.

Title Page Author

Apply this style to the paragraph containing the name of the author. If there are multiple authors and you need to start a new line, press SHIFT+ENTER; don't press ENTER to start a new paragraph.

Title Page Date

Apply this style to the paragraph containing the date of publication. If you need to start a new line to specify revision dates, press SHIFT+ENTER; don't press ENTER to start a new paragraph.

After you type the front matter for the title page, press CTRL+ENTER to start a new page.

Because the front matter you type in the document is ignored by the LaTeX converter, you do not have to use the styles described in this topic. You can type and format the front matter any way you want. You must, however, mark each paragraph of the front matter with the paragraph-level LaTeX markup attribute Ignore.


The Table of Contents

LaTeX can build a table of contents automatically. LaTeX uses the headings in the document to accomplish this task. EXP cannot build a table of contents automatically; you must create it yourself manually. The LaTeX converter can, however, replace a manually created table of contents with the LaTeX command \tableofcontents that instructs LaTeX to build the table of contents automatically. Use the following styles to create a table of contents that will convert properly to LaTeX:

TOC Label

Apply this style to the heading "Table of Contents" that introduces the table of contents.

TOC Part

If the document is divided into parts, apply this style to the TOC's entry for each part.

TOC 1

Apply this style to level one TOC entries.

TOC 2

Apply this style to level two TOC entries.

TOC 3

Apply this style to level three TOC entries.


The List of Tables

The list of tables is a document structure that lists the caption and page number of each table. The list of tables typically appears after the table of contents. LaTeX can build a list of tables automatically. EXP cannot build a list of tables automatically; you must create it yourself manually. The LaTeX converter can, however, replace a manually created list of tables with the LaTeX command \listoftables that instructs LaTeX to build the list of tables automatically. Use the following styles to create a list of tables that will convert properly to LaTeX:

LOT Label

Apply this style to the heading "List of Tables" that introduces the list of tables.

LOT Entry

Apply this style to each entry in the list of tables.

The topic Tables discusses the details of creating tables that LaTeX will list in the list of tables.


Tables

The tables in a LaTeX document can be divided into two categories: inline and floating.

Inline Tables

LaTeX places inline tables exactly where they appear in the LaTeX file. They are typeset inline with the text before and after them. LaTeX does not list inline tables in the list of tables. The LaTeX converter converts most EXP tables to LaTeX inline tables.

Floating Tables

LaTeX places floating tables where it thinks they fit best. LaTeX lists floating tables in the list of tables. Although EXP cannot float tables itself, the LaTeX converter can convert specially formatted EXP tables to LaTeX floating tables.

For the converter to convert a particular EXP table to a LaTeX floating table, the table must be followed immediately by a Roof or Rug box containing a caption. Because the creation in EXP of a table that imitates the appearance of, and converts to, a LaTeX floating table is somewhat tricky, EXP provides an insert file called Table. This insert file provides a template for creating a LaTeX floating table.

To create a LaTeX floating table in EXP

  1. Position the cursor at the beginning of the paragraph you want to follow the table.

  2. From the Insert menu, choose File (ALT, I, I).

EXP will display the Insert File dialog box. Make sure the directory displayed by the dialog box is <home>\Insert, where <home> refers to the directory in which you installed EXP.

  1. In the File name edit field, type table.

  2. Choose the OK button.

–or–

Press ENTER.

EXP will insert the Table insert file.

  3. Position the cursor inside the table.

  4. Press SHIFT+RIGHT to select the entire table.

  5. Press DELETE to delete the table.

  6. Insert a new table with the row and column dimensions you want.

  7. Position the cursor directly after the word Caption. Make sure the leftmost field of the Status Bar says /Rug.

  8. Press CTRL+BACKSPACE to delete the word.

  9. Type the new caption.

The styles used by the Table insert file are as follows:

Table Caption Center

This paragraph style centers the table in the EXP document. It differs from the style Center.

Caption Lead-In

This character style is applied to the portion of the table's caption before the actual caption text begins. It instructs the converter to ignore the text.

The Table insert file uses the sequence "table" to number the tables automatically. To refer to the table's number, define a bookmark at the end of the Rug box containing the caption.

On occasion you may need to create an inline table centered on a line of its own.

To create a centered inline table

  1. Press ENTER to create an empty paragraph.

  2. Apply the paragraph style Table Center to the empty paragraph.

  3. Insert the table as you normally would.


The List of Figures

The list of figures is a document structure that lists the caption and page number of each figure. The list of figures typically appears after the list of tables. LaTeX can build a list of figures automatically. EXP cannot build a list of figures automatically; you must create it yourself manually. The LaTeX converter can, however, replace a manually created list of figures with the LaTeX command \listoffigures that instructs LaTeX to build the list of figures automatically. Use the following styles to create a list of figures that will convert properly to LaTeX:

LOF Label

Apply this style to the heading "List of Figures" that introduces the list of figures.

LOF Entry

Apply this style to each entry in the list of figures.

The topic Figures discusses the details of creating figures that LaTeX will list in the list of figures.


Figures

The graphics in a LaTeX document can be divided into two categories: inline graphics and floating figures.

Inline Graphics

LaTeX places inline graphics exactly where they appear in the LaTeX file. They are typeset inline with the text before and after them. LaTeX does not list inline graphics in the list of figures. The LaTeX converter converts most EXP graphics to LaTeX inline graphics.

Floating Figures

LaTeX places floating figures where it thinks they fit best. LaTeX lists floating figures in the list of figures. Although EXP cannot float graphics itself, the LaTeX converter can convert specially formatted EXP graphics to LaTeX floating figures.

For the converter to convert a particular EXP graphic to a LaTeX floating figure, the graphic must be followed immediately by a Roof or Rug box containing a caption. Because the creation in EXP of a figure that imitates the appearance of, and converts to, a LaTeX floating figure is somewhat tricky, EXP provides an insert file called Figure. This insert file provides a template for creating a LaTeX floating figure.

To create a LaTeX floating figure in EXP

  1. Position the cursor at the beginning of the paragraph you want to follow the figure.

  2. From the Insert menu, choose File (ALT, I, I).

EXP will display the Insert File dialog box. Make sure the directory displayed by the dialog box is <home>\Insert, where <home> refers to the directory in which you installed EXP.

  1. In the File name edit field, type figure.

  2. Choose the OK button.

–or–

Press ENTER.

EXP will insert the Figure insert file.

  3. Click the graphic to select it.

  4. Press DELETE to delete the graphic.

  5. Insert the graphic you want.

  6. Position the cursor directly after the word Caption. Make sure the leftmost field of the Status Bar says /Rug.

  7. Press CTRL+BACKSPACE to delete the word.

  8. Type the new caption.

The styles used by the Figure insert file are as follows:

Figure Caption Center

This paragraph style centers the figure in the EXP document. It differs from the style Center.

Caption Lead-In

This character style is applied to the portion of the figure's caption before the actual caption text begins. It instructs the converter to ignore the text.

The Figure insert file uses the sequence "figure" to number the figures automatically. To refer to the figure's number, define a bookmark at the end of the Rug box containing the caption.

On occasion you may need to create an inline graphic centered on a line of its own.

To create a centered inline graphic

  1. Press ENTER to create an empty paragraph.

  2. Apply the paragraph style Figure Center to the empty paragraph.

  3. Insert the graphic you want.


The Bibliography

LaTeX provides two methods for building a bibliography: You can build it yourself manually, or you can use BibTeX to build it automatically. EXP cannot build a bibliography automatically; you must build it yourself. The LaTeX converter, however, gives you the option of using your manually built bibliography or replacing it with the LaTeX commands that instruct BibTeX to build a bibliography. The choice of whether to use BibTeX is part of a document's LaTeX conversion options. See the topic Options for Bibliography Conversion for a discussion concerning conversion options for the bibliography.

For EXP to convert a bibliography properly to LaTeX, the bibliography must conform to the following requirements:

• The paragraph containing the word "Bibliography" that introduces the bibliography must be marked with the paragraph style Bibliography Label.

• Each entry in the bibliography must be marked with the paragraph style Bibliography Entry.

• Each entry in the bibliography must be numbered with an automatic number. It is recommended that you use the sequence "bibref".

• Each entry in the bibliography must contain a single tab that separates the entry's reference number from the entry's description.

• Each entry in the bibliography must contain a bookmark definition. It is recommended that you define the bookmark directly after the tab.

• References to the bibliography in the text must use an automatic number to refer to the sequence "bibref" at the appropriate bookmark. The converter converts bibliographic references of the form [#] to the LaTeX \cite command.

EXP provides an insert file called Bibliography that contains a template for a bibliography.

If you want to use BibTeX, there are a few issues you need to be aware of:

• Even if you instruct EXP to convert the document to use BibTeX, you must still build a complete bibliography in the EXP document. Although the converter replaces the manually built bibliography with LaTeX commands to rebuild it, the converter needs a bibliography in the document to convert bibliographic references.

• EXP converts the bookmark name assigned to a bibliography entry into a LaTeX key. To perform this conversion, EXP converts the bookmark name to lowercase and then converts any underscores (_) to colons (:). These synthesized LaTeX keys are used in both the \bibitem and \cite commands. When building a BibTeX database file, you must use the same keys as those synthesized by EXP.


The Index

LaTeX provides a program called MakeIndex that can build an index automatically. EXP cannot build an index automatically; you must build it yourself. The LaTeX converter can, however, replace a manually built index with the LaTeX command \printindex that instructs MakeIndex where to include the index.

Use the following styles to format an index that will convert properly to LaTeX:

Index Label

Apply this style to the paragraph containing the word "Index" that introduces the index.

Index Entry 1

Apply this style to a main entry in the index.

Index Entry 2

Apply this style to a subentry in the index.

Index Entry 3

Apply this style to a subsubentry in the index.

To use the MakeIndex program, you must also perform the following steps:

  1. Add the following commands to the preamble of the LaTeX file:

\usepackage{makeidx}

\makeindex

See the topic The Preamble for information about adding commands to the preamble.

  1. Insert LaTeX \index commands in the EXP document to add entries to the index. See the topic Inserting LaTeX Commands for information about inserting LaTeX commands in an EXP document.


Ignoring Text During Conversion

One significant difference between EXP and LaTeX is that for many document structures LaTeX automatically provides certain text that EXP requires you to type yourself. An example of this is the situation with numbered headings. EXP requires you to insert automatic numbers, periods, and spaces to typeset the heading number. LaTeX inserts the heading number automatically when you use one of the heading commands, such as \section. The style sheet provides the style Heading Number to handle this situation. You apply this style to all the text that comprises the heading number, and the style instructs the converter to ignore that text.

Many of the styles in the style sheet instruct the converter to ignore either entire paragraphs (TOC 1) or specific text (Heading Number). Although the style sheet provides specific styles for common situations in which the converter should ignore text, it is impossible to anticipate every situation and define a specific style for each. If you encounter a situation in which you need the converter to ignore some text but none of the styles seems appropriate, you have two options:

• If the text you want ignored is not an entire paragraph, you should apply the character style LaTeX Ignored Text to the text.

• If the text you want ignored consists of one or more paragraphs, you should define one or more new paragraph styles with the paragraph-level LaTeX markup attribute Ignore on and then apply those styles to the paragraphs you want ignored.


Insert Files

EXP provides a number of insert files that have templates for common structures in LaTeX documents. These files are called insert files because they are intended to be inserted into other documents. EXP stores insert files in the directory <home>\Insert, where <home> refers to the directory in which you installed EXP. You can create your own insert files and store them in this directory.

Insert files serve a purpose similar to that of text libraries. The main differences between the two are as follows:

• An insert file can contain multiple paragraphs, whereas a text library entry cannot.

• Unlike a text library entry, an insert file does not consume memory until it is used.

• The name of an insert file is limited by Windows file-naming restrictions.

• It is faster to insert a text library entry than to insert an insert file.

All the insert files provided with EXP use styles defined in the LaTeX-oriented style sheets. Thus, the document into which you insert one of these insert files must use one of the LaTeX-oriented style sheets. The insert files are as follows:

Abstract

This insert file provides a template for an abstract.

Bibliography

This insert file provides a template for a bibliography.

Figure

This insert file provides a template for a LaTeX floating figure.

Index

This insert file provides a template for an index.

List of Figures

This insert file provides a template for a list of figures.

List of Tables

This insert file provides a template for a list of tables.

Table

This insert file provides a template for a LaTeX floating table.

Table of Contents

This insert file provides a template for a table of contents.

Theorem, plain

This insert file provides a template for an untitled theorem.

Theorem, titled

This insert file provides a template for a theorem with a title.

To insert an insert file

  1. Position the cursor where you want the insert file inserted.

  2. From the Insert menu, choose File (ALT, I, I).

EXP will display the Insert File dialog box.

  1. Make sure the directory displayed by the dialog box is <home>\Insert, where <home> refers to the directory in which you installed EXP.

  2. In the File name edit field, type the name of the insert file you want.

  3. Choose the OK button.


Inserting LaTeX Commands

EXP allows you to insert LaTeX commands in a document. EXP does not normally display embedded LaTeX commands, and it ignores them except when converting the document to LaTeX. When you instruct EXP to convert the document to LaTeX, EXP outputs embedded LaTeX commands to the LaTeX file. It is strongly recommended that you only insert LaTeX commands when absolutely necessary. Two situations in which you do have to insert LaTeX commands are inserting \index commands for the MakeIndex program and specifying alternate text for the header in a numbered heading.

To insert a LaTeX command

  1. Position the cursor where you want the LaTeX command inserted.

  2. From the Insert menu, choose LaTeX Command (ALT, I, L).

–or–

Press CTRL+F11.

EXP will display the Insert LaTeX Command dialog box. The controls in this dialog box are as follows:

LaTeX Command In this edit field, type the LaTeX command exactly as it should appear in the LaTeX file. The command can be up to 55 characters long.

Requires Text mode Choose this button to inform EXP that LaTeX must not be in math mode when the command is processed.

Requires Math mode Choose this button to inform EXP that LaTeX must be in math mode when the command is processed.

Can be used in either mode Choose this button to inform EXP that it does not matter whether LaTeX is in math mode when the command is processed.

  1. In the edit field, type the command you want to insert.

  2. Use the LaTeX Command Mode buttons to specify the mode that LaTeX must be in when the command is processed.

  3. Choose the OK button.

To edit an embedded LaTeX command, position the cursor on the LaTeX command's code and press CTRL+E.

EXP does not normally display embedded LaTeX commands. If you do want EXP to display embedded LaTeX commands, you have two options: Display all codes or display only the LaTeX commands. To display all codes, press F12 to turn on the Show Codes option. To display only the LaTeX commands, turn on the Show LaTeX Commands check box in the Document Options dialog box.

You can use the Find command to find embedded LaTeX commands. The special search character ^x matches any LaTeX command.

If you need to insert a sequence of LaTeX commands that is longer than the Insert LaTeX Command dialog box allows, follow these steps:

To include a long sequence of LaTeX commands

  1. Use a text editor to create a LaTeX file to contain macro definitions.

  2. In the macro definition file, define a macro for the LaTeX command sequence.

  3. Add the necessary command to load the macro definition file to the preamble.

  4. Insert a LaTeX command that invokes the macro.

See Also

Finding Text


Details and Limitations of the Conversion

This section discusses the details and limitations of the conversion from EXP to LaTeX.


ANSI Characters

The following ANSI characters are converted to empty LaTeX macros defined in the exptex.sty package:

€ euro

ƒ florin

¤ currency

‰ perthousand

™ trademark

ª ordfeminine

º ordmasculine

‚ basequote

„ dbasequote

‹ lguillemet

› rguillemet

« lguillemets

» rguillemets

Ð Eth

þ thorn

Þ Thorn


Bookmarks

EXP uses bookmarks to identify locations to which you want to refer. LaTeX uses a technique similar to bookmarks called keys. As part of converting a document to LaTeX, EXP converts bookmark names to keys. To perform this conversion, EXP first converts the bookmark name to lowercase and then converts any underscores (_) to colons (:).


Boxes

• The Equcenter box must not be used outside a displayed equation.

• There is no equivalent in LaTeX to the Hcenter box. EXP converts situations involving the Hcenter box to a custom LaTeX macro defined in the exptex.sty package. This macro usually produces the desired result. However, if you use the Hcenter box in an unusual way, there may not be a good LaTeX equivalent. In general, you should avoid using the Hcenter box and use the Center style instead.

• The Lflush box should not be used outside a displayed equation. Inside a displayed equation, the Lflush box should be used to typeset an equation number flush left.

• The Lhs box is a holdover from EXP for DOS. It is strongly recommended that you not use the Lhs box in new EXP documents. The converter converts the Lhs box to a custom LaTeX macro defined in the exptex.sty package.

• The Lmhang and Rmhang boxes are both converted to LaTeX marginal notes. LaTeX makes the decision as to whether the note appears on the left side or the right side of the page.


Character-Level Formatting

With the following exceptions, the converter ignores all character-level formatting:

• LaTeX markup

• The Bold attribute when applied to math


Conditional Functions

• All options in the Table Formatting dialog box are ignored except Interrow Spacing.

• All options in the Table Entry Formatting dialog box are ignored.

• The Align code is ignored.


Equation Lists

• All options in the Table Formatting dialog box are ignored with the following exceptions: Vertical Alignment, Intercolumn Spacing, Interrow Spacing.

• Borders around entries are ignored.

• If the equation list contains more than one column, the Alignment option in the Table Entry Formatting dialog box is ignored.

• If the equation list contains one column and no Align codes, the Alignment option in the Table Entry Formatting dialog box for the first entry determines the alignment of the entire column. If Alignment is set to Center, each entry in the column is centered. If Alignment is set to anything else, each entry in the column is aligned flush left.

• If the equation list contains one column and at least one Align code, the Alignment option in the Table Entry Formatting dialog box is ignored.


Hrule Codes

• The Auto Height and Auto Depth options are not supported.

• The Auto Width option is supported only if the Hrule code is followed by a paragraph mark, a NewLine, or the end of the document.

• The No Draw and No Advance options cannot be used together.


Leader Codes

• The Leader code is only supported if it is followed by an Rflush box.

• If the leader character is an underscore, the LaTeX leader character will be an underscore. If the leader character is anything else, the LaTeX leader character will be a period.

• The Here code is ignored.


Matrices

• All options in the Table Formatting dialog box are ignored except Interrow Spacing.

• Borders around entries are ignored.

• The Align code is ignored.


Miscellaneous

• Headers and footers are ignored.

• The converter ignores color information. Color information applied to text, paragraph borders, table borders, graphics borders, and Hrule codes is ignored.

• The support for borders around graphics varies depending on the LaTeX graphics macro being used. The four borders are treated as if they all have the same thickness.

• Special footnote reference marks are ignored. All footnotes are automatically numbered.

• Only Hmove codes relative to the current position are supported.

• EXPTEST test markers are ignored.

• Soft hyphens are ignored.

• Column and page breaks are ignored.

• Section breaks are treated as paragraph marks.


Paragraph-Level Formatting

With the following exceptions, the converter ignores all paragraph-level formatting:

• LaTeX markup

• Tab formatting if the paragraph is not part of a list


Section-Level Formatting

The converter ignores all section-level formatting. The converter treats all section breaks as paragraph marks.


Special Spaces

• Nullspace is ignored. Unlike EXP, LaTeX can break an inline formula without help.

• Nsspace is converted to a regular space, which will stretch.

• Hardspace is converted to a nonbreaking space, which will stretch.


Symbols

The following symbols are converted to empty LaTeX macros defined in the exptex.sty package:

creturn

hazardous

pgram

mcAbox

mcBbox

mcCbox

mcDbox

mcEbox

mcFbox

mcTbox

mcbox

mcanswer


Tables

• The Vertical Spacing options are ignored.

• The Interrow Spacing options are ignored.

• The converter ignores the thickness of a border. A border is considered either present or absent.

• Although LaTeX provides an equivalent to the Align code in multiline displayed equations, LaTeX does not provide an equivalent to the Align code in tables. EXP simulates the Align code in LaTeX tables by using a custom LaTeX macro defined in the exptex.sty package. This simulation works quite well, but it does not yield exactly the same results as the Align code does in EXP.


Tabs

• Unless a paragraph contains exactly one tab and is part of a list, the converter converts tabs using the tab formatting of the paragraph.

• Decimal and character-aligned tabs are not supported.

• Tab leaders are ignored.


Overcoming Conversion Limitations

You can overcome some conversion limitations by marking problematic text with the character style LaTeX Ignored Text and then following that text with an embedded LaTeX command. For example, consider the situation in which you make a bibliographic citation using the author's initials. You might type "[SLS95]" if you were making a citation to the EXP User's Guide. EXP is not able to recognize that [SLS95] is a bibliographic citation because it appears the same as normal text. To get EXP to convert this citation properly, you would perform the following steps:

  1. Mark the text "[SLS95]" with the character style LaTeX Ignored Text. This instructs the converter to ignore the text.

  2. Directly after the text "[SLS95]", switch to the character style Default Paragraph Font and insert the following LaTeX command:

\cite{bib:sls95}

assuming bib:sls95 is the LaTeX key assigned to that entry in the bibliography.


Extending the Converter

As shipped from the factory, EXP supports six standard LaTeX and AMS document classes. If you want to use EXP to target some other LaTeX document class, you can extend EXP's LaTeX converter. The steps involved in extending the converter to support a new document class are as follows:

• Create a new EXP-LaTeX tag file that defines the tags and environments provided by the document class.

• Add the document class to EXP's Styles.def file.

• Create a new style sheet and define new styles for applying the necessary formatting and LaTeX markup.

• Create a new document template.


EXP-LaTeX Tag Files

An EXP-LaTeX tag file defines the tags and environments provided by a LaTeX document class. EXP-LaTeX tag files have the filename extension ELT. EXP stores ELT files in the directory <home>\LaTeX, where <home> refers to the directory in which you installed EXP.

ELT files are ASCII text files. The format of an ELT file is as follows:

[Heading]

TagDef

.

.

.

[List]

TagDef

.

.

.

[Declaration]

TagDef

.

.

.

[Other]

TagDef

.

.

.

[Character]

TagDef

.

.

.

The general format for TagDef is

ID=TagName,"TagDescription",SubType

where

ID is an integer in the range 1–255. When you apply LaTeX markup, this value is stored in the EXP document.

TagName is the name of the LaTeX tag or environment. The name can be up to 31 characters long.

TagDescription is a description of the tag displayed by EXP in the LaTeX Markup dialog box. The description can be up to 63 characters long.

SubType is an integer in the range 1–255 that controls EXP's interpretation of the tag.

The exact form in which EXP writes TagName to the LaTeX file is determined by the section in which the tag is defined and by the tag's subtype. The possibilities are presented in the following table:

Section | SubType(s) | LaTeX Command Form
Heading | None | \TagName{
List | 1, 2, 3 | \begin{TagName}
List | 4 | \begin{TagName}{WidestBibliographyLabel}
List | 5 | \TagName
Declaration | 1, 2 | \begin{TagName}
Other | 1 | \begin{TagName}
Other | 2 | \TagName{

For tags in the Character section, TagName is written to the LaTeX file as

{TagName

if TagName begins with a backslash (\) and as

\TagName{

otherwise.


Notes Concerning EXP-LaTeX Tag Files

• For all tags in the Heading section and subtype 2 tags in the Other section, the argument of the tag will never contain a paragraph break. The LaTeX converter treats these types of tags as single-paragraph environments.

• In the Declaration section, two subtypes are defined. Subtype 1 is intended for declarations such as theorems for which LaTeX does not automatically end the declaration with \qedsymbol (¨). Subtype 2 is intended for declarations such as proofs for which LaTeX automatically ends the declaration with \qedsymbol. For subtype 2 declarations, you can end the declaration in EXP with an Rflush box containing the proof symbol (¨). The LaTeX converter will automatically strip off this Rflush box and allow LaTeX to perform its own handling of the situation.

• Character tag IDs from 0 to 15 are reserved for EXP's internal use.


The Styles.def File

EXP uses a file called Styles.def to determine which LaTeX document classes and bibliography styles are available on your system. The Styles.def file is an ASCII text file and is stored in the directory <home>\LaTeX, where <home> refers to the directory in which you installed EXP. If you create a new EXP-LaTeX tag file for a new document class, you should define the document class in the Styles.def file. You can also define new bibliography styles in the Styles.def file.

The format of the Styles.def file is

[Document Styles]

StyleName=

.

.

.

[StyleName]

DOCCLASS=DocumentClass

[Bibliography Styles]

BibStyle=

.

.

.

where

StyleName is the descriptive name of the document class. This name is not currently displayed by EXP.

DocumentClass is the filename of the document class. This name is listed by EXP and is placed in the \documentclass command.

BibStyle is the name of a LaTeX bibliography style.


Keyboard Macros

A keyboard macro is a mechanism for storing and subsequently playing back a sequence of one or more keystrokes. The action of playing back a keyboard macro is referred to as executing the macro. Each keyboard macro is assigned a unique sequence of one or more keystrokes that when typed execute the macro. Keyboard macros are typically used to reduce repetitive typing. If you need to refer repeatedly to a name such as William Shakespeare or to an expression such as (x^2+y^2), you can assign the name or expression to a keystroke such as CTRL+ALT+W so you can enter it quickly. You can also use keyboard macros to alter the normal keystrokes assigned to commands. For example, if you would like the Paste command to be executed when you press SHIFT+INSERT, you could define a macro to do so.

EXP's keyboard macro system provides the following features:

  • Keyboard macros are recorded on-the-fly. You do not write macro scripts or use external programs to define or execute macros.

  • The keystroke sequence to which a macro is assigned can be from 1 to 32 keystrokes long. Thus, one macro can be assigned to F3–A and another to F3–B–A.

  • Each macro is assigned a name that can be used to document the purpose of the macro. For example, you might name a macro InsertQuadratic if the macro inserted the quadratic formula.

  • There is no limit to the size of a macro.


Basics

Before you can begin defining and executing keyboard macros it is necessary to learn basic information about EXP's keyboard macro system.


Notation

The following conventions are used to denote keystroke sequences:

• If two or more keys should be pressed together, the names of the keys are joined by plus signs. For example, the notation CTRL+ALT+W means "Press the CTRL key, then while holding down the CTRL key press the ALT key, then while holding down the CTRL and ALT keys press the W key."

• If two or more keys should be pressed in succession the names of the keys are joined by dashes. For example, the notation F3–B–A means "Press and release the F3 key, then press and release the B key, then press and release the A key."


Keyboard States

EXP displays a keyboard state indicator on the Status Bar. The keyboard state indicator tells you how EXP is going to interpret the next key you press. When you start EXP the keyboard state is Normal. The six possible states are as follows:

Normal In this state no macro is being recorded and no macro is being executed.

Assign In this state you are expected to type the keystroke sequence to which a macro will be assigned. Note that this is not a keystroke sequence the macro will execute but rather the keystroke sequence that will invoke the macro.

Record In this state EXP is recording a macro and the commands you are executing.

Multi In this state you have typed one or more of the keystrokes to which a macro is assigned but have not yet typed the full keystroke sequence.

Execute In this state EXP is executing a macro. You will not normally see this state displayed in the indicator because most macros finish executing before EXP has a chance to change the indicator display from Normal to Execute.

Disabled In this state keyboard macros are disabled. You cannot record new macros and cannot execute existing macros.

If you find yourself inadvertently in a state that you do not want to be in, press the ESC key. EXP will return to the Normal state, unless it is in the Disabled state, in which case it will remain in that state.


Keystroke Sequences

Every keyboard macro is assigned a unique sequence of keystrokes. Before you can define a keyboard macro you must first decide upon the sequence of keystrokes that will invoke it. The rules and recommendations for making this decision are as follows:

• It is recommended that you begin macro keystroke sequences with the F3 keystroke. This keystroke performs no function in EXP and will be reserved in all future versions of EXP as a macro prefix key.

• The first keystroke in the sequence cannot be a keystroke that generates a character. For example, you cannot begin a macro keystroke sequence with a letter or a digit.

• Although EXP allows you to begin a macro keystroke sequence with a standard EXP command keystroke such as CTRL+F, it is recommended that you not do so. You may, however, use such keystrokes after the first keystroke in the sequence.

• Although EXP allows you to begin a macro keystroke sequence with a standard Windows command keystroke such as ALT+F4, it is recommended that you not do so. You may, however, use such keystrokes after the first keystroke in the sequence.

• You may use any combination of the SHIFT, CTRL, and ALT keys to generate unique keystrokes. Thus, you can assign CTRL+D to one macro and ALT+CTRL+SHIFT+D to another.

• If you have a 104-key keyboard with the WINDOWS and APPLICATION keys on it, you can use the APPLICATION key as a modifier key (like SHIFT) to generate unique keystrokes. You cannot use the WINDOWS key in a macro keystroke sequence. The WINDOWS key is reserved for use by Windows itself.

• You cannot use the following keys in a macro keystroke sequence:

ESC

PRINT SCRN

SCROLL LOCK

PAUSE

• You cannot use the following keystrokes in a macro keystroke sequence:

ALT+TAB

ALT+SHIFT+TAB

CTRL+ALT+DELETE

These keystrokes perform special functions in Windows.

• A macro keystroke sequence may contain at most 32 keystrokes.

Once you have defined a keyboard macro, you cannot change the keystroke sequence to which the macro is assigned.


Macro Names

In addition to being assigned a unique keystroke sequence, every macro is assigned a unique name. You should assign names that will help you remember what the macros do. For example, if a macro inserts a text library entry called Quadratic, name the macro InsertEntryQuadratic. If a macro applies the style Heading Section, name the macro StyleHeadingSection.

A macro's name must conform to the following rules:

• The first character of the name must be either a letter or the underscore (_) character.

• The remaining characters in the name must be letters, digits, or underscore characters.

• The name may contain at most 63 characters.

• The name is case sensitive.

• The name must be unique.

After you define a keyboard macro, you can rename the macro. Refer to the topic Renaming a Macro for further information.


Defining a Macro

Before you begin to define a keyboard macro you should decide the following:

• What is the macro going to do?

• To what keystroke sequence is the macro going to be assigned?

• What is the macro going to be called?

Once you have decided these three things, follow these steps to define the macro.

To define a keyboard macro

  1. Press the PAUSE key.

EXP will display the Define Macro dialog box.

  2. In the Macro Name edit field, type the macro's name, and then press ENTER.

After you press ENTER, EXP will change the keyboard state indicator from Normal to Assign.

  3. Type the keystroke sequence to which you want the macro assigned.

  4. Press the PAUSE key.

EXP will change the keyboard state indicator from Assign to Record.

  5. Perform the actions you want the macro to execute.

While EXP is in the Record state, you cannot execute keyboard macros. All keystrokes will perform their normal function.

  6. When you are ready to end the macro, press the PAUSE key.

EXP will change the keyboard state indicator from Record to Normal. You can now test the new macro by executing it.


Handling Mistakes

If you make a mistake while defining a macro, press the ESC key and start over again. If you press the ESC key at any time during the macro definition process, EXP aborts the macro definition and returns to the Normal state.

If after you have finished defining a macro you realize you made a mistake, simply redefine the macro and assign it exactly the same name. If you define a macro with the same name as an existing macro, EXP gives you the option of replacing the existing macro.


Executing a Macro

To execute a keyboard macro, type the keystroke sequence to which the macro is assigned. If the macro is assigned to a keystroke sequence of more than one keystroke, EXP will change the keyboard state indicator from Normal to Multi after you type the first keystroke in the sequence.

If you forget the keystroke sequence to which you assigned a macro, you can instruct EXP to display it.

To display the keystroke sequence for a macro

  1. From the Options menu, choose Macros (ALT, O, M).

EXP will display the Macro Options dialog box.

  1. In the Macro Names list, select the macro whose keystroke sequence you can't remember.

The Key Sequence list will display the keystroke sequence assigned to the macro.


Renaming a Macro

If you want to change the name you assigned to a macro, you can rename the macro. Renaming a macro does not affect the keystroke sequence to which the macro is assigned.

To rename a macro

  1. From the Options menu, choose Macros (ALT, O, M).

EXP will display the Macro Options dialog box. This dialog box lists the names of all the keyboard macros you have defined.

  1. In the Macro Names list, select the macro you want to rename.

  2. Choose the Rename button.

EXP will display the Rename Macro dialog box.

  3. Type the macro's new name.

  4. Choose the OK button.

EXP will return you to the Macro Options dialog box.

  5. Choose the OK button to close the Macro Options dialog box.


Deleting a Macro

If you no longer need a macro, you can delete it.

To delete a macro

  1. From the Options menu, choose Macros (ALT, O, M).

EXP will display the Macro Options dialog box. This dialog box lists the names of all the keyboard macros you have defined.

  1. In the Macro Names list, select the macro you want to delete.

  2. Choose the Delete button.

EXP will ask you for confirmation before deleting the macro.

  3. Choose the Yes button to delete the macro.

EXP will delete the macro.

  4. Choose the OK button to close the Macro Options dialog box.


What Can Be Recorded?

EXP can record the following actions in a macro:

• EXP commands executed using the keyboard

• EXP commands executed from the menu, the Math Panel, or the Format Panel using the mouse

EXP cannot record the following actions in a macro:

• Using the mouse to select text or to move the cursor

• Changes made using the Ruler

• Changes made using nonrecordable dialog boxes

• Actions taken with the mouse or the keyboard that are handled by Windows rather than by EXP. Such actions include changing the active document window by clicking the mouse or by pressing keys such as CTRL+F6 or by selecting a document window's title from the Window menu.


Nonrecordable Dialog Boxes

When EXP is recording a macro (the Record state), it is not actually recording the keystrokes you are making. Instead, EXP is recording the commands those keystrokes are invoking.

Dialog boxes present a complex situation for EXP. Because EXP does not record keystrokes, it does not record the actions you take in a dialog box literally. Instead, EXP records the results from the dialog box. When you execute a macro whose recording made use of a dialog box, EXP does not flash the dialog box on the screen rapidly as it executes the macro. Rather, the results from the dialog box are executed "silently". For example, if you assign the symbol alpha to the keystroke sequence F3–A, and then execute that macro, the symbol alpha will be inserted but the Symbol Box will not be displayed.

EXP must provide specific macro support for each dialog box that is to be recorded. Due to the complexity of this task, not all dialog boxes have their results recorded. The Paragraph Formatting dialog box is an example of a dialog box whose results are not recorded in a macro. When you execute a macro whose recording made use of a nonrecordable dialog box, EXP displays the dialog box and waits for you to fill it out. You should make whatever changes need to be made in the dialog box, and then press ENTER to resume the macro's execution.

The following dialog boxes can be recorded:

File menu: Open

Print

Edit menu: Find Text Library Entry

Insert menu: LaTeX Command

File

Text Library Entry

Format menu: Styles (only when used to apply a style)

Table menu: Insert Entries

Delete Entries

Math menu: Insert Symbol

All other dialog boxes are nonrecordable. Note that the popup menus displayed by the menu items such as Insert Box under the Math menu are not dialog boxes and can be recorded in a macro. Thus, you can assign macros to specific boxes, delimiter-boxes, and function names.


Disabling Keyboard Macros

You can instruct EXP to disable all keyboard macros. When keyboard macros are disabled you cannot define new macros and cannot execute existing macros. In this state, all keystrokes revert to their normal function.

The option to disable keyboard macros can be useful if you need to work with an installation of EXP where another user may have assigned their own macros to standard EXP command keystrokes. This option allows you to standardize EXP's keyboard behavior temporarily.

To disable keyboard macros

  1. From the Options menu, choose Macros (ALT, O, M).

EXP will display the Macro Options dialog box.

  1. Turn on the check box labeled Disable Keyboard Macros.

  2. Choose the OK button.

EXP will change the keyboard state indicator to Disabled.

To re-enable keyboard macros

  1. From the Options menu, choose Macros (ALT, O, M).

EXP will display the Macro Options dialog box.

  3. Turn off the check box labeled Disable Keyboard Macros.

  4. Choose the OK button.

EXP will change the keyboard state indicator to Normal.


Notes Concerning Keyboard Macros

  • If you want to define a keyboard macro to insert text that requires the use of a nonrecordable dialog box, create a text library entry that contains the desired text, and then define a macro to insert the text library entry. The Insert Text Library Entry dialog box is a recordable dialog box.

If the text you want to insert consists of multiple paragraphs, you cannot use a text library entry to insert the text. Instead, store the text in a separate file located in EXP's <home>\Insert directory, and then define a macro to insert the file. The Insert File dialog box is a recordable dialog box.

  • If you want to define a keyboard macro to apply formatting that requires the use of one or more nonrecordable dialog boxes, create a style for the formatting, and then define a macro to apply the style.

  • You do not explicitly save keyboard macros to disk. EXP automatically saves your keyboard macros to disk when you exit EXP. EXP stores keyboard macros in a file called "Keyboard Macros.ekm" located in EXP's Application Data directory. You should backup this file when you backup your hard disk to avoid losing your keyboard macros in the event of a hard disk problem. You can erase this file if you want to delete all your existing macros and start over again.


Cursor Movement

Character left LEFT

Character right RIGHT

Previous word CTRL+LEFT

Next word CTRL+RIGHT

Previous sentence CTRL+ALT+LEFT

Next sentence CTRL+ALT+RIGHT

Start of line HOME

End of line END

Line up UP

Line down DOWN

Previous paragraph CTRL+UP

Next paragraph CTRL+DOWN

Start of window CTRL+PAGEUP

End of window CTRL+PAGEDOWN

Window up PAGEUP

Window down PAGEDOWN

Previous page ALT+PAGEUP

Next page ALT+PAGEDOWN

Start of text CTRL+HOME

End of text CTRL+END

Go to CTRL+G

Previous box ALT+LEFT

Next box ALT+RIGHT

Previous row ALT+UP

Next row ALT+DOWN


Scrolling

Scroll up CTRL+ALT+UP

Scroll down CTRL+ALT+DOWN


Inserting Special Text Characters

Insert left double quote CTRL+Q

Insert right double quote CTRL+QUOTE

Insert en dash CTRL+ALT+HYPHEN

Insert em dash CTRL+ALT+SHIFT+HYPHEN

Insert soft hyphen CTRL+HYPHEN

Insert nonbreaking hyphen CTRL+SHIFT+HYPHEN

Insert nonbreaking space CTRL+SHIFT+SPACE


Deleting

Delete character DELETE

Delete previous character BACKSPACE

Delete text code SHIFT+DELETE

Delete previous text code SHIFT+BACKSPACE

Delete word CTRL+DELETE

Delete previous word CTRL+BACKSPACE

Delete to end of paragraph CTRL+K

Delete paragraph CTRL+L


Miscellaneous Text Editing

Start new paragraph ENTER

Start new line SHIFT+ENTER

Insert page break CTRL+ENTER

Insert tab TAB

Undo CTRL+Z

Change case CTRL+SHIFT+T

Edit text code CTRL+E

Spell check word CTRL+F1

Select all CTRL+NUMPAD5


Clipboard

Cut CTRL+X

Copy CTRL+C

Paste CTRL+V


Find and Replace

Find CTRL+F

Find again CTRL+A

Replace CTRL+R


Character Formatting

Select typeface CTRL+T

Select font size CTRL+H

Toggle bold CTRL+B

Toggle italic CTRL+I

Toggle underlining CTRL+U


Paragraph Formatting

Format paragraph F2

Paragraph align left CTRL+SHIFT+L

Paragraph align center CTRL+SHIFT+C

Paragraph align right CTRL+SHIFT+R

Paragraph align justify CTRL+SHIFT+J


Styles

Select style CTRL+Y

Apply style Normal CTRL+SHIFT+N

Apply style Default Paragraph Font CTRL+SHIFT+D


Math Menus

Display Symbol Box F4

Display box menu F5

Display delimiter-box menu F6

Display template menu F7

Display function name menu F8

Display box stack CTRL+F5


Inserting Math

Toggle Math Input Mode INSERT or CTRL+M

Insert Box box CTRL+ALT+B

Insert Frac box CTRL+SLASH

Insert Rflush box CTRL+ALT+N

Insert Root box CTRL+ALT+R

Insert Sb box CTRL+7

Insert Sp box CTRL+6

Insert Brace delimiter-box CTRL+SHIFT+LEFTBRACKET

Insert Bracket delimiter-box CTRL+LEFTBRACKET

Insert Paren delimiter-box CTRL+9

Insert superscript 1 CTRL+1

Insert superscript 2 CTRL+2

Insert superscript 3 CTRL+3

Insert superscript 4 CTRL+4

Insert subscript 1 CTRL+ALT+1

Insert subscript 2 CTRL+ALT+2

Insert subscript 3 CTRL+ALT+3

Insert subscript 4 CTRL+ALT+4

Insert £ symbol CTRL+COMMA

Insert ³ symbol CTRL+PERIOD

Insert + (pos) symbol CTRL+EQUALS

Insert one half CTRL+ALT+H

Insert vector accent CTRL+ALT+V

Insert Choose template CTRL+ALT+C

Insert Displayed Equation template CTRL+ALT+D

Insert Integral template CTRL+ALT+I

Insert Limit template CTRL+ALT+L

Insert Product template CTRL+ALT+P

Insert Summation template CTRL+ALT+S


Text Libraries

Insert text library entry F9

Find text library entry CTRL+F9


File Manipulation

New file CTRL+N

Open file CTRL+O

Save file CTRL+S

Print file CTRL+P

Print Preview CTRL+SHIFT+P


Window Manipulation

Previous window CTRL+SHIFT+F6

Next window CTRL+F6

Close window CTRL+F4


LaTeX

Change LaTeX markup F11

Insert LaTeX command CTRL+F11

Check LaTeX conversion SHIFT+F11


Miscellaneous

Toggle show codes F12

Help F1

Activate menu bar F10

Activate system menu ALT+SPACE

Activate MDI menu ALT+HYPHEN

Begin/End macro recording PAUSE

Exit EXP ALT+F4


Symbols

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding appendix in the EXP User’s Guide.

The symbols provided with EXP are also listed in the EXP documents "Symbols.wxp" and "New Symbols.wxp" that are installed in EXP's <home> directory.


Reading EXP for DOS Files

EXP for Windows is able to read all document files created by EXP for DOS versions 1.0 through 2.1. EXP for Windows is able to convert text, math, graphics, formatting, and all the fonts provided for use with EXP for DOS. EXP for Windows is not able to convert user-created fonts and symbols.

To open an EXP for DOS document with EXP for Windows, perform the following steps:

  1. From the File menu, choose Open (ALT, F, O).

–or–

Press CTRL+O.

EXP will display the Open dialog box.

  2. In the File name edit field, type the name of the EXP for DOS file you want to open.

  3. Choose the OK button.

EXP will detect that the file is not in EXP for Windows format and will prompt you to choose the format from which the file should be converted.

  4. Select EXP for DOS and press ENTER.

EXP will read and convert the document into EXP for Windows format. Note that the format of the original EXP for DOS document on the disk is unchanged. You must explicitly instruct EXP to save the document to disk in EXP for Windows format.


Configuring the Conversion Process

You can control certain aspects of the conversion process by selecting Options and EXP for DOS Conversion from EXP's menu. EXP will display the EXP for DOS Conversion Options dialog box. This dialog box allows you to set options for reading and converting EXP for DOS documents.


Selecting a Paper Size

Margins are expressed in a different manner in EXP for Windows from the way they are in EXP for DOS. You should be aware of the differences and the way they affect the conversion process. In EXP for DOS, both left and right margins are expressed as a distance from the left edge of the paper. Similarly, both top and bottom margins are expressed as a distance from the top edge of the paper. In EXP for Windows, all margins are expressed as distances from their edge of the paper. Thus, the right margin is expressed as a distance from the right edge of the paper and the bottom margin is expressed as a distance from the bottom edge of the paper. EXP for Windows must convert from the EXP for DOS scheme to the EXP for Windows scheme when it reads an EXP for DOS document. To perform the conversion, EXP needs to know the width and height of the paper. Because EXP for DOS documents do not provide that information, EXP for Windows allows you to specify it before the EXP for DOS document is read.

The default paper size EXP for Windows uses is letter. If you want your EXP for DOS documents to be formatted for a different paper size, perform these steps.

To specify the paper size used by EXP for DOS documents

  1. From the Options menu, choose EXP for DOS Conversion (ALT, O, X).

EXP will display the EXP for DOS Conversion Options dialog box.

  1. Use the Paper Size control to select the paper size you want.

  2. Choose the OK button.

EXP for DOS documents will now be converted using the new paper size.


Adjusting the Page Margins

EXP for DOS expresses margins via a left margin setting and a right margin setting. EXP for Windows expresses margins via page margins and paragraph indents. Page margins define the normal margins for a page. Paragraph indents define how far a particular paragraph is to be indented relative to the page margins. EXP for Windows must convert from the EXP for DOS scheme to the EXP for Windows scheme when it reads an EXP for DOS document. As with the paper size situation, EXP for Windows requires some help from you to perform the margin conversion. EXP for Windows needs to know what the normal left and right page margins should be. EXP for Windows then calculates paragraph indents relative to those page margins.

The default left and right page margins used by EXP for Windows are 6.5li and 6.5li, respectively. This yields the same default margins as in EXP for DOS. In EXP for DOS, the default settings for the PO, LM, and RM format commands are 13, 1, and 76, respectively (in units of 1/12 inches). Assuming the paper size is set to letter (8.5 inches), these values result in a 13/12 inch left margin and a 13/12 inch right margin. Because EXP for Windows does not provide a measurement unit of 1/12 inch, the li unit is used; it specifies a distance in units of 1/6 inch.

You will want to change the default page margin values used by EXP for Windows if an EXP for DOS document is not formatted using the default values for the PO, LM, and RM format commands.

To specify the page margins used by EXP for DOS documents

  1. From the Options menu, choose EXP for DOS Conversion (ALT, O, X).

EXP will display the EXP for DOS Conversion Options dialog box.

  1. In the Page Left Margin edit field, type the measurement for the normal left margin in the EXP for DOS document.

  2. In the Page Right Margin edit field, type the measurement for the normal right margin in the EXP for DOS document.

  3. Choose the OK button.

EXP for DOS documents will now be converted using the new page margins.

If you do not enter appropriate page margin values for the EXP for DOS document you are trying to read, you will notice that after the conversion all the paragraphs in the document have strange paragraph indent values. This is because EXP for Windows converts the EXP for DOS margin settings to paragraph indents that are relative to the page margins, and if the page margins do not correctly reflect the normal margin settings of the original EXP for DOS document you will get a lot of annoying paragraph indents. The solution to such a problem is to close the document, change the page margins in the EXP for DOS Conversion Options dialog box, and reopen the EXP for DOS document.


Graphics

As EXP for Windows reads an EXP for DOS document, it extracts the bitmap graphics referred to by the document from the EXP for DOS graphics libraries. To access the graphics libraries, EXP for Windows must know the GLIBPATH used by EXP for DOS. The GLIBPATH, short for Graphics Library Path, is explained fully in The EXP Manual for EXP for DOS. It is assumed here that you are familiar with the term.

To specify the GLIBPATH used by EXP for DOS

  1. From the Options menu, choose EXP for DOS Conversion (ALT, O, X).

EXP will display the EXP for DOS Conversion Options dialog box.

  1. In the GLIBPATH edit field, type the path to the EXP for DOS graphics libraries.

  2. Choose the OK button.

When EXP for Windows extracts a graphic from a graphics library, it always extracts the highest resolution image in the library for that graphic. Thus, if you have a VGA image (96x96 DPI) and an HPL image (300x300 DPI), EXP for Windows will extract the HPL image. Because EXP for Windows is able to scale graphics on-the-fly, unlike EXP for DOS, EXP for Windows only needs one image of a particular graphic.

Importing all the graphics referred to by an EXP for DOS document increases the size of the resulting EXP for Windows document. If you would like EXP for Windows to ignore any graphics in an EXP for DOS document, turn off the Import Graphics check box in the EXP for DOS Conversion Options dialog box.


Limitations of the Conversion Process

Although the EXP for DOS to EXP for Windows converter is quite sophisticated, you should not expect EXP for DOS documents to look identical in EXP for Windows to the way they looked in EXP for DOS. There are a number of reasons documents will appear different:

  1. The TrueType fonts used by EXP for Windows to display text and mathematics are different from the bitmap fonts used by EXP for DOS. The horizontal spacing of characters is different, and in most cases the bitmap fonts in EXP for DOS will look better on the screen than the TrueType fonts in EXP for Windows.

  2. EXP for Windows takes a different approach to document formatting from that used by EXP for DOS. The converter is not always able to reconcile the differences automatically.

  3. The math-formatting system in EXP for Windows differs significantly from the system in EXP for DOS. The converter is 100% capable of converting math-formatting information stored in an EXP for DOS document. EXP for Windows, however, provides a new math-formatting construct called a Display box that does not exist in EXP for DOS. You must put displayed equations into EXP for Windows Display boxes for the displayed equations to be formatted correctly. It is not possible for the converter to figure out what to do automatically.

  4. EXP for Windows does not support the EXP for DOS line command. There are new capabilities in EXP for Windows that take the place of the line command.

  5. EXP for Windows does not allow a graphic to overlap other lines of text. You will need to restructure any portion of the document that took advantage of the fact that EXP for DOS allows a graphic to overlap other lines.

  6. EXP for Windows is not able to convert user-created fonts and symbols. Any reference to a user-created text font will be ignored, and any user-created symbol will be replaced with a red #. You can use the Find command to locate red # symbols in the document.


Postconversion Editing Work

You may need to perform some or all of the following procedures after reading an EXP for DOS document into EXP for Windows. Note that this list of touch up editing items is not exhaustive.

• Create headers and footers of the appropriate type and move the header and footer text from the body of the document into the header and footer windows. EXP for Windows does not attempt to sort out what the various headers and footers defined in an EXP for DOS document are doing. This would be a complex problem to handle automatically because EXP for DOS allows headers and footers to be defined in more places than EXP for Windows allows. Instead, EXP for Windows leaves the header and footer text mixed in with the body of the document as it is in the original EXP for DOS document. You must decide where the various headers and footers should go. This may require you to insert additional section breaks into the document and configure odd/even headers and footers. To make it easy for you to find header and footer text, EXP for Windows prefixes header and footer text with a descriptive label such as !!EVEN HEADER: and colors the entire header or footer text in red.

• Move footnote text from the body of the document into the appropriate location in the footnote window. As with header and footer text, EXP for Windows does not attempt to move footnote text automatically from where it is defined in the body of the EXP for DOS document to its new location in the footnote window. To make it easy for you to find footnote text, EXP for Windows prefixes footnote text with a descriptive label such as !!FOOTNOTE 5: and colors the entire footnote text in red. When you encounter footnote text that you need to move, select the paragraphs that contain the footnote text and cut the text to the clipboard by pressing CTRL+X. Next, use the Find command (CTRL+F) with ^f as the search string to locate the next footnote reference mark in the document. Keep searching for footnote reference marks by pressing CTRL+A until you find the one corresponding to the footnote text you cut to the clipboard. Double-click the footnote reference mark to open the footnote window at the location for the text of that footnote. Press CTRL+V to paste the footnote text into the footnote window. Finally, press CTRL+F4 to close the footnote window. Repeat this procedure for each block of footnote text you find in the document.

• Move or delete comment text. Comment text in EXP for DOS is text contained between SC and EC format commands. EXP for Windows does not currently allow nonprinting comments to be placed within a document. You can, however, include comments in a document by following this procedure:

1. Place all the comment text at the very beginning of the document.

2. Position the cursor after the last comment.

3. From the Insert menu, choose Break (ALT, I, B).

EXP will display the Insert Break dialog box.

4. Select the New Page button.

5. Choose the OK button.

6. From the Format menu, choose Page Numbers (ALT, R, N).

EXP will display the Page Number Formatting dialog box.

7. In the Starting Number edit field, type 1.

8. Turn on the Restart at Beginning of Section check box.

9. Choose the OK button.

After you have made these changes, the first physical page of the document will be your comment page, and the second physical page will be the first page of the actual text.

• Check for user-created symbols that were not converted. When EXP for Windows reads an EXP for DOS document and encounters a symbol it does not recognize, it replaces the symbol with a red #. Use the Find command to search for a red # to see if the document contained user-created symbols that were not converted. It is up to you to decide how best to handle this situation. One solution, assuming you have a TrueType font that contains the symbol, is to define a text library entry containing a single character formatted in the font containing the symbol. This would allow you to refer to the symbol by pressing F9 and typing its name.

• Put displayed equations into Display boxes. In EXP for Windows, a displayed equation must be inside a Display box for it to be formatted properly. To put an equation into a Display box, follow these steps:

1. Position the cursor at the very beginning of the line containing the existing equation text.

2. Press CTRL+ALT+D to insert a displayed equation. The cursor will be positioned inside the displayed equation.

3. If the equation is a multiline displayed equation, you need to insert an equation list. From the Math menu, choose Insert Equation List (ALT, M, E). EXP will display the Insert Equation List dialog box. In the edit field, type the number of rows in the multiline equation. Press ENTER to close the dialog box.

4. Select the existing equation text. To do this, position the cursor at the beginning of the equation text and press SHIFT+RIGHT repeatedly to select the equation text. Be careful not to select the paragraph mark at the end of the line. Press CTRL+X to cut the selection to the clipboard. When you are selecting the equation text, make sure you do not include an Hcenter box in the selection. Also, if the equation uses the Lhs box, you must unbox the Lhs box before making the selection. The Lhs box exists in EXP for Windows largely for compatibility with EXP for DOS. Displayed equations in EXP for Windows should not use the Lhs box. Also delete any Hmove codes (resulting from converted EXP for DOS tabs).

5. Position the cursor in the middle of the empty displayed equation and press CTRL+V to paste in the equation text. If after you perform the paste the whole equation falls apart into a string of code names, it almost always means you had a paragraph mark in the selection and that paragraph mark is now inside the displayed equation. You can correct this situation by pressing END to move the cursor to the end of the line and pressing DELETE to delete the paragraph mark. You could also press CTRL+Z several times to undo the paste and the cut and start again, this time being sure not to get the paragraph mark inside the selection. If you are having trouble, press F12 to display all the codes so you can see what you are selecting more easily.

6. If the displayed equation is a multiline equation and you inserted an equation list in step 3, you will need to use the Cut and Paste commands to move each row of the equation in turn into successive rows of the equation list. You will probably want to turn on the gridlines so you can see where the various rows are. From the Table menu, choose Display Gridlines (ALT, T, G).

• Replace tab-formatted pseudo-tables with real EXP for Windows tables. EXP for Windows does not support the EXP for DOS line command. In situations where an EXP for DOS document used the line command to draw borders for a table, you will need to re-enter the material into an EXP for Windows table.


Conversion of EXP for DOS Tabs

The operation of tabs in EXP for DOS is very different from that of tabs in virtually every other word processor. On the other hand, tabs in EXP for Windows operate similarly to tabs in other word processors. Because it is not possible to convert EXP for DOS tabs to EXP for Windows tabs, EXP for Windows has a text code called Hmove to provide compatibility with tabs in EXP for DOS documents. The functionality of Hmove is identical to that of EXP for DOS tabs. All tabs in EXP for DOS documents are converted into Hmove codes when the document is read by EXP for Windows.

Converting EXP for DOS tabs to Hmove codes maintains formatting compatibility with EXP for DOS but does not help make the document easier to edit. Tabs in EXP for DOS are used for many formatting situations that are handled through other means in EXP for Windows. For example, tabs are used in EXP for DOS to format tables. EXP for Windows provides a high-level table editor that eliminates the need to use tabs. Tabs are also used in EXP for DOS to format certain math constructs that are handled automatically by EXP for Windows.

If you want to optimize a converted EXP for DOS document for EXP for Windows, examine the places that Hmove codes appear. In most cases, the text would be better formatted and easier to edit if the text were re-entered using the new EXP for Windows facilities. This editing work will also greatly improve the quality of conversions between EXP for Windows and other typesetting systems such as LaTeX.


Conversion of Matrices

The EXP for DOS matrix code can be used to format true matrices as well as to handle two other formatting situations that have nothing to do with matrices in the mathematical sense. An m x n matrix containing only text with no entries can be used to force the text to be typeset left-flush in a box of a certain width and height. A 1x1 matrix containing exactly one entry can be used to center the entry's contents within a box of a certain width and height. EXP for Windows supports both of these nonmath uses of the EXP for DOS matrix code. In both cases, EXP for Windows converts the matrix to a 1x1 table with the minimum entry width, height, and depth set to values appropriate given the parameters of the original EXP for DOS matrix code. In the case of an m x n matrix containing only text, EXP for Windows sets the alignment for the single table entry to left. In the case of a 1x1 matrix with a single entry, EXP for Windows sets the alignment for the single table entry to center. For all other situations involving the EXP for DOS matrix code, EXP for Windows converts the matrix to an EXP for Windows matrix.


Conversion of Roofs and Rugs

In EXP for DOS, the roof and rug codes can be used to handle a variety of different formatting situations. EXP for Windows provides separate codes to handle each situation. This allows the formatting in each case to be optimized and greatly improves the quality of conversions between EXP for Windows and other typesetting systems such as LaTeX. EXP for Windows does not provide special support for the EXP for DOS loroof and hirug codes; EXP for Windows processes them as if they were regular roof or rug codes. When reading an EXP for DOS document, EXP for Windows must decide how to convert the different situations in which roof and rug are used.

Roof/Rug Case 1: Limits on large operators

The most common use of the roof and rug codes in EXP for DOS is to format limits above or below large operator symbols. In EXP for Windows, this case is handled by the Ulimit and Llimit boxes. When EXP for Windows sees an EXP for DOS roof or rug code directly after a large operator, it converts the code to either a Ulimit or an Llimit box.

Roof/Rug Case 2: Positioning a box above or below another box

Another common use of the roof and rug codes in EXP for DOS is to position a box above or below another box. In EXP for Windows, this case is handled by the Roof and Rug boxes. The EXP for Windows Roof and Rug boxes are identical to the EXP for DOS roof and rug codes. When EXP for Windows sees an EXP for DOS roof or rug code used in a situation that does not match either of the other cases described here, it converts the code to either a Roof or a Rug box.

Roof/Rug Case 3: Positioning accent characters

A less frequently encountered use of roof and rug codes in EXP for DOS is to position an accent character above or below the preceding character. In EXP for Windows, positioning an accent above a character is handled by the Accent box. When EXP for Windows sees an EXP for DOS roof code used to position a single accent character, it converts the roof code to an Accent box. There are many cases in which the EXP for DOS roof, rug, loroof, and hirug codes are used to manufacture certain foreign language characters. These foreign language characters are a part of the Windows ANSI character set and are assigned names in EXP for Windows. EXP for Windows does not automatically convert these cases to the appropriate ANSI character; you will need to replace such occurrences yourself.


Conversion of Variables

The automatic numbering system in EXP for DOS is based on a limited set of eight counter variables. The automatic numbering system in EXP for Windows is based on sequence names. When EXP for Windows reads an EXP for DOS document, it converts the eight EXP for DOS variables to sequences named c0 through c7. EXP for Windows is able to convert the following EXP for DOS variable codes:

&N Variable reference

&N=n Set variable

&N+ Increment variable

EXP for Windows is not able to convert the following EXP for DOS variable codes:

&A=&B Variable assignment

&A+=&B Variable addition

&A-=&B Variable subtraction

&A*=&B Variable multiplication

&A/=&B Variable division

&N=P Assign page number to variable

If EXP for Windows encounters one of these unsupported codes while reading an EXP for DOS document, it ignores the code.

After EXP for Windows converts an EXP for DOS document, you may wish to reduce the number of automatic numbering codes in the document by combining the codes that display the sequence number with the codes that increment the sequence number. In EXP for DOS, it is not possible to have a variable both displayed and incremented by one code, whereas in EXP for Windows it is possible. Also, because EXP for Windows increments a sequence number before displaying it, it is not necessary to set a sequence number to 1 at the beginning of the document. Follow these steps to optimize a document's use of automatic numbering codes:

  1. Press CTRL+F to invoke the Find command. Enter ^a as the search string, and press ENTER. The ^a special search character instructs EXP to find automatic numbers in the document.

  2. When EXP finds an automatic number, it selects the code. Press LEFT to position the cursor on the automatic numbering code.

  3. Press CTRL+E to edit the code. EXP will display the Edit Auto Number dialog box.

  4. If the Sequence Counting controls are set to Restart numbering at 1 and the Hide Result check box is on, press ESC to close the dialog box and press SHIFT+DELETE to delete this code. Note that if this code is not at the beginning of the document, the code may be resetting the sequence number to 1 at the beginning of a new chapter or section. In this case, do not delete the code.

If the Sequence Counting controls are set to Increment and the Hide Result check box is on, press ESC to close the dialog box and press SHIFT+DELETE to delete this code.

If the Sequence Counting controls are set to Don't increment, select Increment and press ENTER to close the dialog box.

  1. After you have finished editing or deleting this code, press CTRL+A to continue searching for additional automatic numbering codes.


Sample Mathematics Typeset by EXP

This topic is omitted because of the limitations in representing math in Windows Help. Please refer to the corresponding appendix in the EXP User’s Guide.

The contents of this appendix are reproduced in the EXP document "Binomial.wxp" that is installed in EXP's <home> directory.


Convert From Dialog Box

EXP displays this dialog box when it needs to read a file but it does not know which format the file is in. You should select the file’s format from the list and then choose the OK button.


LaTeX Tag File Load Error Dialog Box

EXP displays this message box if you open a document and EXP is unable to load the required EXP-LaTeX tag file. In this event, EXP is able to open the document and you will be able to edit the document normally. You will not, however, be able to convert the document to LaTeX until you resolve the problem. You can use the LaTeX Conversion Options dialog box to change the EXP-LaTeX tag file used by a document. Refer to the topic Configuring the Conversion Process.


Open Style Sheet Error Dialog Box

EXP is unable to open a document if the style sheet it uses is not available. In this situation, EXP displays the Open Style Sheet Error message box. This message box displays the name of the missing style sheet. To open the document, create a new style sheet with the same name as the missing style sheet. Although none of the styles used by the document will be defined, the document will be displayed correctly.

See Also

Creating a New Style Sheet


Replace Prompt Dialog Box

If EXP finds an occurrence of the search text, it selects that occurrence in the document and displays it. EXP then prompts you as to what you want to do. You have five choices:

Replace – Press R

Choose this button to replace the highlighted occurrence of the search text and continue searching for other occurrences.

Skip – Press S

Choose this button to skip the highlighted occurrence of the search text and continue searching for other occurrences.

Replace All – Press A

Choose this button to replace the highlighted occurrence of the search text and to search for and replace all other occurrences of the search text without prompting.

Replace and Quit – Press N

Choose this button to replace the highlighted occurrence of the search text and to abort the replacement process.

Quit – Press Q or ESC

Choose this button to abort the replacement process immediately.


Checking Test Markers

It is important that the sequence of test markers in a document be correct. For example, it does not make sense for a Begin Answer test marker to appear before a Begin Question test marker. As you are editing a document, it is possible for you to make a change that results in an incorrect sequence of test markers. To assist you in locating and correcting such problems, EXP provides a command that checks all the test markers in a document and informs you if there is a problem.

To check the test markers

From the Options menu, choose Check Test Markers (ALT, O, T).

EXP will inform you if the test markers are correct. If there is an incorrect sequence of test markers, EXP will position the cursor at the point where the problem was detected. Press F12 to display the hidden codes, figure out what the problem is, and make the necessary editing changes.

See Also

Inserting a Test Marker


Closing a Document

To close a document

From the File menu, choose Close (ALT, F, C).

If you modified the document since it was last saved, EXP will ask you whether you want to save the document before closing it.

When EXP closes a document, it closes all the document’s windows.

If you close a document window by pressing CTRL+F4 or by double-clicking the document window’s control menu box, EXP will close the document only if the document window being closed is the only window open for the document.


Closing All Documents

To close all documents

From the File menu, choose Close All (ALT, F, E).

If you modified a document since it was last saved, EXP will ask you whether you want to save the document before closing it.

When EXP closes a document, it closes all the document’s windows.


Editing a Text Code

EXP allows you to edit the following types of text codes after you insert them:

Automatic numbers

Hmove codes

Hrule codes

LaTeX commands

Leader codes

To edit a text code

  1. Position the cursor on the text code. The leftmost field of the Status Bar should display the name of the code.

  2. From the Edit menu, choose Text Code (ALT, E, X).

–or–

Press CTRL+E.

EXP will display the appropriate dialog box.

  3. Use the dialog box’s controls to change the code as necessary.

  4. Choose the OK button.

See Also

Editing Automatic Numbers

Hmove - Horizontal Move

Hrule - Horizontal Rule

Inserting LaTeX Commands

Leader and Here Codes


Exiting EXP

To exit EXP

From the File menu, choose Exit (ALT, F, X).

–or–

Press ALT+F4.

If you modified a document since it was last saved, EXP will ask you whether you want to save the document before exiting.


Inserting a Test Marker

To insert a test marker

  1. From the Insert menu, choose Test Marker (ALT, I, T).

EXP will display the Insert Test Marker dialog box. The controls in this dialog box are as follows:

Marker Type These buttons allow you to specify the type of marker you want to insert.

Question Type For a Begin Question test marker, these buttons allow you to specify the type of the question.

Difficulty For a Begin Question test marker, these buttons allow you to specify the difficulty level of the question. In a question bank in which only some of the questions have their difficulty level set to N/A while other questions have their difficulty level set to either easy, medium, or hard, all the questions that have their difficulty level set to N/A are treated as medium-difficulty questions.

Source For a Begin Question test marker, this edit field allows you to specify the source of the question. You can enter from 0 to 9 characters. The case of the text you enter is not preserved. All the characters are converted to uppercase. This field is for Symbol Dynamics internal use only.

Discipline For a Begin Question test marker, this edit field allows you to specify the discipline code of the question. The discipline code is a number between 0 and 65535. This field is for Symbol Dynamics internal use only.

Course For a Begin Question test marker, this edit field allows you to specify the course code of the question. The course code is a number between 0 and 255. This field is for Symbol Dynamics internal use only.

Topic For a Begin Question test marker, this edit field allows you to specify the topic code of the question. The topic code is a number between 0 and 255, optionally followed by a character between A and Z. This field is for Symbol Dynamics internal use only.

Page For a Begin Question test marker, this edit field allows you to specify the page number in the book on which the question appears. This number must be between 0 and 65535. This field is for Symbol Dynamics internal use only.

Section For a Begin Question test marker, this edit field allows you to specify the section number in the book in which the question appears. The section number is a number between 0 and 65535, optionally followed by a period and another number between 0 and 65535. This field is for Symbol Dynamics internal use only.

  1. Specify the attributes you require.

  2. Choose the OK button.

Before saving a document in which you have made changes to the test markers, it is strongly recommended that you check the test markers in the document to ensure they are correct.

See Also

Checking Test Markers


Selecting All Text

To select all text

From the Edit menu, choose Select All (ALT, E, A).

–or–

Press CTRL+NUMPAD5.

–or–

Position the mouse pointer in the left indicator strip; then hold down CTRL and click.


Showing Text Codes

You can instruct EXP to display all the hidden text codes in the document.

To toggle on and off the display of all hidden text codes

From the Options menu, choose Show Codes.

–or–

Press F12.

–or–

Click the [image] button on the Format Panel.

While the Show Codes option is turned on, EXP displays text codes as [name], where name is the name of the text code.


Close Button

Closes the EXP window.


Control Menu

Provides general window management functions.


Format Panel

Allows you to perform certain formatting operations quickly without having to display a dialog box.


Horizontal Scroll Bar

Lets you scroll the MDI window left and right.


Indicator Strips

Displays an arrow if a line in the document extends off the left and/or right of the window.


Math Panel

Provides quick access to certain math and file commands.


Maximize Button

Expands the EXP window so it fills the entire screen.


MDI Close Button

Closes the MDI window.


MDI Control Menu

Provides general MDI window management functions.


MDI Maximize Button

Expands the MDI window to full size.


MDI Minimize Button

Shrinks the MDI window to an icon.


MDI Title Bar

Displays the filename of the document being edited in the window. If you maximize the MDI window, the title of the MDI window is displayed in the Title Bar.


Menu Bar

Displays EXP's menu.


Minimize Button

Shrinks the EXP window to an icon on the Windows desktop.


Ruler

Displays and lets you change the left, right, and first line paragraph indents. Also lets you edit tabs.


Status Bar

Displays information about the current document. When you are selecting an item from EXP's menu, the Status Bar displays a message informing you of the action each menu item performs.


Title Bar

Indicates that EXP is the application running in the window.


Vertical Scroll Bar

Lets you scroll the MDI window up and down.